À propos d'ABBYY FlexiCapture 9.0

À propos d'ABBYY FlexiCapture 10

ABBYY FlexiCapture 10 est un logiciel conçu pour intégrer automatiquement les données des documents au format papier dans des systèmes d'information et des bases de données.

Il utilise des technologies avancées de reconnaissance de caractères dactylographiés et manuscrits, de traitement d'images et d'analyse de documents. ABBYY FlexiCapture 10 offre un système très pratique d'extraction automatique d'informations utiles à partir de toutes sortes de documents. Ces documents sont traités en une seule opération. Il peut s'agir de formulaires structurés (fixes) ou semi-structurés, ou encore de documents non structurés de format libre. ABBYY FlexiCapture 10 permet de ne pas avoir à trier ni à réimprimer les documents manuellement, opération qui nécessite beaucoup d'efforts et fait perdre du temps.

Le processus de traitement documentaire type se déroule comme suit :

  1. Les documents sont placés dans le chargeur automatique du scanner, et la numérisation commence.
  2. Les images des documents numérisés sont alors soumises au processus de reconnaissance. Le logiciel identifie automatiquement les documents, notamment ceux qui comportent plusieurs pages. Il localise les champs importants, extrait les données et charge les règles de contrôle.
  3. Si nécessaire, le processus de reconnaissance est suivi d'une vérification visuelle des données et d'un contrôle des erreurs de règles.
  4. Les données reconnues et vérifiées, ainsi que les copies électroniques des documents, sont enregistrées dans une base de données, un système d'information ou un fichier.


Nouvelles fonctionnalités d'ABBYY FlexiCapture 10

Nouvelles fonctionnalités d'ABBYY FlexiCapture 10.0

Nouvelles fonctionnalités d'ABBYY FlexiCapture 10 non disponibles dans ABBYY FlexiCapture 9.0 Professional

Architecture

Tolérance aux pannes

Si l'un des serveurs cesse de fonctionner, le traitement se poursuivra sur l'un des autres serveurs. Le fonctionnement sur système de grappes a été implémenté.

Gestion de projets

Tester un projet

Il est possible d'effectuer une copie de test d'un projet, de vérifier si tout fonctionne correctement et d'appliquer les modifications au projet de travail.
Projets

Organisation des workflows

Renumérisation des documents et des pages

L'opérateur peut envoyer des documents, des pages ou un lot complet vers l'étape Renumérisation à partir de la file Vérification ou de la file Exceptions.
Envoyer une tâche aux groupes d'utilisateurs

La tâche peut être envoyée à l'utilisateur spécifié. Dorénavant, il est également possible d'envoyer une tâche à un groupe d'utilisateurs spécifié ayant choisi un rôle correspondant à la tâche. Le traitement des rôles peut être spécifié sur la console d'administration et de suivi pour un type de lot particulier.

Importation et traitement d'images

Importer des images à partir de courriers électroniques ou via un serveur FTP

Des images peuvent être ajoutées depuis une boîte aux lettres électronique, y compris à partir des pièces jointes. Les protocoles MAPI et POP3 sont tous deux pris en charge. Lorsque vous utilisez le protocole MAPI, les postes de vérification doivent être démarrés sous le compte du détenteur de la boîte aux lettres électronique. Les images peuvent également être téléchargées sur un serveur FTP.
Profils d'importation

Vérification

Double vérification

L'administrateur marque les champs nécessitant une double vérification dans l'éditeur de définitions de documents. Pour ces champs, les deux résultats de vérification seront stockés distinctement dans le document.
Propriétés de la vérification de champs

Vérification distribuée

L'administrateur peut restreindre l'ensemble des champs à vérifier. L'opérateur de vérification n'aura accès qu'aux champs contenus dans l'ensemble.
Vérification distribuée

Vérification de champs pour les groupes de coches

Les groupes de coches, pour lesquels un seul choix est autorisé, seront envoyés vers la vérification de champs dans le cas où plusieurs options sont cochées. L'opérateur de vérification de données pourra rectifier le choix effectué.

Poste de vérification distant

Le poste de vérification peut être utilisé à distance (tout comme les postes de numérisation et de vérification de données). La possibilité d'accéder au poste via une authentification de base a été implémentée. Dans certains cas, une authentification de base est plus rapide qu'une authentification directe, même via un réseau local.

Interface utilisateur pour la vérification de données web

Le poste de vérification de données dispose d'une interface utilisateur web. Pour démarrer le poste, vous devez cliquer sur le lien suivant : http://<FCServer>/DataVerification/ où <FCServer> est le nom ou l'adresse IP du serveur d'application.

Exporter

Suppression différée de documents

Il est possible de définir une durée pour différer la suppression des documents une fois l'exportation terminée.
Paramètres d’exportation

Personnalisation

Personnalisation de l'interface de vérification

Il existe des outils spéciaux permettant de personnaliser l'interface du Poste de vérification. Toutes les modifications doivent être apportées via une étape personnalisée.
Paramètres de skins

Acheminement de documents personnalisé

Des étapes personnalisées peuvent être ajoutées au workflow. L'étape peut être automatique (par ex. une étape d'amélioration de l'image, une étape de classification) ou nécessiter l'interaction avec l'opérateur (par ex. une étape de validation de codes-barres, une étape de validation de règles supplémentaires).

Dans les propriétés des étapes de workflow personnalisées et dans les propriétés des étapes de workflow par défaut, pour les étapes personnalisées, il sera possible de définir des règles de trafic entrant (contrôlant les documents autorisés à cette étape) et les règles de trafic sortant (définissant l'emplacement vers lequel les documents doivent être ensuite acheminés en fonction de leurs propriétés telles que les valeurs des champs, les valeurs des paramètres d'enregistrement, le nombre de caractères incertains, les erreurs survenues, etc). Les règles peuvent être simples (sélectionnées dans la liste d'options prédéfinies) ou utiliser des scripts.
Étapes des workflows
Paramètres des étapes

Scripts

Divers scripts ont été implémentés, tels que le script de reconnaissance, les gestionnaires d'événements, etc.

Utilisation de scripts sous ABBYY FlexiCapture 10.0
Raccourcis clavier personnalisés

L'utilisateur a dorénavant la possibilité de spécifier des raccourcis. Il peut modifier les raccourcis clavier par défaut sur les postes.

Personnalisation des raccourcis clavier
Nouvelles fonctionnalités d'ABBYY FlexiCapture 9.0 non disponibles dans ABBYY FlexiCapture 8.0 Professional
Installation distribuée

ABBYY FlexiCapture 9.0 prend en charge l'installation et l'exécution distribuées. L'installation distribuée implémentée dans ABBYY FlexiCapture 9.0 est similaire à celle de FormReader 6.5 Enterprise Edition, avec quelques modifications pour rendre le système plus flexible, extensible et fiable. La station de numérisation et la station de vérification de données peuvent maintenant être utilisées à distance via Internet.

Architecture et principes de base d'ABBYY FlexiCapture
Flux de travail
Serveurs ABBYY FlexiCapture
Stations ABBYY FlexiCapture
API du serveur d'application

L'API fourni pour le serveur d'application vous permet de contrôler le traitement par programme sans passer par l'interface graphique. L'API permet aux éditeurs tiers de créer leurs propres applications qui utilisent ABBYY FlexiCapture 9.0 comme service d'analyse d'images de documents mais également pour exporter les résultats du traitement.

Gestion de projet

Types de lots

Un type peut être défini pour chaque lot (si aucun type n'est défini, un type « par défaut » est attribué). Un projet peut contenir n'importe quel nombre de types de lots. Un type de lot définit les options de reconnaissance et de traitement d'image, la vérification de l'intégrité du lot, les paramètres d'exportation par défaut et la manière dont les lots appartenant à ce type doivent être traités. Les paramètres de projet sont utilisés pour les lots du type « par défaut ».
Lots de documents

Paramètres d'enregistrement

Il est maintenant possible de définir les paramètres d'enregistrement concernant les lots ou les documents. Ces paramètres peuvent être utilisés ultérieurement pour l'exportation d'images et de données.

Paramètres d'enregistrement
Priorités

Les priorités des documents et des lots peuvent désormais être définies pour contrôler l'ordre de traitement.

Analyse et reconnaissance

L'ordre dans lequel les définitions de documents sont associées

Vous pouvez désormais contrôler l'ordre dans lequel les définitions de documents sont associées. Les méthodes suivantes peuvent être utilisées pour définir l'ordre d'association :

  • définition explicite de l'ordre des définitions de document dans la boîte de dialogue Définitions de documents ;
  • pour les FlexiLayouts, utilisation d'un classifieur pour sélectionner la définition de document requise ;
  • pour les FlexiLayouts, la manière dont le FlexiLayout approprié doit être sélectionné doit être indiquée dans la boîte de dialogue Définitions de document.
Modification et publication d'une définition de document
Classifieur
Mise à jour de la version d'une définition de document sans nouvelle reconnaissance

Vous pouvez désormais mettre à jour votre définition de document sans effectuer de nouvelle reconnaissance. Cela est possible si l'une des conditions suivantes est remplie :

  • si seuls les paramètres d'exportation ont été modifiés, auquel cas le document sera exporté avec les nouveaux paramètres ;
  • si les règles ont été modifiées, auquel cas la validation par règle sera effectuée une nouvelle fois.

Vérification et validation

Les tâches de vérification et de validation peuvent désormais être obtenues automatiquement
Les images peuvent être affichées pendant la vérification de groupe et de champ.
Les fichiers et les bases de données peuvent être utilisés comme sources de données pour la validation par règle.
La règle de vérification de la base de données peut être désactivée pour les champs vides.
Une règle de calcul de somme a été ajoutée
Le niveau de fiabilité de la reconnaissance est indiqué pour le lot entier.
Des paramètres de champ et de groupe ont été ajoutés, y compris la possibilité de configurer certaines exigences relatives à des caractères spécifiques
La position initiale du curseur peut être définie pour la vérification de champ.
Les champs entiers peuvent optionnellement être mis en surbrillance pendant la vérification de champ (utile si l'utilisateur souhaite effectuer une saisie dans l'intégralité du champ).
Chaque type d'erreur est affiché séparément. Les types d'erreurs suivants sont détectés :
  • erreurs d'assemblage ;
  • erreurs de format ;
  • erreurs de règles.
Vérification des données reconnues

Exportation

Exportation automatique

Les documents présentant une haute qualité de reconnaissance sans erreur de format ou de règles sont désormais exportés automatiquement sans l'intervention de l'utilisateur. Le pourcentage de caractères incertains requis est défini lors de la configuration du projet.
Flux de travail

Exporter vers plusieurs destinations

Les données et les images peuvent être exportées vers plusieurs destinations. Certaines destinations peuvent être marquées comme critiques. Si l'exportation vers une destination critique échoue, un message d'erreur s'affiche. Si l'exportation vers une destination non critique échoue, il n'en résulte pas d'erreur globale d'exportation.
Configuration de l'exportation de données

Configuration des noms et des emplacements de fichiers

Les modèles de dénomination des fichiers utilisés pour stocker les données et les images exportées, ainsi que leurs chemins d'accès, peuvent être configurés de manière plus approfondie. Parmi les ajouts figure la possibilité de recréer la structure du dossier pendant l'exportation à partir d'un dossier actif.
Exporter un système de dénomination de fichier

Archivage de documents comportant des erreurs

Les documents présentant des erreurs de format ou de règle peuvent être enregistrés dans un emplacement de stockage dédié. L'exportation de documents comportant des erreurs est définie de la même manière que l'exportation de documents ordinaires.
Configuration de l'exportation de données

Suppression automatique des documents à la fin de l'exportation

Les documents exportés peuvent être supprimés si l'exportation s'est terminée avec succès. L'option de suppression manuelle des documents a été conservée.
Flux de travail

Préserver les informations confidentielles

Les champs individuels figurant sur les images de documents peuvent désormais être masqués (c'est-à-dire coupés). Pour chaque exportation, différentes règles de masquage peuvent être définies, régulant ainsi la quantité d'informations visibles par différents utilisateurs.
Configuration de l'exportation de données

Options

Vérifications de l'intégrité du lot

Les scripts peuvent être utilisés pour vérifier l'intégrité des lots. Les scripts se lancent automatiquement avant l'exportation.
Lots de documents
Exemples de scripts permettant de créer des règles personnalisées

Scripts de normalisation

Les scripts peuvent être utilisés pour corriger les informations extraites à partir des champs.
Traitement des données entrées
Exemples de scripts permettant de créer des règles personnalisées

Traitement automatique

Les documents peuvent être traités automatiquement sans l'intervention de l'opérateur. Les documents traités avec succès sont exportés et les images de documents sur lesquelles des erreurs se sont produites peuvent être enregistrées en vue d'une analyse ultérieure.

Configuration du flux de travail
Personnaliser des scripts

Un script, déclenché par l'opérateur de vérification, peut être défini pour chaque champ.

Personnaliser une action
Champs de service

Un nouveau type de champ a été ajouté : le champ de service. Les champs de ce type sont remplis automatiquement à l'aide des données issues d'une source sélectionnée.

Champs de service

Langues prises en charge

Nouvelles langues d'OCR

La prise en charge de la reconnaissance optique des caractères (OCR) pour les langues suivantes a été ajoutée :

  • Vietnamien
  • Chinois
  • Coréen
  • Japonais


Types de documents traités à l'aide d'ABBYY FlexiCapture 10

ABBYY FlexiCapture 10 est une solution logicielle qui permet d'acquérir en une seule opération des données à partir de différents types de documents.

Vous pouvez traiter divers documents en une même opération. Vous pouvez également configurer le programme pour traiter des documents de types différents, par exemple des documents contenant à la fois des sections structurées et des sections semi-structurées. Le type des documents n'affecte que la configuration système, c'est-à-dire la méthode de création des Définitions de document. Il n'affecte pas la nature du travail de l'opérateur.

ABBYY FlexiCapture peut être configuré pour accepter automatiquement les documents suivants en une seule opération :

Documents structurés – formulaires fixes
Les formulaires structurés sont des documents contenant un ensemble de champs d'information marqués, dont le formatage, le nombre et la présentation ne changent pas d'une instance de document à l'autre. Ces documents sont appelés des formulaires fixes. Par exemple, la plupart des questionnaires et des formulaires de demande sont des formulaires fixes. Ils sont généralement distribués sous forme de formulaires vierges et remplis à la main.

Pour identifier un formulaire fixe au sein d'un flux documentaire et en extraire les données, vous devrez créer un modèle fixe unique, qui indiquera au programme l'emplacement des champs contenant des données à extraire.

Les formulaires fixes créés pour répondre aux besoins de l'acquisition automatique peuvent être traités avec une grande efficacité. Ces formulaires sont appelés des formulaires lisibles par machine. Pour plus d'informations sur les exigences de ces formulaires et sur la manière de les créer, consultez la section Création de formulaires lisibles par machine.

Le programme inclut un outil très pratique pour concevoir des formulaires lisibles par machine – ABBYY FormDesigner 10 (fourni avec ABBYY FlexiCapture 10). Pour plus d'informations sur la création de formulaires à l'aide d'ABBYY FormDesigner 10, consultez le guide d'utilisation et les rubriques d'aide.

Vous y trouverez une description des étapes de base de la création d'une définition de document pour les documents non structurés.
Documents semi-structurés – formulaires et documents flexibles
Il s'agit de documents contenant un ensemble de champs d'information dont la conception, le nombre et la présentation peuvent varier significativement dans différentes instances du document. Ces documents sont qualifiés de flexibles. Par exemple, les factures sont des documents flexibles car elles varient souvent en termes de nombre d'éléments et de format. En effet, elles sont envoyées par des entreprises différentes. Toutes les factures ont un numéro et un montant à régler, mais ils peuvent figurer à différents endroits.

Pour identifier les formulaires flexibles et extraire leurs données, ABBYY FlexiCapture 10 utilise une présentation flexible (FlexiLayout). Vous pouvez créer une présentation flexible à l'aide d'un module spécial appelé ABBYY FlexiLayout Studio. Pour plus d'informations sur ce module, consultez le guide d'utilisation et les rubriques d'aide.

Le traitement des documents flexibles diffère de celui des formulaires fixes uniquement au niveau de la phase de création et de chargement de la présentation. Pour plus d'informations, consultez la section Création d'une définition de document pour traiter des documents flexibles.
Documents non structurés avec une conception de forme libre.
ABBYY FlexiCapture 10 peut servir à traiter des documents non structurés contenant des informations sous une forme libre, par exemple des contrats, des lettres, des commandes et des graphiques. Le programme peut identifier automatiquement les documents non structurés sous forme d'annexes de formulaires fixes ou flexibles. Il peut aussi les identifier à l'aide d'un FlexiLayout, puis les exporter sous forme de fichiers PDF indexés ou de fichiers graphiques. Vous pouvez extraire les champs d'index des documents non structurés, soit automatiquement, à l'aide d'une présentation flexible, soit à l'aide d'une entrée manuelle.

Un cas de figure type de traitement de documents non structurés est celui des archives au format papier, qui doivent être converties au format électronique et pour lesquelles il est nécessaire d'extraire deux ou trois champs pour organiser une recherche rapide reposant sur les attributs.

Pour plus d'informations, consultez la section Traitement de documents non structurés.


Brève description du traitement de document à l'aide d'ABBYY FlexiCapture 10

Cette section présente de manière générale le traitement des documents à l'aide d'ABBYY FlexiCapture 10.

L'utilisation du programme dans le détail est décrite dans les sections Configuration du programme et Fonctionnement avec un projet configuré.

Présentation de la configuration du programme pour le traitement de documents
Présentation du fonctionnement avec un programme configuré


Brève description des paramètres du programme pour le traitement documentaire

L'administrateur configure le programme pour traiter certains types de documents. Pour préparer le programme au traitement documentaire, vous devez créer :

  1. Un projet

    Un projet contient tous les paramètres de traitement d'un certain type de document : les profils d'importation d'images, les définitions de documents et les lots de documents à traiter.

  2. Une définition de document ou plusieurs

    La phase de création d'une définition de document est la plus importante de la configuration d'un projet. Si vous prévoyez de traiter divers types de documents en une même opération, vous devez créer plusieurs définitions de document pour le même projet.

  3. Profils d'importation d'image

    Les profils d'importation créés servent à accroître le confort de travail de l'opérateur et à rationaliser son travail. Si les profils d'importation ne sont pas configurés, chaque fois que vous ajouterez des images, vous devrez sélectionner la source d'importation et configurer les paramètres. Les profils d'importation permettent d'ajouter des images en cliquant simplement sur un bouton et de basculer facilement d'une source d'importation à une autre.

  4. Un lot de documents

    Les documents soumis au traitement sont ajoutés à des lots. C'est l'utilisateur qui définit comment les documents doivent être affectés à des lots : vous pouvez traiter tous les documents sous la forme d'un même lot ou créer des lots à partir de documents ajoutés à la même date ou à partir d'un lot numérisé en un même passage. Si vous ajoutez des images pour lesquelles il n'y a pas de lots, un lot sera créé automatiquement.

En savoir plus sur la configuration du programme


Travail distribué

ABBYY FlexiCapture 10 (Installation distribuée) est un système d'acquisition de données en architecture client/serveur distribuée.

ABBYY FlexiCapture 10 (Installation distribuée) inclut plusieurs stations et serveurs. Chaque station est responsable de certaines routines de traitement. Les serveurs assurent le fonctionnement de l'intégralité de l'application complexe, connectent les stations et répartit la charge de travail entre les stations. Avant que les documents puissent être traités, les serveurs doivent être configurés.

Voici une brève présentation des composants :

  • Console d'administration et de suivi

    Après avoir installé le système, vous devez établir une connexion à la base de données et accorder les droits appropriés aux opérateurs. Ceci est effectué sur la console d'administration et de suivi par l'opérateur disposant des droits Administrateur.

    La console d'administration et de suivi est une interface Web contrôlant le serveur d'application. Il est possible d'accéder à la console depuis n'importe quel ordinateur connecté au serveur d'application via http:\\<ServeurApplication>\FlexiCapture, où <ServeurApplication> est le nom de l'ordinateur sur lequel le serveur d'application est installé.

    Pendant le traitement de documents, la console peut être utilisée pour obtenir des statistiques et pour générer des rapports.

  • Station de configuration de projets

    L'étape suivante est la création et la configuration d'un projet. Pour ce faire, l'opérateur de la station crée des définitions de document et des type de lots et définit l'ordre de traitement. Dès que le système est configuré, le projet est téléchargé sur le serveur d'application et le traitement des documents peut commencer.

  • Station de numérisation

    La station de numérisation peut être la première station où les documents à traiter arrivent. L'opérateur de cette station crée des lots et y ajoute des images de document. Si nécessaire, les images ajoutées peuvent être modifiées. Ensuite, le lot est transféré vers ABBYY FlexiCapture pour la suite du traitement.

    L'utilisation d'une station de numérisation n'est pas nécessaire lorsque les images à traiter proviennent d'un dossier actif.

  • Station de traitement

    La station de traitement fonctionne sans assistance et effectue les opérations suivantes : l'obtention des images depuis les dossiers actifs, l'application des définitions de documents, la reconnaissance de documents, la validation par règle et l'exportation des résultats vers les destinations définies par l'utilisateur.

  • Station de vérification de données

    La finalité de cette station est la vérification des données acquises. L'opérateur de cette station relit d'abord les caractères mal reconnus en les affichant par groupe puis par champ. Ensuite, le lot est transféré vers la station de vérification. En cas d'erreur de traitement, l'opérateur de la station de vérification de données peut envoyer le lot ou les documents vers la file Exceptions où ils sont traités par le chef-opérateur de vérification.

  • Station de vérification

    Cette station effectue des vérifications plus complexes que la station de vérification de données. En plus des vérifications de données, la station peut traiter les lots ou documents problématiques, corriger les erreurs d'assemblage, vérifier les règles et vérifier l'intégrité du lot.

  • Serveur de traitement

    Le serveur de traitement répartit la charge de travail entre les stations de traitement. Un moniteur de serveur de traitement est installé en même temps que le serveur : il sert à surveiller les opérations du serveur et à définir les priorités des tâches.

  • Serveur d'application

    Le serveur d'application connecte les stations entre elles et assure leur fonctionnement. Avant d'installer le serveur, assurez-vous que tous les composants requis pour un fonctionnement normal du serveur sont installés.

  • Serveur de base de données

    Le serveur de base de données stocke les données requises pour le opérations de traitement : les informations concernant les opérateurs, les lots, les événements, etc. Si le système comporte au maximum 50 stations de vérification et que 100 000 documents au maximum sont traités quotidiennement, vous pouvez utiliser Microsoft SQL Server Express Edition. Pour des volumes plus importants, l'utilisation de la version complète de Microsoft SQL Server et d'un dossier de stockage de fichiers est recommandée.

  • Dossier de stockage de fichiers

    Les fichiers du projet peuvent être stockés dans une base de données ou dans un dossier de stockage de fichiers séparé, qui est un dossier normal situé sur l'ordinateur où le serveur d'application est installé. Un dossier de stockage de fichiers peut être configuré sur la console d'administration et de suivi.

  • Serveur de protection

    Une clé de protection est requise pour un bon fonctionnement du système. Le gestionnaire de licences ABBYY FlexiCapture 10 est une application dédiée à la gestion des clés de protection

Installation des stations ABBYY FlexiCapture 10
Configuration du serveur et des stations de traitement
Architecture et principes de base d'ABBYY FlexiCapture 10
Configuration du serveur d'application


Création d'un projet

Pour traiter différents documents dans un même projet, ce projet doit comporter plusieurs définitions de documents. Si les flux documentaires ne se coupent pas et que leurs paramètres de traitement diffèrent considérablement, vous pouvez créer des projets distincts.

Pour commencer, vous devez créer au moins un projet.

Pour créer un nouveau projet, lancez la station de configuration de projet puis sélectionnez Fichier>Nouveau projet…

En savoir plus sur la création d'un projet


Présentation de la création d'une Définition de document

La création d'une Définition de document est l'aspect le plus délicat de la configuration d'un projet. Elle détermine la qualité des données obtenues au terme du traitement.

Une Définition de document décrit l'emplacement des éléments d'un document et indique les champs à utiliser lors de l'extraction des données.

Pour créer une Définition de document, lancez l'assistant de définition de document :

  1. Dans la fenêtre principale de la station de configuration de projet, sélectionnez Projet>Définitions de document…
  2. Dans la boîte de dialogue Définitions de document, cliquez sur le bouton Nouveau…
  3. Suivez les instructions de l'assistant de définition de document.

Les principales étapes de la création d'une Définition de document dépendent du type des documents à traiter.

Principales étapes de création d'une Définition de document pour des formulaires fixes
  1. Créez une nouvelle Définition de document à l'aide de l'assistant de définition de document. L'assistant lancé, ouvrez l'image de la page de document qui servira pour le marquage de Définition de document.
  2. Marquez les éléments statiques, ancres et identificateurs, en configurant leurs propriétés. Les éléments statiques sont destinés à l'association et à l'identification de la Définition de document correcte. En général, les éléments statiques sont détectés automatiquement et se voient attribuer des propriétés par défaut.
  3. Marquez les champs de l'image. Ces champs sont utilisés pour l'extraction des données.
  4. Configurez les propriétés des champs. Les propriétés des champs affectent la qualité de la reconnaissance et déterminent si les valeurs des champs seront exportées et envoyées à l'opérateur pour vérification. Elles spécifient les types de données et la plage de valeurs d'un champ.
  5. Pour créer des Définitions de documents pour des documents de plusieurs pages : ajoutez les pages et répétez toutes les étapes pour chacune de ces pages.
  6. Configurez l'exportation des données.
  7. Si nécessaire, vous pouvez configurer la méthode d'affichage dans la fenêtre de document, la vérification par règle des données, etc.
  8. Testez une Définition de document à l'aide des images de plusieurs documents.

Remarque : si vous avez créé des formulaires lisibles par machine avec ABBYY FormDesigner, vous n'avez qu'à importer un fichier portant une extension *.xfd au lieu de suivre les trois premières étapes. Une page d'image avec un marquage prêt à l'emploi s'ouvre alors (ou des images de plusieurs pages si vous avez utilisé ABBYY FormDesigner pour créer un formulaire de plusieurs pages). Pour plus d'informations, consultez la section Importation d'une Définition de document pour des formulaires créés avec ABBYY FormDesigner.

Principales étapes à suivre pour créer une Définition de document pour des documents flexibles
  1. Créez une description flexible (un fichier portant une extension *.afl extension) avec ABBYY FlexiLayout Studio. Pour plus d'informations, consultez les rubriques d'aide d'ABBYY FlexiLayout Studio.
  2. Créez une nouvelle Définition de document à l'aide de l'assistant de définition de document. L'assistant étant actif, ouvrez une image de page de document, et joignez-y une description flexible (le fichier *.afl que vous avez créé). Au terme de la procédure de l'assistant, le marquage de champ est présent sur l'image.
  3. Configurez les propriétés des champs. Suivez la procédure permettant de configurer les propriétés de Définition de document pour un formulaire fixe.
  4. Configurez l'exportation des données.
  5. Si nécessaire, vous pouvez configurer la méthode d'affichage dans la fenêtre de document, la vérification par règle des données, etc.
  6. Testez une Définition de document à l'aide des images de plusieurs documents.

Pour des documents de types mixtes qui contiennent des pages avec des formulaires fixes et des sections semi-structurées, vous pouvez joindre une description flexible en tant que section de Définition de document. Commencez par créer une Définition de document à partir d'une section quelconque (flexible ou fixe), puis ajoutez une nouvelle section d'un type différent.

Vous pouvez traiter des documents comprenant des types différents en une même opération : pour un même projet, vous pouvez créer des Définitions de document pour des formulaires fixes et des documents flexibles, et des Définitions de document pour des documents de types mixtes. Le programme sélectionne automatiquement la Définition de document correspondante.

Pour traiter des documents comportant des annexes, créez une Définition de document et activez l'option Activer les pages d'annexe dans les propriétés de la Définition de document. Consultez la section Création de modèles pour des documents avec des annexes.

En savoir plus sur la création de Définitions de document


Création de types de lots

Les documents sont traités par lot. Les lots sont créés lorsque les documents sont importés ou numérisés. Dans le même temps, chaque lot se voit attribuer un type.

Les types de lots prédéterminent les paramètres de traitement de documents suivants :

  • prétraitement d'image
  • association de définitions de documents avec les documents correspondants
  • vérification de l'intégrité du lot
  • exportation de lot par défaut
  • traitement par lot
Types de lots
Création de lots de documents


Création de profils d'importation

Le traitement de document commence par l'ajout de nouvelles images au lot. Ces images peuvent être des documents papier à numériser ou des images électroniques à importer.

Les images peuvent être ajoutées :

  • automatiquement sur les stations de traitement

    Pour automatiser l'importation d'images, il vous faut créer un profil d'importation d'images sur la station de configuration de projets et spécifier les dossiers actifs à utiliser. Les images seront automatiquement importées depuis les dossiers actifs.

  • manuellement par les opérateurs des stations de numérisation. Pour numériser des pages, l'opérateur d'une station de numérisation doit créer des profils de numérisation.

    Si les images sont souvent obtenues depuis différentes sources, il est possible de créer plusieurs profils d'importation parmi lesquels l'opérateur pourra ensuite sélectionner le profil approprié pour chaque source.

Sur la station de configuration de projets, vous pouvez déboguer les définitions de document en créant des lots, en y ajoutant des images de document et en les traitant. Le processus d'ajout d'images peut aussi être automatisé : l'opérateur de la station de configuration de projets peut créer un profil d'importation d'images qui utilise un scanner.

puce Profils d'importation d'images


Création de lots de documents

Les documents à traiter sont placés dans des lots. Les principes de regroupement de documents en lots sont déterminés par l'utilisateur. Par exemple, l'utilisateur peut choisir de traiter tous les documents comme un seul lot ou de grouper tous les documents importés le même jour ou numérisés en une fois.

Les lots peuvent être créés automatiquement lorsque les images sont importées depuis les dossiers actifs ou numérisées dans la station de numérisation. Pour créer un lot manuellement, cliquez avec le bouton droit de la souris dans la liste de lots de la fenêtre principale et sélectionnez Nouveau lot… depuis le menu raccourcis.

Lorsqu'un lot est créé, son type est spécifié, ce qui définit l'ordre dans lequel le lot va être traité.

En savoir plus sur la création de lots de documents


Présentation du travail de l'opérateur avec un programme configuré

L'opérateur utilise un programme préconfiguré pour traiter certains types de documents. Le traitement documentaire est le même pour tous les types de documents et il inclut les phases suivantes :

  1. Ajout d'images

    Le traitement de document démarre lors de l'acquisition d'images, que ce soit en numérisant et en ajoutant des images manuellement ou en utilisant des profils de numérisation. Toutes les actions qui doivent être exécutées pour acquérir des images sont réalisées par l'opérateur de la station de numérisation.

  2. Démarrage du processus de reconnaissance

    La reconnaissance est effectuée automatiquement dans la station de traitement : le programme sélectionne la définition de document appropriée selon les positions des éléments statiques, applique la définition de document et reconnaît les données dans les champs spécifiés dans la définition du document.

  3. Vérification

    Vérification – le processus de vérification des données – est la phase qui nécessite le plus de travail de la part de l'opérateur. Elle comprend :

    • La vérification de l'assemblage de documents – vérification de l'assemblage correcte des pages du document ;
    • La vérification du groupe – une vérification visuelle des groupes de caractères reconnus de manière identique ;
    • Vérification des champs– une vérification des caractères reconnus incertains dans le contexte de champs avec des plages de valeurs connues ;
    • Validation des règles– vérification des erreurs de règles.
    • Vérification de l'intégrité des lots : démarrer les scripts d'intégrité et corriger n'importe quelle erreur.

    Les documents peuvent être vérifiés sur deux stations.

    La vérification de base est effectuée sur la station de vérification de données, où seuls les modes de vérification de champs et de groupes sont disponibles pour l'opérateur.

    Une vérification plus complexe est effectuée sur la station de vérification, où à part la vérification de données, l'opérateur de vérification et le chef-opérateur de vérification peut vérifier l'assemblage de document et corriger les erreurs de règles.

  4. Exportation de données

    Les données sont exportées automatiquement sur la station de traitement conformément aux paramètres fournis dans la définition de document. Un lot est exporté soit tout de suite après son traitement ou après qu'il a été confirmé par le chef-opérateur de vérification (les paramètres correspondants sont effectués pour chaque type de lot).

En savoir plus sur le travail des opérateurs avec les projets configurés


Opérateurs d'ABBYY FlexiCapture 9.0

Opérateurs d'ABBYY FlexiCapture 10

L'opérateur est un utilisateur d'ABBYY FlexiCapture 10 pour qui un rôle de traitement de documents et les droits correspondants ont été définis. Les droits d'accès des opérateurs diffèrent selon leurs domaines de responsabilité. Les droits d'accès d'un opérateur dépendent du rôle de l'opérateur.

Les rôles suivants sont disponibles sous ABBYY FlexiCapture 10 (chaque rôle est configuré pour le projet en cours :

  • Opérateur de numérisation - un opérateur endossant ce rôle peut travailler sur une station de numérisation
  • Opérateur de vérification de données - un opérateur endossant ce rôle peut travailler sur une station de vérification de données et sur une station de vérification
  • Opérateur de vérification - un opérateur endossant ce rôle peut travailler sur une station de vérification (seules les vérifications de données, les erreurs d'assemblage et les validations par règle sont accessibles à l'opérateur)
  • Chef-opérateur de vérification - un opérateur endossant ce rôle peut travailler sur une station de vérification (l'intégralité des fonctionnalités de la station est accessible à l'opérateur)
  • Opérateur de suivi - un opérateur endossant ce rôle peut travailler sur la console d'administration et de suivi (toutes les fonctionnalités lui sont accessibles sauf la configuration)
  • Éditeur de configuration de projets - un opérateur endossant ce rôle peut travailler sur une station de configuration de projets
  • Administrateur - un opérateur endossant ce rôle peut travailler sur la console d'administration et de suivi (l'intégralité des fonctionnalités de la console sont accessibles à l'administrateur). De plus, l'administrateur peut accéder à toute station du système et les droits Administrateur s'appliquent à tous les projets téléchargés vers le serveur d'application et non aux seuls projets en cours.

Un rôle définit l'ensemble des stations auxquelles un opérateur de ce rôle peut accéder, ainsi que les files à partir desquelles l'opérateur peut obtenir des tâches pendant le traitement de documents.

Les rôles de l'administrateur et de l'opérateur de suivi s'appliquent à l'intégralité du système. Les rôles des autres opérateurs ne s'appliquent qu'aux projets particuliers. De plus, les rôles de l'opérateur de numérisation, de l'opérateur de vérification de données et du chef-opérateur de vérification octroient différents droits selon les types de lots. Par conséquent, un utilisateur peut endosser simultanément les rôles suivants :

  • Projet A : Opérateur de configuration de projets
  • Projet B :
    • Lots de type 1 : Chef-opérateur de vérification
    • Lots de type 2 : Opérateur de vérification de données


Ajout d'images

Généralement, les images sont ajoutées sur la station de numérisation (pour plus d'informations, consultez l'aide de la station de numérisation). Néanmoins, le chef-opérateur de vérification peut également ajouter des images sur sa station.

Pour ajouter des images sur la station de vérification, sélectionnez le lot auquel ajouter les images ou créez un nouveau lot. Les images peuvent être ajoutées de deux manières :

  • par numérisation (sélectionnez Fichier>Numériser des images…Numériser des images…
  • depuis des fichiers image (sélectionnez Fichier>Charger des images…Charger des images…

Pour déboguer les définitions de document, vous pouvez ajouter des images sur la station de configuration de projets.

puce Ajout d'images de pages


Démarrage du processus de reconnaissance, analyse et application d'une définition de document

Les documents sont généralement reconnus, analysés et les définitions de document sont appliquées automatiquement. Cependant, ces opérations peuvent être démarrées manuellement dans la station de vérification et dans la station de configuration de projet.

Pour reconnaître les images, sélectionnez Reconnaissance>Reconnaître à partir du menu principal.

Pour analyser les images, sélectionnez Reconnaissance>Analyser à partir du menu principal. Si une définition de document correspond à un document, la page et son document auront des noms correspondants. Si une définition de document dans le projet ne correspond pas à une image, la page est marquée comme inconnue.

Le système vous permet également d'appliquer une définition de document particulière à une page ou au document en entier. Dans la plupart des cas, une définition de document correctement créée sera mise en correspondance avec ses pages automatiquement, mais dans certains cas cette opération devra peut-être être effectuée manuellement. Pour faire correspondre une définition de document, sélectionnez la page ou le document avec lequel vous souhaitez établir la correspondance de la définition de document, puis sélectionnez Reconnaissance>Associer une définition de document… à partir du menu principal.

En savoir plus sur la reconnaissance


Vérification

La vérification consiste à s'assurer que les données ont été reconnues, que les pages ont été assemblées en documents correctement et que les règles n'ont pas généré d'erreurs. La vérification est effectuée sur la station de vérification de données (où la précision de la reconnaissance est vérifiée) et sur la station de vérification (où tout type de vérification peut être effectué). La vérification est effectué pour les tâches.

La vérification démarre une fois qu'une tâche est arrivée à la station. La vérification commence par la vérification de groupe suivie de la vérification de champ. Si une définition de document ne comporte aucun champ inclus pendant la vérification de groupe ou de champ, la phase de vérification correspondante sera omise.

Pour les documents multipages, vous devez corriger les possibles erreurs d'assemblage. Les pages sont assemblées en documents automatiquement. Les documents présentant des erreurs d'assemblage sont marqués par le symbole suivant [image]. Une description de l'erreur est affichée en lettres rouges sous le nom de la définition de document. Lors de la création d'une définition de document, vous devez configurer la règle d'assemblage de document : la séquence et le nombre de répétitions de page. Vous pouvez également configurer la vérification de l'assemblage à partir des valeurs des champs clés : dans ce cas, les champs clés doivent avoir la même valeur sur toutes les pages d'un même document. Dans le cas contraire, le message correspondant s'affiche et les valeurs des champs clés sont mises en surbrillance en rouge. Les erreurs d'assemblage peuvent être corrigées très facilement en mode contour de page, qui permet à l'utilisateur de bien visualiser les images de page et les différents documents dont elles font partie.

Pendant la vérification groupée, les groupes de caractères reconnus de manière identique sont soumis à la vérification. Le travail de l'opérateur consiste à identifier les caractères différents qui n'ont pas été reconnus correctement. Il doit ensuite corriger les valeurs, après avoir affiché l'image du champ contenant les caractères en question. S'il n'est possible de corriger les caractères, vous pouvez les marquer comme discutables.

Lors de la vérification de champ, les champs ayant une plage de valeurs connues sont soumis à la vérification. Le travail de l'opérateur consiste à vérifier les caractères reconnus sans certitude dans le contexte du champ entier. Il y a deux modes de vérification de champs : un mode d'affichage monochamp avec des coupes de caractères et un mode d'affichage multichamp, qui affiche des champs de même type.

Les règles qui n'ont pas été exécutées sont signalées : par un indicateur jaune [image] (avertissement) ou rouge [image] (erreur). L'opérateur doit vérifier les champs présentant des erreurs de règle et, si possible, corriger les valeurs.

La vérification des données est également effectuée dans la fenêtre de document qui s'ouvre quand vous double-cliquez sur le nom d'un document ou d'une page. Cette fenêtre n'affiche pas les champs distincts mais le document entier. Elle affiche également les caractères reconnus sans certitude, les erreurs de règle, etc.

En savoir plus sur la vérification


Exportation

Les données sont automatiquement exportées. Si nécessaire, l'opérateur de vérification peut créer une file de confirmation des exportations séparée. Dans ce cas, l'exportation s'effectue une fois la confirmation obtenue. Les données sont exportées en fonction des paramètres fournis dans la définition du document.

Pour exporter des documents manuellement, sélectionnez l'un des éléments dans le menu Fichier>Exporter vers :

  • Données vers fichiers… - pour exporter des données vers des fichiers
  • Images vers fichiers… - pour exporter des images vers des fichiers
  • Base de données… - pour exporter un document vers la base de données

Modifiez les paramètres d'exportation par défaut si nécessaire et exportez les données.

puce En savoir plus sur l'exportation


Installation et exécution du programme

Cette section contient des informations de base sur l'installation, la protection et l'exécution d'ABBYY FlexiCapture 10.0. Elle couvre également la configuration système requise pour l'installation.

puce | Configuration matérielle et logicielle requise
puce | Installation d'ABBYY FlexiCapture 10.0
puce | Exécution du programme


Configuration matérielle et logicielle requise

Configuration matérielle requise

  1. Processeur Intel® Core™2/2 Quad/Pentium®/Celeron®/Xeon™/Core™ i5/Core™ i7, AMD K6/Turion™/Athlon™/Duron™/Sempron™ cadencé à 2 GHz ou plus Nous vous recommandons d'utiliser un processeur à 2 cœurs ou plus pour le serveur d'application
  2. RAM
    • Postes de numérisation, de vérification distante et de vérification de données : 1 Go
    • Autres postes : 512 Mo de RAM pour chaque cœur de processeur, mais pas moins d'un Go
    • Serveurs : 2 Go et 2 Go supplémentaires si le serveur MS SQL est installé sur la même machine.
  3. Espace disque dur
    • Postes de vérification distante et de vérification de données : 100 Mo
    • Autres postes : 1 Go
    • Serveurs : 100 Mo pour les applications, 2 Go pour la base de données (lorsque vous utilisez Microsoft SQL Server Express Edition). De l'espace supplémentaire est nécessaire si vous utilisez le stockage de fichiers.
  4. Un scanner TWAIN, WIA ou ISIS
  5. Une connexion à Internet pour activer votre numéro de série ou un port USB pour la clé de protection matérielle
  6. Une carte graphique et un écran compatibles 1024×768 au minimum
  7. Clavier, souris ou autre dispositif de pointage

Configuration logicielle

Serveurs :

  1. Système d'exploitation :
    • Windows Server 2003 SP2
    • Windows Server 2008 SP2
    • Windows Server 2008 R2

    Si vous utilisez une interface localisée, votre système d'exploitation doit prendre en charge la langue correspondante.

  2. Internet Information Server 6, 7 ou 7.5 (pour le serveur d'application)
  3. .Net Framework 3.5 SP1
  4. Crystal Reports pour Visual Studio 2008 ou 2010
  5. Internet Explorer 7 ou versions ultérieures
  6. Serveur de base de données : Microsoft SQL Server 2005 SP2, 2008 SP1 ou 2008 R2, Oracle 10g ou 11g

Postes

  1. Système d'exploitation :
    • Windows XP SP3
    • Windows Vista SP2
    • Windows 7
    • Windows Server 2003 SP2
    • Windows Server 2008 SP2 ou R2 + Desktop Experience

    Si vous utilisez une interface localisée, votre système d'exploitation doit prendre en charge la langue correspondante.

    L'utilisation de la police Arial Unicode MS est recommandée. Les autres polices peuvent ne pas afficher correctement les caractères chinois, japonais et coréens.

  2. .NetFramework 3.5 SP1 si des scripts .Net sont utilisés et pour le poste de numérisation si le déploiement ClickOnce est utilisé
  3. Microsoft Internet Explorer 7 ou une version ultérieure pour le poste de surveillance et le déploiement ClickOnce du poste de numérisation
  4. SilverLight 4.0.60129 ou une version ultérieure et l'un des navigateurs suivants pour le poste de vérification de données web :
    • Microsoft Internet Explorer 7 ou versions ultérieures
    • FireFox 3.6 ou une version ultérieure comportant le module d'extension IETabs
    • Opera 11.0 ou versions ultérieures
    • Google Chrome 8.0 ou versions ultérieures
    • Safari 5.0 ou versions ultérieures

Les serveurs et les postes doivent se trouver dans le même répertoire Active Directory (exceptés les postes web et distants).

Serveur Terminal Server pris en charge

Les serveurs Terminal Server suivants sont pris en charge :

  • Citrix Presentation Server 4.5
  • Citrix XenApp 5.0

Machines virtuelles prises en charge

Les machines virtuelles suivantes sont prises en charge :

  • VMware Server 2.0 ou versions ultérieures
  • VMware Workstation 6.5 ou versions ultérieures

Les machines VMware ESXi 4.0 et Hyper-V ne fonctionnent pas avec les périphériques USB.


Installation d'ABBYY FlexiCapture 9.0

Installation d'ABBYY FlexiCapture 10

Avant d'installer ABBYY FlexiCapture 10, nous vous recommandons de fermer toutes les autres applications (par ex. Microsoft Outlook, Microsoft Word, etc.).

Important ! Le programme d'installation copie des fichiers temporaires dans le dossier défini par la variable d'environnement %temp%.Si vous rencontrez des problèmes d'installation, assurez-vous que ce dossier est accessible et qu'il y a suffisamment d'espace pour stocker les fichiers temporaires.

L'installation d'ABBYY FlexiCapture 10 comprend les étapes suivantes :

  1. Installation des serveurs.
  2. Installation des stations.

Une fois que l'installation est terminée, configurez le système si nécessaire.

puce | Installation des serveurs ABBYY FlexiCapture 10
puce | Installation des stations ABBYY FlexiCapture 10
puce | Configuration du serveur et des stations de traitement


Installation des serveurs ABBYY FlexiCapture 10

Installation des serveurs ABBYY FlexiCapture 10.0

Les serveurs s'installent à partir du disque d'ABBYY FlexiCapture 10.0 via le menu de configuration. Les serveurs suivants doivent être installés :

  • Serveur d'application
  • Serveur de base de données
  • Serveur de traitement
  • Serveur de protection

Les instructions d'installation pour chaque serveur sont fournies ci-dessous.

Serveur d'application

Avant d'installer le serveur d'application, assurez-vous que les composants requis sont installés.

Si ces composants ne sont pas installés sur votre ordinateur, ils peuvent tous (à l'exception d'Internet Information Services) peuvent être installés à partir du disque d'ABBYY FlexiCapture 10.0 (Exécution automatique, 2. Installation distribuée>1. Installer des composants externes).

Si tous les composants mentionnés ci-dessus sont déjà installés, vous pouvez commencer à installer le serveur d'application. Dans le menu Exécution automatique, sélectionnez 2. Installation distribuée>2. Installer les serveurs et suivez les instructions de l'assistant d'installation. Dans la boîte de dialogue Installation personnalisée, sélectionnez Serveur d'application.

Remarque : Pour copier le package de déploiement des postes sur le serveur, dans la boîte de dialogue Installation personnalisée, sélectionnez l'option Package de déploiement des postes. Dans ce cas, vous aurez la possibilité d'installer les postes directement à partir du serveur plutôt qu'à partir du disque d'installation.

Remarque : pour installer le module de vérification de données web, dans la boîte de dialogue Configuration personnalisée, sélectionnez l'option Poste de vérification de données web. Dans ce cas, les opérateurs pourront accéder au poste de vérification de données via un navigateur. Ce module doit être installé dans le dossier « C:\Inetput\wwwroot\DataVerification\ ». ce chemin ne peut pas être modifié.

Dès que le serveur d'application est installé, la console d'administration et de suivi se lance automatiquement et vous pouvez y configurer une connexion à la base de données et accorder des droits aux opérateurs.

Serveur de base de données

Le serveur de base de données stocke les données requises pour les opérations de traitement de documents : les informations concernant les opérateurs, les lots, les événements, etc. Si le système comporte au maximum 50 stations de vérification et si 100 000 documents au maximum sont traités quotidiennement, vous pouvez utiliser Microsoft SQL Server Express Edition. Pour les volumes plus importants, l'utilisation de la version complète de Microsoft SQL Server et/ou d'un dossier de stockage de fichiers est recommandée.

Microsoft SQL Server Express Edition peut être installé à partir du disque d'ABBYY FlexiCapture 10.0 : Dans le menu Exécution automatique, sélectionnez 2. Installation distribuée>1. Installer des composants externes.

Serveur de traitement

Le serveur de traitement répartit la charge de travail entre les postes de traitement. Le moniteur du serveur de traitement est installé avec le serveur et sert à surveiller les opérations du serveur et à définir les priorités des tâches.

Pour installer le serveur de traitement, dans le menu Exécution automatique, sélectionnez 2. Installation distribuée>2. Installer les serveurs et suivez les instructions de l'assistant d'installation. Dans la boîte de dialogue Installation personnalisée, sélectionnez Serveur de traitement.

Dès que le serveur de traitement est installé, vous devez le configurer (c'est-à-dire démarrer le serveur, ajouter les postes de traitement, etc.).

Serveur de protection

Le système nécessite une clé de protection valide qui doit être activée sur le serveur d'activation d'ABBYY. Ceci peut être effectué via l'application Gestionnaire de licences qui se lance automatiquement dès que vous avez installé le serveur de protection.

Pour installer le serveur de protection, dans le menu Exécution automatique, sélectionnez 2. Installation distribuée>2. Installer les serveurs et suivez les instructions de l'assistant d'installation. Dans la boîte de dialogue Installation personnalisée, sélectionnez Serveur de protection.

Le Gestionnaire de licences vous permet de gérer vos licences, c'est-à-dire d'ajouter, d'activer et de sélectionner des licences et d'afficher leurs paramètres.


Installation des stations ABBYY FlexiCapture 9.0

Installation des stations ABBYY FlexiCapture 10

Les stations sont installées à partir du disque d'ABBYY FlexiCapture 10 via le menu de configuration. Vous pouvez également installer les stations depuis le serveur si la station installée a été copiée sur le serveur lors de l'installation du serveur d'application.

Les stations suivantes doivent être installées :

  • Station de configuration de projets

  • Station de numérisation

  • Station de vérification de données

  • Station de vérification

  • Station de traitement

Les stations de numérisation, de vérification et de vérification de données peuvent fonctionner dans un réseau local mais à distance via Internet. L'authentification s'effectue via un identifiant et un mot de passe.


Installation d'ABBYY FlexiCapture 9.0 dans un réseau local

Installation d'ABBYY FlexiCapture 10 dans un réseau local

ABBYY FlexiCapture 10 peut être installé et utilisé sur un réseau local.

Pour pouvoir installer les stations à partir du serveur, vous devez sélectionner l'option Programme d'installation des stations lorsque vous installez le serveur d'application. Les fichiers nécessaires à l'installation des stations à partir du serveur seront copiés sur le serveur.

ABBYY FlexiCapture 10 peut être facilement déployé sur plusieurs ordinateurs en réseau local. L'installation réseau s'effectue en deux phases : premièrement, les fichiers de la station d'ABBYY FlexiCapture 10 sont copiés sur le serveur lors de l'installation du serveur d'application ; ensuite, les stations peuvent être installées à partir du serveur via le réseau local.

Pour obtenir des instructions détaillées, consultez le Guide de l'administrateur, accessible dans le menu Exécution automatique.


Changement de mode d'installation, réparation et suppression d'ABBYY FlexiCapture 9.0

Réparation et suppression d'ABBYY FlexiCapture 10

Pour réparer des fichiers corrompus ou supprimés :

  1. Sélectionnez Démarrer > Panneau de configuration > Ajout/suppression de programmes, sélectionnez Serveurs d'ABBYY FlexiCapture 10 ou Stations d'ABBYY FlexiCapture 10 à partir de la liste des programmes installés puis cliquez sur Modifier.

  2. Sélectionnez l'élément Réparer, puis cliquez sur Suivant.

Pour supprimer ABBYY FlexiCapture 10 de votre ordinateur :

  1. Sélectionnez Démarrer > Panneau de configuration > Ajout/Suppression de programmes, puis sélectionnez Serveurs d'ABBYY FlexiCapture 10 ou Stations d'ABBYY FlexiCapture 10 dans la liste des programmes installés, et cliquez sur Supprimer.

  2. Confirmez que vous souhaitez supprimer le programme.


Exécution du programme

Le serveur et la station de traitement démarrent automatiquement. Les stations et le serveur de traitement peuvent être en cours d'exécution ou arrêtés. Le serveur de traitement se lance à partir du moniteur de serveur de traitement. Les stations de traitement sont lancées par l'utilisateur ou par le serveur de traitement automatiquement (si les paramètres correspondants ont été sélectionnés).

Pour suivre et contrôler le fonctionnement du serveur de traitement et du serveur d'application, sélectionnez les éléments suivants à partir du menu Démarrer :

  • Démarrer/Programmes/Serveurs ABBYY FlexiCapture 10/Serveur de traitement pour démarrer le Moniteur de serveur de traitement
  • Démarrer/Programmes/Serveurs ABBYY FlexiCapture 10/Console d'administration et de suivi pour ouvrir la page principale de la console dans votre navigateur et contrôler le serveur d'application

Les stations d'ABBYY FlexiCapture 10 se lancent en sélectionnant les éléments de menus correspondants à partir de Démarrer/Programmes/Stations ABBYY FlexiCapture 10.

Clés de registre contrôlant le lancement de l'application

Vous pouvez utiliser les clés de registre suivantes (sous Shell\StartUp) pour contrôler le processus de lancement de l'application :

  • Project : détermine le projet automatiquement ouvert au lancement de l'application ;
  • Batch : détermine le lot automatiquement ouvert au lancement de l'application (le lot doit être spécifié) ;
  • ProhibitChangePath : empêche de modifier le lot et le projet qui s'ouvrent automatiquement en mode opérateur (définir la valeur de la clé sur True).

Par défaut, ces clés ne sont pas créées dans le registre. Si nécessaire, l'administrateur peut ajouter ces clés au registre du système d'exploitation de l'utilisateur.

Il est possible d'écraser les clés de registre par les paramètres de lancement de la ligne de commande correspondante.

Paramètres de lancement via la ligne de commande

Les paramètres suivants servent à démarrer des stations à partir de la ligne de commande :

FlexiCapture.exe [/Station:(Setup,Validator,Verificator)] [/Project:"chemin d'accès du projet"] [/Batch:"nom du lot"] [/ProhibitChangePath].

  • [/Station:(Setup,Validator,Verificator)] : définit la station (station de configuration de projet, station de vérification ou station de vérification des données respectivement). Si aucun mode n'est défini, le programme vous invite à sélectionner un mode au démarrage.
  • [/Project:"chemin d'accès du projet"] : détermine le projet automatiquement ouvert au lancement de l'application.
  • [/Batch:"nom du lot"] : détermine le lot automatiquement ouvert au lancement de l'application.
  • [/ProhibitChangePath] : empêche de modifier le lot et le projet qui s'ouvrent automatiquement en mode opérateur.


Utilisation de modèles créés avec des versions antérieures d'ABBYY FormReader

Vous pouvez importer des modèles créés avec ABBYY FormReader 6.5 ou 6.0 dans ABBYY FlexiCapture 10.

Quand vous importez une définition de document créée avec une version antérieure, le marquage de page (à l'exception des champs de service) et les types de données sont importés. Les types de données sont copiés dans le dossier Personnalisé dans les types de données de la définition de document. Pour plus d'informations, consultez la section Types de données des champs d'entrée de texte.

Important ! Les paramètres d'exportation, les règles de validation et les images contenus dans le lot ne sont pas importés.

Pour importer une définition de document créée avec ABBYY FormReader 6.5 ou 6.0 :

  1. Démarrez la station de configuration de projet.
  2. Créez un nouveau projet ou ouvrez un projet existant dans lequel vous souhaitez importer une définition de document créée avec une version précédente du programme.
  3. Dans le menu principal, sélectionnez Projet > Définitions de document…
  4. Dans la boîte de dialogue Définitions de document, cliquez sur Importer….
  5. Dans la liste déroulante Fichiers de type, sélectionnez Lots FormReader 6.5 (*.frm), puis sélectionnez le lot dont vous souhaitez importer la définition de document.

La définition de document importée est alors ajoutée à la liste de modèles. Si plusieurs définitions de document sont présentes dans le lot, les modèles sont tous importés. Si vous avez spécifié une structure pour des documents de plusieurs pages dans ABBYY FormReader 6.5, les modèles décrits par cette structure sont fusionnés dans une seule et même définition de document multipage.

Conseils.
  1. Pour obtenir des informations détaillées sur les différences entre les règles des anciennes versions et de la nouvelle, consultez la section Comparaison entre les règles de FormReader 6.5 et de FlexiCapture 10.
  2. Pour obtenir des conseils sur la migration des règles If-Then, des règles d'automatisation et des exportations d'automatisation de FormReader 6.5 aux scripts FlexiCapture 10, consultez la section Migration des règles et exportations FormReader 6.5 aux scripts FlexiCapture 10.


Architecture et principes de base d'ABBYY FlexiCapture 9.0

Architecture et principes de base d'ABBYY FlexiCapture 10

ABBYY FlexiCapture 10 est une application d'acquisition de données en architecture client/serveur distribuée.

ABBYY FlexiCapture 10inclut plusieurs stations de travail et serveurs. Les stations de travail sont exécutées par leurs opérateurs respectifs. Les serveurs s'exécutent sans assistance.

Vous devez configurer le système pour acquérir des données à partir de documents et :

  • établir une connexion à la base de données (sur la console d'administration et de suivi)

  • créer des projets (ceci est effectué sur la station de travail de configuration de projets par un opérateur disposant des droits Administrateur)

  • configurer des projets (ceci est effectué sur la station de travail de configuration de projets par un opérateur disposant des droits Éditeur de paramètres de projets)

  • configurer les droits et rôles des opérateurs pour chaque projet (sur la console d'administration et de suivi)

  • exécuter le serveur de traitement

Une fois que le système est configuré, les opérateurs peuvent commencer le traitement des documents et :

  • ajouter des images de document

    Sur la station de numérisation, l'opérateur peut numériser de nouveaux documents ou ajouter des images de documents déjà numérisés. La station de traitement peut enregistrer automatiquement les images qui arrivent dans le dossier actif.

  • reconnaître les images de document ajoutées

    La reconnaissance est effectuée automatiquement par la station de traitement sans intervention de l'opérateur. Les tâches sont réparties entre les stations par le serveur de traitement.

  • vérifier les résultats

    Les données reconnues sont vérifiées sur la station de vérification de données et sur la station de vérification. L'opérateur de la station de vérification disposant des droits Vérificateur peut effectuer des vérifications plus approfondies, nommément la vérification de l'assemblage du document et le contrôle des erreurs de règles au niveau lot.

  • exporter les résultats

    Les résultats sont automatiquement exportés par la station de traitement.


Serveurs ABBYY FlexiCapture 10

Serveurs ABBYY FlexiCapture 10.0

ABBYY FlexiCapture 10.0 (installation distribuée) inclut des postes et des serveurs. Les postes sont chargés de gérer les routines de traitement de documents tandis que les serveurs assurent le fonctionnement de l'intégralité du complexe de serveurs. Le complexe comprend les serveurs suivants :

  • Serveur d'application
  • Serveur de base de données
  • Serveur de traitement
  • Serveur de protection

Il est également recommandé de créer un Dossier de stockage de fichiers pour stocker vos fichiers de projets.

Remarque : il est possible d'effectuer une sauvegarde pour le serveur de base de données et le stockage des fichiers.


Serveur d'application

Le serveur d'application garantit le bon fonctionnement de l'intégralité du système ABBYY FlexiCapture 10.0. Les postes de travail communiquent entre eux via le serveur d'application.

Nous vous recommandons d'installer le serveur d'application avant d'installer les postes de travail. Avant d'installer le serveur d'application, assurez-vous que les composants requis sont installés :

Remarque : si ces composants ne sont pas installés sur votre ordinateur, ils peuvent tous (à l'exception d'Internet Information Services) être installés à partir du disque d'ABBYY FlexiCapture 10.0 . Internet Information Services est un composant Windows distribué avec le système d'exploitation Windows.

Important !
  1. Si vous utilisez un pare-feu, assurez-vous d'avoir autorisé le service de publication World Wide Web.
  2. Pour authentifier le poste de numérisation par le biais d'un identifiant et d'un mot de passe plutôt qu'en utilisant l'authentification Windows, il vous faut configurer le Serveur d'informations Internet : activez l'authentification de base au niveau de FlexiCapture/du serveur.

Une fois le serveur d'application installé, la console d'administration et de suivi démarre automatiquement (la console est installée avec le serveur) : vous pouvez y configurer une connexion à la base de données et accorder des droits d'accès aux opérateurs.


Serveur de base de données

Le serveur de base de données stocke les informations concernant les opérateurs, les lots, les opérations, les états des tâches, la progression du traitement et les données acquises.

À partir du disque d'ABBYY FlexiCapture 10, vous pouvez installer Microsoft SQL Server Express Edition qui permet de traiter jusqu'à 100 000 pages par jour et qui utilise jusqu'à 50 stations de vérification. Pour traiter des volumes plus importants, nous vous recommandons d'utiliser la version complète de Microsoft SQL Server.

Remarque : Si un dossier de stockage de fichiers dédié n'est pas utilisé, les fichiers du projet sont stockés dans la base de données.


Serveur de traitement

Le serveur de traitement répartit la charge de travail entre les postes de traitement. Un moniteur de serveur de traitement est installé avec le serveur de traitement. Il sert à surveiller les opérations du serveur et à définir les priorités des tâches. Le traitement de documents s'effectue sur le poste de traitement.

Une fois le serveur de traitement installé, vous devrez le configurer : démarrez le serveur, ajoutez, configurez et démarrez les postes de traitement et activez les dossiers actifs.

Remarque : avant de démarrer le serveur de traitement, assurez-vous que les droits d'accès du serveur de traitement ont été concédés au compte sous lequel le serveur est actuellement utilisé (<domain name\computer name>$).

Une description du processus de paramétrage est fournie ci-dessous.

  1. Démarrez le serveur de traitement.
  2. Démarrez les postes de traitement.
  3. Activez les dossiers actifs.

  • Pour démarrer le serveur de traitement :

    1. Lancez le moniteur de serveur de traitement en sélectionnant Démarrer>Programmes>Serveurs ABBYY FlexiCapture 10> Serveur de traitement.
    2. Dans l'arborescence du serveur, sélectionnez Serveurs ABBYY FlexiCapture 10, cliquez à l'aide du bouton droit et sélectionnez Ajouter un serveur…
    3. Dans la boîte de dialogue Ajouter un serveur de traitement, spécifiez l'emplacement du serveur (Hôte réseau ou Hôte local).
    4. Sélectionnez Actions>Proprietes et indiquez le chemin du serveur d'application (http://serveur). Si le serveur de traitement et le serveur d'application sont installés sur le même ordinateur, spécifiez directement son nom, car l'utilisation de l'adresse IP 127.0.0.1 ou de l'expression localhost rendra les postes de traitement inutilisables.

      Remarque : sur le serveur d'application, lancez la console d'administration et de suivi et attribuez le rôle correspondant à l'ordinateur sur lequel le serveur de traitement est installé.

    5. Cliquez sur [image] pour démarrer le serveur d'application.

  • Pour configurer les postes de traitement :

    1. Dans l'arborescence du serveur, sélectionnez Postes et cliquez sur [image]. La boîte de dialogue Ajouter des postes apparaîtra. Sélectionnez les postes souhaités dans la liste globale. Vous pouvez également spécifier le nom de l'ordinateur ou son adresse IP. Vous pouvez spécifier le nom de l'ordinateur même si des adresses IP dynamiques sont utilisées. Utilisez des adresses IP si vous rencontrez des problèmes d'accès au réseau DNS.
    2. Sélectionnez Actions>Proprietes, et dans la boîte de dialogue Proprietes de la station, réglez les paramètres du poste :
      • Nom : le nom affiché pour les postes
      • Demarrer automatiquement : cet indicateur signifie que le poste est automatiquement démarré par le serveur de traitement

        Remarque : les tentatives fréquentes de démarrage d'un trop grand nombre de postes peuvent considérablement ralentir le serveur de traitement

      • Quantite d'espace disque requise : l'espace disque minimum requis pour le fonctionnement des postes de traitement ; s'il n'y a pas assez d'espace disque libre, le poste sera arrêté.
      • Nombre maximum de processus (cœurs de CPU) : le nombre maximal de cœurs de processeurs pouvant être utilisés pour le traitement d'une tâche
      • Nombre de processus autorise (cœurs de CPU) : le nombre autorisé de cœurs de processeur pour le traitement d'une tâche ; ce paramètre est automatiquement calculé en fonction de vos paramètres matériels et de vos paramètres de licences, il ne peut pas être modifié
      • Priorite du processus : la priorité du processus
      • Types de tâches acceptables : les types de tâches que le poste peut gérer :
        • Importer des images : importer des tâches
        • Reconnaitre des pages : exporter les tâches de prétraitement
        • Prise en charge de la vérification : fusion des résultats des tâches de double vérification, ainsi que des tâches de prétraitement et de post-traitement pour les postes de vérification de données web et de vérification de données.
        • Traitement personnalisé : traitement de scripts de traitement de lots et de documents
        • Exporter des documents : tâches d'exportation de documents
    3. Cliquez sur [image] pour démarrer le poste.

    Remarque : les postes reçoivent les droits de traiter des documents du serveur de traitement lorsqu'ils se connectent au serveur.

  • Pour activer les dossiers actifs :

    1. Dans l'arborescence du serveur de traitement, sélectionnez Dossiers actifs.
    2. Sélectionnez le projet souhaité dans la liste globale de projets.
    3. Sélectionnez Activer dans le menu contextuel.

    Remarque : l'option Vérifier le dossier actif toutes les N secondes doit être sélectionnée pour le projet.

  • Pour configurer le journal du serveur de traitement :
    1. Ouvrez la boîte de dialogue Parametres de moniteur de serveur de traitement en sélectionnant Fichier>Parametres…
    2. Spécifiez les types de messages devant être journalisés (Erreurs, Avertissements, Messages d'informations).
    3. Spécifiez si les informations relatives aux tâches terminées doivent être effacées (Supprimer la tache terminee de la liste).
    4. Spécifiez les messages qui déclencheront la journalisation des informations relatives à la tâche.

      Remarque : nous déconseillons de désactiver l'option Supprimer la tache terminee de la liste pendant le fonctionnement normal du système, car ceci peut entraîner une accumulation de données et ralentir le moniteur du serveur de traitement. Désactivez cette option uniquement lors de la configuration et du réglage du système.


Serveur de protection

Le système nécessite une clé de protection valide qui doit être activée sur le serveur d'activation d'ABBYY.

ABBYY FlexiCapture 10.0 prend en charge deux types de clés de protection :

  • clé de protection matérielle
  • clé de protection logicielle.

Clé de protection matérielle

Une clé de protection matérielle est un « dongle » à brancher sur le port USB de votre ordinateur.

La clé de protection matérielle doit être branchée sur un port USB de l'ordinateur sur lequel vous avez installé le serveur de protection. La clé de protection matérielle ne peut être activée automatiquement que via Internet.

Les paramètres de votre licence sont stockés dans la clé de protection.

Important ! Pour garantir le bon fonctionnement de la clé de protection matérielle, assurez-vous que la SmartCard standard fonctionne.

Clé de protection logicielle

Une clé de protection logicielle est un fichier informatique (« fichier de licence »).

La clé de protection logicielle doit être activée sur le serveur d'activation d'ABBYY. L'activation s'effectue dans le Gestionnaire de licences ABBYY FlexiCapture 10.0 , qui démarre automatiquement une fois que le serveur de protection a été installé.

Les informations requises pour l'activation sont envoyées au serveur sous forme d'ID de produit. Cet ID est généré à partir des informations relatives à l'ordinateur sur lequel ABBYY FlexiCapture 10.0 est installé. Aucune information personnelle n'est utilisée pour générer l'ID de produit et ce code ne peut pas être utilisé pour identifier l'utilisateur.

Méthodes d'activation :

  • Automatiquement par Internet (recommandé)

    L'activation par Internet ne prend que quelques secondes et nécessite une connexion à Internet.

  • Par courrier électronique

    Un courrier électronique est automatiquement généré sur l'ordinateur sur lequel le serveur de protection est installé. Ce courrier électronique contient les données nécessaires pour activer votre fichier de licence. Pour obtenir une réponse rapide du serveur d'activation, veillez à ne pas modifier l'objet et le corps du message électronique.

  • Par courrier électronique depuis un autre ordinateur

    Pour envoyer un courrier électronique d'activation depuis un autre ordinateur, vous devez d'abord générer un courrier électronique sur l'ordinateur sur lequel le serveur de protection est installé. Collez ensuite le corps de ce courrier électronique dans un courrier sur l'autre ordinateur et envoyez-le au serveur d'activation ABBYY. Pour obtenir une réponse rapide du serveur d'activation, veillez à ne pas modifier l'objet et le corps du message électronique.

Répétition de l’activation

Vous pouvez réinstaller le serveur de protection sur un seul et même ordinateur autant de fois que vous le souhaitez sans avoir besoin de réactiver. Toutefois, si vous installez des mises à jour matérielles importantes, si vous formatez le disque dur ou si vous réinstallez le système d'exploitation, vous devrez probablement réactiver le produit.

Le nombre d'activations est contrôlé pour chaque numéro de série. Si vous dépassez le nombre maximum d'activations, vous ne pourrez plus activer votre fichier de licence. Vous pouvez libérer une licence activée en commençant une procédure de désactivation. Ceci réduira la valeur du compteur d'activations.

Gestion de vos licences

Les licences peuvent être ajoutées, activées, sélectionnées et désactivées Les informations de chaque licence peuvent être visualisées dans le Gestionnaire de licences ABBYY FlexiCapture 10.0, qui est installé avec le serveur de protection.

Pour lancer le gestionnaire de licences ABBYY FlexiCapture 10.0 :

  • Sélectionnez Démarrer>Programmes>ABBYY FlexiCapture 10.0 Serveurs>Outils>Gestionnaire de licences ABBYY FlexiCapture 10.0.

Ajout d’une nouvelle licence

Pour ajouter une nouvelle licence :

  1. Dans la fenêtre principale du Gestionnaire de licences ABBYY FlexiCapture 10.0, cliquez sur Activer....
  2. Saisissez votre numéro de série, cliquez sur Suivant et suivez les instructions de l'Assistant d'activation d'ABBYY FlexiCapture 10.0.

    Remarque : Si aucune licence n'a été ajoutée, lorsque vous lancez le gestionnaire de licences ABBYY FlexiCapture 10.0, l'Assistant d'activation ABBYY FlexiCapture 10.0 est lancé automatiquement et le programme vous demande de saisir votre numéro de série.

Mise à jour d’une licence

Vous pouvez mettre à jour votre licence en chargeant les informations de licence mises à jour à partir du serveur d'enregistrement ABBYY :

  1. Dans la fenêtre Gestionnaire de licences ABBYY FlexiCapture 10.0, sélectionnez la licence à mettre à jour, puis cliquez sur Mettre à jour...
  2. Sélectionnez une méthode de mise à jour et mettez à jour votre licence.

Sélection d'une licence d'utilisation

Pour sélectionner une licence à utiliser :

  1. Dans la fenêtre Gestionnaire de licences ABBYY FlexiCapture 10.0, sélectionnez la licence que vous voulez utiliser.
  2. Cliquez sur le bouton Sélectionner ou choisissez Sélectionner dans le menu local de la licence.

Désactivation d'une licence.

Pour désactiver une licence, dans la fenêtre Gestionnaire de licences ABBYY FlexiCapture 10.0, faites un clic droit sur la licence à désactiver, et sélectionnez Désactiver dans le menu local.


Dossier de stockage de fichiers

Les fichiers de projets (c'est-à-dire les documents, les définitions de documents, etc.) doivent être stockés dans un dossier de stockage de fichiers dédié. Le dossier de stockage de fichiers doit être spécifié sur la console d'administration et de suivi. Le dossier de stockage de fichiers doit être situé sur le même ordinateur que le serveur d'application. Assurez-vous d'avoir spécifié le chemin d'accès local du dossier de stockage de fichiers (c'est-à-dire c:\\...) et non le chemin réseau (c'est-à-dire \\serveur\...). Si aucun dossier de stockage de fichiers n'est spécifié, les fichiers seront stockés dans la base de données.

Remarque : le stockage de fichiers dans la base de données peut considérablement augmenter la charge du serveur SQL étant donné que les images traitées occupent généralement beaucoup d'espace. Nous vous recommandons donc de ne pas utiliser la base de données pour stocker les fichiers de projets, sauf pour les projets de démonstration.

La taille du dossier de Stockage de fichiers dépend des images en cours de traitement. Voici comment obtenir une estimation de la taille requise : taille moyenne de l'image à traiter * le nombre d'images de l'ensemble * 2.


Postes ABBYY FlexiCapture 10

Postes ABBYY FlexiCapture 10.0

L'application complexe comprend les postes suivants :

  • Poste de configuration de projets

  • Poste de numérisation

  • Poste de traitement

  • Poste de vérification de données

  • poste de vérification ;

  • poste de vérification de données web

L'application complexe comprend également une console d'administration et de suivi.


Poste de configuration de projets

Le Poste de configuration de projets est le poste sur lequel les projets sont créés, configurés et débogués. Un projet spécifie les définitions de documents, les types de lots, l'importation d'images, l'exportation de documents et les options de traitement.

Pour créer et configurer un projet :

  1. Créez un projet et téléchargez-le vers le serveur d'application.
  2. Ouvrez le projet sur le serveur et configurez ses propriétés.
  3. Créez des Définitions de documents.
  4. Créez des Types de lots.
  5. Créez des Profils d'importation d'images.

Important ! Seul l'administrateur peut créer des nouveaux projets. Un opérateur de configuration de projets peut uniquement configurer les projets déjà créés.

  1. Création d'un nouveau projet

    Une fois que l'administrateur a établi une connexion à la base de données, il devra :

    1. lancer le poste de configuration de projets (Démarrer>Programmes>Postes ABBYY FlexiCapture 10.0>Poste de configuration de projets)
    2. créer un projet
    3. télécharger le projet vers le serveur d'application

    Une fois le projet téléchargé vers le serveur d'application, l'administrateur peut concéder les droits de configuration pour le projet à un opérateur de configuration de projets.

  2. Propriétés du projet

    Pour configurer les propriétés du projet, l'opérateur de configuration de projets devra :

    1. Lancer le poste de configuration de projets.
    2. Sélectionner Fichier>Ouvrir un projet à partir du serveur… et définir le chemin d'accès du serveur d'application. Une boîte de dialogue Ouvrir un projet existant à partir du serveur d'application apparaîtra.
    3. Sélectionner le projet dans la liste de tous les projets disponibles.
    4. Sélectionner Projet>Propriétés du projet… et définir les propriétés du projet : options de prétraitement d'images, options de reconnaissance de documents, gestionnaires d'évènements, paramètres d'exportation et options de traitement.

  3. Création de définitions de documents

    Pour déterminer comment les types de documents doivent être identifiés et traités, l'opérateur de configuration de projets doit créer des définitions de documents. Une définition de document inclut des informations sur la structure du document, sur les positions de ses champs, sur les options de traitement de documents et sur l'exportation, etc. Les définitions de documents sont créées dans un Assistant de définition et les propriétés sont spécifiées dans l'Éditeur de définitions de documents.

  4. Création de types de lots

    ABBYY FlexiCapture 10.0 peut traiter les documents par lots : avant le traitement, un lot est créé et les images de documents sont placées dans ce lot, qui passe ensuite par les différentes étapes de traitement. En règle générale, un lot contient tous les documents traités en une fois ou tous les documents importés à partir d'un dossier particulier. Les paramètres à utiliser pour le traitement des documents sont spécifiés dans le type de lot. Vous pouvez créer différents types de lots pour les jeux d'options de traitement les plus couramment utilisés. Dans ce cas, à chaque fois qu'un opérateur crée un nouveau lot, il peut spécifier son type et le lot sera traité en fonction des paramètres spécifiés pour ce type de lot.

    Remarque :

    • Si aucun type de lot n'est créé, tous les lots sont traités avec les paramètres par <default> spécifiés pour l'intégralité du projet.
    • Les documents peuvent être vérifiés ou exportés par lots ou individuellement. Ceci se spécifie également dans les paramètres du type de lot.

  5. Création de profils d'importation d'images

    Pour automatiser le processus d'ajout d'images, des profils d'importation d'images peuvent être créés sur le poste de configuration de projets. Deux types de profils sont disponibles : un profil impliquant l'utilisation d'un scanner et un autre profil impliquant l'utilisation d'un dossier actif. Un profil de scanner peut être utilisé pour déboguer le projet. Un profil de dossier actif importe automatiquement les images sur le poste de traitement.

    Remarque :

    • Le profil de scanner est uniquement disponible sur le poste de configuration de projets.
    • Pour utiliser des dossiers actifs, vous devez activer Hot Folder pour ce projet dans le Moniteur du serveur de traitement.


Console d'administration et de suivi

Important ! Pour un bon fonctionnement de la console d'administration et de suivi, assurez-vous que votre navigateur autorise l'utilisation du JavaScript et des fenêtres pop-up.

La console d'administration et de suivi sert à configurer l'intégralité de l'application complexe et à surveiller son fonctionnement.

La console d'administration et de suivi est une interface Web disponible pour l'utilisateur du serveur d'application. Elle donne accès au serveur via un navigateur Internet. La console peut être ouverte sur tout ordinateur pouvant accéder au serveur d'application en saisissanthttp://<AppServer>/FlexiCapture10 dans le navigateur où <AppServer> doit être remplacé par le nom de l'ordinateur sur lequel le serveur d'application est installé.

La console d'administration et de suivi se lance immédiatement après l'installation du serveur d'application, ce qui permet à l'opérateur d'établir une connexion à la base de données. L'opérateur peut se connecter à une base de données existante ou en créer une.

Pour configurer une connexion à la base de données, sélectionnez Service>Serveur d'application et cliquez sur Se connecter à une base de données existante ou sur Créer une nouvelle base de données. Remplissez ensuite les champs en saisissant les données suivantes :

  • le nom de l'instance du serveur SQL ;

  • le nom de la base de données ;

  • le type d'authentification à utiliser pour accéder à la base de données ;

  • si le dossier de stockage de fichiers doit être utilisé.

    Un dossier de stockage de fichiers est un dossier local situé sur l'ordinateur sur lequel est installé le serveur d'application et qui stocke les fichiers du projet. Pour les projets de démonstration, les fichiers de projets peuvent être stockés dans une base de données. Pour tous les autres projets, sélectionnez Utiliser un stockage de fichiers externe et fournissez le chemin d'accès du dossier local approprié.

En cas de mise à jour, il se peut que vous deviez apporter des modifications à la structure de la base de données. Si tel est le cas, utilisez le script fourni avec la mise à jour. Pour exécuter le script, cliquez sur le bouton Appliquer le correctif et spécifiez le chemin d'accès du fichier de script.

En plus de la connexion à une base de données, l'administrateur doit configurer des droits d'accès pour les utilisateurs et répartir les rôles entre les opérateurs.

Important ! Les droits accordés à l'administrateur, à l'opérateur de suivi et au serveur de traitement s'appliquent à tous les projets. Par conséquent, ils peuvent être configurés immédiatement une fois la connexion avec la base de données établie. Les droits de tous les autres opérateurs sont accordés pour des projets particuliers. Par conséquent, avant d'accorder des droits aux autres opérateurs, l'administrateur doit créer des projets et les charger sur le serveur d'application. L'administrateur ne pourra pas ajouter d'opérateurs et leur accorder des droits d'accès s'il n'y a aucun projet sur le serveur d'application.

Dès que l'application complexe est configurée, le poste d'administration et de suivi peut être utilisé pour surveiller le fonctionnement de l'application complexe (c'est-à-dire suivre l'état actuel de l'application complexe et générer des rapports). En se basant sur les informations concernant l'état actuel de l'application complexe, l'administrateur apporte des modifications à la configuration ou réalloue les ressources.

L'administrateur peut consulter les états des Lots, des Tâches, des Sessions, de l'État du traitement en cours, du Journal d'évènements et du Journal d'erreurs.

Pour consulter les états, sélectionnez un projet puis sélectionnez l'élément approprié dans le menu Suivi. La liste de résultats peut être affichée à l'écran, imprimée ou enregistrée au format CSV.

L'opérateur de suivi peut non seulement obtenir des informations concernant l'état actuel de l'application complexe, mais aussi générer des rapports concernant le fonctionnement de l'application complexe.

Pour obtenir des informations détaillées sur la Console d'administration et de suivi, consultez l'aide de la console d'administration et de suivi.


Poste de numérisation

Important ! Pour plus d'informations sur le poste, consultez l'aide du poste de numérisation

L'objectif du poste de numérisation est de faciliter la numérisation de grandes quantités de documents. Le poste de numérisation peut fonctionner sur un réseau local ou distant (par Internet). L’authentification s’effectue via un identifiant et un mot de passe.

Le poste de numérisation peut être le premier poste où un document arrive. Le poste est exploité par un opérateur de numérisation qui peut ajouter des images grâce à l'une des deux méthodes suivantes :

  • la création et l'utilisation de profils de numérisation et/ou l'ajout manuel d'images
  • l'ajout des images de documents déjà numérisés à partir d'un dossier

Les profils automatisent le processus d'acquisition d'images, ce qui permet à l'opérateur d'ajouter des images en utilisant des paramètres précédemment configurés en un seul clic de souris.

En plus de l'ajout d'images, l'opérateur peut modifier les images ajoutées (consultez l'aide du poste de numérisation pour obtenir des informations supplémentaires).

En tant qu'opérateur de numérisation, les actions à mener sont les suivantes, dans l'ordre :

  • Lancer le poste de numérisation et récupérer les types de lots à partir du serveur, si l'option correspondante est réglée dans les paramètres du projet ou du poste de numérisation. Si les types de lots ne sont pas automatiquement chargés, vous pouvez les charger manuellement une fois le poste de numérisation lancé.
  • S'il reste un lot dont le traitement n'est pas terminé sur le poste, continuez le traitement de ce lot. Sinon, créez un nouveau lot.
  • Si des profils d'importation ont déjà été créés, sélectionnez le profil approprié et commencez le processus de numérisation. S'il n'existe pas de profils prêts à l'emploi, créez les profils nécessaires et utilisez-les pour numériser les documents.
  • En ajoutant des images, l'opérateur peut contrôler visuellement leurs propriétés et les modifier si nécessaire. Si cette seule action ne résout pas un problème, l'opérateur peut modifier les options de numérisation et renumériser les pages présentant des défauts.
  • Contrôlez la qualité de l'assemblage du document et corrigez toute erreur d'assemblage.
  • Dès que le lot est prêt, spécifiez ses paramètres d'enregistrement et envoyez-le vers le serveur.
  • Répétez les étapes précédentes pour le lot d'images suivant ou fermez le poste de numérisation.


Poste de vérification de données

L'objectif du poste de vérification de données est de permettre de vérifier les caractères mal reconnus. L'opérateur de vérification de données relit d'abord les caractères incertains en mode Vérification groupée puis en mode Vérification de champs. Le poste de vérification de données peut fonctionner sur un réseau local ou distant (par Internet). L’authentification s’effectue via un identifiant et un mot de passe.

Pendant la vérification groupée, l'opérateur observe des groupes de caractères similaires qui sont affichés. L'opérateur doit repérer tous les caractères mal reconnus et les corriger en les comparant avec l'image du champ correspondant si nécessaire. Si, quelle qu'en soit la raison, un caractère ne peut pas être corrigé, l'opérateur le marque comme incertain.

Pendant la vérification de champs, l'opérateur observe des champs dont les plages de valeurs sont connues à l'avance. L'opérateur doit vérifier les caractères incertains en les examinant dans leur contexte. Deux affichages sont disponibles pendant la vérification de champs : l'affichage monochamp qui extrait les caractères, et l'affichage multi-champs qui affiche tous les champs identiques sur le même écran.

Remarque : en plus de l'opérateur de vérification de données, l'opérateur de vérification et le chef-opérateur de vérification peuvent également accéder au poste de vérification de données. Qui que soit l'opérateur travaillant sur le poste, il ne peut accéder qu'à la file de vérification de données.

Pour commencer la vérification de données :

  1. Lancez le poste de vérification de données en sélectionnant Démarrer>Programmes>Postes ABBYY FlexiCapture 10.0>Poste de vérification de données.
  2. Sélectionnez le projet approprié.
  3. Cliquez sur [image] pour commencer la vérification.

    Remarque : la vérification commence par la vérification groupée, suivie de la vérification de champs. Si une définition de document ne comporte aucun champ inclus pendant la vérification groupée ou pendant la vérification de champs, le document ne sera pas mis en attente dans la file de vérification.

Vous pouvez activer le mode d’obtention de tâches automatique en cliquant sur [image] ou sur Tâche>Réception de tâches automatiques.

Une fois la vérification de données terminée, le lot ou l'ensemble de documents est envoyé vers l'étape de traitement suivante, définie par les paramètres du workflow.

Si les opérateurs de vérification de données rencontrent des problèmes en traitant les documents, ils peuvent envoyer le lot ou les documents vers l'étape Exceptions en cliquant sur [image].


Poste de vérification

Le poste de vérification permet d'effectuer des vérifications plus complexes que celles effectuées avec le poste de vérification de données. En plus des vérifications de données, le poste permet à l'opérateur de traiter les lots ou les documents problématiques, de corriger les erreurs d'assemblage, de vérifier les règles et de vérifier l'intégrité des lots. Le poste de vérification peut fonctionner sur un réseau local ou distant (par Internet). L’authentification s’effectue via un identifiant et un mot de passe.

Le poste de vérification peut être utilisé par les opérateurs suivants : opérateurs de vérification de données, opérateurs de vérification et chef-opérateurs de vérification. Le rôle sélectionné par l'opérateur lors de la connexion au poste influence les tâches pouvant être traitées à partir de différentes files :

  • Un opérateur de vérification de données ne peut traiter que les tâches de la file de vérification de données
  • Un opérateur de vérification peut traiter les tâches de n'importe quelle étape, sauf les tâches des étapes Exceptions et Confirmation de l'exportation.
  • Un chef-opérateur de vérification peut traiter les tâches de toutes les files. En plus de la liste des files, le chef-opérateur de vérifications peut également accéder à la liste des lots (pour plus de détails, reportez-vous à la description ci-dessous) et au mode d'affichage de chaque étape où une tâche de file particulière peut être sélectionnée.

Remarque : la liste des rôles disponibles dépend des droits d'accès de l'opérateur. Si un seul rôle est disponible pour l'opérateur, la liste des rôles n'est pas affichée.

Les files suivantes sont disponibles sur le poste de vérification :

  • <Toute>

    Cette file inclut les tâches créées dans n'importe quelle autre file. La liste des files disponibles pour un opérateur dépend du rôle sélectionné par l'opérateur lors de la connexion au poste. Les tâches sont obtenues en fonction de leur ordre de priorité.

  • Vérification de données

    Le processus de vérification de données commence par la vérification groupée suivie de la vérification de champs. Si aucun champ d'une définition de document n'est inclus dans la vérification groupée ou dans la vérification de champs, le document n'est pas placé dans la file de vérification de données.

  • Vérification de l'assemblage du document

    Pour les documents multipages, il faudra peut-être corriger des erreurs d'assemblage de documents. Les règles d'assemblage de documents sont créées avec les définitions de documents ; elles définissent l'ordre des pages et le nombre de répétitions de pages. De plus, l'assemblage de documents peut être vérifié en fonction des valeurs de champs clés. Dans ce cas les valeurs des champs clés doivent être les mêmes sur toutes les pages du document. Si les valeurs sont différentes, un message d'erreur s'affiche et les valeurs sont mises en surbrillance rouge. Il est plus facile de corriger les erreurs d'assemblage en vue Vignettes car cette vue permet à l'utilisateur de bien visualiser les images de pages et les différents documents dont elles font partie.

  • Vérification

    Si aucune file spéciale n'est spécifiée par les paramètres de traitement, la file de vérification contient toutes les tâches comportant des erreurs d'assemblage de documents, des erreurs de vérification de données et des erreurs de règles.

  • Contrôle de l'intégrité du lot

    Les règles utilisées pour les vérifications d'intégrité de données établissent des relations entre les données des documents d'un lot.

  • Exporter la confirmation

    Les données peuvent être exportées manuellement ou automatiquement. Si les paramètres de traitement ne définissent pas de file Confirmation de l'exportation distincte, les documents sont automatiquement exportés. Si les paramètres de traitement incluent une file Confirmation de l'exportation distincte, le chef-opérateur de vérification doit d'abord vérifier les documents de la tâche après laquelle la tâche a été envoyée vers la file Exportation. Si une erreur se produit pendant l'étape d'exportation, les documents sont automatiquement envoyés vers la file Exceptions.

  • Exceptions

    Les lots ou les documents problématiques, que l'opérateur ou que les postes n'ont pas pu traiter, sont envoyés vers la file Exceptions.

Remarque : les paramètres de traitement de documents (c'est-à-dire les files distinctes) sont spécifiés pour les types de lots ou pour le projet entier si aucun type de lot n'est utilisé.

Pour effectuer une tâche, sélectionnez la file souhaitée dans la liste de files et cliquez sur [image].

Vous pouvez activer le mode d’obtention de tâches automatique en cliquant sur [image] ou sur Tâche>Réception de tâches automatiques.

L'aperçu des documents de tâches est disponible dans les vues Détails et Vignettes. En vue Détails, seuls les documents de la tâche active sont affichés. En vue Vignettes, tous les documents du lot sont affichés et les pages ne faisant pas partie de la tâche active sont mises en surbrillance grise.

En plus de la liste des files et des tâches, un chef-opérateur de vérification peut accéder à une liste complète des lots pour le projet en cours. Pour ce faire, sélectionnez Affichage>Lots dans le menu, ou cliquez sur un bouton correspondant de la barre d'outils.

En mode Vue Lots, l'opérateur peut accéder aux informations concernant le niveau de certitude des lots, le nombre de pages et de documents, le type de lot, etc. En sélectionnant un lot dans la liste avec la souris, vous pouvez envoyer le lot sélectionné vers n'importe quelle étape de traitement, définir la priorité du lot, sélectionner un utilisateur particulier et ajouter un commentaire. Ainsi, vous pouvez collecter des documents appartenant à un lot à partir de différentes files de traitement et les envoyer vers une étape.

En double-cliquant, vous pouvez ouvrir le lot, parcourir la liste de documents, vérifier les données, corriger les éventuelles erreurs de règles et d'assemblage, etc. En sélectionnant un ou plusieurs documents avec la souris, vous pouvez les envoyer vers une étape de traitement et créer une tâche distincte pour ces documents.

Remarque : lorsque vous envoyez des lots vers une étape, assurez-vous que les documents du lot ne font pas partie des tâches déjà créées ; sinon, des tâches vides seront créées. Vous pouvez vérifier si le document fait partie d'une tâche dans la colonne ID de la tâche.


Poste de traitement

Lespostes de traitement fonctionnent sans assistance et gèrent les tâches suivantes : le chargement d'images depuis les dossiers actifs, l'application de définitions de documents et la reconnaissance de documents ainsi que l'exportation de données vers des emplacements de stockage prédéfinis. Les postes de traitement reçoivent des tâches du serveur de traitement.

Pour afficher les tâches en cours :

  1. Lancez le moniteur de postes de traitement en sélectionnant Démarrer>Programmes>Postes ABBYY FlexiCapture 10.0>Poste de traitement. Une boîte de dialogue Se connecter au poste s'ouvre.

    Remarque : pour démarrer le poste de traitement, dans le moniteur de postes de traitement, sélectionnez un poste et démarrez-le en sélectionnant Démarrer dans le menu Actions ou dans le menu local du poste, ou en cliquant sur le bouton correspondant de la barre d'outils. Le poste fonctionnera comme un service.

  2. Désignez l'emplacement du serveur de traitement.
    • L'Hôte réseau et le nom de l'ordinateur sur lequel le serveur de traitement est installé (si le serveur de traitement et le poste de traitement sont installés sur des ordinateurs différents)
    • L'Hôte local (si le serveur de traitement et le poste de traitement sont installés sur le même ordinateur)

Toutes les tâches actives sont affichées dans la colonne Tâches. Les informations suivantes sont disponibles pour chaque tâche : heure de début, progression, état, priorité, poste et créateur. Les tâches peuvent être triées en cliquant sur le nom de la colonne souhaitée.


Poste de vérification de données web

Semblable au Poste de vérification de données, le Poste de vérification de données web sert à vérifier les caractères mal reconnus. L'opérateur relit d'abord les caractères incertains en mode Vérification groupée puis en mode Vérification de champs.

Le Poste de vérification de données web vous permet de travailler sur le poste via Internet. L'authentification Windows et une authentification de base peuvent être utilisées pour se connecter au poste.

Lorsque vous traitez des tâches sur le Poste de vérification de données web, vous pouvez effectuer les actions suivantes en cliquant sur les boutons correspondants situés en bas de la page : afficher les Propriétés de la tâche, Enregistrer les modifications sur votre poste de travail, Rejeter la tâche ou Envoyer la tâche vers les Exceptions.

Remarque : vous ne pouvez pas importer, reconnaître ou exporter des documents sur le Poste de vérification de données web.

Pour plus de détails sur le Poste de vérification de données web, reportez-vous à la section d'Aide du Poste de vérification de données web.


Étapes de traitement

Les documents sont traités en plusieurs étapes, certaines opérations de routine sont effectuées à chaque étape, de manière automatique ou par un opérateur. Les étapes ont un ordre spécifique et pour pouvoir passer à une étape en particulier, les documents doivent d'abord passer par les étapes précédentes. Dans l'ensemble, les étapes suivantes sont requises : l'ajout d'images, la reconnaissance, la vérification et l'exportation.

À chaque étape, une file de traitement se forme (consultez Création de tâches pour plus de détails). Une file représente un ensemble de tâches pour l'étape correspondante. Tandis que le traitement progresse, les documents sont déplacés de la première file (numérisation) à la dernière file (Traités).

En cas de grands volumes de traitement, l'étape de vérification peut être subdivisée en étapes plus petites, chacune traitée par l'opérateur qui lui est propre. En d'autres termes, vous pouvez créer des étapes distinctes pour la vérification de données, la vérification, les vérifications d'assemblage de documents et la confirmation d'exportation.

Certaines étapes de traitement sont obligatoires, tandis que d'autres sont facultatives. La nécessité d'une étape dépend du système de workflows sélectionné.

Étapes

  1. Numérisation

    Les tâches de cette étape sont traitées sur le poste de numérisation. En mode Simple, l'intégralité des lots est traitée.

  2. Renumérisation

    Les tâches de cette étape sont traitées sur le poste de numérisation. La tâche est toujours envoyée à l'opérateur à l'origine de la numérisation.

  3. Reconnaissance

    La reconnaissance est automatiquement effectuée par la station de traitement. En mode Simple, l'intégralité des lots est traitée.

  4. Vérification de l’assemblage des documents

    Les tâches de cette étape sont traitées sur le poste de vérification. Si aucune étape d'assemblage de documents distincte n'est spécifiée dans les paramètres, les lots ou documents comportant des erreurs sont traités au cours de l'étape de vérification.

  5. Vérification de données

    Les tâches de cette étape sont traitées sur le poste de vérification de données ou sur le poste de vérification.

  6. Vérification

    Si aucune étape distincte n'est spécifiée, toutes les tâches comportant des erreurs d'assemblage de documents, des erreurs de données et des erreurs de règles sont envoyées vers l'étape de vérification.Les tâches de cette étape sont traitées sur le poste de vérification.

  7. Vérification de l’intégrité du lot

    Les lots présentant des erreurs d'intégrité sont envoyés vers cette étape. Les options de vérification d'intégrité sont spécifiées par des scripts lors de la configuration d'un type de lot. Les tâches de cette étape sont traitées sur le poste de vérification.

  8. Confirmation de l’exportation

    Une étape assurant une meilleure précision des données capturées. Un lot ou un document est uniquement exporté une fois que l'opérateur confirme qu'il peut être exporté. Les tâches de cette étape sont traitées sur le poste de vérification.

  9. Exporter

    Les tâches de cette file sur traitées dans le poste de traitement.

  10. Traités

    Les documents traités sont envoyés vers cette étape.

  11. Exceptions

    Les documents présentant des erreurs sont envoyés vers cette étape après le traitement automatisé. De plus, les opérateurs peuvent également envoyer des documents vers cette étape si, pour une raison ou une autre, ces documents ne peuvent pas être traités.

Création de tâches

Pour obtenir une efficacité maximale pendant le traitement d'un gros volume de documents, les lots peuvent être scindés en tâches distinctes.

Les tâches sont créées à partir de documents du serveur d'application, lorsque les documents arrivent à cette étape et lorsqu'ils peuvent être traités. Les tâches sont créées en fonction des paramètres de workflows définis.

En mode Avancé, le nombre de documents des tâches peut être défini dans les propriétés de l'étape.

Si l'option Attendre tous les documents du lot est sélectionnée, le nombre de documents de la tâche est illimité. Les documents envoyés vers l'étape et faisant partie d'une tâche resteront en attente jusqu''à la fin du traitement de tous les documents d'un lot donné.

Au cours de l'étape de vérification de l'intégrité des lots, l'accès à tous les documents de ce lot est requis ; l'opérateur reçoit donc toujours l'intégralité du lot à cette étape.

Il est également possible d'envoyer les tâches créées plus tôt vers cette étape, par exemple, lors de l'envoi de documents vers une étape depuis le poste de vérification, à condition que l'option Créer une tâche soit sélectionnée dans la boîte de dialogue Envoyer vers....

Remarque : pour les tâches créées dans des versions antérieures d'ABBYY FlexiCapture ou pour les tâches dont le traitement a été abandonné, les nouvelles tâches doivent être créées dans la Console d'administration et de suivi.

Le mode de workflow est défini dans les paramètres du Type de lot.

Consultez également Types de lots, Configuration de workflows, Workflow.


Workflow

Des systèmes préconfigurés ou personnalisés peuvent tous deux être utilisés pour traiter des documents. Les systèmes de traitement préconfigurés peuvent être non assistés (le mode Non assisté) ou impliquer des opérateurs humains (le mode Simple). Les systèmes de traitement personnalisés se configurent en mode Avancé.

Voici plus de détails sur les modes Simple, Avancé et Non assisté :

Le mode Simple nécessite l'intervention d'opérateurs humains. Dans ce mode, des étapes distinctes peuvent être utilisées pour la renumérisation, la vérification de données, la vérification de l'assemblage des documents, la vérification de l'intégrité des lots et la confirmation de l'exportation. Pour les étapes de vérification de données, de vérification de l'assemblage des documents, de vérification de l'intégrité des lots et de confirmation de l'exportation, il est également possible d'utiliser des postes web. Les documents (ou des lots entiers) peuvent passer automatiquement par ces étapes (s'il n'y a aucune erreur de traitement) ou y passer après avoir été contrôlés et corrigés par un opérateur. Si une erreur se produit, le document est envoyé vers l'étape Exceptions. Un opérateur peut également envoyer un document vers l'étape Exceptions de la même manière.

En mode Avancé, des systèmes de workflows complexes peuvent être configurés. Dans ce mode, il est possible de modifier les paramètres des étapes de base, ainsi que de créer des étapes personnalisées et de les inclure dans le système de traitement. Vous pouvez également activer la double vérification grâce à laquelle les documents seront vérifiés par deux opérateurs différents sur le poste de vérification de données. Dans ce mode, vous pouvez également utiliser des scripts pour traiter des documents ou des lots entiers.

En mode Non assisté, aucune intervention de l'opérateur n'est requise pour traiter et exporter les documents. En cas d'erreur, l'image non reconnue peut être enregistrée dans un dossier prévu à cet effet qui peut être sélectionné dans l'onglet Exportation alors que les documents dont la reconnaissance a réussi sont automatiquement exportés. En mode Non assisté, les lots sont traités dans leur intégralité.

L'ordre de traitement est spécifié pour chaque type de lot. Lorsqu'un nouveau lot est créé, un type prédéterminant l'ordre de traitement lui est attribué.

Si aucun type de lot n'est créé, tous les lots sont traités avec les paramètres par <default> spécifiés pour l'intégralité du projet.


Configuration du programme

Avant d'entrer des documents en masse, vous devez configurer le programme pour traiter les documents du type requis. Tous les paramètres requis sont configurés dans la station de configuration de projet.

Pour configurer le traitement des documents, créez un projet contenant :

  • des profils d'importation d'image ;
  • une ou plusieurs définitions de document ;
  • les types de lots à traiter.

Vous pouvez inclure différentes définitions de document dans le projet, auquel cas les différents documents seront traités dans le cadre du même projet, en fonction de la définition de document appliquée. Toutefois, si les flux de documents ne s'entrecoupent jamais, vous pouvez créer des projets différents pour chaque type de document.

puce | Création d'un projet
puce | Définitions de document
puce | Profils d'importation d'image
puce | Paramètres d'exportation par défaut
puce | Types de lots
puce | Lots de documents
puce | Champs d'index


Configuration d'ABBYY FlexiCapture 9.0

Configuration d'ABBYY FlexiCapture 10

Pour configurer ABBYY FlexiCapture pour le traitement distribué de documents :

  1. Configurez le serveur d'application sur la console d'administration et de suivi.
  2. Téléchargez le projet sur le serveur d'application.
  3. Accordez des droits d'accès aux opérateurs sur la console d'administration et de suivi.
  4. Configurez le serveur de traitement et les stations de traitement dans le moniteur de serveur de traitement.
  5. Configurez le flux de travail sur la station de configuration de projets.


Configuration du serveur d'application

Le serveur d'application est configuré par l'administrateur système sur la console d'administration et de suivi.

Pour configurer le serveur d'application, lancez la console d'administration et de suivi, accédez à la page Créer une nouvelle base de données (Service>Serveur d'application, bouton Créer une nouvelle base de données) puis spécifiez les éléments suivants :

  • le nom de l'instance de serveur SQL ;
  • le nom de la base de données ;
  • le type d'authentification ;

    Remarque : vous pouvez sélectionner Authentification Windows ou Authentification Serveur de base de données. Il est recommandé d'utiliser l'authentification Serveur de base de données étant donné que l'authentification Windows peut ne pas fonctionner correctement dans certaines configurations. Pour vérifier si le type de connexion sélectionné fonctionne, utilisez le bouton Tester la connexion.
    Pour utiliser l'authentification Serveur de base de données, l'administrateur doit disposer d'autorisations.

  • Définir l'emplacement de stockage des fichiers

Remarque : le dossier dans lequel les fichiers de projets doivent être stockés doit se trouver sur le même ordinateur que celui sur lequel l'application est installée.

Les fichiers de projets peuvent être stockés directement dans la base données ou être stockés dans un dossier de stockage de fichiers dédié. Si aucun dossier de stockage de fichiers n'est spécifié, les fichiers seront stockés dans la base de données. La base de données peut être utilisée pour stocker les fichiers de projets de démonstration. Pour les autres projets, un emplacement de stockage externe doit être spécifié.


Accorder des droits d'accès aux utilisateurs

Les droits d'accès sont accordés par l'administrateur via la console d'administration et de suivi. L'administrateur configure les droits d'accès de l'utilisateur et répartit les rôles entre les opérateurs.

Pour plus de détails sur les droits d'accès, reportez-vous à la section Aide de la console d'administration et de suivi.


Configuration du serveur et des postes de traitement

Le serveur de traitement se configure grâce au moniteur de serveur de traitement, une application qui est automatiquement installée avec le serveur.

Pour configurer le serveur de traitement :

  1. Lancez le moniteur de serveur de traitement en sélectionnant Démarrer>Programmes>Serveurs ABBYY FlexiCapture 10.0>Serveur de traitement.
  2. Ajoutez le serveur en sélectionnant Actions>Ajouter un serveur…
  3. Spécifiez le chemin d'accès du serveur d'application (Actions>Proprietes).
  4. Démarrez le serveur de traitement (Actions>Démarrer)

    Remarque : pour démarrer le serveur de traitement, l'administrateur doit attribuer des droits au compte utilisateur sur lequel le serveur fonctionne (c'est-à-dire, <nom du domaine\nom de l'ordinateur>$).

  5. Créez la liste des postes de traitement, spécifiez leurs propriétés et démarrez-les :
  • Pour ajouter un poste, accédez au nœud Postes de l'arborescence du serveur de traitement et sélectionnez Actions>Ajouter des stations…
  • Pour configurer un poste, sélectionnez-le dans la liste globale des postes et sélectionnez Proprietes dans son menu contextuel.
  • Spécifiez les paramètres de poste requis : lancement, priorité, types de tâches possibles, etc.

    Important ! Le nombre maximal de traitements simultanés (champ Nombre maximum de processus (cœurs de CPU) ne peut pas être supérieur au nombre de traitements autorisé (champ Nombre de processus autorise (cœurs de CPU) ). Dans le même temps, le nombre total de traitements simultanés sur tous les postes de traitement ne peut pas être supérieur au nombre autorisé par votre licence. Si vous essayez de démarrer davantage de postes, ils ne fonctionneront pas.

En règle générale, les postes de traitement et le serveur de traitement peuvent s'exécuter sous des comptes différents. Même si, par défaut, ils sont démarrés sous le service réseau, les postes de traitement s'exécutent sous le même compte que le serveur de traitement. Les droits sont accordés aux postes par le serveur de traitement lorsque les postes sont connectés au serveur.

Dans le moniteur de serveur de traitement, vous pouvez également configurer des dossiers actifs.

Pour activer les dossiers actifs :

  1. Dans l'arborescence du serveur de traitement, sélectionnez Dossiers actifs.
  2. Sélectionnez le projet souhaité dans la liste globale de projets.
  3. Dans la fenêtre principale, sélectionnez Actions>Activer.

Remarque : l'enregistrement des images des dossiers actifs commencera uniquement une fois que le projet correspondant a été associé au serveur de traitement.

De plus, le moniteur du serveur de traitement vous permet de définir les priorités des tâches et d'effectuer le suivi des tâches. Pour ce faire, accédez au nœud Tâches de l'arborescence du serveur de traitement.

Les informations relatives au type de tâche (importation à partir d'un dossier actif, prétraitement, exportation), à l'heure de début d'exécution de la tâche, au nom du lot, à la progression de l'exécution, à l'état, à la priorité, à l'auteur et au nom du poste sur lequel la tâche est exécutée ainsi qu'au chemin d'accès du projet sont disponibles dans la liste des tâches.

Vous pouvez changer la priorité d'exécution des tâches dans le menu contextuel des tâches ou en utilisant les boutons correspondants de la barre d'outils. Une priorité élevée, normale ou faible peut être sélectionnée. La possibilité de changer la priorité vous permet d'accélérer le traitement d'une tâche importante et de différer le traitement des documents moins urgents.

L'état Avec succès indique que la tâche a été accomplie avec succès. Si une erreur se produit pendant l'exécution de la tâche, l'état Échec est attribué à la tâche. L'état s'affiche également sous la forme d'une icône à côté du nom de la tâche.

Remarque : si des messages d'information, des avertissements ou des erreurs s'affichent pendant l'exécution de la tâche, mais si l'exécution de la tâche est quand même considérée comme réussie (étant donné que les problèmes ne sont pas critiques pour la tâche), vous pouvez retrouvez une trace de tels états via les icônes des tâches exécutées. Par exemple, une telle situation peut se produire si une exportation non obligatoire échoue car l'accès au récepteur de données a été refusé.

L'option Afficher le journal ouvre une fenêtre supplémentaire contenant des informations détaillées sur toutes les actions exécutées par le programme lors du traitement d'une tâche sélectionnée. Par exemple, vous pouvez retrouver une trace de la méthode de sélection d'une définition de document requise lors de la reconnaissance, ou examiner les messages d'information et les avertissements.

La liste contenant tous les évènements peut être enregistrée sous la forme d'un fichier texte (*.txt). Pour ce faire, sélectionnez l'option Exporter une liste….

Par défaut, le Moniteur du serveur de traitement est configuré de façon à ce que les informations relatives aux tâches effectuées avec succès soient automatiquement supprimées de la liste des tâches. Dans la boîte de dialogue Fichier>Parametres…, vous pouvez également configurer les paramètres d'affichage des tâches et supprimer des tâches de la liste des tâches. Si la totalité des statistiques relatives à l'exécution des tâches sur le serveur de traitement doit être conservée, désélectionnez l'option Supprimer la tache terminee de la liste.


Configuration des workflows

L'ordre dans lequel un lot doit être traité est spécifié pour chaque type de lot. Lorsqu'un lot est créé, son type est défini et le lot est traité en fonction des paramètres de ce type de lot.

Si aucun type de lot n'est créé, tous les lots sont traités avec les paramètres <default> spécifiés pour l'intégralité du projet (Projet>Propriétés du projet…, onglet Workflow)

Les workflows se configurent dans l'onglet Workflow de la boîte de dialogue Propriétés du type de lot.

Les modes de workflow suivants sont disponibles : Simple, Avancé et Non assisté.

Le mode Simple comprend les étapes suivantes : Numérisation, Renumérisation, Reconnaissance, Vérification de données, Vérification de l’assemblage des documents, Vérification, Vérification de l’intégrité du lot, Confirmation de l’exportation, Exporter et Traité.

Vous pouvez spécifier les options de traitement suivantes :

  1. Traiter l'intégralité des lots
    • Si cette option est sélectionnée, le lot entier est traité (c'est-à-dire que le lot n'est pas transféré à moins que tous les documents qu'il contient soient traités).
    • Si cette option n'est pas sélectionnée, chaque document de ce lot est envoyé vers l'étape suivante dès qu'il a été traité.
  2. Ignorer la vérification et la vérification de données si la nécessité de vérification des caractères est inférieure ou égale à : le document est envoyé pour vérification uniquement s’il y a des erreurs ou si le nombre de caractères en surbrillance est supérieur à celui spécifié dans le champ % par document.
    Remarque : si vous sélectionnez toujours pour n'importe quel champ des Paramètres de vérification de champs, le document sera quoi qu'il arrive envoyé pour vérification.
  3. Utilisez des étapes distinctes de :
    • Renumérisation
    • Vérification de données
    • Vérification de l’assemblage des documents
    • Vérification
    • Vérification de l’intégrité du lot
    • Confirmation de l’exportation

    Toutes les étapes, hormis l'étape Vérification, sont facultatives.

    La création d'étapes de vérification distinctes divise l'étape de vérification en sous-étapes, chacune d'elles étant prise en charge par l'opérateur qui lui est dédié. Ainsi, chaque opérateur sera responsable d'une seule tâche : vérification de données, vérification de l'assemblage des documents, etc.

    Si toutes les étapes ci-dessus sont prises en charge par un opérateur, il/elle devra accomplir toutes les tâches l'une après l'autre : récupérer les documents de l'étape de vérification de l'assemblage des documents, vérifier l'assemblage, récupérer les données de l'étape de vérification de données puis les vérifier, etc.

    Vous pouvez également utiliser les postes web pour toutes les étapes, sauf pour l'étape Renumérisation. Pour ce faire, dans la colonne Autoriser les postes web, cochez la case située à côté de l'étape souhaitée. La vérification de données s'exécutera sur le poste de vérification de données web alors que les autres étapes s'exécuteront sur le poste de vérification web.

Le mode Avancé vous permet de configurer des schémas de workflow complexes. Dans ce mode, vous pouvez modifier des étapes de base et créer des étapes personnalisées.

Remarque : un délai existe entre le moment où les paramètres de workflows Avancé sont appliqués sur le Station de configuration de projets et le moment où ils sont affichés sur le Station de vérification.

Le schéma Avancé comporte les étapes de base suivantes :

  • Exceptions
  • Numérisation
  • Renumérisation
  • Reconnaissance
  • Traitement non assisté
  • Vérification de données
  • Vérification
  • Vérification de l’assemblage des documents
  • Vérification de l’intégrité du lot
  • Confirmation de l’exportation
  • Exporter
  • Traité

Sélectionnez les étapes à inclure dans le schéma de workflow. Toutes les étapes, hormis les étapes Numérisation et Traité sont facultatives.
Pour changer l'ordre de la séquence des étapes, utilisez les boutons Déplacer vers le haut et Déplacer vers le bas situés à droite. Pour les étapes ne pouvant pas être exécutées ultérieurement ou antérieurement, les boutons correspondants sont grisés.

Pour chaque étape, le nombre maximal de documents qu'une tâche peut contenir est spécifié dans la colonne Nombre de documents par tâche. Pour modifier le nombre de documents traités par tâche pour une étape, cliquez sur le nombre et saisissez une nouvelle valeur.
Remarque : au cours des étapes Vérification de l’intégrité du lot et Traité, les lots sont traités dans leur intégralité ils ne sont pas divisés en tâches. Par conséquent, pour ces étapes, le nombre de documents traités par tâche ne peut pas être modifié.

Le type de base de chaque étape est spécifié dans la colonne Type de base. Type de base désigne le type dont les paramètres de base ont été utilisés à la création de l'étape.

Vous pouvez afficher chaque étape et modifier ses propriétés. Pour ouvrir une boîte de dialogue contenant les propriétés d'une étape, sélectionnez une étape puis cliquez sur le bouton Éditer… situé à droite. Pour obtenir des détails, consultez la section Modification des propriétés des étapes.

En plus des étapes de base, vous pouvez également créer des étapes personnalisées à inclure dans le schéma de workflow. Les étapes personnalisées peuvent être basées sur les outils d'étapes. Elles vous permettent de créer des étapes ayant le même type de base mais ayant des propriétés d'étape différentes.

Pour ajouter une étape, cliquez sur le bouton Étape… situé à droite. Dans la fenêtre qui s'ouvre, sélectionnez une étape de base en fonction de laquelle une nouvelle étape sera créée et spécifiez les propriétés de l'étape. La nouvelle étape sera ajoutée au schéma. Pour obtenir des détails, consultez la section Création des étapes de traitement.
Pour supprimer une étape personnalisée, sélectionnez-la puis cliquez sur le bouton Supprimer situé à droite.

Si le transfert vers l'étape est soumis à des conditions, l'étape est signalée grâce à l'icône [image]. Si les documents sont toujours admis pour une étape, l'étape comporte l'icône [image].

En mode Non assisté, les documents sont traités et exportés sans l'intervention de l'opérateur. Si des erreurs de traitement se produisent, l'image non reconnue peut être enregistrée dans un dossier dédié (défini dans l'onglet Exporter) et les documents traités avec succès sont automatiquement exportés. Dans ce mode, les lots sont traités dans leur intégralité.


Création d'étapes de traitement

Les étapes personnalisées se créent dans le mode Avancé de la Configuration de workflows.
Pour ajouter une étape personnalisée, cliquez sur le bouton Étape… situé à droite.La fenêtre Créer une étape de traitement qui s'ouvre contient la liste des étapes de base et des étapes personnalisées créées précédemment en fonction desquelles une nouvelle étape peut être créée. Les propriétés de l'étape sélectionnée sont affichées en bas de la boîte de dialogue, sous la légende Paramètres sélectionnés.

Il existe trois types d'étapes en mode Avancé :

  1. Automatique : les tâches de ce type sont exécutées sur le poste de traitement sans intervention d'un opérateur.
    L'étape Automatique comprend les sous-étapes suivantes :
    • Reconnaissance
    • Traitement non assisté
    • Exporter
  2. Interactive : les tâches de ce type sont traitées par les opérateurs sur le poste de vérification, sur le poste de vérification de données ou sur le poste de numérisation.
    L'étape Interactive comprend les sous-étapes suivantes :
    • Numérisation
    • Vérification de données
    • Vérification de l’assemblage des documents
    • Vérification
    • Vérification de l’intégrité du lot
    • Confirmation de l’exportation
  3. Type d'utilisateur : les tâches de ce type sont récupérées, exécutées et renvoyées vers l'étape suivante par l'intermédiaire de clients externes via l'API de service web.

Remarque : pour ajouter un script de traitement au schéma de workflow, sélectionnez l'étape Automatique.

Sélectionnez une étape de base en fonction de laquelle vous souhaitez créer une nouvelle étape puis cliquez sur OK. Une boîte de dialogue Propriétés de l'étape de workflow s'ouvrira. Cette boîte de dialogue contient les onglets suivants :

  • Généralités
  • Ensemble de données (uniquement disponible pour les étapes Vérification de données et Vérification)
  • Script (uniquement pour l'étape Automatique)
  • Chemins de sortie (pour toutes les étapes sauf les étapes Exceptions, Renumérisation et Traité)
  • Entrer les conditions (pour toutes les étapes sauf les étapes Exceptions et Traité)

La liste d'options disponibles pour chaque onglet dépend du type ou de l'étape sélectionné(e). Pour obtenir une description détaillée des propriétés des étapes, consultez Modification des propriétés des étapes.


Modification des propriétés d'étapes

Dans le mode Avancé de la Configuration du workflow, vous pouvez spécifier les propriétés des étapes lors de la création d'une nouvelle étape ainsi que modifier les propriétés des étapes personnalisées créées récemment ou des étapes de base.
Les propriétés des étapes se spécifient et se modifient dans la boîte de dialogue Propriétés de l'étape de workflow. Pour ouvrir la boîte de dialogue correspondant à l'étape sélectionnée, cliquez sur le bouton Éditer… situé à droite.
Les propriétés sont regroupées dans des onglets. Le nombre d'onglets et d'ensembles de propriétés autorisés pour la modification dépend du type de base d'une étape sélectionnée.

Option

Description

Étape

Onglet Généralités

Nom

Dans ce champ, vous pouvez spécifier un nom d'étape différent

La propriété est disponible pour toutes les étapes

Outil

Sélectionnez l'outil souhaité du type de base souhaité dans la liste déroulante. Vous pouvez configurer les outils dans l'onglet Outils d'étapes de la boîte de dialogue Propriétés du projet.
Remarque : N'importe quel outil peut être sélectionné pour l'étape Interactive. Le type de base attribué à l'étape dépend de l'outil sélectionné.

La propriété est disponible pour les étapes suivantes :

  • Interactive
  • Vérification de l’assemblage des documents
  • Vérification de données
  • Vérification
  • Vérification de l’intégrité du lot
  • Confirmation de l’exportation

Nombre de documents par tâche

Définit le nombre maximum de documents qu'une tâche peut contenir

La propriété peut être modifiée pour toutes les étapes, sauf pour les étapes Vérification de l’intégrité du lot et Traité

Attendre tous les documents du lot

Indique si le lot complet est traité ou si chaque document du lot est envoyé vers l'étape suivante dès qu'il est traité

La propriété est disponible pour toutes les étapes, sauf pour les étapes Vérification de l’intégrité du lot et Traité

Restreindre le nombre de définitions de documents utilisées

Indique si toutes les définitions de documents ou si seules celles étant sélectionnées sont utilisées.
Remarque : si l'ensemble des définitions de documents est restreint et si l'option Attendre tous les documents du lot est sélectionnée, seuls les documents provenant de l'ensemble spécifié seront traités au cours de l'étape, toutefois la tâche envoyée vers l'étape suivante contiendra tous les documents du lot.

La propriété est disponible pour toutes les étapes, sauf pour les étapes Exceptions et Traité

Activer les postes web

 Spécifie si l'utilisation de postes web est nécessaire

La propriété est disponible pour les étapes suivantes :

  • Exceptions
  • Vérification de données
  • Vérification
  • Vérification de l’intégrité du lot
  • Confirmation de l’exportation

L'onglet Ensemble de données (uniquement disponible pour les étapes Vérification de données et Vérification)

Données traitées au cours de l'étape

Spécifie s'il faut traiter toutes les données ou uniquement les champs sélectionnés au cours de l'étape. Pour traiter les champs sélectionnés, dans la liste Champs disponibles, sélectionnez les champs à traiter. Cette liste contient les définitions de documents spécifiées dans l'onglet Généralités.
Utilisez les boutons « > » et « >> » pour ajouter les champs souhaités à la liste Champs sélectionnés.
Le bouton « > » ajoute un élément sélectionné (une définition de document, une page, un groupe de champs ou un champ) à la liste.
Le bouton « >> » ajoute toutes les définitions de documents de l'onglet Champs disponibles à la liste Champs sélectionnés.
Les boutons « < » et « << » suppriment respectivement un élément sélectionné ou tous les éléments des Champs sélectionnés.

La propriété est uniquement disponible pour les étapes Vérification de données et Vérification

Double vérification

Spécifie s'il faut activer la double vérification au cours de l'étape. Si l'option est sélectionnée, le document est vérifié par deux opérateurs différents.

La propriété est uniquement disponible pour l'étape Vérification

L'onglet Script (uniquement disponible pour l'étape Automatique)

Type

Dans la liste déroulante, sélectionnez l'un des scripts de traitement : script de traitement de lot ou script de traitement de document.

La propriété est uniquement disponible pour l'étape Automatique

Modifier le script…

Ouvre la fenêtre Éditeur de scripts.

La propriété est uniquement disponible pour l'étape Automatique

L'onglet Chemins de sortie (non disponible pour les étapes Exceptions, Renumérisation et Traité)

Étape suivante

Choisissez comment l'étape suivante est définie :

  • En fonction d'un schéma d'acheminement
  • Personnalisé (l'étape est sélectionnée dans la liste déroulante)

La propriété est disponible pour toutes les étapes, sauf pour les étapes Exceptions, Renumérisation et Traité

Envoi vers l'étape suivante sous certaines conditions

Contient la liste des étapes vers lesquelles une tâche sera envoyée si les conditions souhaitées sont respectées.
Pour ajouter une étape, cliquez sur le bouton Étape…. La boîte de dialogue Étape suivante s'ouvrira. Dans cette boîte de dialogue, vous pouvez sélectionner une étape et définir les conditions en fonction desquelles la tâche sera envoyée vers cette étape. Utilisez les boutons situés à droite pour configurer les paramètres de l'étape :

  • Règle… : ouvre la boîte de dialogue Paramètres de la règle dans laquelle vous pouvez ajouter une nouvelle règle.
  • Éditer… : ouvre la boîte de dialogue Paramètres de la règle dans laquelle vous pouvez modifier les paramètres de la règle sélectionnée.
  • Supprimer : supprime l'élément sélectionné (une règle ou un groupe de règles).
  • Groupe… : ouvre la boîte de dialogue Groupe de règles vous permettant d'ajouter un groupe de règles. Spécifiez le nom d'un groupe et sélectionnez la condition en fonction de laquelle le groupe de règles est implémenté : lorsqu'n'importe quelle règle est implémentée ou lorsque toutes les règles sont implémentées.
  • Déplacer vers le haut : déplace une règle sélectionnée ou un groupe de règles sélectionné vers le haut.
  • Déplacer vers le bas : déplace une règle sélectionnée ou un groupe de règles sélectionné vers le bas.
Pour modifier l'étape sélectionnée, cliquez sur le bouton Éditer…. La boîte de dialogue Étape suivante contenant les paramètres de l'étape sélectionnée s'ouvrira.
Pour supprimer l'étape sélectionnée, cliquez sur Supprimer.
Utilisez les boutons Déplacer vers le haut et Déplacer vers le bas pour modifier l'ordre des étapes.

La propriété est disponible pour toutes les étapes, sauf pour les étapes Exceptions, Renumérisation et Traité

L'onglet Entrer les conditions (non disponible pour les étapes Exceptions et Traité)

Les documents sont admis pour l'étape

Sélectionnez si les documents sont toujours admis pour l'étape ou si leur admission nécessite que certaines conditions soient respectées. Si l'option Sous les conditions est sélectionnée, utilisez les boutons situés à droite pour configurer les règles.
Pour ajouter une règle, cliquez sur le bouton Règle…. La boîte de dialogue Paramètres de la règle s'ouvrira.
Pour modifier la règle sélectionnée, cliquez sur Éditer…. La boîte de dialogue Paramètres de la règle contenant les paramètres de la règle sélectionnée s'ouvrira.
Pour supprimer l'élément sélectionné (une règle ou un groupe de règles), cliquez sur Supprimer.
Pour ajouter un groupe de règles, cliquez sur le bouton Groupe…. Dans la boîte de dialogue Groupe de règles qui s'ouvre, spécifiez le nom du groupe puis sélectionnez la condition selon laquelle le groupe de règles est implémenté :

  • n'importe quelle règle est implémentée
  • toutes les règles sont implémentées
Utilisez les boutons Déplacer vers le haut et Déplacer vers le bas pour modifier l'ordre des règles contenues dans un groupe.

Remarque : si la condition n'est pas respectée, le document est déplacé vers l'étape suivante spécifiée dans le système de workflows.

La propriété est disponible pour toutes les étapes, sauf pour les étapes Exceptions et Traité

Remarque : les informations relatives au chemin de sortie sélectionné et aux conditions d'entrée qui ont été cochées sont écrites dans le journal Évènement.


Boîte de dialogue Paramètres des règles

Boîte de dialogue Paramètres de la règle

Dans le mode Avancé de la configuration du workflow, vous pouvez spécifier les chemins de sortie et les conditions d'entrée pour une étape en utilisant des règles.
Vous pouvez spécifier à la fois les conditions en fonction desquelles une tâche sera envoyée vers les étapes successives et les conditions en fonction desquelles les documents seront admis pour l'étape.

L'envoi de règles se configure dans la boîte de dialogue Étape suivante qui apparaît lorsque vous ajoutez ou modifiez une étape dans l'onglet Chemins de sortie des Propriétés de l'étape de workflow.
Les règles définissant les conditions d'admission des documents pour l'étape se configurent dans l'onglet Entrer les conditions des Propriétés de l'étape de workflow.

Les chemins de sortie et les conditions d'entrée peuvent être spécifiés par des règles standard ou par un script de règle d'étape.

Pour créer une nouvelle règle, cliquez sur le bouton Règle…. Pour modifier une règle, cliquez sur Éditer….

La boîte de dialogue Paramètres de la règle contient les champs suivants :

Champ | Description
Nom | Le nom de la règle
Type de condition Vous pouvez sélectionner l'un des types suivants :
  • Règle standard
  • Script

Pour le type de condition de Règle standard :
La règle est implémentée si Sélectionnez l'un des choix suivants :
  • La condition est respectée
  • La condition n'est pas respectée
Condition Sélectionnez l'une des conditions suivantes :
  • La tâche a été traitée avec succès
  • Le nombre de caractères à vérifier respecte l'expression
  • Le pourcentage de caractères à vérifier respecte l'expression
  • Le nombre de champs à vérifier obligatoirement respecte l'expression
  • Le nombre de caractères destinés à la double vérification respecte l'expression
  • Contient des erreurs
  • Contient des erreurs d'assemblage
  • Contient des erreurs d'intégrité du lot
  • La valeur du champ respecte l'expression
Pour les conditions contenant des expressions, saisissez la valeur de référence puis sélectionnez si la valeur en cours de vérification doit être égale, différente, inférieure, inférieure ou égale, supérieure, ou supérieure ou égale à la valeur saisie.

Pour la condition La valeur du champ respecte l'expression, choisissez également un champ dont la valeur sera comparée à la valeur de référence. Pour ce faire, cliquez sur Choisir… et choisissez le champ souhaité dans la liste.

Pour le type de condition du Script :
Script… | Ouvrez la fenêtre de l'Éditeur de scripts dans laquelle vous pouvez modifier la règle d'étape. À la fermeture de l'éditeur de scripts, le code de script enregistré s'affiche dans la fenêtre Paramètres de la règle, à gauche du bouton Script….


Création d'un projet

Avant de pouvoir commencer le traitement de vos documents, il vous faut créer un projet. Un projet inclut :

  • des profils d'importation d'image
  • une définition de document ou plus
  • des types de lots

Dès qu'un projet est créé, téléchargez-le vers le serveur d'application.

Les projets sont créés sur la station de configuration de projets et sont téléchargés vers le serveur d'application via la console d'administration et de suivi.

Pour créer un nouveau projet, sélectionnez Fichier>Nouveau projet…

puce | Propriétés du projet
puce | Définitions de document
puce | Profils d'importation d'images
puce | Types de lots
puce | Lots


Propriétés de projets

Vous pouvez consulter et modifier les propriétés des projets dans une boîte de dialogue distincte que vous pouvez afficher en sélectionnant Projet>Propriétés du projet… dans la fenêtre principale.

L'onglet Général affiche les propriétés générales du projet : le nom du projet, le chemin d'accès des fichiers du projet, une description du projet, une priorité par défaut pour le lot et la qualité des images affichées. Vous pouvez également spécifier un dossier racine pour l'exportation vers des fichiers dans le champ Chemin de la racine pour l'exportation .

L'onglet Outils d'étapes contient la liste des outils d'étapes pouvant être utilisés dans le système Avancé de la Configuration du workflow. Un outil d'étape correspond à une étape comportant un ensemble de scripts et une interface personnalisable. Vous pouvez à la fois modifier les outils d'étapes de base et créer des outils personnalisés. Consultez la section Outils d'étapes pour obtenir des détails.

L'onglet Prétraitement d'images affiche les options de prétraitement d'images. Vous pouvez modifier ces options si nécessaire. Consultez la section Options de prétraitement d'images pour obtenir des détails.

L'onglet Reconnaissance contient l'option Supprimer les pages vierges pendant la reconnaissance. Sélectionnez cette option si vous souhaitez supprimer les pages vierges pendant la reconnaissance. Dans cet onglet, vous pouvez également ajouter un classifieur FlexiLayout à votre projet.

L'onglet Gestionnaires d'événements contient la liste d'événements pouvant être traités à l'aide d'un script. Pour créer un gestionnaire d'évènements, sélectionnez un évènement dans la liste et cliquez sur le bouton Éditer le script…. Dans l'éditeur de scripts qui s'ouvre, écrivez le texte du script. Consultez la section Gestionnaires d'événements pour obtenir des détails.

L'onglet Destinations d’exportation affiche les paramètres d'exportation (pour le type de lot « par défaut »). Pour exporter les documents non reconnus, sélectionnez Exporter les documents non reconnus et définissez les paramètres d'exportation souhaités.

Dans l'onglet Flux de travail, vous pouvez configurer vos workflows (pour le type de lot par « défaut »). Consultez la section Configuration des workflows pour obtenir des détails.

Dans l'onglet Références .Net, vous pouvez ajouter des assemblages externes pour les utiliser dans des scripts et des modules globaux. Les assemblages utilisateur standard et compilés peuvent tous deux être utilisés. Pour ajouter un assemblage, cliquez sur Ajouter…. Dans la boîte de dialogue qui apparaît, sélectionnez le type : Nom d'assemblage standard ou Fichier joint. Saisissez le nom d'assemblage standard ou naviguez jusqu'au fichier d'assemblage, cela dépendra du type sélectionné. Consultez la section Assemblages externes pour obtenir des détails.


Types de lots

ABBYY FlexiCapture 10.0 permet de traiter les documents par lots : avant le traitement proprement dit, un lot est créé après quoi les images du document y sont ajoutées. Les lots sont créés automatiquement ou manuellement lors de l'importation d'images (soit lors de la numérisation de documents, soit lors de l'importation d'images issues de documents préalablement numérisés). Les paramètres à utiliser pour le traitement des documents sont spécifiés individuellement pour chaque type de lot. Vous pouvez créer plusieurs types de lots pour les jeux de paramètres de traitement les plus couramment utilisés. Dans ce cas, il suffit à l'opérateur de sélectionner le type de lot approprié.

Un type de lot définit les paramètres de traitement suivants :

  • les paramètres de prétraitement d'images
  • les Définitions de documents et l'ordre dans lequel elles doivent être appliquées ;
  • les assemblages externes
  • les gestionnaires d'événements
  • les paramètres d'exportation
  • l'ordre de traitement des lots
  • les paramètres généraux tels que le nom du type de lot, sa description, sa priorité et la qualité des images affichées

Un type de lot définit également la liste des paramètres d'enregistrement (ce sont des informations texte qui caractérisent un lot).

Les types de lots sont créés individuellement par l'éditeur de configurations de projets pour chaque projet.

Pour créer un type de lot :

  1. Démarrez le poste de configuration de projets en sélectionnant Démarrer>Programmes>Postes ABBYY FlexiCapture 10.0>Poste de configuration de projets et ouvrez le projet à partir du serveur (Fichier>Ouvrir un projet à partir du serveur…)
  2. Ouvrez la boîte de dialogue Types de lots en sélectionnantProjet>Types de lot…
  3. Cliquez sur Nouveau puis suivez les instructions qui apparaissent à l'écran.

Les types de lots que vous créez sont automatiquement téléchargés vers le serveur d'application et sont accessibles aux opérateurs.

Remarque : pour permettre aux opérateurs de travailler avec les types de lots nouvellement créés, l'administrateur doit spécifier les types de lots accessibles à chaque opérateur. Cette opération s'effectue lorsque les rôles sont attribués aux opérateurs.


Paramètres d'enregistrement

Les Paramètres d'enregistrement sont des propriétés textuelles permettant d'identifier un lot ou un document spécifique. Ces propriétés peuvent être représentées par la date de numérisation, le nom de l'opérateur de numérisation, etc. Un paramètre d'enregistrement peut être obligatoire ou facultatif.

Les paramètres d'enregistrement peuvent être attribués au lot pendant sa création (si le lot est créé automatiquement à l'aide des profils d'importation). Les paramètres d'enregistrement peuvent également être attribués aux lots et documents de la station de numérisation et envoyés vers ABBYY FlexiCapture avec les images.

Les paramètres d'enregistrement peuvent être configurés respectivement dans l'onglet Paramètres d'enregistrement de la boîte de dialogue Propriétés du lot ou Propriétés du document (cliquez sur Propriétés… dans le menu contextuel).


Téléchargement d'un projet vers le serveur d'application

Dès que vous avez créé un projet, il vous faut le télécharger vers le serveur d'application. Les paramètres du projet, les fichiers de définition de documents, les dictionnaires et les autres données de service seront ainsi copiés sur le serveur d'application.

Important ! Si des lots ont été créés dans le projet, les lots ne seront pas copiés vers le serveur d'application lors du téléchargement.

Pour télécharger votre projet vers le serveur d'application, sélectionnez Fichier>Télécharger le projet sur le serveur… dans le menu principal de la station de configuration de projets.

Remarque : Seul l'administrateur peut créer des nouveaux projets. Un opérateur de configuration de projets peut uniquement configurer les projets déjà créés. Par conséquent, après le téléchargement du projet vers le serveur d'application et une fois les droits nécessaires accordés aux opérateurs de la station par l'administrateur (à partir de la console d'administration et de suivi), l'opérateur de configuration de projets doit ouvrir le projet sur le serveur d'application en sélectionnant Fichier>Ouvrir un projet à partir du serveur… puis régler les paramètres nécessaires (c'est-à-dire créer les définitions de document, importer les profils, spécifier les paramètres d'exportation, etc.).


Tester un projet

Une copie de test d'un projet peut être utilisée si vous souhaitez vérifier si le projet fonctionne correctement avant d'appliquer les modifications au projet de travail.

Pour créer une copie de test du projet, sélectionnez Fichier>Créer une copie de test.

Sur le Station de configuration de projets, seul l'utilisateur ayant créé la copie de test d'un projet peut travailler dessus.

Une fois que vous avez apporté des modifications à la copie de test du projet et que vous avez testé son fonctionnement, vous pouvez appliquer les modifications à la copie de travail (pour ce faire, sélectionnez Soumettre une copie de test dans le menu Projet), ou supprimer la copie de test (pour cela, sélectionnez Projet>Supprimer la copie de test.


Outils d'étapes

L'onglet Outils d'étapes de la boîte de dialogue Propriétés du projet vous permet de configurer les outils des étapes de traitement. Dans cet onglet, vous pouvez ajouter ou supprimer les outils personnalisés et modifier les propriétés des outils.

Pour créer un nouvel outil d'étape de traitement, cliquez sur le bouton Ajouter.... Dans la boîte de dialogue Créer un outil de nouvelle étape de traitement qui s'ouvre, spécifiez le nom de l'outil, saisissez la description et sélectionnez le type d'étape dans la liste déroulante Type. Le nouvel outil d'étape sera ajouté à la liste d'outils.

Pour modifier une étape sélectionnée, cliquez sur le bouton Modifier.... La boîte de dialogue Paramètres de l'outil d'étape de traitement qui s'ouvrira contient les paramètres suivants :

Option | Description
Groupe Paramètres d'évènements
bouton Ajouter un évènement… | Ouvre la boîte de dialogue Ajouter un évènement dans laquelle vous pouvez choisir un évènement à traiter au cours de l'étape. Pour écrire le script traitant cet événement, cliquez sur le bouton Éditer le script…. L' Éditeur de script s'ouvrira.
bouton Éditer le script… | Ouvre l' Éditeur de script grâce auquel vous pouvez modifier le script traitant l'évènement sélectionné.
bouton Supprimer | Supprime l'événement sélectionné dans la liste.
Groupe Paramètres de skins
bouton Modifier le skin… | Ouvre la boîte de dialogue Paramètres de skins dans laquelle vous pouvez configurer l'apparence de l'étape.


Paramètres de skins

La boîte de dialogue Paramètres de skins vous permet de personnaliser l'apparence des Outils d'étapes. Pour personnaliser l'apparence de l'outil d'étape sélectionné, cliquez sur le bouton Modifier... et, dans la boîte de dialogue Paramètres de l'outil d'étape de traitement qui s'ouvre, cliquez sur Modifier le skin…

Dans l'onglet Barres d'outils de la boîte de dialogue, vous pouvez configurer l'ensemble des barres d'outils pour une étape sélectionnée. Pour chaque étape, la liste des barres d'outils contient les quatre barres d'outils obligatoires : Tâches, Standard, Affichage et Navigation. Pour créer une nouvelle barre d'outils, cliquez sur le bouton Ajouter.... Dans la boîte de dialogue qui s'ouvre, spécifiez le nom de la barre d'outils puis cliquez sur OK. La barre d'outils sera ajoutée à la liste. Pour changer le nom d'une barre d'outils personnalisée, cliquez sur Renommer…

Dans l'onglet Commandes, vous pouvez réorganiser les commandes des menus et les commandes des barres d'outils. Sélectionnez le Menu ou la Barre d'outils et choisissez un élément de menu ou une barre d'outils que vous souhaitez réorganiser dans la liste déroulante. Le groupe Commandes contient la liste des commandes disponibles pour l'élément de menu ou la barre d'outils sélectionné. Pour toutes les commandes, les options suivantes sont disponibles :

Option | Description
bouton Ajouter... | Ouvre la boîte de dialogue Modifier la commande permettant d'ajouter une nouvelle commande.
bouton Modifier... | Ouvre la boîte de dialogue Modifier la commande dans laquelle vous pouvez changer le nom de la commande.
bouton Supprimer | Supprime la commande sélectionnée dans la liste.
boutons Haut et Bas | Déplacent la commande sélectionnée vers le haut ou vers le bas dans la liste.
bouton Réinitialiser... | Réinitialise les paramètres par défaut.

Le champ Info-bulle contient le texte de l'info-bulle d'une commande et un raccourci clavier (si un raccourci est spécifié pour la commande).

Remarque : lors de l'ajout d'une commande utilisateur, vous pouvez saisir le texte de l'info-bulle de cette commande. La longueur maximale du texte de l'info-bulle est de 80 caractères. Les raccourcis clavier des commandes utilisateur se configurent dans l'onglet Raccourcis clavier du menu Outils > Options….

Lorsque vous ajoutez ou modifiez des commandes de barre d'outils, vous pouvez choisir d'afficher la commande sous la forme d'un texte ou sous la forme d'une icône. Si l'option Utiliser l'icône est sélectionnée, cliquez sur Parcourir (bmp, 24x24)… pour charger une image qui sera utilisée pour représenter l'icône de la commande. L'image doit être au format .bmp et sa taille doit être de 24x24 pixels. Pour les commandes de la barre d'outils Tâches, la taille de l'image doit être de 32x32 pixels.

Pour ajouter une option de menu qui affichera/masquera les commandes de la barre d'outils, dans la liste de l'onglet Commandes, sélectionnez une option de menu grâce à laquelle les barres d'outils personnalisées seront ajoutées puis cliquez sur Modifier... Dans la boîte de dialogue Modifier la commande qui s'ouvre, sélectionnez Affichage dans la liste Catégories et dans la liste Commandes, sélectionnez Barres d'outils personnalisées.

Remarque : la commande Barres d'outils personnalisées ne peut pas être ajoutée à la barre d'outils, elle peut uniquement être ajoutée au menu.


Qualité des images affichées

L'option Qualité des images affichées détermine la qualité des images chargées sur les postes.

L'option Qualité des images affichées est définie pour chaque type de lot. Lorsqu'un lot est créé, son type est défini et les images du lot s'affichent avec la qualité spécifiée.

Si aucun type de lot n'est créé, toutes les images de lots s'affichent avec la qualité spécifiée pour l'ensemble du projet (Projet>Propriétés du projet…, onglet Général).

Les valeurs de Qualité des images affichées suivantes peuvent être sélectionnées : 20%, 40%, 60%, 80% ou 100%.

Réduire la qualité des images affichées peut être sélectionné pour accélérer le chargement des images si les capacités réseau des ordinateurs sur lesquels les opérateurs travaillent sont faibles (par exemple, si les opérateurs travaillent à distance). Si une qualité d'image plus faible est sélectionnée, les images seront chargées plus rapidement en raison de leur petite taille.


Définitions de document

La création d'une définition de document est l'aspect principal et le plus délicat de la configuration d'un projet. Elle détermine la qualité des données obtenues au terme du traitement.

Les définitions de document ne peuvent être créées que sur la station de configuration de projet.

Une définition de document décrit l'emplacement des éléments d'un document et indique les champs à utiliser lors de l'extraction des données. Pour créer une définition de document, vous devez spécifier les propriétés des champs ainsi que leur plage de valeurs. Vous devez aussi configurer les paramètres d'exportation des données.

Pour commencer à créer une définition de document, lancez l'assistant de définition de document :

  1. Dans le menu principal d'ABBYY FlexiCapture 10, sélectionnez Projet>Définitions de document…
  2. Dans la boîte de dialogue Définitions de document qui s'ouvre, cliquez sur le bouton Nouveau…
  3. Suivez les instructions de l'assistant de définition de document.
puce | Assistant de définition de document
puce | Détection automatique des champs et des éléments statiques
puce | Éléments statiques
puce | Création de champs dans une définition de document
puce | Propriétés de champ
puce | Validation par règle
puce | Configuration de l'exportation de données
puce | Configuration de la présentation des données dans la fenêtre de document
puce | Propriétés de définition de document
puce | Importation d'une définition de document pour les formulaires créés avec ABBYY FormDesigner
puce | Création de définitions de document pour les documents multipages
puce | Création d'une définition de document pour le traitement des documents flexibles
puce | Création de définitions de document pour des documents comportant des annexes
puce | Traitement de documents non structurés
puce | Modification et publication d'une définition de document
puce | Test d'une définition de document


Assistant de la Définition de Document

Assistant de définition de document

Pour créer un nouvelle définition de document, sélectionnez Projet >Définitions de document… dans le menu principal. Dans la boîte de dialogue Définitions de document qui s'ouvre, cliquez sur le bouton Nouveau…. L'Assistant de définition de document s'ouvre pour aider à créer une nouvelle définition de document.

  1. Dans la boîte de dialogue Créer une nouvelle définition de document qui s'ouvre, renseignez les paramètres de définition de document principaux : nom et commentaire, langue utilisée (Langue (lieu) ) et style d'écriture (Style d'écriture ). Par défaut, la liste déroulante ne contient que les langues prises en charge par le dictionnaire. Pour sélectionner une langue non prise en charge par un dictionnaire, activez l'option Afficher toutes les langues. Il est très important de spécifier la langue correctement, car cela détermine si le document sera reconnu correctement ensuite ou non. Le style d'écriture peut varier considérablement d'un pays à l'autre. Il est donc très important d'indiquer le pays, ce qui permet au programme de sélectionner son style d'écriture type.

    Affichage d'exemples de divers styles d'écriture numérique
    - Deux russe
    - Deux américain
    - Cinq « ordinaire » - peut apparaître dans n'importe quel style
    - Cinq japonais
    - Un russe
    - Un allemand
    - Neuf « ordinaire » - peut apparaître dans n'importe quel style
    - Neuf tchèque, avec le cercle à droite
    - Neuf américain sans le « crochet » en bas

    Indiquez le type de texte :

    • ICR (manuscrit) : activez cette option si la plupart des champs des documents doivent être remplis à la main.
    • OCR (imprimé) : activez cette option si les valeurs de la plupart des champs doivent être imprimées. Sélectionnez un type d'impression dans la liste déroulante.

    Remarque : la reconnaissance du texte manuscrit n'est pas prise en charge dans toutes les langues. Pour certaines, ce type de reconnaissance n'est pas disponible. Consultez la section Langues de reconnaissance prises en charge.

    À ce stade, c'est le type de texte par défaut qui est utilisé, mais vous pourrez le modifier pour chaque champ ultérieurement.

    Cliquez sur Suivant pour passer à l'étape suivante.

  2. Pour la seconde étape, chargez l'image de votre page de document pour créer la définition de document. Vous pouvez numériser l'image d'une page non complétée ou la charger à partir d'un fichier.

    Remarque : La définition de document destinée aux formulaires fixes est créée à l'aide d'une image obtenue en numérisant un formulaire non rempli. Ce doit être une image de bonne qualité, sans distorsions (sans défauts, problèmes d'inclinaison, etc.). Pour créer des définitions de document de formulaires avec un arrière-plan en couleur, utilisez des pages numérisées sans filtre de couleur afin que l'arrière-plan ne disparaisse pas pendant la numérisation. (Par la suite, quand vous numériserez des images de page pour la reconnaissance de données, vous sélectionnerez un mode de numérisation qui fera disparaître l'arrière-plan.)

    Si votre document est composé de plusieurs pages, chargez la première page et suivez les recommandations de la section Création de définitions de document pour des documents de plusieurs pages pour ajouter les pages restantes.

    Si vous avez besoin d'une description flexible créée à l'aide d'ABBYY FlexiLayout Studio, activez l'option Charger FlexiLayout et entrez le chemin d'accès du fichier contenant la description flexible. Pour plus d'informations, consultez la section Création d'une Définition de Document pour traiter des documents flexibles.

    Cliquez sur le bouton Suivant.

  3. À l'étape suivante, sélectionnez les types de champs qui doivent être détectés automatiquement dans l'image. Vous pouvez marquer des coches et des champs d'entrée de texte. Le programme détecte automatiquement les champs de texte avec une région, ainsi que les coches rectangulaires. Si les champs d'entrée de votre formulaire n'ont pas de région, et si les coches sont insérées sur fond blanc, vous devrez normalement les mettre en surbrillance manuellement.

    Remarque : le programme recherche toujours automatiquement les ancres. Si le formulaire contient des ancres, elles sont détectées et marquées sur l'image.

    Cliquez sur le bouton Terminer.

Au terme de la procédure de l'Assistant de définition de document, la fenêtre de l'éditeur de définitions de document s'ouvre et vous pouvez effectuer d'autres opérations pour créer une définition de document. À l'étape suivante de la création de la définition de document, vous devez marquer les champs et les éléments statiques de l'image de page et configurer leurs propriétés.


Détection automatique des champs et des éléments statiques

Détection automatique lors de l'ajout d'une image :

Quand une image est ajoutée, le programme détecte toujours les ancres. Si l'image a des ancres standard (des carrés noirs, par exemple), elles sont détectées et marquées. Le programme recherche les champs de texte et les coches si l'utilisateur a activé l'option Texte ou Coches. Il est particulièrement efficace pour détecter automatiquement les champs de texte avec une région, ainsi que les coches rectangulaires. Si les champs d'entrée de votre formulaire n'ont pas de région, et si les coches sont insérées sur fond blanc, vous devrez normalement les mettre en surbrillance manuellement.

Détection automatique dans la fenêtre de l'éditeur de définitions de documents :

Pour la détection automatique dans la fenêtre de l'éditeur de définitions de documents, sélectionnez le mode requis (champs ou éléments statiques), suivi de l'élément de menu Outils > Détecter automatiquement les objets…. Marquez les types de champs ou d'éléments statiques à détecter automatiquement.

Si vous avez besoin de détecter automatiquement des objets de l'image, sélectionnez le mode requis (champs ou éléments statiques) et cliquez sur [image] sur la barre d'outils. Si vous cliquez sur l'élément, il sera marqué d'un rectangle. Le type d'élément sera détecté automatiquement.

Détection automatique d'une région :

Pour qu'une région de champ ou d'élément statique d'un type donné soit détectée automatiquement, procédez comme suit :

  1. Sélectionnez le mode requis (champs ou éléments statiques).
  2. Sélectionnez le type d'un champ ou d'un élément statique à l'aide d'un bouton approprié de la barre d'outils.
  3. Appuyez sur MAJ.
  4. Cliquez à l'intérieur de la région de champ ou d'élément statique.


Éléments statiques

Les éléments statiques sont destinés à l'association de la définition de document et à son identification. Ils ne servent pas à extraire des données.

Pour travailler sur des éléments statiques dans l'éditeur de définitions de document, basculez en mode d'éléments statiques en cliquant sur le bouton [image].

Les éléments statiques peuvent être utilisés pour l'association de la définition de document et son identification. Leur mode d'utilisation est déterminé lors de la configuration des propriétés des éléments. Les ancres servent à associer la définition de document à l'image de formulaire. Des identificateurs sont nécessaires pour déterminer à quels formulaires les pages appartiennent quand plusieurs formulaires sont traités en une même opération. Pour plus d'informations, consultez la section Création de formulaires lisibles par machine.

Les éléments statiques n'ont pas de nom. Ils n'ont que des régions sur l'image.

Quand une définition de document est appliquée à une image de document, le programme recherche les éléments statiques et sélectionne une définition de document en fonction de leur emplacement. La reconnaissance des éléments statiques (texte et code barre) n'est effectuée quand c'est nécessaire à des fins d'identification. Consultez la section Spécification de valeurs d'identificateur.

Le programme travaille avec les éléments statiques des types suivants :

Élément statique | Bouton de barre d'outils
Ancre |
Séparateur |
Texte d'ancre |
Code barre d'ancrage |

Le programme recherche automatiquement les ancres quand une image est ajoutée.

Comment créer un élément statique manuellement :

  1. Sélectionnez le mode d'éléments statiques.
  2. Sélectionnez l'outil qui permet de créer un élément du type requis.
  3. Positionnez le curseur dans le coin de l'élément, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé
    ou
    utilisez la combinaison MAJ+clic dans la région de l'élément.

Un rectangle apparaît autour de la région de l'élément statique. Sa couleur dépend du type d'élément statique. L'élément statique reçoit des propriétés par défaut.

Comment modifier les propriétés d'un élément statique :

  1. Mettez en surbrillance la région de l'élément sur l'image, cliquez avec le bouton droit de la souris et sélectionnez Propriétés… dans le menu contextuel.
  2. Modifiez les propriétés de l'élément statique dans la boîte de dialogue qui s'ouvre :

Pour plus d'informations sur les éléments statiques :

  • Ancres
  • Séparateurs
  • Texte d'ancre
  • Code barre d'ancrage


Ancres

Ancres : les éléments statiques sont automatiquement mis en surbrillance sur l'image.

Pour mettre les ancres en surbrillance manuellement :

  1. Basculez en mode Éléments statiques.
  2. Sélectionnez [image] dans la barre d'outils.

  3. Positionnez le curseur dans le coin d'une ancre, cliquez et faites glisser le curseur en diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région d'ancre.

Propriétés des ancres

Pour modifier les propriétés d'une ancre :

  1. Mettez l'ancre en surbrillance.
  2. Cliquez sur la région de l'ancre à l'aide du bouton droit et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :
    • Utiliser pour l'association de la définition de document – cette option doit être activée pour que le programme utilise l'ancre pour l'association de la définition de document (recommandé).
    • Utiliser pour l'identification de la définition de document – activez cette option pour utiliser l'ancre pour l'identification de la définition de document.
    • Type d'ancre – pour que l'association de la définition de document soit correcte, il est important de spécifier le type d'ancre : carré noir, croix ou coin.


Texte d'ancre

Texte d'ancre - élément statique. Il s'agit de tout texte statique de l'image – en-têtes ou signatures d'explication.

Pour mettre en surbrillance un texte d'ancre :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.
  3. Positionnez le curseur dans le coin du texte d'ancre, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région de texte d'ancre.

Propriétés du texte d'ancre

Pour modifier les propriétés d'un texte d'ancre :

  1. Mettez le texte en surbrillance.
  2. Cliquez à l'aide du bouton droit de la souris dans la région de texte d'ancre et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :

    L'onglet Généralités contient les options suivantes :

    • Utiliser pour l'association de la définition de document – cette option doit être activée pour que le programme utilise le code barre pour l'association de la définition de document.
    • Utiliser pour l'identification de la définition de document – activez cette option pour utiliser le texte d'ancre pour l'identification de la définition de document.
    • Valeur – si vous utilisez un texte d'ancre comme identificateur, vous pouvez définir sa valeur. Pour insérer automatiquement une valeur, cliquez sur le bouton Conseil.
    • Nombre max d'erreurs - permet de spécifier le nombre maximum d'erreurs autorisées dans la chaîne de texte d'ancre.

    Sur l'onglet Reconnaissance, vous devez configurer les options de reconnaissance pour que le texte statique soit reconnu avec une précision maximale :

    • ICR (manuscrit) – activez cette option si le texte statique est manuscrit.

    • OCR (imprimé) – activez cette option si le texte statique est imprimé. Sélectionnez le style d'impression dans la liste déroulante (typographique, imprimante matricielle, machine à écrire, etc.). Consultez aussi la section Types de texte pris en charge.

    • Avancé – utilisez cette option pour sélectionner plusieurs types de texte ou pour spécifier un type de texte personnalisé.

    • Type de données – sélectionnez la langue du texte. Utilisez le bouton Sélectionner… pour effectuer votre sélection.

    • Casse – sélectionnez la casse des lettres de texte statique. Si le texte contient à la fois des minuscules et des majuscules, conservez la valeur Automatique.

    • Orientation : indiquez l'orientation du texte.

    • Activez l'option Une ligne pour du texte d'une ligne.

    • Si le texte ne contient pas d'espaces, c'est-à-dire s'il est constitué d'un seul mot, activez l'option Un mot.

    • Configurez les options de traitement d'image pendant la reconnaissance :
    • Inverser : activez cette option si vous souhaitez inverser l'image.
    • Supprimer la texture : activez cette option si vous souhaitez supprimer la texture.
    • Nettoyer : activez cette option pour supprimer les éléments parasites de l'image.
    • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Séparateurs

Les séparateurs sont des éléments statiques. Ils se présentent sous forme de lignes horizontales ou verticales sur l'image.

Pour mettre en surbrillance des séparateurs :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.
  3. Positionnez le curseur dans le coin d'un séparateur, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région de code barre.

Propriétés de séparateur

Pour modifier les propriétés d'un séparateur :

  1. Mettez le séparateur en surbrillance.
  2. Cliquez à l'aide du bouton droit de la souris dans la région de séparateur et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :
    • Utiliser pour l'association de la définition de document : cette option doit être activée pour que le programme utilise le séparateur pour l'association de la définition de document.
    • Utiliser pour l'identification de la définition de document : activez cette option pour utiliser le séparateur pour l'identification de la définition de document.


Code barre d'ancrage

Code barre d'ancrage - élément statique.

Important ! Un code barre peut être mis en surbrillance sous forme de champ ou d'élément statique. Tout dépend de la valeur du code barre dans les documents en cours de traitement. Si le code barre est destiné à l'association ou à l'identification de la définition de document, il faut le créer en mode d'éléments statiques. S'il est destiné à l'acquisition de données, il faut le créer en mode de marquage de champ. Les propriétés d'un code barre varient suivant qu'il s'agit d'un champ ou d'un élément statique. Cette section décrit les propriétés d'un élément statique – un code barre d'ancrage. Consultez aussi la section champ de code barre.

Pour mettre en surbrillance un code barre d'ancrage :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.
  3. Positionnez le curseur dans le coin d'un code barre, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région de code barre.

Propriétés d'un code barre d'ancrage

Pour modifier les propriétés d'un code barre d'ancrage :

  1. Mettez en surbrillance le code barre
  2. Cliquez avec le bouton droit de la souris sur la région de code barre et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :

    L'onglet Généralités contient les options suivantes :

    • Utiliser pour l'association de la définition de document – cette option doit être activée pour que le programme utilise le code barre pour l'association de la définition de document.
    • Utiliser pour l'identification de la définition de document – activez cette option pour utiliser le code barre pour l'identification de la définition de document.
    • Valeur – si vous utilisez un code barre d'ancrage comme identificateur, vous pouvez définir sa valeur. Pour insérer automatiquement une valeur, cliquez sur le bouton Conseil.
    • Requis pour l'association de la définition de document–si cette option est sélectionnée, la définition de document ne sera associée que si le code barre l'est aussi. Sélectionnez cette option si le lot contient un grand nombre de définitions de documents très similaires, qui ne peuvent être distinguées que par la valeur de leurs différents codes barres, voire par la valeur d'un code barre précis. Dans ce cas, si cette option est activée, la sélection de la définition de document se fera plus rapidement. Ne sélectionnez pas cette option si vous souhaitez que la définition de document soit associée même s'il n'y a pas de code barre ou s'il est trop estompé.

    L'onglet Reconnaissance contient différentes options :

    • Type de code – permet d'indiquer le type du code barre (il est en principe déterminé automatiquement).
    • Orientation : indiquez l'orientation du code barre.

    Vous pouvez aussi configurer les options de traitement d'image de code barre :

    • Inverser : activez cette option si vous souhaitez inverser l'image.
    • Supprimer la texture – supprime la texture.
    • Nettoyer – activez cette option pour supprimer les éléments parasites de l'image.
    • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Spécification de valeurs d'identificateur

Les identificateurs servent à déterminer à quel formulaire une page appartient, et à sélectionner une définition de document dont le lot contient plusieurs définitions de document comportant le jeu d'ancres original. Si plusieurs formulaires sont traités simultanément au cours d'une même opération, le programme détermine à quel formulaire la page appartient à partir de l'emplacement des identificateurs.

Si un code barre d'ancrage ou un texte d'ancre est utilisé comme identificateur, vous pouvez indiquer la valeur de cet identificateur. Dans ce cas, lorsque vous appliquez une définition de document, le programme compare les données reconnues dans l'image à la valeur de l'identificateur,et l'association de définition de document ne sera possible que si ces valeurs correspondent.

Les valeurs des identificateurs peuvent être définies dans la boîte de dialogue de propriétés des éléments statiques de l'onglet Généralités. Les valeurs du texte des codes barres peuvent être saisies automatiquement. Le bouton Conseil a été prévu à cet effet.

Remarque : S'il est possible d'identifier une page avec une certitude absolue à partir du seul emplacement des éléments, il ne vous est pas nécessaire de définir ces valeurs. Vous ne devez utiliser cette fonctionnalité que si c'est absolument nécessaire, car si vous attribuez une valeur d'identificateur, le module de reconnaissance se lance au niveau de l'application de définition de document, ce qui ralentit le processus d'association entre définitions de document et images.


Création de champs dans une définition de document

Les champs sont destinés à l'extraction de données.

Pour travailler sur des champs dans l'éditeur de définitions de documents, basculez en mode Marquage de champs en cliquant sur le bouton [image].

Toutes les régions de l'image destinées à l'acquisition de données doivent être marquées comme étant des champs. Les données contenues dans ces champs sont reconnues, et leurs valeurs peuvent être exportées.

Les champs ont des noms dont les listes sont affichées dans la fenêtre de structure du document. En règle générale, les champs comportent une région sur l'image, mais vous pouvez aussi créer des champs sans région (par exemple, pour stocker le résultat immédiat).

Le programme reconnaît les types de champs suivants :

Champ | Bouton de barre d'outils
Champ d'entrée de texte |
Coche |
Groupe de coches |
Code-barres |
Picture |
Tableau |
Groupe de champs |

Pour créer un champ :

  1. Sélectionnez le mode Marquage de champs.
  2. Sélectionnez l'outil qui permet de créer un champ du type requis.
  3. Positionnez le curseur dans un coin du champ, cliquez et faites glisser le curseur en diagonale jusqu'au coin opposé
    ou
    utilisez la combinaison MAJ+clic dans la région du champ.

Un rectangle apparaîtra autour de la région du champ. Sa couleur dépend du type de champ.

Un nom par défaut correspondant au texte d'explication le plus proche de la région de champ est attribué au champ. Ce nom apparaît dans la liste de champs de l'onglet Champs de la fenêtre de structure du document.

Des propriétés par défaut sont attribuées au champ.

Un champ peut également être créé de la manière suivante :

  1. Sélectionnez la commande Créer un champ dans le menu Édition, ou dans le menu local d'une page de la liste de champs de l'onglet Champs.
  2. Dans la boîte de dialogue Propriétés du champ, définissez les propriétés du champ et cliquez sur OK.
  3. Le nouveau champ sera ajouté à la liste. Il sera marqué en tant que champ sans région par une astérisque rouge.
  4. Pour créer une région de champ, cliquez sur le bouton [image] de la barre d'outils, puis dessinez la zone de la région sur l'image. Il vous sera demandé de sélectionner un nom de champ approprié dans la liste contextuelle.

Pour exclure une zone de la reconnaissance, dessinez une région non reconnue sur l'image. Pour ce faire, utilisez le bouton [image].

  • Création de groupes de coches
  • Création de tableaux
  • Création d'un groupe de champs
  • Comment modifier le nom d'un champ
  • Copie, déplacement et suppression de champs
  • Champs sans région
  • Propriétés de champs


Création d'un groupe de coches

Un groupe de coches combine des coches liées de manière logique. Ces coches correspondent normalement à des réponses mutuellement exclusives à la même question. Dans ce cas, le programme sélectionnera une coche du groupe et exportera sa valeur. Toutefois, cette condition n'est pas obligatoire. Vous pouvez autoriser le programme à marquer plus d'une coche d'un groupe (sélectionnez l'option correspondante dans les propriétés du groupe de coches).

Une manière de créer un groupe de coches :

Pour créer un groupe de coches :

  1. Après avoir sélectionné l'outil [image], créez les coches appartenant au groupe.
  2. Sélectionnez l'outil [image] et dessinez un rectangle autour de toutes les coches à inclure dans ce groupe.
  3. Les coches situées à l'intérieur du rectangle seront mises en surbrillance. Leurs noms dans la structure du document seront combinés et placés sous le nom du groupe de coches. Les propriétés des coches appartenant au même groupe sont identiques et ne peuvent pas être modifiées individuellement.

Une autre manière de créer un groupe de coches :

Il n'est pas nécessaire de mettre en surbrillance chaque coche appartenant au groupe.

  1. Sans mettre en surbrillance chaque coche, sélectionnez l'outil [image] et dessinez un rectangle autour de toutes les coches à inclure dans ce groupe.
  2. Les coches contenues dans le rectangle seront automatiquement détectées, nommées et combinées en un groupe.


Création d'un groupe de champs

Les champs peuvent être combinés en groupes, ce qui permet de clarifier la structure du document et de créer des groupes de champs récurrents. Par exemple, une ville, un numéro d'immeuble et une rue peuvent être combinés dans un même groupe Adresse personnelle. Vous pouvez créer des champs pour un groupe Adresse professionnelle en copiant simplement le groupe de champs Adresse personnelle.

Pour créer un groupe de champs :

  1. Créez les champs à inclure dans le groupe.
  2. Sélectionnez l'outil [image] et dessinez un rectangle autour de tous les champs à inclure dans ce groupe.
  3. Les champs situés à l'intérieur du rectangle sont mis en surbrillance. Leurs noms dans la structure du document sont combinés, et placés sous le nom du groupe de champs.

Si le formulaire contient des groupes de champs récurrents, après avoir créé un groupe, vous pouvez créer plusieurs instances du même groupe. Toutes les propriétés de champ ainsi que les règles définies au sein du groupe fonctionneront pour chaque instance du groupe. Consultez la section Champs avec plusieurs instances.

Vous pouvez aussi copier un groupe de champs, mais dans ce cas, un autre groupe indépendant sera créé.


Création d'un tableau

ABBYY FlexiCapture 10.0 permet de créer des définitions de documents pour des documents contenant des tableaux. Créer des tableaux peut considérablement simplifier la configuration des données, leur extraction et leur exportation. Un champ de tableau est un ensemble de colonnes de même type et de lignes récurrentes.

Les colonnes d'un tableau peuvent relever des types suivants :

  • texte ;
  • coches ;
  • codes-barres ;
  • images graphiques.

Pour créer un tableau :

  1. Sélectionnez l'outil [image] et dessinez un rectangle autour de la région de tableau. L'en-tête du tableau ne doit pas être inclus dans la région sélectionnée. Un outil de traitement de tableaux supplémentaire permettant de supprimer un séparateur apparaîtra sur la barre d'outils :
    Supprimer le séparateur
  2. Marquez les cellules de tableau en créant le nombre requis de séparateurs. Pour créer des séparateurs, cliquez à l'endroit où le séparateur doit être placé. Pour créer des séparateurs verticaux, placez le curseur dans la zone du tableau, appuyez sur la touche Maj et cliquez une fois. Pour créer un séparateur horizontal, exécutez la même opération en maintenant la touche Alt enfoncée. Vous pouvez également détecter les séparateurs automatiquement : sélectionnez le tableau créé, puis sélectionnez les éléments Détecter automatiquement les séparateurs verticaux et Détecter automatiquement les séparateurs horizontaux dans le menu local.
  3. Créez des colonnes de tableau. Pour créer une colonne, cliquez sur la zone des colonnes et sélectionnez un type de colonne dans la liste déroulante.


Comment modifier le nom d'un champ

Modification du nom d'un champ

Pour modifier le nom d'un champ :

  • Cliquez sur le nom du champ dans la structure du document, cliquez avec le bouton droit de la souris, sélectionnez Renommer dans le menu contextuel, puis entrez un nouveau nom.

ou

  • Cliquez dans la région de champ de l'image, puis cliquez avec le bouton droit de la souris et sélectionnez Suggérer un nom dans le menu contextuel. Le champ recevra un nom correspondant au texte d'explication le plus proche de la région de champ.

ou

  • Cliquez dans la région de champ de l'image, puis cliquez avec le bouton droit de la souris et sélectionnez Obtenir le nom de l'image… dans le menu contextuel. Ensuite, mettez en surbrillance avec votre curseur le texte d'explication qui peut être utilisé pour le nom du champ. Le nom du champ est remplacé par le texte sélectionné.

ou

  • Ouvrez la boîte de dialogue propriété de champ et modifiez le nom sur l'onglet Généralités.


Copie, déplacement et suppression de champs

Les champs peuvent être copiés, supprimés, déplacés et modifiés. Les noms des champs copiés portent des numéros différents. Pour mettre en surbrillance plusieurs champs, utilisez la combinaison CTRL+clic. L'action sélectionnée s'appliquera alors à tous les champs en surbrillance.

Pour supprimer un champ, mettez-le en surbrillance, puis appuyez sur la touche SUPPR ou sélectionnez Supprimer dans le menu contextuel. Pour ne supprimer que la région et conserver le champ dans la structure du document, utilisez la combinaison de touches MAJ+SUPPR ou sélectionnez Supprimer la région dans le menu contextuel du champ. Consultez la section Champs sans région.


Champs sans région

Un champ peut ne pas comporter de région sur l'image. Les noms de champ sans région sont marqués d'un astérisque rouge dans la liste. Ces champs peuvent servir à stocker les résultats intermédiaires de calculs effectués sur les valeurs des champs en cours de reconnaissance. Par exemple, vous pouvez combiner les valeurs de plusieurs champs à l'aide de la règle de fusion de valeurs de champs et enregistrer le résultat dans un champ sans région.

Les champs sans région ont toutes les propriétés du type de champ dont ils relèvent. Les valeurs de ces champs peuvent aussi être exportées.

Vous pouvez procéder de deux manières pour créer un champ sans région :

  1. Dans la fenêtre de l'éditeur de définitions de documents, sélectionnez l'élément de menu Éditer>Créer un champ et créez un champ du type requis. Le nom du champ apparaît dans la liste marqué d'un astérisque. Dans ce cas, le programme crée un champ dans la structure du document, mais il ne crée pas sa région sur l'image.
  2. L'autre méthode consiste à supprimer la région d'un champ ordinaire. Mettez en surbrillance le champ requis sur l'image ou dans la liste, puis sélectionnez Supprimer la région dans le menu contextuel. La région est alors supprimée, et le nom du champ est marqué d'un astérisque rouge.

Pour créer une région pour des champs qui n'ont pas de région sur l'image, sélectionnez [image] sur la barre d'outils et mettez en surbrillance la région requise à l'aide du curseur. Si la liste contient des champs marqués d'un astérisque, le programme vous demande de sélectionner le nom de l'un d'eux.


Exclusion d'une région de la reconnaissance

Il est parfois nécessaire d'exclure une région donnée de la reconnaissance, par exemple parce qu'elle contient du texte explicatif qui complique l'extraction des données du champ.

Pour exclure une région de la reconnaissance, sélectionnez l'outil [image] et mettez en surbrillance la région à exclure à l'aide de votre curseur.


Création d'un champ comportant une région non rectangulaire

Il est parfois nécessaire de créer des champs comportant des régions non rectangulaires, comme dans l'exemple du questionnaire.

Pour créer une région de champ non rectangulaire :

  1. Sélectionnez l'outil qui permet de créer un champ du type requis.
  2. Sélectionnez une région rectangulaire, où vous pourrez ajouter ou supprimer des fragments pour créer une région de la forme requise.
  3. Sélectionnez l'outil [image] et assurez-vous que la région rectangulaire est en surbrillance.
  4. Pour ajouter un fragment à la région : appuyez sur la touche Maj (le curseur se transforme en signe « plus ») et sélectionnez un fragment que vous souhaitez ajouter.
  5. Pour exclure un fragment de la région : appuyez sur la touche Alt (le curseur se transforme en signe « moins ») et sélectionnez le fragment que vous souhaitez exclure.


Champ contenant plusieurs régions

Un champ peut contenir plusieurs régions sur l'image. Ces régions peuvent être éloignées les unes des autres, et même être placées sur des pages différentes. Les valeurs de l'ensemble des régions appartenant au même champ sont combinées et exportées ensemble sous la forme d'un même champ.

Il est intéressant de pouvoir créer plusieurs régions pour des champs situés sur plusieurs pages, par exemple pour des tableaux volumineux.

Affichage d'un exemple

Pour créer un champ avec plusieurs régions, procédez comme suit :

  1. Créez un champ.
  2. Mettez-le en surbrillance, cliquez avec le bouton droit de la souris sur sa région et sélectionnez Continuer la région… dans le menu contextuel.
  3. Déplacez l'image de région à l'endroit de votre choix sur la page.


Champs avec plusieurs instances

Vos formulaires peuvent contenir des éléments récurrents. Ce sont les champs et groupes de champs qui apparaissent un certain nombre de fois dans le formulaire et qui décrivent des objets similaires, tels que les mêmes détails pour plusieurs employés, plusieurs enfants, plusieurs comptes, etc. Pour ces objets, des champs avec plusieurs instances sont créés.

Tout champ peut avoir plusieurs instances. Leurs régions peuvent être éloignées les unes des autres, et même être placées sur des pages différentes. Les instances de champ ont les mêmes propriétés. Elles sont exportées vers des fichiers ou des tables de base de données différents.

Vous pouvez créer plusieurs instances pour un groupe de champs si le formulaire contient des groupes récurrents.

Affichage d'un exemple

Pour créer un champ avec plusieurs instances, procédez comme suit :

  1. Créez un champ.
  2. Mettez-le en surbrillance, cliquez avec le bouton droit de la souris sur sa région et sélectionnez Nouvelle instance… dans le menu contextuel.
  3. Déplacez l'image de région à l'endroit de votre choix sur la page.


Propriétés de champ

Il est très important que les propriétés de chaque champ soient configurées correctement. Les propriétés des champs affectent la qualité de reconnaissance et déterminent si les valeurs des champs seront exportées et envoyées à l'opérateur pour vérification. Certaines propriétés sont très importantes pour la reconnaissance des données. C'est par exemple le cas de la méthode de marquage pour un champ d'entrée de texte : si cette propriété n'est pas configurée correctement, le maquage qui ne disparaît pas pendant la numérisation ne sera pas séparé des caractères, et le résultat de la reconnaissance risque de ne pas être satisfaisant.

Les champs de chaque type ont leur propre jeu de propriétés. Quand vous créez un champ d'un certain type sur l'image, il reçoit des propriétés par défaut.

Comment modifier les propriétés d'un champ :

  1. Mettez en surbrillance le nom du champ dans la structure du document, ou la région de champ sur l'image, cliquez avec le bouton droit de la souris et sélectionnez Propriétés… dans le menu contextuel.
  2. Modifiez les propriétés du champ dans la boîte de dialogue qui s'ouvre :

Pour plus d'informations sur les propriétés de champ :

Puce | Champs d'entrée de texte
Puce | Coches
Puce | Groupes de coches
Puce | Codes barres
Puce | Images
Puce | Tableaux
Puce | Groupes de champs


Champ de saisie de texte

Lorsque vous créez un champ de texte, des propriétés par défaut lui sont attribuées. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de propriétés contient cinq onglets rassemblant différents groupes de propriétés :

puce | Propriétés de base
puce | Types de données
puce | Propriétés de reconnaissance
puce | Propriétés de vérification
puce | Validation par règle


Propriétés de base d'un champ

Vous pouvez configurer les propriétés de base d'un champ dans l'onglet Généralités.

Dans cet onglet, le type de champ est affiché sous la forme d'une icône à droite du nom.

  • Nom : nom du champ. Le nom est attribué automatiquement lors de la création du champ et il correspond au texte explicatif le plus proche du champ. Lorsque vous modifiez les propriétés, vous pouvez modifier le nom attribué par défaut. Consultez également Comment modifier le nom d'un champ.
  • Légende – le nom du champ qui sera affiché dans le formulaire de données.
  • Exporter la valeur du champ – cette option doit être activée si vous souhaitez exporter la valeur du champ (option activée par défaut). Il se peut que vous deviez désactiver cette option, si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez Validation par règle), et que seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données – cette option doit être activée si le champ doit être affiché dans le formulaire de données (option activée par défaut).
  • Ne peut pas être vide – activez cette option si vous souhaitez rendre le champ obligatoire.
  • Lecture seule – activez cette option si le champ doit être accessible uniquement en lecture, c'est-à-dire si l'opérateur ne doit pas pouvoir modifier sa valeur. Vous pouvez activer cette option pour les champs dont la valeur doit être calculée automatiquement à l'aide d'une règle, par exemple pour un champ dont vous prévoyez d'enregistrer la somme ou que vous prévoyez de combiner à d'autres champs (consultez Validation par règle).
  • Champ d'index – activez cette option si vous prévoyez d'utiliser ce champ pour effectuer une indexation de documents. Lorsque vous traiterez les documents, vous aurez la possibilité d'afficher la valeur de ce champ pour chaque document, et de trier et de rechercher des documents à partir de la valeur du champ.
  • Commentaire – vous pouvez saisir tout commentaire.


Types de données d’un champ d’entrée de texte

Certains des paramètres des champs de texte les plus importants, pouvant affecter la qualité de la reconnaissance, de la vérification préliminaire et de la modification des données de champs, sont des paramètres de type de données.

À l'aide des paramètres de type de données d'un champ de texte, vous pouvez spécifier :

le type de contenu du champ, ce qui vous permet d'indiquer au programme le type de données attendu dans le champ. Il peut s'agir de chiffres, d'un numéro, d'une date, de symboles issus d'un ensemble particulier, d'un mot issu d'un dictionnaire (prénom, nom de famille, ville, pays, etc.) ou d'autre chose. Le programme utilise le type de contenu pendant la reconnaissance des données de champs de texte. Un contenu de champ correctement défini améliore la qualité de la reconnaissance, améliore le niveau de certitude des symboles reconnus et, de manière générale, réduit le travail fourni par l'opérateur lors de l'étape de vérification de données. La procédure de définition de types de contenu est très flexible. L'utilisateur peut non seulement sélectionner des variantes dans un ensemble de types de contenu fourni pour une langue de reconnaissance sélectionnée, mais également créer ses propres types personnalisés destinés à un objectif particulier en se basant sur un alphabet, des expressions régulières ou un dictionnaire utilisateur.

Les paramètres de Correction automatique vous permettent d'implémenter une correction automatique des valeurs des champs reconnus, par exemple : remplacer ou supprimer les symboles ou les espaces en trop, modifier la casse, etc. Ces paramètres permettent de convertir automatiquement des données vers la forme requise pour l'exportation, et réduisent le temps que l'opérateur passe à corriger les données des champs. Lorsque vous définissez les options de correction automatique, vous pouvez utiliser des paramètres standard ou créer un script personnalisé visant à implémenter une conversion de valeur de champ plus complexe. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.

Les paramètres de Validation de valeur sont utilisés pour définir le format de la valeur entrée et pour limiter, par exemple, les valeurs de la validation de longueur de texte, les valeurs maximales et minimales d'un nombre, l'intervalle de temps pour une date, etc. Vous pouvez également limiter la liste des valeurs autorisées en utilisant une source externe : un fichier texte ou une base de données. Les paramètres et limites des validations de valeurs dépendent du type de contenu de champ choisi. Si les données reconnues et les paramètres de validation de valeur ne correspondent pas, des erreurs de format seront affichées dans la fenêtre du document lors de l'étape de vérification.

Remarque : dans les paramètres de type de données de champ, la liste de valeurs de l'utilisateur (chargée à partir d'un fichier ou d'une base de données) peut être utilisée pour :

  • améliorer la qualité de la reconnaissance des champs en fournissant au programme l'alphabet des symboles, mais aussi la liste des mots possibles. Les valeurs de cette liste sont utilisées par le programme pendant le processus de reconnaissance. En guise de résultat de reconnaissance pour un champ de texte, le programme propose une variante soit identique, soit la plus proche possible de la valeur figurant dans la liste chargée. Si la valeur en cours de reconnaissance n'apparaît pas dans le dictionnaire, le processus de reconnaissance est effectué en utilisant uniquement l'alphabet. Pour résoudre ce problème, vous devez ajouter un dictionnaire utilisateur dans les paramètres de contenu de champ.
  • Validation d'une valeur de texte déjà reconnue en consultant la liste des valeurs autorisées. Une fois le champ reconnu, sa valeur est recherchée dans la liste des valeurs autorisées (cette liste peut être locale ou provenir d'une source externe). Si la valeur n'est pas trouvée, un message concernant une erreur de format de champ est affiché. Pour résoudre ce problème, vous devez charger ou associer la liste des valeurs autorisées dans les paramètres devalidation de valeur.

Le type de données du champ d'entrée peut être défini dans l'onglet Type de données de la boîte de dialogue des propriétés du champ. L'affichage des propriétés de la boîte de dialogue Propriétés du champ peut varier en fonction du type de contenu.

Texte
  1. Si ce champ contient du texte, sélectionnez Texte dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez changer la langue, changer l'utilisation des dictionnaires ou spécifier un type de données plus précis, cliquez sur le bouton Éditer… situé à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Pour le type de texte standard (soit lorsque Général est sélectionné dans la liste Paramètres du contenu ) vous pouvez utiliser un dictionnaire intégré et/ou un dictionnaire personnalisé. Le cas échéant, la valeur du champ est vérifiée grâce à ces dictionnaires.
      Pour utiliser un dictionnaire intégré, sélectionnez l'option Utiliser le dictionnaire intégré.
      Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour modifier le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type de texte spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Nombre
  1. Si ce champ contient une valeur numérique, sélectionnez Numéro dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez changer la langue, transformer un entier en fraction ou inversement, ou spécifier un type de données plus précis (par exemple, un nombre à deux chiffres ou un chiffre romain), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez Entier, si le champ doit contenir un nombre entier. Désactivez cette option si le champ doit contenir une fraction.
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour un entier ou une fraction.
    • Le type de nombre spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Important ! N'utilisez pas de type de données numérique pour les champs contenant des numéros qui ne sont pas à proprement parler des valeurs numériques mais plutôt des codes (par exemple, les numéros de cartes de crédit, de passeports, etc.). Attribuer le type de données numérique à ces champs peut provoquer des erreurs (par exemple, suppression des zéros du début). Le cas échéant, créez un type de texte personnalisé et spécifiez un alphabet de 0 à 9 (si besoin, ajoutez une expression régulière) ou utilisez le type de données numérique en veillant à sélectionner l'option Traiter la valeur comme un texte. Dans ce dernier cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le type texte. Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Date
  1. Si ce champ contient une date, sélectionnez Date dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez changer la langue ou l'ordre des composants de la date, ajouter des heures ou des jours de la semaine ou spécifier un type de données plus précis (par exemple, les mois sont indiqués en chiffres romains), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez l'ordre souhaité dans la liste Ordre de composant de date .
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour les données écrites aux formats standard. Les options supplémentaires suivantes sont disponibles pour le type de données standard :
      Peut inclure le mois en lettres : utilisez cette option s'il est possible d'écrire les mois en toutes lettres en plus de les écrire sous forme de chiffres ;
      Peut inclure le jour de la semaine : utilisez cette option si les dates peuvent inclure le jour de la semaine ;
      Peut inclure l'heure : utilisez cette option si les dates peuvent inclure l'heure.
    • Le type de date spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Important ! Si vous ne pouvez pas réduire la date dans un format standard ou si vous n'envisagez pas de traiter les données contenues dans ce champ comme des dates, sélectionnez l'option Traiter la valeur comme un texte. Dans ce cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le texte. Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Heure
  1. Si ce champ contient une heure, sélectionnez Heure dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez changer la langue, changer le format de l'heure ou spécifier un type de données plus précis (par exemple, un format 12 heures), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Vous pouvez choisir la langue souhaitée dans la liste déroulante, ou sélectionner l'option Afficher toutes les langues située à droite du champ Langue.
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour les heures écrites aux formats standard.
    • Le type de date spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue. Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour ce faire, spécifiez une plage de valeurs pour le champ Date. Les contraintes définies s'appliqueront également aux champs d'heures. Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les dates.
Important ! Si vous ne pouvez pas convertir une heure dans un format standard ou si vous n'envisagez pas de traiter les données contenues dans ce champ comme des heures, sélectionnez l'option Traiter la valeur comme un texte. Dans ce cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le texte. Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Somme d'argent
  1. Si ce champ contient une somme d'argent, sélectionnez Somme d'argent dans la liste Contenu .
    Dans le champ Détails , une description du type de données sélectionné s'affiche. Si vous souhaitez changer la langue ou spécifier un type de données plus précis (par exemple, un code de devise), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour la somme d'argent si la valeur du champ est un nombre ou un nombre accompagné d'un symbole ou d'un code de devise standard.
    • Le type spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient les types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Important ! Si vous ne pouvez pas réduire la somme d'argent à un format standard ou si vous n'envisagez pas de traiter les données contenues dans ce champ comme des sommes d'argent, sélectionnez l'option Traiter la valeur comme un texte. Dans ce cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le texte. Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Adresse
  1. Si ce champ contient une adresse, sélectionnez Adresse dans la liste Contenu .
    Dans le champ Détails , une description du type de données sélectionné s'affiche. Si vous souhaitez changer la langue, spécifier un dictionnaire personnalisé ou spécifier un type de données plus précis (par exemple, une adresse de courrier électronique ou un code ZIP/postal), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour l'adresse. Dans ce cas, l'utilisation d'un dictionnaire personnalisé est recommandée. Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour modifier le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient les types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Nom
  1. Si ce champ contient un nom, sélectionnez NomNom dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez changer la langue, spécifier un dictionnaire personnalisé ou spécifier un type de données plus précis (par exemple, un nom ou un patronyme), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour le nom. Dans ce cas, l'utilisation d'un dictionnaire personnalisé est recommandée. Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour modifier le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient les types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Code
  1. Si ce champ contient un code constitué de lettres et de chiffres, sélectionnez CodeCode dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez changer la langue, spécifier un dictionnaire personnalisé ou spécifier un type de données plus précis (par exemple, un numéro de sécurité sociale), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Changer la langue de reconnaissance de ce champ. Pour changer la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (c'est-à-dire, lorsque Général est sélectionné dans la liste Paramètres du contenu ) pour le code alphanumérique. Dans ce cas, l'utilisation d'un dictionnaire personnalisé est recommandée. Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour modifier le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type spécial (c'est-à-dire, lorsque Spécial est sélectionné dans la liste Paramètres du contenu ) contient les types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour obtenir des détails, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou les parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… à côté du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour obtenir des détails, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur entrée se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour obtenir des détails, consultez la section Contraintes de plage de valeurs pour les données de type texte.


Création de types de données personnalisés

Pour créer un nouveau type de données, sélectionnez l'élément souhaité dans la liste Contenu de l'onglet Type de données dans les propriétés du champ. Vous pouvez sélectionner n'importe quel élément de la liste dont la sémantique correspond à votre type de données personnalisé : ceci n'affecte pas la nature du nouveau type de données mais permet simplement de stocker ce dernier dans la catégorie sélectionnée.

Cliquez sur le bouton Éditer… situé à droite du champ Détails .

Dans la boîte de dialogue qui s'ouvre, sélectionnez Spécial dans le champ Paramètres du contenu .

Cliquez sur le bouton Nouveau… situé à droite du champ Types de données pour la langue sélectionnée .

Suivez les instructions de l'Assistant Création de type de données.

Dans la première fenêtre de l'Assistant, sélectionnez le processus de création de vos données. Vous pouvez créer un nouveau type de données d'après un dictionnaire, une expression normale, un alphabet ou un type de données existant (par exemple, en ajoutant les caractères souhaités à son alphabet ou en développant son dictionnaire).

Pour créer un nouveau type de données reposant sur un dictionnaire, une expression normale ou un alphabet :

  1. Sélectionnez Nouveau type de données basé sur , puis la base à utiliser pour votre nouveau type de données : un dictionnaire, une expression normale ou un alphabet. Sélectionnez ensuite Langue (lieu) pour votre type de données et cliquez sur Suivant.
  2. Si vous choisissez de créer un nouveau type de données basé sur un dictionnaire, l'Assistant vous invite dans la fenêtre suivante à sélectionner le type de dictionnaire à utiliser.
    Sélectionnez Utiliser le dictionnaire intégré si vous souhaitez utiliser le dictionnaire intégré pour la langue sélectionnée dans la fenêtre précédente. Pour vérifier si le dictionnaire contient un mot particulier, cliquez sur Afficher… et saisissez le mot. Lorsque vous cliquez sur le bouton Afficher, les formes flexionnelles du mot ou un message d'avertissement indiquant que le mot recherché ne figure pas dans le dictionnaire s'affichent.
    Sélectionnez Utiliser les dictionnaires personnalisés si vous souhaitez utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour modifier le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic). Cliquez sur Suivant.
  3. Si vous choisissez de créer un nouveau type de données reposant sur une expression normale, l'Assistant vous invite à saisir une expression normale. Utilisez le bouton [image] situé à droite du champ de l'expression normale pour compiler votre expression normale. Pour plus d'informations, consultez la section Caractères alphabétiques dans des expressions normales. Cliquez sur Suivant.
  4. Si vous choisissez de créer un nouveau type de données reposant sur un alphabet ou si vous utilisez dans une expression normale des caractères n'appartenant pas à l'alphabet de la langue employée, l'Assistant vous invite à spécifier un alphabet pour votre type de données. Vous pouvez saisir les caractères souhaités directement au clavier ou cliquer sur Personnaliser… et sélectionner les caractères souhaités à la souris.

    Pour ajouter des signes de ponctuation et des caractères exclus (interdits), cliquez sur Paramètres avancés…. Vous pouvez saisir les caractères interdits directement au clavier ou cliquer sur le bouton situé à droite et sélectionner les caractères souhaités à la souris.

    Cliquez sur Suivant.

  5. Dans la dernière fenêtre de l'Assistant, attribuez un nom au nouveau type de données et décrivez-le brièvement. Pour éditer les propriétés d'un type de données nouvellement créé, sélectionnez l'option Éditer les propriétés. Cliquez sur Terminer.

Pour créer un nouveau type de données reposant sur un type de données existant :

  1. Dans la première fenêtre de l'Assistant Création de type de données, sélectionnez Type de données basé sur des types existants. Sélectionnez la ou les langues souhaitées et cliquez sur Suivant.
  2. Dans la fenêtre suivante, sélectionnez le ou les types de données source en fonction de celui ou de ceux que vous souhaitez utiliser pour créer votre nouveau type de données. Les types de données correspondant aux langues sélectionnées apparaissent dans la liste Types de données disponibles dans la partie gauche de la boîte de dialogue. Le dossier Texte contient les langues naturelles sélectionnées dans la première fenêtre. Le dossier Personnalisé contient les types créés par les utilisateurs. Les autres dossiers contiennent les types de données correspondant à la catégorie et au type spécial de contenu.
    Pour sélectionner un type de données source, sélectionnez-le dans le champ Types de données disponibles (maintenez la touche CTRL enfoncée pour en sélectionner plusieurs), puis cliquez sur Ajouter -> pour le transférer dans le volet droit. Cliquez sur Suivant.
  3. Dans la dernière fenêtre de l'Assistant, attribuez un nom au nouveau type de données et décrivez-le brièvement. Pour éditer les propriétés d'un type de données nouvellement créé, sélectionnez l'option Éditer les propriétés. Cliquez sur Terminer.

Le type de données nouvellement créé apparaît dans la liste des types de données prédéfinis lorsque vous sélectionnez le contenu sélectionné à la création du type de données.

Pour spécifier le type de données nouvellement créé pour votre champ :

  1. Sur l'onglet Type de données de la boîte de dialogue des propriétés du champ, sélectionnez l'élément souhaité dans la liste Contenu .
  2. Cliquez sur le bouton Éditer… situé à droite du champ Détails .
  3. Dans la liste Paramètres du contenu , sélectionnez Spécial.
  4. Dans la liste qui s'affiche, sélectionnez le type de données que vous avez créé (les types de données personnalisés sont indiqués par un symbole spécial) et cliquez sur OK.


Contraintes de plage de valeurs pour les données de type texte

Dans la boîte de dialogue Paramètres de validation, vous pouvez spécifier des contraintes de plage de valeurs pour le texte entré dans le champ.

Remarque : le programme considère comme type de texte les types de données contenant du texte, ainsi que les types de données regroupant un autre contenu pour lequel l’option Traiter la valeur comme un texte est sélectionnée.

  • Longueur maximale : spécifiez la longueur maximale du texte du champ ;
  • Dans le champ Contrainte sur le contenu , sélectionnez Expression normale dans la liste si une expression régulière doit être utilisée pour vérifier les valeurs des champs.

    Le bouton [image] peut vous aider à créer correctement une expression régulière. Pour obtenir des détails, consultez la section Caractères alphabétiques dans des expressions régulières.

    Pour faire en sorte que les messages d'erreur soient plus lisibles, dans le champ Description de l'expression normale , fournissez une description des expressions régulières qui seront utilisées dans les messages d'erreur.

  • Dans le champ Contrainte sur le contenu , sélectionnez Valeurs autorisées dans la liste si vous devez définir une liste de valeurs autorisées. Pour ajouter une valeur, cliquez sur Ajouter… et saisissez la valeur. Pour modifier une valeur, cliquez sur Éditer…, et pour supprimer une valeur, cliquez sur Supprimer. Pour charger des valeurs possibles depuis un fichier, cliquez sur Charger…
  • Sélectionnez l'option Utiliser une source externe de valeurs autorisées si les valeurs reconnues nécessitent une vérification dans la liste des valeurs autorisées depuis un fichier texte externe ou une base de données. Pour définir la source des valeurs, cliquez sur le bouton Éditer…. Dans le cadre de ce type de vérification, la liste des valeurs autorisées n'est pas copiée dans le projet, et une connexion à la source externe est effectuée directement pendant la vérification.
  • Traiter l'erreur de validation comme un avertissement : sélectionnez cette option si vous souhaitez que toute non conformité aux contraintes que vous avez spécifiées soit considérée comme un avertissement. Les avertissements n'empêchent pas l'opérateur d'envoyer des documents vers l'étape de traitement suivante, tandis que pour les erreurs de format non corrigées, une confirmation supplémentaire de l'opérateur est requise avant l'envoi.


Contraintes de plage de valeurs pour les nombres

Pour spécifier les contraintes de plages de valeurs pour les nombres :

  1. Activez l'option Utiliser des contraintes .
  2. Spécifiez les valeurs numériques minimale et maximale.
  3. Traiter l'erreur de validation comme un avertissement – Sélectionnez cette option si vous souhaitez que toute non conformité aux contraintes que vous avez spécifiée soit considérée comme un avertissement.

Quand le programme traitera des documents, il déterminera si la valeur entrée est comprise dans l'intervalle spécifié.


Contraintes de plage de valeurs pour la date

Dans la boîte de dialogue Paramètres de validation, vous pouvez spécifier l'intervalle pour la date saisie dans ce champ.

  1. Activer l'option La date doit appartenir à l'intervalle suivant .
  2. Sélectionnez Fixe pour définir un intervalle de temps fixe ou sélectionnez Date relative à la vérification pour définir un intervalle de temps relatif à la date de vérification du document.
  3. Entrez le début et la fin de l'intervalle.
  4. Traiter l'erreur de validation comme un avertissement – Sélectionnez cette option si vous souhaitez que toute non conformité aux contraintes que vous avez spécifiée soit considérée comme un avertissement.


Traitement de la valeur saisie pour les données de type texte

Traitement des valeurs saisies

Quel que soit le type de données, vous pouvez traiter automatiquement la valeur entrée : supprimer les espaces, convertir les lettres en majuscules ou en minuscules, et remplacer automatiquement certains caractères ou certaines parties de texte. Pour activer le traitement automatique des valeurs de champs, sur l'onglet Type de données de la boîte de dialogue de propriétés du champ, cliquez sur le bouton Éditer… à droite du champ Options de correction automatique .

Sélectionnez les options de traitement automatique souhaitées.

Si l'option N'appliquer la correction automatique qu'une fois après la reconnaissance est sélectionnée, le traitement automatique n'est effectué qu'une fois la valeur du champ reconnue. Dans le cas contraire, le traitement automatique est exécuté à chaque modification de la valeur du champ.

  • Pour effectuer un remplacement automatique des caractères dans la valeur de champ reconnue, cliquez sur le bouton Éditer… à droite du champ Remplacer les caractères . Dans la boîte de dialogue qui s'ouvre, vous pouvez ajouter des caractères à remplacer automatiquement. Si les caractères spécifiés apparaissent dans la valeur de champ reconnue, ils seront remplacés automatiquement.
  • Pour effectuer un remplacement automatique de l'intégralité de la valeur de champ reconnue ou de mots distincts de la valeur de champ, cliquez sur le bouton Éditer… à droite du champ Remplacer le texte .

    Dans la boîte de dialogue qui s'ouvre, vous pouvez ajouter des mots et des expressions à remplacer automatiquement. Pour ne remplacer que l'intégralité des champs, sélectionnez Respecter l'intégralité du contenu du champ.

    Si vous activez l'option Recherche exacte, le programme recherchera et remplacera le mot ou l'expression exacte que vous avez saisi. Sinon, si vous activez l'option Recherche approximative, le programme recherchera et remplacera un mot ou une expression similaire à celui/celle que vous avez saisi. Le nombre d'erreurs autorisées dépend de la longueur du mot.

    Activez l'option Respecter la casse pour que le programme tienne compte de la casse pour remplacer les mots ou expressions.

  • Choisissez l'une des méthodes de conversion des lettres du texte dans la liste déroulante Changer l'emploi des lettres majuscules :

    Aucun – sans conversion ;

    MAJUSCULES – toutes les lettres seront mises en majuscules ;

    minuscules – toutes les lettres seront mises en minuscules ;

    Première majuscule – la première lettre sera mise en majuscule et les suivantes en minuscules.

  • Supprimer les espaces excédentaires – activez cette option si vous souhaitez supprimer les espaces.

Vous pouvez également utiliser un script pour le remplacement automatique : sélectionnez l'option Utiliser un script, cliquez sur Éditer… pour ouvrir l'éditeur de scripts puis saisissez le code du script.


Options de reconnaissance pour les champs de texte

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel). Lorsque les valeurs des champs sont correctement déterminées, la qualité de la reconnaissance augmente considérablement et le risque d'erreurs diminue.

Dans le champ Type de remplissage, sélectionnez le mode de reconnaissance souhaité : Reconnaissance standard, Ne pas reconnaître ou Reconnaissance par script.

Pour le mode Reconnaissance standard, spécifiez les options suivantes :

  • ICR (manuscrit) : activez cette option si le texte statique de ce champ est manuscrit.

  • OCR (imprimé) : activez cette option si le texte statique de ce champ est imprimé. Sélectionnez le style d'impression dans la liste déroulante (typographique, imprimante matricielle, machine à écrire, etc.). Consultez aussi la section Types de textes pris en charge.

  • Avancé : utilisez cette option pour sélectionner plusieurs types de textes ou pour spécifier un type de texte personnalisé.

  • Type de marquage : sélectionnez le type de marquage ; pour simplifier votre choix, sélectionnez des exemples dans la liste déroulante. Si le marquage disparaît pendant la numérisation, votre type de marquage aura un espacement fixe (cases grises). Si le marquage ne disparaît pas pendant la numérisation et s'il est subdivisé en cellules pour les espacements entre les caractères, vous devez saisir le nombre total de cellules. Lorsque le programme détecte automatiquement les champs comportant un tel marquage, le nombre de cellules est automatiquement déterminé.

  • Casse : sélectionnez la casse des lettres du champ. Si le champ peut contenir à la fois des majuscules et des minuscules, laissez l'option Automatique activée.

  • Orientation : spécifiez l'orientation du texte.

  • Activez l'option Une ligne pour les champs d'une ligne.

  • Pour les champs dont la valeur est toujours composée d'un seul mot, activez l'option Un mot.

  • Configurez les options de traitement d'images pendant la reconnaissance :

    • Inverser : inverse l'image.
    • Supprimer la texture : supprime la texture.
    • Nettoyer : supprime les éléments parasites de l'image.
    • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille spécifiée. Spécifiez la taille des éléments parasites. Si cette option est désactivée et si seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.

    Sélectionnez le mode Ne pas reconnaître si le champ ne peut pas être reconnu pour certaines raisons (par exemple, si le texte du champ comporte des lettres qui se chevauchent) et si l'opérateur doit saisir sa valeur manuellement. Dans ce cas, il ne vous est pas nécessaire de configurer les autres propriétés de reconnaissance car ce champ ne sera pas reconnu ; l'opérateur sera invité à saisir la valeur du champ pendant la vérification.

    Sélectionnez le mode Reconnaissance par script si vous souhaitez utiliser un algorithme d'initialisation ou de reconnaissance personnalisé. Pour plus de détails, consultez la section Script de reconnaissance personnalisée.


Propriétés de la vérification de champs

La vérification consiste, pour l’opérateur, à vérifier les données reconnues. Les caractères reconnus sans certitude sont indiqués par le programme et soumis à l’opérateur afin qu’il les vérifie. Toutefois, vous pouvez configurer les propriétés d’un champ de telle sorte que le programme le fasse vérifier par l’opérateur même s’il ne contient pas de caractères reconnus sans certitude. À l'inverse, vous pouvez aussi demander à ce que le programme ne fasse pas vérifier le champ même s’il contient des caractères reconnus sans certitude. L’opérateur observe un caractère reconnu et son image, et soit il confirme le résultat de la reconnaissance, soit il le corrige.

Lorsque vous créez une définition de document, vous pouvez configurer les options de vérification dans l’onglet Vérification de la boîte de dialogue des propriétés du champ.

Pour que le champ soit vérifié par un opérateur, sélectionnez Nécessite une vérification.

Configurez les paramètres d’affichage de caractères :

  • S'il vous faut mettre les caractères à vérifier en surbrillance, sélectionnez Mettre tous les caractères en surbrillance ;
  • S'il ne vous est pas nécessaire de mettre les caractères en surbrillance, sélectionnez Ne pas mettre les caractères en surbrillance ;
  • S'il vous faut mettre les caractères en surbrillance en fonction de la certitude de la reconnaissance, sélectionnez Mettre les caractères en surbrillance si le niveau de confiance est inférieur à et, dans la liste déroulante, spécifiez le plus bas niveau de certitude possible avant que les caractères ne soient mis en surbrillance.

Vérification groupée

  • Pour que les caractères du champ soient envoyés vers la vérification groupée, sélectionnez Envoyer les caractères vers la vérification de groupe.
  • Sélectionnez les caractères à envoyer vers la vérification groupée : caractères en surbrillance uniquement ou tous les caractères.
  • Sélectionnez l’ensemble de caractères destiné à la vérification groupée : Chiffres uniquement ou Personnaliser. Si nécessaire, modifiez l’ensemble de caractères défini par l’utilisateur en cliquant sur Modifier….

Vérification de champs

  • Pour que le champ soit envoyé vers la vérification de champs, sélectionnez Envoyer vers la vérification de champ.
  • Sélectionnez le cas dans lequel le champ doit être envoyé vers la vérification de champs : toujours ou si le champ comporte des caractères en surbrillance ou des erreurs de format.

Double vérification

  • Si une double vérification est nécessaire, sélectionnez Nécessite une double vérification.


Script utilisateur

Script utilisateur (action personnalisée)

Le Script utilisateur est une règle de script personnalisée déclenchée par l’utilisateur lors de l’affichage d’un champ pendant la vérification de champs ou dans l’éditeur de documents. Le script se déclenche en cliquant sur … à droite de la valeur du champ.

Vous pouvez définir un script personnalisé dans l'onglet Personnaliser une action de la boîte de dialogue Propriétés du champ (cliquez sur le champ à l'aide du bouton droit et sélectionnez Propriétés... dans le menu contextuel). Pour ajouter ou supprimer les informations de champ qui seront disponibles dans le script utilisateur, utilisez les boutons Ajouter… et Supprimer Pour modifier le script, utilisez la fenêtre Éditeur de script qui s’ouvre lorsque vous cliquez sur Éditer…

Pour rendre le script accessible aux opérateurs, sélectionnez Activer l'action personnalisée.

Pour obtenir des détails sur les paramètres des scripts, consultez Script utilisateur.


Coches

Important ! Les propriétés des coches combinées sous forme de groupes sont configurées pour le groupe de coches entier. Si vous essayez de modifier les propriétés d'une coche appartenant à un groupe, une boîte de dialogue permettant de modifier les propriétés du groupe de coches s'ouvre.

Quand vous créez un champ de coche, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de propriétés contient trois onglets, rassemblant différents groupes de propriétés.

puce | Propriétés de base
puce | Propriétés de reconnaissance
puce | Types de données
puce | Propriétés de vérification
puce | Validation par règle


Propriétés de base d'un champ

Vous pouvez configurer les propriétés de base d'un champ dans l'onglet Généralités.

Dans cet onglet, le type de champ est affiché sous forme d'icône à droite du nom.

  • Nom – nom du champ. Le nom est attribué automatiquement lors de la création du champ et il correspond au texte explicatif le plus proche du champ. Lorsque vous modifiez les propriétés, vous pouvez modifier le nom attribué par défaut. Consultez également Comment modifier le nom d'un champ.
  • Légende – le nom du champ qui sera affiché dans le formulaire de données.
  • Exporter la valeur du champ – cette option doit être activée si vous souhaitez exporter la valeur du champ (option activée par défaut). Il se peut que vous deviez désactiver cette option, si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez Validation par règle), et que seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données – cette option doit être activée si le champ doit être affiché dans le formulaire de données (option activée par défaut).
  • Lecture seule – activez cette option si le champ doit être accessible uniquement en lecture, c'est-à-dire si l'opérateur ne doit pas pouvoir modifier sa valeur. Vous pouvez activer cette option pour les champs dont la valeur doit être calculée automatiquement à l'aide d'une règle, par exemple pour un champ dont vous prévoyez d'enregistrer la somme ou que vous prévoyez de combiner à d'autres champs (consultez Validation par règle).
  • Commentaire – vous pouvez saisir tout commentaire.


Types de données pour des coches

Le type de données des coches peut être défini sur l'onglet Type de données de la boîte de dialogue de propriétés de champ.

Il détermine les valeurs à affecter au champ de coche pour une coche sélectionnée et pour une coche non sélectionnée.

Sélectionnez les options appropriées pour les valeurs de coche :

  • Oui / Non : si la coche est sélectionnée, la valeur du champ est "Oui". Si elle n'est pas sélectionnée, la valeur est "Non".
  • 1 / 0 : Si la coche est sélectionnée, la valeur du champ est 1. Si elle n'est pas sélectionnée, la valeur est 0.
  • <Nom de la coche> / Vide : si la coche est sélectionnée, la valeur du champ correspond au nom de la coche. Si elle n'est pas sélectionnée, le champ reçoit une valeur vide.
  • Personnalisé : en activant cette option, vous pouvez entrer vos valeurs personnalisées. Sélectionné à une coche sélectionnée et Non sélectionné à une coche non sélectionnée.


Propriétés de la reconnaissance de coche

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (option Propriétés… du menu contextuel de ce champ). Quand les valeurs des champs sont déterminées correctement, la qualité de la reconnaissance s'améliore considérablement et le risque d'erreurs diminue sensiblement.

  • Type de coche : sélectionnez le type de coche. Cette propriété est très importante pour la reconnaissance correcte des coches.

    Carré : sélectionnez ce type de coche si les coches sont placées dans des cadres carrés restreints.

    Sans cadre : sélectionnez ce type de coche si les coches sont placées sur un arrière-plan blanc sans cadre.

    Automatique : si vous sélectionnez ce type, le programme déterminera automatiquement le type de coche.
    Important ! Notez que dans ce cas, la coche du formulaire ne doit pas être sélectionnée. En effet, le programme détecte si la coche est sélectionnée ou non en comparant l'image de la coche sur un document traité à l'image du formulaire vierge utilisé pour créer la définition de document.

  • Autoriser les corrections : activez cette option si vous souhaitez autoriser les corrections pour les coches. Dans ce cas, les coches retouchées seront considérées comme non sélectionnées. Si vous avez sélectionné le type Automatique, vous ne pouvez pas autoriser les corrections pour ces coches.

    • Vous pouvez configurer les options de traitement d'image de champ :

  • Inverser : activez cette option si vous souhaitez inverser l'image.
  • Supprimer la texture : activez cette option si vous souhaitez supprimer la texture.
  • Nettoyer : activez cette option pour supprimer les éléments parasites de l'image.
  • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Propriétés de la vérification de champs

La vérification consiste, pour l’opérateur, à vérifier les données reconnues. Les caractères reconnus sans certitude sont indiqués par le programme et soumis à l’opérateur afin qu’il les vérifie. Toutefois, vous pouvez configurer les propriétés d’un champ de telle sorte que le programme le fasse vérifier par l’opérateur même s’il ne contient pas de caractères reconnus sans certitude. À l'inverse, vous pouvez aussi demander à ce que le programme ne fasse pas vérifier le champ même s’il contient des caractères reconnus sans certitude. L’opérateur observe un caractère reconnu et son image, et soit il confirme le résultat de la reconnaissance, soit il le corrige.

Lorsque vous créez une définition de document, vous pouvez configurer les options de vérification dans l’onglet Vérification de la boîte de dialogue des propriétés du champ.

Pour que le champ soit vérifié par un opérateur, sélectionnez Nécessite une vérification.

Vérification groupée

  • Pour que les caractères du champ soient envoyés vers la vérification groupée, sélectionnez Envoyer les caractères vers la vérification de groupe.
  • Sélectionnez les caractères à envoyer vers la vérification groupée : caractères en surbrillance uniquement ou tous les caractères.

Vérification de champs (uniquement pour les groupes de coches)

  • Pour que le champ soit envoyé vers la vérification de champs, sélectionnez Envoyer vers la vérification de champ.
  • Sélectionnez le cas dans lequel le champ doit être envoyé vers la vérification de champs : toujours ou si le champ comporte des caractères en surbrillance ou des erreurs de format.

Double vérification

  • Si une double vérification est nécessaire, sélectionnez Nécessite une double vérification.


Groupes de coches

Important ! Les propriétés de groupe s'appliquent à toutes les coches appartenant à un groupe.

La valeur d'un groupe de coches est la liste des noms des coches sélectionnées, séparés par un point-virgule (;), ou une chaîne vide si aucune coche n'a été sélectionnée.

Quand vous créez un groupe de coches, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de propriétés contient trois onglets, rassemblant différents groupes de propriétés.

puce | Propriétés de base
puce | Propriétés de reconnaissance
puce | Types de données
puce | Propriétés de vérification
puce | Validation par règle


Types de données pour les groupes de coches

Le type de données des groupes de coches peut être défini sur l'onglet Type de données de la boîte de dialogue de propriétés de champ.

Autoriser les sélections vides : activez cette option si au moins une coche du groupe doit être sélectionnée. Dans ce cas, si aucune coche du groupe n'est sélectionnée, le programme affiche un avertissement correspondant.

Autoriser les sélections multiples : activez cette option pour autoriser la sélection de plusieurs coches du groupe. Si cette option est désactivée, le programme affiche un avertissement quand plusieurs coches du groupe sont sélectionnées.

Pour modifier le nom d'une coche, sélectionnez la ligne de votre choix, puis cliquez sur Éditer…. Dans la boîte de dialogue qui s'ouvre, indiquez un nouveau nom pour le champ de coche et un nouveau nom à affecter à la coche pendant l'exportation.

Vous pouvez définir les valeurs à exporter lorsqu'aucun champ de coche n'est sélectionné et lorsque plusieurs champs de coche sont sélectionnés. Pour ce faire, sélectionnez soit <Aucun élément sélectionné> soit <Plusieurs éléments…> dans la liste, cliquez sur Éditer… puis, dans la boîte de dialogue qui s'ouvre précisez la valeur désirée dans le champ Valeur exportée . Si aucune valeur d'exportation n'est spécifiée : a) une chaîne vide est exportée si aucun champ de coche n'est sélectionné, et b) les valeurs des champs de coches sélectionnés sont spécifiées (une virgule faisant office de séparateur) si plusieurs champs sont sélectionnés.

Création d'un groupe de coches


Code barre

Quand vous créez un champ de code barre, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification des propriétés contient cinq onglets, rassemblant différents groupes de propriétés.

Important ! Un code barre peut être mis en surbrillance sous forme de champ ou d'élément statique. Tout dépend de la valeur du code barre dans les documents en cours de traitement. Si le code barre est destiné à l'association ou à l'identification de la définition de document, vous devez le créer en mode d'éléments statiques. S'il est destiné à l'acquisition de données, il faut le créer en mode de marquage de champ. Les propriétés d'un code barre varient suivant qu'il s'agit d'un champ ou d'un élément statique. Cette section décrit les propriétés de champ. Consultez aussi la section code barre d'ancrage.

puce | Propriétés de base
puce | Propriétés de reconnaissance
puce | Propriétés de vérification
puce | Validation par règle


Propriétés de la reconnaissance de codes barres

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (option Propriétés… du menu contextuel de ce champ). Quand les valeurs des champs sont déterminées correctement, la qualité de la reconnaissance s'améliore considérablement et le risque d'erreurs diminue sensiblement.

  • Ne pas reconnaître (clé du champ d'image - sera entré manuellement) : activez cette option si la valeur du code barre doit être entrée manuellement par l'opérateur. Dans pareil cas, vous n'avez pas besoin de configurer les paramètres de reconnaissance restants.
  • Type de code : indiquez le type du code barre (il est en principe déterminé automatiquement).
  • Orientation : indiquez l'orientation du code barre.

Vous pouvez aussi configurer les options de traitement d'image de code barre :

  • Inverser : activez cette option si vous souhaitez inverser l'image.
  • Supprimer la texture : activez cette option si vous souhaitez supprimer la texture.
  • Nettoyer : activez cette option pour supprimer les éléments parasites de l'image.
  • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Propriétés de la vérification de champ

La vérification consiste, pour l'opérateur, à contrôler les données reconnues. Les caractères reconnus sans certitude sont indiqués par le programme et soumis à l'opérateur afin qu'il les vérifie. Toutefois, vous pouvez configurer les propriétés d'un champ de telle sorte que le programme le fasse vérifier par l'opérateur même s'il ne contient pas de caractères reconnus sans certitude. Inversement, vous pouvez demander à ce que le programme ne fasse pas vérifier le champ même s'il contient des caractères reconnus sans certitude. L'opérateur voit un caractère reconnu et son image, et soit il confirme le résultat de la reconnaissance, soit il le corrige.

Quand vous créez une définition de document, vous pouvez configurer les options de vérification dans l'onglet Vérification de la boîte de dialogue de propriétés de champ.

Pour que le champ soit vérifié par un opérateur, sélectionnez Nécessite une vérification.

  • Pour que le champ soit envoyé vers la vérification de champ, sélectionnez Envoyer vers la vérification de champ.
  • Sélectionnez le cas de figure où le champ doit être envoyé vers la vérification de champ : toujours ou si le champ comporte des caractères en surbrillance ou des erreurs de format.


Images

Lorsque vous créez une image, des propriétés par défaut lui sont attribuées. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient quatre onglets rassemblant différents groupes de propriétés.

puce | Propriétés de base
puce | Propriétés de reconnaissance
puce | Exportation d'images
puce | Validation par règle


Propriétés de base d'un champ

Vous pouvez configurer les propriétés de base d'un champ dans l'onglet Généralités.

Dans cet onglet, le type de champ est affiché sous forme d'icône à droite du nom.

  • Nom – nom du champ. Le nom est attribué automatiquement lors de la création du champ et il correspond au texte explicatif le plus proche du champ. Lorsque vous modifiez les propriétés du champ, vous pouvez aussi modifier le nom affecté par défaut. Consultez également Comment modifier le nom d'un champ.
  • Légende – le nom du champ qui sera affiché dans le formulaire de données.
  • Exporter la valeur du champ – activez cette option si vous souhaitez exporter la valeur du champ (option est activée par défaut). Il se peut que vous deviez désactiver cette option, si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez Validation par règle), et que seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données – activez cette option si le champ doit être affiché dans le formulaire (option activée par défaut).
  • Commentaire – vous pouvez saisir tout commentaire.


Propriétés de la reconnaissance d'image graphique

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (option Propriétés… du menu contextuel de ce champ).

  • Exclure de la reconnaissance : activez cette option si la région d'un champ d'image graphique doit être exclu des régions de reconnaissance des autres champs (cette option n'est disponible que pour un champ d'image graphique, et elle assure la compatibilité avec les modèles FormReader 6.5).


Exportation d'images

Dans une définition de document, vous pouvez sélectionner les paramètres d'exportation de chaque image graphique. Pour sélectionner les paramètres d'exportation d'images, cliquez sur le champ souhaité à l'aide du bouton droit, sélectionnez Propriétés…, puis cliquez sur l'onglet Exportation. Vous pouvez sélectionner l'une des options suivantes :

  • Type de fichier :(TIFF, JPEG, PDF, PDF/A, BMP, JPEG2000, PCX packbits, PNG).
  • Qualité : pour les fichiers TIFF, JPEG et JPEG2000, vous pouvez sélectionner la qualité du fichier obtenu (qualité optimale à minimale).
  • Type de couleur : couleur, niveaux de gris, demi-tons (noir et blanc).

Vous pouvez également définir la résolution de l'image obtenue : sélectionnez Changer la résolution en et saisissez la résolution souhaitée ou sélectionnez-la dans la liste.

Le nom du fichier dans lequel l'image sera enregistrée est automatiquement créé en fonction des paramètres définis par l'utilisateur. Pour définir ces paramètres, cliquez sur le bouton Changer… et sélectionnez les options souhaitées dans la boîte de dialogue Options de dénomination des fichiers.


Tableaux

Lorsque vous créez un tableau, des propriétés par défaut lui sont attribuées. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient trois onglets rassemblant différents groupes de propriétés.

puce | Propriétés de base
puce | Colonnes
puce | Validation par règle


Colonnes de tableaux

L'onglet Colonnes affiche la liste des colonnes de ce tableau. Chaque colonne de tableau relève d'un certain type de champ (consultez Création d'un tableau) et a des propriétés spécifiques à ce type de champ.

Pour modifier les propriétés de l'une des colonnes :

  1. Sélectionnez son nom dans la liste.
  2. Cliquez sur le bouton Propriétés….


Groupe de champs

Quand vous créez un groupe de champs, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient trois onglets, rassemblant différents groupes de propriétés.

puce | Propriétés de base
puce | Champs
puce | Validation par règle


Champs groupés

L'onglet Fields affiche la liste des champs qui forment le groupe.

Pour modifier les propriétés de l'un des champs :

  1. Sélectionnez son nom dans la liste.
  2. Cliquez sur le bouton Propriétés….

Création d'un groupe de champs


Champ de service

Lorsqu'un champ de service est créé, il possède les propriétés par défaut qui peuvent être configurées en cliquant sur Propriétés… dans le menu contextuel. La boîte de dialogue Propriétés présente deux onglets, un pour chaque groupe de propriétés

Propriétés de champ de base
Propriétés de la source de données


Propriétés de la source de données

La source et le type de données des champs de service se spécifient dans l'onglet Source des données :

  1. Dans la liste Source , sélectionnez une source de données pour le champ.
  2. Si vous sélectionnez Paramètres d'enregistrement du document ou Paramètre d'enregistrement de lot, spécifiez le nom de la propriété d'enregistrement à utiliser comme source de données dans le champ Nom du paramètre .
  3. Pour le Type de données, sélectionnez le type de données souhaité pour le champ de service.


Vérification par règle

Validation par règle

Les règles décuplent les possibilités de contrôle automatique des résultats. Elles permettent de définir des contraintes de données, c'est-à-dire de spécifier des conditions pour les valeurs de certains champs.

Si les valeurs des documents ne remplissent pas ces conditions, les pages correspondantes sont signalées par un avertissement. Le principal objectif de la validation par règle est de vérifier l'intégrité des données des documents.

Vous pouvez également traiter les valeurs entrées à l'aide de règles. Vous pouvez par exemple fusionner les valeurs de plusieurs champs ou remplacer les valeurs reconnues par les valeurs correspondantes de la base de données.

ABBYY FlexiCapture 10 permet de configurer les règles des types suivants :

  • Somme de contrôle : vérifie la somme de plusieurs champs. La somme des valeurs de champs spécifiques est comparée à un nombre prédéfini ou à la valeur d'un autre champ.
  • Comparer les champs : compare les valeurs de plusieurs champs.
  • Vérification de base de données : vérifie les valeurs entrées en les comparant aux valeurs d'une base de données spécifique.
  • Fusionner les champs : fusionne les valeurs de plusieurs champs. Vous pouvez ajouter des séparateurs lorsque vous fusionnez des champs.
  • Script : vous pouvez décrire les contraintes à l'aide d'un script.
  • Somme en chiffres - Somme en lettres (Russe) : compare une somme numérique et la même somme écrite en mots (en russe uniquement).

Vous pouvez attribuer un statut d'erreur ou d'avertissement à la règle. Lorsqu'une condition n'est pas remplie, le champ est marqué d'un indicateur rouge (erreur) ou jaune (avertissement). Consultez la section Validation par règle.

Les règles peuvent être configurées via l'onglet Règles de la boîte de dialogue des propriétés de l'objet (champ, section, document, etc.).

Dans la structure hiérarchique, les règles sont stockées au niveau de l'objet dans lequel elles ont été créées : il peut s'agir d'un champ, d'une section de définition de document ou de la définition de document elle-même. Dans al plupart des cas, le niveau de stockage de la règle n'a pas d'importance. Toutefois, si vous créez une définition de document dont la structure est complexe, comportant des groupes de champs ou des éléments récurrents, vous devez accorder une attention particulière à l'endroit où vous stockez les règles. Par exemple, si vous disposez d'un groupe de champs et si certains champs du groupe sont associés à une règle, lorsque vous créerez une nouvelle instance de ce groupe, la règle ne sera copiée et respectée dans le nouvel objet que si elle est stockée dans le groupe lui-même ou dans l'un de ses champs, et non à un niveau supérieur. Dans la boîte de dialogue des propriétés de l'objet, vous pouvez afficher les règles qui opèrent sur cet objet ou qui sont stockées dans cet objet, ainsi que les objets subordonnés. Vous pouvez spécifier les règles à afficher en sélectionnant l'une des valeurs de la liste déroulante Présenter dans la liste :

  • Règles gérant l'objet : affiche les règles applicables à l'objet en cours (c'est-à-dire l'objet dont la boîte de dialogue de propriétés est actuellement ouverte).
  • Règles stockées dans l'objet : affiche les règles stockées dans l'objet en cours.
  • Règles stockées dans l'objet et ses enfants : affiche les règles stockées dans l'objet en cours et dans ses objets enfants (pour un groupe de champs, par exemple, les règles stockées dans le groupe et dans tous ses champs sont affichées).

Remarque : vous ne pouvez créer une règle qu'en mode d'affichage Règles stockées dans l'objet ou Règles stockées dans l'objet et ses enfants, et non en mode Règles gérant l'objet.

Chaque règle a un statut d'erreur ou d'avertissement qui lui correspond. Si vous essayez d'exporter des documents présentant des erreurs de règle, le programme affichera un message d'erreur. Les avertissements relatifs aux règles n'empêchent pas l'exportation.

Remarque : si l'option Afficher dans le formulaire de données est désélectionnée dans les propriétés du champ, les erreurs associées à ce champ ne s'afficheront pas au cours de la vérification.

puce | Somme de contrôle
puce | Comparaison de champs
puce | Contrôle d'une base de données
puce | Fusion de champs
puce | Somme en chiffres - somme en lettres
puce | Définition d'une règle à l'aide d'un script


Règle de somme de contrôle de valeurs

Cette règle sert à vérifier la somme des valeurs de plusieurs champs. La somme des valeurs de champs spécifiques est comparée à un nombre prédéfini ou à la valeur d'un autre champ. Par exemple, si votre document contient des champs comportant un salaire, une prime, d'autres paiements compensatoires et un champ total, vous pouvez configurer une règle qui vérifiera si la somme des valeurs des champs correspond à la valeur du champ total. Si les valeurs ne correspondent pas, un message d'erreur sera affiché.

Remarque : lorsque vous appliquez cette règle à un champ de type tableau, le calcul dépend du niveau appliqué lorsque la règle a été créée. S'il vous faut comparer la somme des valeurs de toutes les cellules de la colonne d'un tableau avec un nombre calculé ou spécifié, la règle doit être créée dans les propriétés de la définition de document ou dans les propriétés de la section de document. S'il vous faut comparer chaque cellule d'une colonne ou la somme de toutes les cellules de certaines colonnes d'un tableau avec un nombre calculé ou spécifié, la règle doit être créée dans les propriétés du tableau ou dans les propriétés des colonnes d'un tableau.
Ces instructions doivent être respectées lorsque vous créez une règle vérifiant la somme des valeurs pour des champs comportant quelques instances.

Pour créer une règle de somme de contrôle, procédez comme suit :

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de document (option Définition de document >Propriétés de la définition de document… du menu de l'éditeur de définitions de documents).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Somme de contrôle et cliquez sur OK.
  5. Saisissez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Ajoutez les champs dont vous souhaitez vérifier la somme à la liste Additionner les valeurs des champs. Utilisez le bouton Ajouter… pour ajouter des champs.
  7. Activez l'une des options suivantes :
    • champ : pour comparer la somme à la valeur du champ de résultat. Sélectionnez le nom de ce champ à l'aide du bouton Sélectionner….
    • nombre : pour comparer la somme au nombre spécifié. Saisissez ce nombre.
  8. Partie fractionnelle des valeurs comparées : saisissez le nombre de chiffres après la virgule du nombre pour déterminer la précision de la comparaison.
  9. Sélectionnez l'option Au moins deux éléments non vides à additionner s'il vous faut au moins deux nombres non nuls pour les additionner. Si cette condition n'est pas respectée, une erreur sera affichée dans la fenêtre d'erreurs de règle lors de la vérification de la règle.
  10. Cliquez sur Terminer pour terminer la création de la règle. Le nom de la règle s'affichera dans l'onglet Règles.


Règle de comparaison de valeurs entre plusieurs champs

Cette règle permet de vérifier les valeurs de plusieurs champs. Elle est utile si votre document contient plusieurs champs dont les valeurs doivent être identiques. Si ces valeurs ne correspondent pas, un message d'erreur de règle s'affiche pour le document.

Pour créer une règle de contrôle de valeurs, procédez comme suit :

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de documents (option Définition de document >Propriétés de la définition de document… du menu de l'éditeur de définition de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste des types de règles, sélectionnez Comparer les champs et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Ajoutez à la liste Champs à comparer les champs dont vous voulez comparer les valeurs. Utilisez le bouton Ajouter… pour ajouter des champs.
  7. Sélectionnez le type de correspondance :
    • Exact : pour une correspondance de valeur exacte.
    • Approximative : pour une correspondance de valeur approximative. Dans ce cas, les champs seront comparés sans tenir compte la casse et les caractères, et une erreur est autorisée pour les valeurs de champ dépassant 4 caractères.
  8. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche dans l'onglet Règles.


Règle de contrôle de base de données

Le contrôle des champs d'une base de données implique la comparaison entre la valeur reconnue pour un champ et les valeurs de la table contenue dans la base de données. Ce contrôle est considéré satisfaisant si la valeur du champ est trouvée dans les valeurs contenues dans la base de données. Dans le cas contraire, un message d'erreur de règle est affiché.

En utilisant cette règle, vous pouvez contrôler l'entrée d'une valeur requise dans la base de données, assurer la recherche d'analogie d'une valeur dans la table même si la valeur du champ contient des erreurs (d'impression par exemple), remplacer une valeur de champ par une valeur d'origine de la base de données et copier toutes les valeurs requises de la base de données vers les champs du document.

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de document (option Définition de document >Propriétés de la définition de document… du menu de l'éditeur de définitions de documents).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle…
  4. Dans la liste de types de règles, sélectionnez Vérification de base de données et cliquez sur OK.
  5. Saisissez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Établissez une connexion avec une base de données. Vous pouvez configurer les paramètres requis dans la boîte de dialogue Propriétés de la liaison de données qui s'ouvre lorsque vous cliquez sur le bouton Définir…

    Astuce : nous vous recommandons les fournisseurs OLE DB suivants :

    • « Fournisseur OLE DB pour les pilotes ODBC » pour exporter vers SQL. Si vous sélectionnez le fournisseur « OLE DB pour SQL Server », des problèmes risquent d’apparaître avec certains types de données et avec les champs longs.
    • « Fournisseur Oracle pour OLE DB » pour exporter vers Oracle.

  7. Sélectionnez un schéma de base de données et une table dans la liste.
  8. Sélectionnez l'option Ne pas vérifier si tous les champs sont disponibles pour exclure la vérification de règles si aucune valeur des champs n'est impliquée dans la comparaison. Cette option vous permet d'économiser du temps lors de la vérification des règles du document.
  9. Établissez une correspondance entre les champs de la définition de document et ceux de la table de la base de données. Pour ce faire, cliquez sur le bouton Ajouter…. La boîte de dialogue Liaison de champ s'ouvrira. Dans la liste, sélectionnez un champ de définition de document et le champ correspondant dans la table de la base de données (le type de données du champ de la définition de document et le format de la valeur de la base de données doivent correspondre).
    Sélectionnez le type de correspondance :
    • Exact : les valeurs du champ doivent correspondre en tout point (la casse des lettres n'est pas prise en compte).
    • Approximative : les valeurs du champ ne doivent correspondre que partiellement. Ce type de comparaison ne peut être utilisé que pour les champs de texte. Dans ce cas, le programme recherche les mots les plus proches, pour lesquels le moins de lettres ont été ajoutées, supprimées ou remplacées pour obtenir le mot d'origine. Le nombre d'erreurs autorisé dépend de la longueur du mot d'origine. Si plusieurs variantes des valeurs répondent aux critères de la recherche d'analogie, un message d'erreur de règle « Trop d'entrées trouvées » et la liste des valeurs du champ les plus proches sont affichés dans la fenêtre du document. L'opérateur peut sélectionner une valeur appropriée dans la liste.
      Activez l'option Copier la valeur du champ à partir de la base de données si vous souhaitez que la valeur du champ de document soit remplacée par la valeur correspondante de la base de données. Si, lors de la recherche d'analogie, la valeur requise a été trouvée dans la base de données, la valeur du champ du document sera automatiquement remplacée par la valeur de la base de données.

      Remarque : si le champ est vide, aucun message d'erreur n'apparaît même si la base de données ne contient aucune valeur vide.

    • Ne pas comparer : aucune comparaison n'est effectuée, et la valeur du champ est automatiquement remplacée par une valeur de la base de données (dans ce type de comparaison, l'option Copier la valeur du champ à partir de la base de données< est toujours sélectionnée).
      Ce type de comparaison est souvent utilisé si quelques valeurs de la base de données doivent être copiées vers le document. Pour ce faire, les champs vides ne comportant pas de régions doivent être créés dans la définition de document. La base de données recherche l'entrée contenant une valeur de remplacement automatique, qui doit être préalablement définie à l'aide d'un mappage des champs différents avec un type de comparaison Analogie ou Exacte. Si l'entrée requise n'est pas trouvée, la valeur du champ restera inchangée.
  10. Utilisez les boutons Ajouter…, Éditer… et Supprimer pour ajouter, modifier ou supprimer des liaisons entre les champs.


Règle de fusion de valeurs de champs

Cette règle permet de fusionner les valeurs de plusieurs champs. Les valeurs de champs fusionnées peuvent être séparées par un point, un espace ou un autre séparateur.

Pour créer une règle de fusion de valeurs, procédez comme suit :

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de documents (option Définition de Document >Propriétés de la définition de document… du menu de l'éditeur de Définitions de Document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Fusionner les champs et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant. Une erreur s'affiche pour cette règle si, par exemple, l'un des champs inclus dans la fusion a été supprimé de la définition de document.
  6. Ajoutez à la liste Champs à fusionner les champs à inclure dans la fusion. Utilisez le bouton Ajouter… pour ajouter des champs. Sélectionnez Champ de résultat : ce champ sert à stocker le résultat de la fusion. Saisissez le séparateur requis dans la fenêtre Séparateur .
  7. Par défaut, des séparateurs sont ajoutés entre les valeurs non vides. Si vous souhaitez que le programme ajoute systématiquement des séparateurs, même pour les valeurs de champ vierge, activez l'option Placer des séparateurs pour les valeurs de champ vides.
  8. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche sur l'onglet Règles.

Le résultat de la fusion peut être stocké dans n'importe quel champ Définition de document. À cet effet, il est pratique d'utiliser des champs sans régions.

Si vous n'avez besoin d'exporter que la valeur du champ de résultat, et non les valeurs des champs inclus dans la fusion, désactivez l'option Exporter la valeur du champ pour ces champs.


Définition d'une règle à l'aide d'un script

ABBYY FlexiCapture 10.0 permet de configurer une règle de contrôle de données à l'aide d'un script.

Pour créer une telle règle, procédez comme suit :

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de document (option Définition de document >Propriétés de la définition de document… du menu de l'éditeur de définitions de documents).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Script et cliquez sur OK.
  5. Saisissez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. La liste Champs disponibles répertorie les objets disponibles. Vous pouvez ajouter et supprimer des champs à l'aide des boutons Ajouter… et Supprimer. Les valeurs des champs pour lesquels l'option Lecture seule est activée ne sont accessibles qu'en lecture, tandis que celles des champs pour lesquels cette option est désactivée peuvent être écrasées à l'aide d'un script.
  7. Cliquez sur le bouton Editer… pour ouvrir une fenêtre spéciale permettant de modifier des scripts.
  8. Sélectionnez le langage de script et saisissez le texte du script.
  9. Pour vérifier le script, sélectionnez Outils>Vérifier le script dans le menu principal.
  10. Enregistrez le script en sélectionnant Fichier>Enregistrer.
  11. Cliquez sur Terminer. La règle nouvellement créée s'affiche dans la liste de l'onglet Règles.

Pour obtenir des détails sur les paramètres de scripts, consultez Règle de script


Somme en chiffres - somme en lettres

Important ! Vous ne pouvez définir cette règle que si vous sélectionnez le rsse comme langue de reconnaissance pour votre définition de document (Définition de document>Propriétés de la définition de document…).

Cette règle a pour objet de comparer une somme numérique à la somme correspondante en lettres (alphabet russe). Si les deux sommes diffèrent, un message s'affiche indiquant que la règle a renvoyé une erreur.

Pour créer une « somme en chiffres - somme en lettres », procédez comme suit :

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de document (option Définition de Document >Propriétés de la définition de document… du menu de l'éditeur de Définitions de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Somme en chiffres - Somme en lettres (Russe) et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Cliquez sur le bouton Sélectionner… situé à droite du champ Somme en chiffres , puis sélectionnez le champ du la Définition de document qui contient la somme numérique.
  7. Cliquez sur le bouton Sélectionner… situé à droite du champ Somme en mots , puis sélectionnez le champ de la définition de document qui contient la somme en mots.
  8. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche sur l'onglet Règles.


Règle de calcul de la somme des valeurs

Cette règle est utilisée pour calculer la somme de plusieurs valeurs de champs et pour les entrer dans le champ spécifié. Par exemple, si le document contient des champs contenant un salaire, une prime et d’autres charges, vous pouvez définir une règle qui calcule leur somme et qui écrit les résultats dans un champ spécifique.

Cette règle peut également être utilisée pour calculer la somme des valeurs contenues dans la colonne d'un tableau. Pour ce faire, une règle doit être créée dans les propriétés de la définition de document ou dans les propriétés de la section. L'option Au moins deux éléments non vides à additionner doit être désélectionnée.

Pour créer une règle de calcul de somme, procédez comme suit :

  1. Ouvrez la boîte de dialogue Propriétés du champ (option Propriétés… du menu contextuel) ou la boîte de dialogue Propriétés de la définition de document (option Définition de document >Propriétés de la définition de document… du menu de l'éditeur de définitions de documents).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur Nouvelle règle…
  4. Dans la liste des règles, sélectionnez Calculer la somme et cliquez sur OK.
  5. Saisissez le nom de la règle et sélectionnez le type de règle : Avertissement ou Erreur. Cliquez ensuite sur Suivant.
  6. Ajoutez les champs dont les valeurs doivent être additionnées dans la liste Résumer les valeurs des champs . Pour ce faire, cliquez sur le bouton Ajouter…
  7. Dans le champ Champ de résultat , spécifiez le champ où entrer la somme. Pour ce faire, cliquez sur Sélectionner….
  8. Sélectionnez Au moins deux éléments non vides à additionner s'il vous faut au moins deux nombres non nuls pour les additionner. Si cette condition n'est pas respectée, une erreur sera affichée dans la fenêtre d'erreurs de règle lors de la vérification de la règle.

    Remarque : lorsque vous appliquez cette option dans les paramètres des règles, il est nécessaire d'ajouter au moins deux champs de document (ou deux colonnes de tableau) pour la somme. Par conséquent, si vous utilisez cette règle pour additionner les valeurs de toutes les cellules de la colonne d'un tableau, vous devez sélectionner cette option.

  9. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affichera dans l'onglet Règles.


Configuration de l’exportation de données

Pour déterminer la méthode d’enregistrement des données obtenues en traitant les documents papier, vous devez configurer l’exportation pour chacune des définitions de documents. Quatre types d’exportation sont possibles : exporter vers un fichier, exporter vers une base de données, exporter vers une bibliothèque Microsoft Sharepoint ou exporter à l'aide d'un script. Le type d’exportation que vous sélectionnez détermine les paramètres d’exportation disponibles. Vous pouvez spécifier plus d’un type d’exportation pour une définition de document.

Pour chaque type d’exportation, spécifiez les documents à exporter : documents comportant des erreurs et/ou documents n’en comportant pas.

Pour chaque type d’exportation, spécifiez s’il est obligatoire. En cas d'échec de l'exportation (par exemple, à cause d'un refus d'accès à un fichier ou d'une erreur de connexion), un message concernant l'erreur d'exportation est inscrit dans le journal d'évènements pour le type d'exportation défini comme Principale, et l'état A échoué est attribué à la tâche. Pour les types d'exportation non obligatoires, un avertissement est inscrit dans le journal d'évènements, et l'état Réussie est attribué à la tâche si une exportation de ce type échoue.

Pendant l’exportation d’images, vous pouvez masquer les images de champs spécifiques (masquant ainsi les informations confidentielles et autres données sensibles). La liste de champs est définie indépendamment pour chacun des types d’exportation. Ainsi, il est possible de contrôler l’accès des employés à des informations particulières. Pour masquer des champs, sélectionnez Masquer les données sensibles des images lors de la configuration de l'exportation d'images, puis cliquez sur Sélectionner des champs pour le masque… et, dans la boîte de dialogue Sélectionner des champs pour le masque, définissez la liste de champs desquels vous souhaitez masquer les images.

L'exportation automatique (pour les versions autonomes de FlexiCapture) se configure dans l'onglet Destinations d’exportation de la fenêtre Paramètres de la définition de document. Pour exporter automatiquement les documents prêts pour l'exportation (sans que l'opérateur n'ait à lancer l'exportation via un bouton), sélectionnez l'option Activer l'exportation auto.
L'exportation automatique fonctionne seulement si le nombre de pages de la définition de document est explicitement spécifié. Ainsi, si des pages récurrentes d'une section sont autorisées, ou si le nombre de sections est défini via un intervalle, l'exportation automatique ne fonctionnera pas.

Remarque : si les documents sont automatiquement exportés, la vérification de l'intégrité du lot est ignorée et un avertissement est inscrit dans le journal d'évènements.

Lorsque vous configurez les types d'exportation, il est possible de définir un chemin d'accès pour enregistrer les données reconnues et/ou les images de documents dans le système de fichiers. Lorsque vous utilisez un chemin complet vers un dossier de stockage de données, un chemin d'accès local ou réseau peut être spécifié (au format UNC).

Si un chemin vers la destination définie dans les paramètres d'exportation est relatif, c'est-à-dire un nom de sous-dossier vers lequel les documents doivent être enregistrés, sans spécifier un chemin complet vers ce dossier, alors un dossier portant le nom spécifié sera créé par défaut dans le sous-dossier Export du dossier du projet. Pour définir un chemin différent pour l'enregistrement des fichiers, spécifiez le Chemin de la racine pour l'exportation dans les propriétés du projet. Tous les nouveaux sous-dossiers de stockage de données seront créés par rapport au chemin racine. Le chemin racine peut être local ou réseau (au format UNC).

Pour configurer l’exportation, sélectionnez Définition de document > Paramètres d'exportation… dans l’éditeur de définitions de documents puis spécifiez les types d’exportation requis dans la boîte de dialogue Paramètres d'exportation.

Exportation vers un fichier
Exportation d’images vers un fichier
Exportation vers une base de données
Exportation vers SharePoint
Description d’une exportation à l’aide d’un script


Exportation de données vers un fichier

  1. Définissez les paramètres d'exportation puis cliquez sur Suivant>. Les paramètres d'exportation ajustables dépendent de la valeur spécifiée dans le champ Cible .

      Recréer les noms de fichier et la structure des sous-dossiers du dossier actif

      Si vous sélectionnez cette valeur, la structure du dossier reprendra celle du dossier actif d'où les images de document proviennent. Lorsque vous configurez ce type d'exportation, sélectionnez le dossier qui reprendra la structure du dossier actif dans le champ Chemin d'exportation .

      Exporter tous les documents vers un fichier

      Sélectionnez cette valeur pour exporter toutes les données vers un fichier. Lorsque vous configurez ce type d'exportation, saisissez le chemin d'accès et le nom du fichier vers lequel exporter les données dans le champ Chemin d'accès.

      Exporter les documents vers des fichiers distincts

      Sélectionnez cette valeur pour exporter chaque document vers un fichier distinct :

      • indiquez le chemin d'accès et les premiers caractères du nom de fichier dans le champ Préfixe de fichier ;
      • pour que chaque lot soit exporté vers un dossier distinct, sélectionnez Créer un dossier distinct pour chaque lot.
      Créer une structure de dossier et un nom de fichier à l'aide d'un modèle

      Si vous sélectionnez cette valeur, les noms de fichier et la structure des sous-dossiers seront créés selon les paramètres du document.

      • Indiquez le chemin d'exportation racine dans le champ Chemin d'exportation .
      • Définissez les options de dénomination des fichiers. Pour ce faire, cliquez sur Éditer… et définissez les règles nécessaires. Pour plus d'informations, consultez Options de dénomination du fichier d'exportation.
      • Dans le champ Si le fichier existe, sélectionnez l'action que le programme doit effectuer si un fichier portant le nom généré existe déjà.

      Important ! Pour que l'exportation se termine correctement, une fois que le projet a été téléchargé sur le serveur, assurez-vous que le chemin d'exportation est indiqué au format UNC (\\nom_de_l_ordinateur\nom_de_partage[\chemin_d_accès]). Assurez-vous également que les stations impliquées dans l'exportation ont accès à l'emplacement spécifié.

      Des erreurs d'exportation se produiront si le chemin d'accès est indiqué au format suivant : <disque:>\[chemin_d_accès]. Si vous spécifiez un chemin d'exportation relatif, les données seront accessibles via une interface de programmation (API) uniquement. Pour accéder aux données autrement, le dossier racine des chemins d'accès relatifs doit être spécifié au format UNC (configurable dans Propriétés du projet).

  2. Sélectionnez un type de fichier (les formats pris en charge sont CSV, DBF, TXT, XLS et XML), définissez si nécessaire les propriétés d'exportation supplémentaires pour le type de fichier et le codage du texte sélectionnés. Cliquez ensuite sur Suivant >.

    Classeur Microsoft Office Excel (*.xls) :
    • Sélectionnez la version de Microsoft Excel (5.0/95 ; 97-2003 ; 97-2003 (compatible avec 5.0/95)).
    • Sélectionnez Préserver le type de valeur à l'exportation pour exporter les données en fonction de ses types. Désactivez cette option pour exporter toutes les données de type Général.
    • Sélectionnez Créer des fichiers distincts pour les éléments répétables pour exporter les tableaux et les champs comportant plusieurs répétitions vers des fichiers distincts.
    • Pour Excel 5.0/95, sélectionnez une page de code.
    • Configurez les noms et formats de champ, si nécessaire. Pour ce faire, cliquez sur Configurer le mappage des champs… et, dans la boîte de dialogue Mappage de champ, indiquez les noms et le format des champs à l'aide de nombres et de dates.
    Document XML (*.xml) :
    • Définissez les autres données à exporter (emplacements et types de champ, erreurs, données sur la qualité de la reconnaissance).
    • Sélectionnez Préserver le type de valeur à l'exportation si vous souhaitez enregistrer le schéma xml avec les descriptions de type de champ.
    • Sélectionnez le codage.
    • Indiquez les noms de champ, si nécessaire. Pour ce faire, cliquez sur Configurer le mappage des champs… et, dans la boîte de dialogue Mappage de champ, spécifiez les noms de champ.
    Fichier de valeurs séparées par des virgules (*.csv) :
    • Sélectionnez Séparateur de colonnes .
    • Sélectionnez Créer des fichiers distincts pour les éléments répétables pour exporter les tableaux et les champs comportant plusieurs répétitions vers des fichiers distincts.
    • Sélectionnez le codage.
    • Configurez les noms et formats de champ, si nécessaire. Pour ce faire, cliquez sur Configurer le mappage des champs… et, dans la boîte de dialogue Mappage de champ, indiquez les noms et le format des champs à l'aide de nombres et de dates.
    Fichier texte (*.txt) :
    • Sélectionnez Séparateur de colonnes .
    • Sélectionnez Créer des fichiers distincts pour les éléments répétables pour exporter les tableaux et les champs comportant plusieurs répétitions vers des fichiers distincts.
    • Sélectionnez le codage.
    • Configurez les noms et formats de champ, si nécessaire. Pour ce faire, cliquez sur Configurer le mappage des champs… et, dans la boîte de dialogue Mappage de champ, indiquez les noms et le format des champs à l'aide de nombres et de dates.
    Fichier DBase (*.dbf) :
    • Sélectionnez Préserver le type de valeur à l'exportation pour exporter les données en fonction de ses types. Désactivez cette option pour que tous les champs soient de type Texte.
    • Sélectionnez Créer des fichiers distincts pour les éléments répétables pour exporter les tableaux et les champs comportant plusieurs répétitions vers des fichiers distincts.
    • Configurez les noms de champ, si nécessaire. Pour ce faire, cliquez sur Configurer le mappage des champs… et, dans la boîte de dialogue Mappage de champ, spécifiez les noms de champ.
  3. Si vous souhaitez enregistrer les images, définissez les paramètres d'enregistrement d'image puis cliquez sur Suivant >.
    • Choisissez entre enregistrer les images avec les données ou définir le dossier d'images.
    • Sélectionnez le système de dénomination de fichier d'image : identique aux fichiers de données ou autre. Consultez la section Options de dénomination de fichier d'exportation.
    • Définissez les champs qui contiennent les images que vous souhaitez masquer pendant l'exportation.


Exportation d'images vers un fichier

Exportation d'image vers un fichier

Pour exporter des images vers un fichier :

  1. Dans la fenêtre de l'éditeur de définitions de documents, sélectionnez Définition de Document > Paramètres d'exportation….
  2. Cliquez sur Ajouter… puis sélectionnez Exporter vers des fichiers image dans le champ Type .
  3. Indiquez si l'exportation est obligatoire.
  4. Indiquez quels documents (avec et/ou sans erreurs) doivent être exportés puis cliquez sur Suivant>.
  5. Définissez les paramètres d'exportation puis cliquez sur Suivant>. Les paramètres d'exportation ajustables dépendent de la valeur spécifiée dans le champ Cible .
      Recréer les noms de fichier et la structure des sous-dossiers du dossier actif
      Si vous sélectionnez cette valeur, la structure du dossier reprendra celle du dossier actif d'où les images de document proviennent. Lorsque vous configurez ce type d'exportation, sélectionnez le dossier qui reprendra la structure du dossier actif dans le champ Chemin d'exportation .
      Exporter tous les documents vers un fichier
      Sélectionnez cette valeur pour exporter toutes les données vers un fichier. Lorsque vous configurez ce type d'exportation, saisissez le chemin d'accès et le nom du fichier vers lequel exporter les données dans le champ Chemin d'accès.
      Exporter les documents vers des fichiers distincts
      Sélectionnez cette valeur pour exporter chaque document vers un fichier distinct :
      • indiquez le chemin d'accès et les premiers caractères du nom de fichier dans le champ Préfixe de fichier ;
      • pour que chaque lot soit exporté vers un dossier distinct, sélectionnez Créer un dossier distinct pour chaque lot.
      Créer une structure de dossier et un nom de fichier à l'aide d'un modèle
      Si vous sélectionnez cette valeur, les noms de fichier et la structure des sous-dossiers seront créés selon les paramètres du document.
      • Indiquez le chemin d'exportation racine dans le champ Chemin d'exportation .
      • Définissez les options de dénomination des fichiers. Pour ce faire, cliquez sur Éditer… et définissez les règles nécessaires. Pour plus d'informations, consultez Options de dénomination du fichier d'exportation.
      • Dans le champ Si le fichier existe, sélectionnez l'action que le programme doit effectuer si un fichier portant le nom généré existe déjà.

      Important ! Pour que l'exportation se termine correctement, une fois que le projet a été téléchargé sur le serveur, assurez-vous que le chemin d'exportation est indiqué au format UNC (\\nom_de_l_ordinateur\nom_de_partage[\chemin_d_accès]). Assurez-vous également que les stations impliquées dans l'exportation ont accès à l'emplacement spécifié.

      Des erreurs d'exportation se produiront si le chemin d'accès est indiqué au format suivant : <disque:>\[chemin_d_accès]. Si vous spécifiez un chemin d'exportation relatif, les données seront accessibles via une interface de programmation (API) uniquement. Pour accéder aux données autrement, le dossier racine des chemins d'accès relatifs doit être spécifié au format UNC (configurable dans Propriétés du projet).

  6. Définissez les options d'enregistrement d'image puis cliquez sur Suivant >.
    • Sélectionnez le format d'image, la qualité et la couleur souhaités.
    • Pour modifier la résolution des images sources, sélectionnez Changer la résolution en puis sélectionnez la valeur appropriée dans la liste.
    • Si vous avez sélectionné le format PDF ou PDF/A comme format de stockage, vous pouvez créer un fichier PDF indexé en sélectionnant Créer un fichier PDF indexé. Vous pouvez sélectionner une langue (ou des langues dans le cas de documents multilingues) différente de la langue spécifiée dans la définition de document : cliquez sur Sélectionner… situé à droite du champ Langue et sélectionnez les langues appropriées. Si vous souhaitez utiliser la langue spécifiée dans la définition de document, sélectionnez Comme dans la définition de document dans le champ Langue .
  7. Saisissez un nom de profil d'exportation puis cliquez sur Terminer.


Exportation vers une base de données

Exporter vers une base de données

Pour configurer l’exportation vers une base de données, procédez comme suit :

  1. Dans la fenêtre de l’éditeur de définitions de documents, sélectionnez l’option de menu Définition de document > Paramètres d'exportation….
  2. Cliquez sur Ajouter…, puis sélectionnez Exporter vers une base de données compatible ODBC dans le champ Type .
  3. Spécifiez si l’exportation est obligatoire.
  4. Spécifiez si les images doivent être exportées.
  5. Spécifiez les documents (avec et/ou sans erreurs) devant être exportés puis cliquez sur Suivant>.

  6. Définissez les paramètres d’exportation puis cliquez sur Suivant>.

    • Établissez une connexion avec une base de données. Saisissez les paramètres de connexion dans la fenêtre Chaîne de connexion ou cliquez sur le bouton Configurer la connexion… et configurez les paramètres de connexion dans la boîte de dialogue Propriétés de la liaison de données.

      Astuce : nous vous recommandons les fournisseurs OLE DB suivants :

      • « Fournisseur OLE DB pour les pilotes ODBC » pour exporter vers SQL. Si vous sélectionnez le fournisseur « OLE DB pour SQL Server », des problèmes risquent d’apparaître avec certains types de données et avec les champs longs.
      • « Fournisseur Oracle pour OLE DB » pour exporter vers Oracle.

    • Sélectionnez un schéma dans la liste déroulante.
    • Vous pouvez vérifier la connexion à la base de données en cliquant sur le bouton Tester la connexion.
    • Cliquez sur le bouton Créer automatiquement des tableaux pour créer automatiquement de nouvelles tables dans la base de données où les données des documents seront exportées. Une table distincte sera créée pour chaque section de document. La structure et le format des champs des tables créées automatiquement correspondent à l'ensemble des champs de la définition de document et à leurs types de données.
    • S'il vous faut exporter des données vers des tables existantes, établissez une correspondance entre les champs de la définition de document et les champs des tables de la base de données à l'aide du bouton Configurer le mappage des champs….
    • Dans la boîte de dialogue Mappage de champ, spécifiez vers quelles tables et colonnes de tables de la base de données le programme doit exporter les valeurs de champs de la définition de document.
      Détails...

      La boîte de dialogue Mappage de champ contient les sections et des champs de document. À droite, vous devez les associer aux tables et champs de la base de données. Si la base de données contient déjà des tables pour l’exportation de données, dans la boîte de dialogue Mappage de champ, vous devez sélectionner une table de base de données pour chaque section du document et une colonne de table de base de données pour chaque champ du document. (En plus d'exporter directement les données vers les tables de la base de données, il est possible d'enregistrer des données en utilisant les procédures stockées. Pour obtenir des détails, consultez Détails sur la configuration de l'exportation de données via les procédures stockées dans la base de données

      Si la base de données ne contient pas de tables pour l’exportation, vous pouvez en créer une automatiquement en cliquant sur le bouton Créer automatiquement des tableaux. Dès que vous cliquez, le programme crée des tables ayant la structure dont vous avez besoin pour l’exportation. Les champs du document sont associés aux colonnes des tables.

      Les groupes de champs, les champs ) plusieurs instances et les tables de documents sont exportés vers des tables de base de données distinctes. Une clé primaire et une clé étrangère sont utilisées pour lier la table principale et les tables subordonnées. Dans la table principale, une clé primaire est ajoutée à chaque entrée. Dans la table subordonnée, chaque entrée comporte une clé étrangère qui stocke la valeur de la clé primaire de l’entrée correspondante de la table principale. Les clés primaires et étrangères sont automatiquement ajoutées si elles sont nécessaires. Il vous suffit simplement d'indiquer le champ vers lequel la clé doit être exportée.

      Sélectionnez une colonne d'une table de la base de données pour chaque champ du document.

      Si une colonne vers laquelle les données d'un champ donné vont être exportées n'apparaît pas dans la table, elle peut être automatiquement ajoutée à la table existante. Dans cette optique, il suffit conserver la correspondance du champ de document avec le champ de la base de données en utilisant un nom similaire et la mention (auto) entre crochets. Vous pouvez également sélectionner le champ souhaité à l'aide de votre souris et cliquer sur le bouton Auto.
      Vous pouvez aussi utiliser le bouton Auto pour créer une nouvelle table dans la base de données ; son nom sera similaire à celui de la section ou du tableau de la définition de document.

      Si une nouvelle table, dont le nom et les légendes de colonnes diffèrent des noms des champs de la définition de document, doit être créée dans la boîte de dialogue des paramètres de correspondance des champs, utilisez le bouton Nouveau pour créer une table pour chaque champ.

      Utilisez les boutons Déplacer vers le haut et Déplacer vers le bas pour gérer l'ordre de la séquence des colonnes de la table créée automatiquement dans la base de données.

      Utilisez le bouton Format… pour configurer les paramètres d'enregistrement des champs généralisés ; par exemple, le nombre de chiffres décimaux de la valeur du champ de type Nombre, ou le format ou les séparateurs d'un champ de type Données.

  7. Si des images doivent être enregistrées (images de documents et/ou images de champs de type <b>Image graphique</b>), définissez les options d'enregistrement d'images, puis cliquez sur Suivant>.
    • Spécifiez si les images doivent être enregistrées dans la base de données ou dans des fichiers.
    • Si vous choisissez d’enregistrer les images dans des fichiers, sélectionnez un modèle de dénomination de fichiers (cliquez sur Éditer…) et à quel moment les fichiers doivent être écrasés si leurs noms coïncident. Pour plus d'informations, consultez Critères de dénomination de fichiers d’exportation.
    • Si nécessaire, spécifiez les champs à masquer après exportation.

    Remarque : le contenu des champs de type Image graphique et les images de documents peuvent être exportés vers le système de fichiers ou vers une base de données, cela dépend de l'option sélectionnée.
    Lorsque vous exportez vers des fichiers distincts, le nom et le chemin d'accès d'une image graphique ou d'un fichier image sont stockés dans le champ correspondant de la base de données (se configure lorsque vous établissez une correspondance entre les champs). Si un disque réseau est spécifié comme chemin d'accès de dossier d'exportation (pour les images, les images graphiques, etc.), assurez-vous que tous les postes utilisant ce disque peuvent y accéder. Une procédure spéciale vous permet de convertir une image binaire de n'importe quelle base de données en un fichier.

  8. Si l'option permettant d'enregistrer des images a été sélectionnée, définissez un format d'enregistrement et cliquez sur Suivant>.
    • Sélectionnez le format d’image ainsi que la qualité et que la couleur souhaités.
    • Pour modifier la résolution des images sources, sélectionnez Changer la résolution en puis sélectionnez la valeur appropriée dans la liste.
    • Si vous avez sélectionné le format PDF ou PDF/A comme format de stockage, vous pouvez créer des fichiers PDF interrogeables en sélectionnant Créer un fichier PDF indexé. Vous pouvez sélectionner une langue (ou des langues dans le cas de documents multilingues) différente de la langue spécifiée dans la définition de document : cliquez sur Sélectionner… à droite du champ Langue et sélectionnez les langues appropriées. Si vous souhaitez utiliser la langue spécifiée dans la définition de document, sélectionnez Comme dans la définition de document dans le champ Langue .
  9. Saisissez un nom de profil d’exportation puis cliquez sur Terminer.

Remarque :

  1. Les images sont exportées dans des fichiers distincts. Vous pouvez enregistrer le nom et le chemin d’accès du fichier image dans le champ correspondant de la base de données (vous pouvez effectuer ces opérations lors du mappage des champs).
  2. Si le chemin d’accès du dossier cible des images, des images graphiques, etc. comporte un disque réseau, vérifiez que tous les postes de traitement travaillant sur le projet bénéficient d’un accès à ce disque.

Détails sur la configuration de l'exportation de données via les procédures stockées dans la base de données

En plus d'exporter directement les données vers les tables de la base de données, il est possible d'enregistrer des données dans la base de données en utilisant les procédures stockées.

Une procédure stockée est un objet de la base de données représentant un ensemble d'instructions SQL qui sont d'abord compilées, puis stockées sur le serveur. Les procédures stockées peuvent être utilisées pour effectuer des calculs et des opérations numériques sur les données des caractères, dont les résultats peuvent être attribués à des variables et à des paramètres. Ils peuvent aussi être utilisés pour effectuer des opérations standard avec la base de données.

Voici les avantages qu'offrent les procédures stockées par rapport à l'exportation directe vers la base de données :

  • Rapidité d'utilisation de la base de données
  • Possibilité d'utiliser des calculs supplémentaires
  • Assurance de l'intégrité des données

Un exemple de procédure stockée pour MS SQL :

Create procedure Export( @userId as int, @lastName as nvarchar(255), @firstName as nvarchar(255) )
as
begin
if Exists( Select Id from Users where Id = @userId ) begin
Update Users set LastName = @lastName, FirstName=@firstName where Id = @userId
end else begin
Insert into Users ( Id, LastName, FirstName ) values( @userId, @lastName, @firstName
)
end
end

Lorsque vous envoyez des données de FlexiCapture vers la base de données en vous servant de la procédure ci-dessus, les actions suivantes sont effectuées :

Les trois paramètres transmis à la saisie de la procédure sont les champs d'un document FlexiCapture : un identificateur (UserId), le prénom (FirstName) et le nom de famille (LastName). S'il n'y a pas d'entrée comportant un identificateur dans la table de la base de données (Users), une nouvelle entrée est ajoutée à la table. Si une entrée comporte cet identificateur, les valeurs du prénom et du nom de famille de cette entrée sont remplacées par les nouvelles valeurs (les valeurs des champs de FlexiCapture).

Configuration de l'exportation via les procédures stockées

Afin de configurer l'exportation via les procédures stockées, il est d'abord nécessaire d'établir une connexion à la base de données (voir plus haut). En outre, cliquez sur Configurer le mappage des champs… pour déterminer la correspondance entre les champs de documents et les paramètres de la procédure stockée.

Dans la boîte de dialogue Configurer le mappage des champs…, sélectionnez la procédure requise dans la liste des procédures stockées des tables et de la base de données pour enregistrer les données.

Contrairement à la configuration de l'exportation directe vers les colonnes d'une table de la base de données, les champs soumis à l'exportation sont les paramètres d'une procédure stockée. Les paramètres des procédures sont généralisés. Pour le mappage, le type de paramètre doit coïncider avec le type de données du champ de la définition de document.

Mappez les champs du document et les paramètres de la procédure stockée de la base de données.

Remarque : il est nécessaire d'exporter non seulement les champs distincts du document, mais également les tableaux et les champs complexes (par exemple : les champs contenant quelques instances). Vous devez configurer les index appropriés afin d'associer les entrées enfants et l'entrée de données du document principal. Définissez la valeur de retour (@RETURN_VALUE) ou un paramètre de sortie de la procédure stockée comme étant une clé primaire exportable. Ainsi, lorsque vous exporterez des données, la procédure écrira des données dans la table de la base de données et retournera l'identificateur à l'entrée actuelle, qui sera transmis à la procédure stockée pour l'exportation des entrées enfants.


Exportation de données vers une bibliothèque de documents SharePoint

ABBYY FlexiCapture 10.0 vous permet d'exporter des documents vers une bibliothèque de documents MicrosoftTM SharePoint. Ce processus vous permet d'obtenir une bibliothèque contenant vos images de documents et des colonnes supplémentaires comprenant la valeur de certains champs pour chaque document.

Remarque :

  1. Les versions de MicrosoftTM SharePoint suivantes sont prises en charge : MS SharePoint 2003, MS SharePoint 2007 et MS SharePoint 2010.
  2. Vous devez disposer de droits Administrateur pour configurer l'exportation de données vers SharePoint. Des droits Collaborateur sont suffisants pour exporter des données vers SharePoint.
  3. Les colonnes SharePoint dans lesquelles les données sont enregistrées doivent être de type Une seule ligne de texte ou Plusieurs lignes de texte

Pour configurer l'exportation vers SharePoint :

  1. dans l'éditeur de définitions de documents, sélectionnez Définition de Document > Paramètres d'exportation… ;
  2. cliquez sur Ajouter… ;
  3. sélectionnez Exporter vers SharePoint dans le champ Type ;
  4. spécifiez si l'exportation est obligatoire ;
  5. Spécifiez les documents (avec et/ou sans erreurs) devant être exportés puis cliquez sur Suivant>.

  6. Définissez les paramètres d’exportation puis cliquez sur Suivant>.

    • URL du serveur (par ex. : http://monserveur) : saisissez l'adresse du serveur sur lequel figurent les bibliothèques SharePoint. Utilisez le bouton Paramètres de connexion… pour configurer les paramètres d'authentification (les paramètres d'authentification Windows sont utilisés par défaut) et les paramètres du proxy, si nécessaire.
    • L'état de la connexion est indiqué sous l'adresse du serveur. Si le serveur est déconnecté, cliquez sur Connecter pour rétablir la connexion.
    • Une fois connecté au serveur SharePoint, sélectionnez une bibliothèque dans la liste Sélectionner la bibliothèque SharePoint .
    • Cliquez sur Parcourir… puis localisez le dossier souhaité dans la bibliothèque.
    • Dans le champ Type de contenu , sélectionnez le type de contenu de vos documents (pris en charge à partir de SharePoint 2007). Le cas échéant, vous pourrez exporter les valeurs vers les champs correspondant au type de contenu sélectionné.
    • Renseignez à présent les champs de la définition de document à exporter et à quel emplacement ils doivent l'être. Cliquez sur le bouton Configurer le mappage des champs… et sélectionnez les options souhaitées dans la boîte de dialogue Mappage de champ. Dans cette boîte de dialogue, vous devez établir la correspondance entre les champs de la définition de document et les colonnes du document SharePoint. Les champs de la définition de document apparaissent à gauche. Pour chaque champ de définition de document à exporter (à l'exception des groupes et tableaux), vous pouvez sélectionner une colonne SharePoint inutilisée.
  7. Définissez les options d'enregistrement d'images puis cliquez sur Suivant>.
    • Spécifiez un modèle de dénomination de fichiers (cliquez sur Éditer…) et à quel moment les fichiers doivent être écrasés si leurs noms coïncident.
    • Si nécessaire, spécifiez les champs à masquer après exportation.
  8. Si des images doivent être stockées, définissez les options de stockage d'images puis cliquez sur Suivant>.
    • Sélectionnez le format d’image ainsi que la qualité et que la couleur souhaités.
    • Pour modifier la résolution des images sources, sélectionnez Changer la résolution en puis sélectionnez la valeur appropriée dans la liste.
    • Si vous avez sélectionné le format PDF ou PDF/A comme format de stockage, vous pouvez créer des fichiers PDF interrogeables en sélectionnant Créer un fichier PDF indexé. Vous pouvez sélectionner une langue (ou des langues dans le cas de documents multilingues) différente de la langue spécifiée dans la définition de document : cliquez sur Sélectionner… à droite du champ Langue et sélectionnez les langues appropriées. Si vous souhaitez utiliser la langue spécifiée dans la définition de document, sélectionnez Comme dans la définition de document dans le champ Langue .
  9. Saisissez un nom de profil d’exportation puis cliquez sur Terminer.

Une fois l'exportation terminée, les documents sont enregistrés dans la bibliothèque SharePoint spécifiée. De plus, une colonne comporte les valeurs des champs spécifiés pour chaque document. Vous pouvez utiliser ces valeurs à des fins de recherche et d'indexation des documents.


Description d’une exportation à l’aide d’un script

Pour configurer une exportation à l'aide d'un script :

  1. Dans la fenêtre de l'éditeur de définitions de documents, sélectionnez Définition de Document > Paramètres d'exportation….
  2. cliquez sur Ajouter… ;
  3. Sélectionnez Exportation personnalisée (script) dans le champ Type .
  4. Spécifiez si l’exportation est obligatoire.
  5. Spécifiez les documents (avec et/ou sans erreurs) devant être exportés puis cliquez sur Suivant>.
  6. Sélectionnez le langage du script.
  7. Saisissez le code du script dans la fenêtre de l'éditeur qui apparaît lorsque vous cliquez sur Éditer le script…. Cliquez sur Suivant>.
  8. Saisissez un nom de profil d’exportation puis cliquez sur Terminer.

Pour obtenir des détails sur les paramètres de scripts, consultez Script d'exportation


Règles de dénomination des fichiers exportés

Critères de dénomination des fichiers exportés

Les noms des fichiers et leur chemin d’accès sont automatiquement créés pendant l’exportation, en fonction des critères spécifiés par l’utilisateur. Vous pouvez à la fois configurer les noms des fichiers de données et les noms des fichiers image.

Remarque : il est possible de définir un modèle de nom de fichier de données lorsque vous exportez vers des fichiers. Vous pouvez définir un modèle de nom de fichier image lorsque vous exportez vers des fichiers, vers une base de données compatible ODBC, vers Sharepoint et vers des fichiers image.

Vous pouvez configurer la création de noms et de chemins d'accès dans la fenêtre Modèle de destination et de nom de fichier. Cette fenêtre s'ouvre en cliquant sur Éditer… (à gauche du champ comportant le modèle de dénomination des fichiers) ou sur Options de dénomination des fichiers…, dépend du type d'exportation sélectionné.

Il existe deux types de création de modèles d'exportation (sélectionnez-les dans le champ Afficher ) :

Simple ;

Pour ce type, si nécessaire, vous pouvez sélectionner un chemin d’accès supplémentaire (sauf pour configurer l’exportation d’images avec l’exportation de données vers un fichier), la partie importante du nom de fichier, et ajouter des identificateurs.

Pour définir le chemin d’accès relatif, sélectionnez Utiliser un chemin supplémentaire puis sélectionnez la méthode : semblable à la structure du dossier actif (Chemin source relatif au dossier actif) ou en fonction du nom du lot (Nom de lot).

Les éléments suivants peuvent constituer une partie importante du nom de fichier :

  • Nom du fichier source ;
  • Nom de la définition de document ;
  • Nom de fichier spécifié : combinaison des caractères spécifiés par l’utilisateur.

Les éléments suivants peuvent être utilisés comme identificateurs supplémentaires :

  • Identificateur de document (sélectionnez Ajouter l'identificateur de document au nom de fichier) ;
  • Valeur de champ d'index (sélectionnez Ajouter un champ d'index au nom de fichier, puis cliquez sur … et sélectionnez le champ d'index dans la fenêtre Sélectionner des champs).
Avancé.

Avec ce type, le modèle de dénomination de fichiers est saisi sous forme de ligne de texte dans le champ Modèle de nom de fichier . Le modèle peut comprendre une partie permanente et des balises qui seront remplacées par des informations pour les fichiers spécifiques. Les balises peuvent être saisies à l'aide du clavier ou ajoutées et supprimées à l'aide des boutons Ajouter une balise… et Supprimer une balise.

Pour générer correctement les noms des fichiers, vérifiez que les options de dénomination de fichiers que vous sélectionnez ne créent pas de noms de fichiers vides. Dans le cas contraire, le programme affiche un message d’avertissement.

Remarque : le système utilisé pour la dénomination des fichiers comportant des images, qui doivent être exportées avec les données, peut être le même que celui utilisé pour la dénomination des données. Pour utiliser le même système, sélectionnez l'option Identique aux données dans l'onglet Paramètres d'exportation d'images de la boîte de dialogue Modèle de destination et de nom de fichier.


Configuration de la présentation des données dans la fenêtre de document

Une fois que les données ont été reconnues, l'utilisateur les voit dans la fenêtre de document. Les données sont organisées de manière séquentielle par défaut, et leurs légendes correspondent aux noms des champs de la définition de document.

Toutefois, vous pouvez modifier la présentation des données en fonction de vos besoins, ou renommer les éléments. La présentation des données peut être modifiée dans le coin inférieur droit de la fenêtre d'éditeur de définitions de documents.

Vous pouvez modifier la légende d'un champ dans le formulaire de données sans modifier son nom dans la structure de document. Pour modifier une légende, ouvrez la boîte de dialogue de propriétés du champ, cliquez sur l'onglet Généralités, puis saisissez un nouveau nom dans le champ Légende . Ce nom sera utilisé comme légende du champ dans le formulaire de base de données. Cette fonctionnalité peut s'avérer utile pour personnaliser des noms de colonne, notamment dans FlexiLayouts où vous ne pouvez pas modifier le nom des champs.

La police et la taille des caractères des noms de champs et des valeurs de données reconnues peuvent être définis sur l'onglet Formulaire de données de la boîte de dialogue de propriétés de la définition de document (Définition de Document > Propriétés de la définition de document…). Vous pouvez également modifier la taille des caractères en cliquant à l'aide du bouton droit de la souris dans la fenêtre Formulaire de données et en sélectionnant la taille de votre choix (Taille du texte dans le menu contextuel).

Vous pouvez déplacer, modifier et renommer les champs, mais aussi modifier leurs propriétés. Pour retrouver la présentation initiale des champs, sélectionnez la commande correspondante dans le menu contextuel.

Vous pouvez également ajouter du texte (d'explication, par exemple). Pour ce faire, cliquez avec le bouton droit de la souris sur la fenêtre Formulaire de données et sélectionnez Insérer une zone de libellé dans le menu contextuel. Entrez votre texte, qui remplacera le Texte de libellé.


Propriétés de définitions de documents

Les propriétés de base d'une définition de document, telles que son nom, sa langue et son style d'écriture, se configurent à l'aide de l'Assistant Définition de document. Par défaut, les autres propriétés sont configurées.

Vous pouvez afficher et modifier les propriétés d'une définition de document dans la boîte de dialogue qui s'ouvre lorsque vous sélectionnez l'option de menu Définition de document>Propriétés de la définition de document… dans la fenêtre de l'éditeur de définitions de documents.

Cette boîte de dialogue comporte six onglets.

L'onglet Généralités

Dans cet onglet, vous pouvez renommer la définition de document et saisir ou modifier sa description. L'option Activé inclut/exclut la définition de document du traitement de documents.

L'onglet Reconnaissance

Dans cet onglet, vous pouvez modifier les propriétés de reconnaissance générales de la définition de document :

  • Langue (lieu) : il est important de spécifier la langue utilisée pour que la reconnaissance soit de bonne qualité. Cette propriété détermine la langue de saisie et d'autres paramètres locaux, comme le format de date, la devise, etc.
  • Style d'écriture : le style d'écriture peut considérablement varier d'un pays à l'autre. Il est donc très important d'indiquer le pays, ce qui permet au programme de sélectionner son style d'écriture type.

  • Spécifiez le type de texte :

    ICR (manuscrit) : activez cette option si la plupart des champs des documents doivent être remplis à la main.

    OCR (imprimé) : activez cette option si les valeurs de la plupart des champs doivent être imprimées. Sélectionnez un type d'impression dans la liste déroulante.

    Remarque : la reconnaissance de texte manuscrit n'est pas prise en charge dans toutes les langues. Pour certaines, ce type de reconnaissance n'est pas disponible. Consultez la section Langues de reconnaissance prises en charge.

    À ce stade, le type de texte par défaut est utilisé, mais vous pourrez le modifier pour chaque champ ultérieurement.

  • Vous pouvez activer une ou plusieurs options du groupe Orientation de page possible afin que la page pivote à 180°, à 90° dans le sens horaire, ou encore à 90° dans le sens anti-horaire pendant la sélection automatique de l'orientation de la page.
  • Cliquez sur Options avancées… pour configurer la correction des distorsions des images linéaires et non linéaires.

L'onglet Assemblage

Cet onglet permet de configurer des règles d'assemblage pour des documents multipages.

Dans le scénario le plus simple, la définition de document est composée d'une seule section, qui n'apparaît qu'une fois. Si une définition de document comporte plusieurs sections, cet onglet répertorie leurs noms. Vous pouvez spécifier le nombre de répétitions de chaque section en modifiant les valeurs des colonnes Nombre min. et Nombre max..

  • Utiliser la règle d'assemblage Égalité des champs clés : activez cette option si vous souhaitez effectuer une vérification de l'assemblage de document grâce aux champs clés. Sélectionnez ensuite un champ clé pour chaque section de la colonne Champ clé. Lorsque vous entrerez des documents, seuls les documents dont les valeurs correspondent aux champs clés pour chaque section seront considérés comme assemblés correctement. Si leurs valeurs ne correspondent pas, un message d'erreur d'assemblage sera affiché.
  • Utiliser les règles d'assemblage standard : activez cette option si vous souhaitez effectuer une vérification de l'assemblage du document à l'aide des règles standard suivantes :
    • Désactiver la vérification de l'ordre des sections : activez cette option si vous souhaitez désactiver les vérifications de l'ordre des sections des documents (par ex. si l'ordre des sections n'affecte pas l'assemblage du document). Le programme continuera à vérifier que toutes les sections sont présentes dans le document mais leur ordre sera ignoré.
    • Activer les pages d'annexe : activez cette option si vous souhaitez traiter des documents comportant des annexes. Si le traitement de documents comportant des annexes est activé, vous pouvez également sélectionner l'option Détecter les annexes en se basant sur la structure de document prédéfinie, sans analyse (rapide) pour activer la détection rapide des annexes en fonction de la structure du document.

      Remarque : L'option Détecter les annexes en se basant sur la structure de document prédéfinie, sans analyse (rapide) est uniquement efficace pour les documents créés au moyen d'une séparation lors de l'étape d'importation ou en appliquant un indicateur spécial dans l'API. Ces documents sont exclus de l'assemblage.

  • Utiliser les règles d'assemblage personnalisées : activez cette option si vous souhaitez effectuer une vérification de l'assemblage du document à l'aide d'un script d'assemblage de document Un script d'assemblage personnalisé peut s'exécuter soit séparément, soit avec des règles d'assemblage standard. Pour commencer à modifier le script, cliquez sur le bouton Modifier le script d'assemblage…. L'Éditeur de scripts s'ouvrira.

Pour obtenir des détails, consultez les sections Création de définitions de documents pour des documents multipages, Assemblage de pages sous forme de documents et Création de définitions de documents pour des documents comportant des annexes.

L'onglet Règles

Cet onglet est consacré aux actions relatives aux règles de définitions de documents. Vous pouvez supprimer, modifier ou créer des règles.

Pour obtenir des détails, consultez la section Validation par règle.

L'onglet Destinations d’exportation

Cet onglet affiche les paramètres d'exportation en cours d'une définition de document donnée. Pour modifier les paramètres d'exportation, cliquez sur le bouton Éditer….

Pour obtenir des détails, consultez la section Configuration de l'exportation de données.

L'onglet Formulaire de données

Dans cet onglet, vous pouvez modifier la police et la taille d'affichage des données reconnues.

Le groupe Paramètres du texte de données contient les paramètres de police pour l'affichage des valeurs reconnues.

Le groupe Paramètres du texte de libellé contient les paramètres d'affichage applicables au texte d'explication (noms de champs).

Pour obtenir des détails, consultez la section Configurer la présentation des données dans la fenêtre du document.

L'onglet Références .Net

Dans cet onglet, vous pouvez ajouter des assemblages externes pour les utiliser dans des scripts et des modules globaux. Les assemblages utilisateur standard et compilés peuvent tous deux être utilisés. Pour ajouter un assemblage, cliquez sur Ajouter…. Dans la boîte de dialogue qui apparaît, sélectionnez le type : Nom d'assemblage standard ou Fichier joint. Saisissez le nom d'assemblage standard ou naviguez jusqu'au fichier d'assemblage, cela dépendra du type sélectionné.

Pour obtenir des détails, consultez la section Assemblages externes.


Importation d'une Définition de Document pour les formulaires créés avec ABBYY FormDesigner

ABBYY FormDesigner est un outil très pratique conçu spécialement pour créer des formulaires lisibles par machine. Outre des formulaires respectant toutes les exigences du traitement documentaire automatisé, vous pouvez créer des formulaires avec ABBYY FormDesigner pour obtenir une définition de document qui est pratiquement prête à traiter ces formulaires dans ABBYY FlexiCapture 10.

Pour obtenir une définition de document pour traiter les formulaires conçus avec ABBYY FormDesigner, procédez comme suit :

Dans ABBYY FormDesigner :

  1. créez un formulaire ;
  2. publiez-le ;
  3. exportez-le au format Fichiers de définition de formulaire XML. Vous obtenez alors un fichier portant une extension .xfd.

Pour plus d'informations sur la création, la publication et l'exportation de formulaires, consultez les rubriques d'aide et le manuel d'utilisateur d'ABBYY FormDesigner 9,0.

Dans ABBYY FlexiCapture :

  1. dans la fenêtre principale du programme, sélectionnez l'élément de menu Projet > Définitions de document… ;
  2. dans la boîte de dialogue Définitions de document, cliquez sur le bouton Importer… ;
  3. dans la boîte de dialogue Ouvrir le fichier pour l'importation qui s'ouvre, sélectionnez Fichiers de définition de formulaire XML (*.xfd) dans la liste déroulante Fichiers de type, puis indiquez le chemin d'accès du fichier *.xfd.
  4. Le nom de la nouvelle définition de document s'affiche dans la liste des définitions de document de la boîte de dialogue Définitions de document.

Après avoir ouvert une définition de document importée pour la modifier, vous pourrez voir que le marquage des champs et des éléments statiques est déjà présent dans l'image. Vous n'avez qu'à modifier les propriétés du champ et à configurer l'exportation.


Création de définitions de documents pour des documents multipages

ABBYY FlexiCapture 10.0 permet de créer des définitions de documents pour les documents multipages. Une définition de document peut contenir des sections, qui, elles-mêmes, peuvent contenir une ou plusieurs pages. Les définitions de documents pour documents multipages nécessitent que l'ordre des sections, que leur nombre et que les règles utilisées pour assembler les pages sous forme de documents soient définis.

Au terme de la procédure de création de l'Assistant, une nouvelle définition de document simple, sans section, est créée. Vous pouvez ajouter des pages à cette définition de document. Lorsque vous ajoutez une page, son image est ajoutée à la région d'image dans la fenêtre de l'éditeur de définitions de documents, alors que les champs créés sur cette page sont répertoriés dans la liste des champs communs. Dans ce cas, le document comporte une seule section même s'il peut contenir plusieurs pages.

Ajoutez des pages à une même section si le document contient des blocs qui continuent ou se répètent sur plusieurs pages, ou des tableaux qui continuent à la page suivante. Utilisez la même méthode pour charger une description flexible de plusieurs pages (consultez la section Création d'une définition de document pour traiter des documents flexibles). Tous les champs de la description flexible doivent faire partie d'une même section de définition de document.

L'autre technique consiste à ajouter des sections à la définition de document. Dans le scénario le plus simple, une section contient une page. Vous pouvez choisir cette méthode si les jeux de champs des pages sont indépendants. Cette méthode est plus parlante : la structure du document montre la section dont les champs font partie, et vous pouvez aussi configurer une structure personnalisée pour l'assemblage de documents. Supposons, par exemple, que le document contient trois types de pages et que les pages du premier et du troisième type ne doivent apparaître qu'une seule fois, tandis que celles du deuxième type doivent apparaître de 2 à 5 fois. Vous devez alors créer trois sections, une pour chaque type de page et préciser l'ordre des sections du document et le nombre d'occurrences éventuelles de chacune de ces sections.

Imaginons un cas de figure plus complexe : une définition de document composée de plusieurs sections, dont certaines contiennent plusieurs pages. Il peut par exemple s'agir d'une définition de document composée de sections fixes et d'une section flexible de plusieurs pages, ou encore d'une définition de document décrivant des documents contenant une page recto-verso qui se répète plusieurs fois. Imaginons que vous ayez besoin de créer une définition de document pour un document contenant une page de titre (page A) et un certain nombre de pages recto-verso (séquence de pages – BCBC...). Vous commencez par conséquent par créer une section A contenant une page A et une section BC contenant deux pages B et C. La structure du document est configurée comme suit : la section A se répète une fois, suivie de la section BC, qui se répète de 3 à 7 fois.

Pour une définition de document composée de plusieurs sections, vous pouvez activer la vérification des champs clés en plus de celle de l'ordre et du nombre de sections récurrentes. Pour ce faire, vous devez identifier les champs clés de chaque section de document. Leurs valeurs doivent être identiques dans les différentes sections. Un champ clé peut, par exemple, être le nom de famille de la personne qui a complété le document (ce nom devant être écrit sur chaque page) ou un certain numéro d'identification.

Lorsqu'il traite un lot, le programme essaie d'assembler une séquence de pages sous forme de documents, et il vérifie les règles d'assemblage au cours de l'opération. Le programme vérifiera les valeurs des champs clés si l'option correspondante est sélectionnée. Si les champs clés ne correspondent pas sur les pages du même document, un message d'erreur s'affiche. Ce message est parfois dû au fait que les pages du document ont mal été placées pendant la numérisation, auquel cas il suffit de modifier l'ordre des pages pour respecter les règles d'assemblage du document. Consultez la section Assemblage de pages sous forme de documents.

Pour ajouter une page à une section, sélectionnez Définition de document > Ajouter une page… dans le menu de l'éditeur de définitions de documents ou Ajouter une page… dans le menu contextuel de l'image. Chargez ensuite l'image d'une nouvelle page non complétée, puis sélectionnez les types d'objets qui doivent être marqués automatiquement sur la page.

Pour ajouter une nouvelle section, dans la fenêtre de l'éditeur de définitions de documents, sélectionnez Définition de document > Ajouter une section de document…. L'Assistant Création de sections s'ouvrira pour vous aider à configurer tous les paramètres requis. Suivez les instructions de l'Assistant pour :

  • spécifier le nom de la section ;
  • charger l'image d'une page non complétée (numérisée ou chargée à partir d'un fichier), ou un fichier de description flexible ;
  • sélectionner les types d'objets qui seront marqués automatiquement.

Une nouvelle section et les champs qu'elle contient s'affichent dans la fenêtre de structure du document.

Vous pouvez également importer une section à partir d'une définition de document dans le projet. Pour ce faire, dans le menu principal, cliquez sur Définition de document > Importer une section de document… et sélectionnez la section dans la boîte de dialogue Sélectionner une définition de section à importer.

Remarque : les modules de script partagés ne sont pas importés lors de l'importation des sections. Par conséquent, les règles des scripts écrits dans une nouvelle section seront non valides ou ne fonctionneront pas correctement.

Pour afficher la structure de document générée lorsque vous créez une définition de document, dans la fenêtre Structure de document située dans la partie droite de la fenêtre de l'éditeur de définitions de documents, accédez à l'onglet Pages. Cet onglet affiche la structure du document en mode contour de page. Dans cet onglet, vous pouvez modifier le nombre de sections incluses dans le document (pour ce faire, saisissez une nouvelle valeur - un nombre ou un intervalle - dans la zone située à droite du nom de section), joindre des pages annexes, modifier l'ordre des pages de la section et déplacer des pages d'une section à une autre en les faisant glisser.

Pour les pages susceptibles de se répéter dans une section, sélectionnez l'option Peut se répéter dans la section dans les propriétés de la page. Pour ouvrir la boîte de dialogue Propriétés de la page, sélectionnez Propriétés... dans le menu local ou appuyez sur Alt+Entrée.

Affichage de la fenêtre de structure du document

Pour spécifier la séquence et le nombre de sections récurrentes, et pour définir la règle d'assemblage, utilisez l'option de menu Définition de Document> Propriétés de la définition de document… de la fenêtre de l'éditeur de définitions de documents. Dans l'onglet Assemblage, spécifiez le nombre minimum et le nombre maximum d'inclusions pour chaque section du document (la valeur par défaut est 1). Si vous souhaitez vérifier les valeurs des champs clés, activez l'option Utiliser la règle d'assemblage Égalité des champs clés et sélectionnez un champ clé dans chaque section.

Sélectionnez les règles d'assemblage à utiliser. Les règles d'assemblage personnalisées et standard peuvent toutes deux être utilisées.

Les règles d'assemblage standard vous permettent de désactiver les vérifications de l'ordre des sections et d'assembler les documents comportant des pages annexes.
Il est par exemple nécessaire de désactiver les vérifications de l'ordre des sections (option Désactiver la vérification de l'ordre des sections) si l'ordre des sections n'affecte pas l'assemblage du document. Le programme continuera à vérifier si toutes les sections sont présentes dans le document mais leur ordre sera ignoré.
Pour assembler des documents comportant des annexes, sélectionnez l'option Activer les pages d'annexe. Pour détecter les pages annexes en fonction de la structure du document, activez l'option correspondante.

Pour assembler les documents en utilisant un script d'assemblage de document, activez l'option Utiliser les règles d'assemblage personnalisées. Pour commencer à modifier le script, cliquez sur le bouton Modifier le script d'assemblage….

Affichage de l'onglet Assemblage


Création d'une définition de document pour le traitement des documents flexibles

Pour les factures, les ordres de paiement et les documents apparentés, vous ne pouvez pas créer une définition de document comportant des emplacements de champ fixes. En effet, l'emplacement, la taille et le nombre des champs risquent de ne pas être identiques. Il n'est donc pas possible d'appliquer une définition de document fixe à tous les documents. Dans les documents de ce type, le programme recherche les champs après une pré-reconnaissance de l'ensemble de la page, puis il crée une description flexible à partir des mots clés et de l'emplacement relatif des champs. Un module de programme spécial, ABBYY FlexiLayout Studio 10.0 (fourni avec ABBYY FlexiCapture 10.0), permet de concevoir des descriptions flexibles. Vous trouverez des instructions détaillées permettant de concevoir une description flexible dans les rubriques d'aide d'ABBYY FlexiLayout Studio 10.0.

Une description flexible est exportée vers un fichier .afl, puis chargée dans ABBYY FlexiCapture 10.0. Vous pouvez utiliser une description flexible pour la définition de document dans son ensemble ou comme l'une de ses sections. Une description flexible peut couvrir plusieurs pages.

Association d'une description flexible

Vous pouvez associer une description flexible lors de la création d'une définition de document. Pour ce faire, à la deuxième étape de l'Assistant Définition de document, ajoutez l'image de document, puis activez l'option Charger FlexiLayout et entrez le chemin d'accès du fichier .afl contenant la description flexible.

Vous pouvez joindre une description flexible à partir de la fenêtre de l'éditeur de définitions de documents, dans la boîte de dialogue de la section de définition de document.

  1. Sélectionnez une section de document. (Si le document ne contient qu'une section, dans la fenêtre Structure de document, ouvrez l'onglet Pages, puis sélectionnez le nom de cette section.) Cliquez à l'aide du bouton droit et sélectionnez Propriétés… dans le menu contextuel.
  2. Accédez à l'onglet FlexiLayout.
  3. Cliquez sur Charger….
  4. Sélectionnez le fichier .afl contenant la description flexible dont vous avez besoin.

Une fois la description flexible associée, la présentation géométrique des champs s'affiche sur l'image. Vous devez maintenant configurer les propriétés de champs comme vous le feriez pour une définition de document fixe. Spécifiez les propriétés de reconnaissance, de vérification et d'exportation et définissez les règles requises.

Mise à jour des descriptions flexibles

Pour mettre à jour les FlexiLayouts utilisés dans la définition de document, sélectionnez Outils > Mettre à jour les descriptions flexibles…. Dans la boîte de dialogue qui s'ouvre, spécifiez les chemins des FlexiLayouts, puis cliquez sur Mettre à jour.

Remarque : lorsque vous importez un projet FlexiLayout comportant des fichiers texte qui contiennent des valeurs de champs possibles, ces fichiers sont placés en fonction des chemins d'accès relatifs définis lors de la création du projet FlexiLayout. Les chemins d'accès relatifs dépendent du fichier de projet. Pour modifier ces fichiers, enregistrez le projet localement (sélectionnez Projet>Exporter un projet…), modifiez les fichiers puis mettez à jour le projet sur le serveur (sélectionnez Projet>Mettre à jour un projet…).


Création de définitions de documents pour des documents avec des annexes.

ABBYY FlexiCapture 10 permet de créer des définitions de documents pour des documents contenant des annexes. Les annexes sont des pages supplémentaires qui peuvent accompagner chaque formulaire. Aucune définition de document n'est appliquée à ces pages, mais elles sont prises en compte pendant l'assemblage du document. Par exemple, imaginons qu'une demande de prêt (formulaire fixe) soit envoyée avec une déclaration de revenus de forme libre. Cette déclaration de revenus peut être traitée comme une annexe.

Pour créer une définition de document pour un document avec une annexe :

Première méthode :

  1. Ouvrez l'onglet Pages de la fenêtre Structure de document (première partie de l'éditeur de définitions de documents).
  2. Activez l'option Activer les pages d'annexe dans le document.
  3. Entrez le numéro de page ou la plage de pages de l'annexe dans la zone située à droite du nom de section.
Affichage de la fenêtre de structure du document

Méthode alternative de création d'une définition de document pour un document avec une annexe :
  1. Ouvrez la boîte de dialogue Propriétés de la définition de document (Définition de Document > Propriétés de la définition de document… dans la fenêtre de l'éditeur de définitions de documents).
  2. Accédez à l'onglet Assemblage.
  3. Activez l'option Activer les pages d'annexe. La ligne Pages d'annexe apparaît dans la liste de sections.
  4. Entrez le nombre minimum et le nombre maximum de pages de l'annexe.
Affichage de la boîte de dialogue

Pour enregistrer le texte de l'annexe, lors de la configuration de l'exportation, vous devez spécifier les options d'enregistrement d'image (dans la boîte de dialogue Paramètres d'exportation). Si vous sélectionnez le format PDF avec possibilité de recherche pour enregistrer l'image, le texte sera reconnu et enregistré dans un fichier PDF avec possibilité de recherche.


Traitement de documents non structurés

ABBYY FlexiCapture 10 peut servir à traiter des documents non structurés contenant des informations sous une forme libre, par exemple des contrats, des lettres, des commandes et des annexes. Les documents non structurés contenant du texte ou des images séparés par des feuilles vierges ou des pages avec des codes barres sont traités et exportés sous forme de fichiers PDF indexés ou de fichiers graphiques.

Le traitement de documents de ce type implique habituellement de convertir les documents sous une forme électronique et d'effectuer une recherche à partir des valeurs de champs clés.

Si c'est possible, la recherche des champs clés (tels qu'un numéro de contrat) au sein de ces documents est effectuée à l'aide d'une description flexible créée avec ABBYY FlexiLayout Studio. Consultez la section Création d'une définition de document pour traiter des documents flexibles.

Si la recherche automatique de champs clés est impossible, l'opérateur peut entrer les valeurs manuellement. Pour ce faire, créez une définition de document avec un champ (ou plusieurs, si nécessaire) et activez l'option Ne pas reconnaître (clé du champ d'image - sera entré manuellement) dans les propriétés de reconnaissance de ce champ. Quand il exécute le processus de vérification, l'opérateur peut ensuite entrer les valeurs des champs manuellement.

Vous devez configurer l'exportation pour activer le stockage de données : vous pouvez exporter les valeurs des champs clés vers un fichier ou une base de données, puis enregistrer les images de document sous un format plus pratique. Vous pouvez enregistrer les images de document sous forme de fichiers graphiques ou de fichiers PDF indexés.

Soyez vigilant lorsque vous assemblez des pages sous forme de documents : avec les documents non structurés, il peut être difficile de savoir de quel document une page donnée fait partie. Pour automatiser l'assemblage des documents non structurés, nous recommandons de séparer les documents à l'aide de feuilles vierges ou de pages contenant des codes barres. Lorsque vous ajoutez des images à un lot (en les numérisant, en les ajoutant à partir d'un fichier ou en créant un profil d'importation), vous devez activer l'option Pour les images séparées par et sélectionner la valeur pages vierges ou pages avec code barre dans la liste déroulante, en fonction des pages à utiliser comme séparateurs. Les pages sont assemblées automatiquement sous forme de documents : elles sont ajoutées au document en cours jusqu'à la page de séparation suivante. Pour plus d'informations, consultez la section Ajout d'images de pages.


Modification et publication d'une Définition de Document.

Les définitions de document peuvent être modifiées dans la fenêtre de l'éditeur de définitions de document. Vous pouvez alors modifier la présentation des champs et des éléments statiques, éditer leurs propriétés, leurs règles, les paramètres d'exportation, etc.

Ainsi, pour ne pas affecter le travail exécuté par les membres d'autres projets, lors de la modification d'une définition de document, le programme vous permet d'éditer une copie de définition de document locale tandis que la dernière version de la définition de document publiée est utilisée pour la reconnaissance. Ce mode permet de modifier et de tester localement les définitions de document. De plus, l'opérateur peut terminer la vérification et l'exportation des documents reconnus en utilisant l'ancienne version, même si la définition de document a été considérablement modifiée, voire supprimée. La définition de document en cours d'édition n'est pas accessible pour la modification par d'autres utilisateurs. Une fois la modification de la définition de document terminée, vous pouvez soit la publier, soit créer une nouvelle version disponible pour la reconnaissance de document, soit annuler toutes les modifications.

Pour éditer une définition de document, procédez comme suit :

  1. Dans la fenêtre principale du programme, sélectionnez l'élément de menu Projet > Définitions de document….
  2. Sélectionnez la définition de document à modifier.
  3. Cliquez sur le bouton Éditer… dans la boîte de dialogue Définitions de document pour démarrer la modification de la définition de document. Une version locale de la définition de document sera copiée sur votre PC La définition de document ne pourra être modifiée par d'autres utilisateurs.
  4. Exécutez les modifications nécessaires dans la fenêtre de l'éditeur de définitions de document. Enregistrez la définition de document.
  5. Testez la définition de document avec plusieurs images. Pour procéder aux ajustements de la définition de document, vous pouvez utiliser des lots de tests qui fonctionnent avec la version locale de la définition de document.
  6. Cliquez sur le bouton Publier dans la boîte de dialogue Définitions de document pour publier la définition de document. Après la publication, la nouvelle version de la définition de document sera utilisée pour la reconnaissance des documents dans les lots de travail. La définition de document peut à présent être modifiée par d'autres administrateurs. Pour revenir à la définition de document initiale, cliquez sur Refuser les modifications.
  7. Les définitions de document sont appliquées selon leur ordre dans la liste de la fenêtre Définitions de document. Modifiez l'ordre des définitions de document si nécessaire.
  8. Pour accélérer l'association FlexiLayout, sélectionnez Utiliser la première présentation flexible acceptable pour que le programme utilise la première association FlexiLayout. Sinon, le programme tente d'appliquer tous les FlexiLayouts et sélectionne la meilleure association.

Une nouvelle version de définition de document est utilisée pour la reconnaissance et la suite du traitement documentaire tout de suite après la publication. Toutefois, la version de la définition de document précédente est utilisée pour les documents traités au moment de la publication. Vous pouvez mettre à jour la définition de document pour les documents en cours de traitement en sélectionnant Outils>Mettre à jour vers la version la plus récente. En fonction des modifications de la définition de document exécutées, un message est affiché vous invitant à reconnaitre à nouveau les documents (si les paramètres de reconnaissance ont été modifiés), à revérifier les règles (si les règles ont été modifiées) ou à exporter à nouveau les documents, (si les paramètres d'exportation ont été modifiés).


Test de définitions de documents

Avant de commencer à entrer un gros volume de documents, vous devez tester les définitions de documents. Les tests sont effectués à l'aide de documents ajoutés aux lots de test, puisque ces lots fonctionnent avec la version locale de la définition de document. Ces lots sont disponibles dans le menu Affichage>Lots de test de la fenêtre principale du programme. Vous pouvez également accéder aux lots de test à partir de la fenêtre de l’éditeur de définitions de documents, en sélectionnant Outils>Basculer vers le lot de test….

Important ! Seul l'utilisateur ayant créé le lot de test est autorisé à l'utiliser. Si nécessaire, vous pouvez utiliser un lot de travail comme lot de test, auquel cas il fera office de source d'images pour le lot de test.

Vous pouvez tester une définition de document directement dans l’éditeur de définitions de documents à partir de l’image utilisée pour la créer. Pour commencer le test, sélectionnez Document>Exécuter le test. Un formulaire de données identique à celui utilisé dans le cadre du traitement de documents s’affiche et les erreurs de format, les caractères incertains et les erreurs de règles apparaissent.

Vous pouvez réorganiser les fenêtres depuis le menu Test>Affichage et parcourir les éléments vérifiés, les caractères incertains et les erreurs de règles depuis le menu Test>Vérification. Cliquez sur le bouton Terminer le test ou sélectionnez Document>Terminer le test pour interrompre le test.

Remarque : en mode test, si la bordure d’un champ est modifiée, le programme ne devrait pas à nouveau reconnaître le champ étant donné que vous modifiez les bordures de champs dans la fenêtre du document.

Pour tester votre définition de document sur d'autres images, sélectionnez un lot de test (pour ce faire, vous pouvez sélectionner Lot>Basculer vers le lot de test… dans l'éditeur de définitions de documents). Le programme vérifie si la définition de document en cours ne comporte pas d’erreur avant d’afficher la boîte de dialogue de sélection du lot. Si la définition de document ne comporte aucune erreur, elle est enregistrée et la boîte de dialogue de sélection du lot s’affiche. Lorsque vous sélectionnez un lot dans cette boîte de dialogue, la fenêtre principale du programme s’active et bascule automatiquement vers le lot nouvellement sélectionné.

Nous recommandons de tester chaque définition de document avec au moins 20 images de documents (si les documents sont remplis à la main, il est préférable d'utiliser des documents remplis par des personnes différentes).

Il est nécessaire d'effectuer des tests afin de déterminer :

  1. s'il y a suffisamment d'ancres et d'identificateurs marqués pour l'application d'une définition de document donnée à une image.
  2. Si les propriétés des champs ont été correctement configurées.
  3. Si les règles ont été correctement configurées.
  4. Si l'exportation a été correctement configurée.

Pendant le test, vous devez effectuer l'ensemble des opérations effectuées lors du traitement de documents.

Si des erreurs de règle, des valeurs de champ incorrectes, etc. sont détectées pendant le test, vous devez modifier la définition de document afin de les corriger.

Ce n'est qu'après avoir éliminé tous les problèmes détectés que vous pouvez publier la définition de document et commencer à entrer un gros volume de documents.

puce Utilisation d'un projet configuré


Classifieurs

Classifieur

Un classifieur est un projet créé sous ABBYY FlexiLayout Studio pour une identification préliminaire des pages individuelles et pour les classer comme appartenant à un type particulier. Par exemple, les pages peuvent être classées en fonction d'un projet FlexiLayout ou en fonction d'une alternative de mise en page. Dès qu'un classifieur est créé sous ABBYY FlexiLayout Studio, il peut être utilisé sous ABBYY FlexiCapture pour classer les documents au niveau projet ou au niveau type de lot.

Pour ajouter un projet classifieur au niveau du projet :

  1. Ouvrez le projet.
  2. Dans la fenêtre principale, sélectionnez Propriétés du projet… dans le menu Projet. La boîte de dialogue propriétés du projet apparaît.
  3. Cliquez sur l'onglet Reconnaissance puis sur Charger…
  4. Sélectionnez le fichier *.cfl contenant le classifieur.

Remarque : Si, en créant un lot, Par défaut a été spécifié comme type de lot, les paramètres spécifiés dans les propriétés du projet seront utilisés pour le traitement.

Pour ajouter un projet classifieur au niveau du type de lot :

  1. Ouvrez la boîte de dialogue Types de lots en sélectionnant Projet>Types de lot…
  2. Sélectionnez le type de lot dans la liste et cliquez sur Éditer…La boîte de dialogue Propriétés du type de lot apparaît.
  3. Cliquez sur l'onglet Reconnaissance puis, dans la section classifieur, cliquez sur Charger…
  4. Sélectionnez le fichier *.cfl contenant le classifieur.

Les classifieurs peuvent être utilisés dans les buts suivants :

  • Pour accélérer la sélection de la définition de document. L'utilisation d'un classifieur permet au programme de ne pas parcourir tous les définitions disponibles à la recherche de la meilleure association mais de sélectionner la définition de document appropriée en fonction des caractéristiques de la classification. L'ordre de la recherche est déterminé par l'utilisateur qui sélectionne les caractéristiques de la classification et crée l'arborescence du classifieur. Les gains de vitesse sont particulièrement remarquables dans le cas d'un projet à grande échelle impliquant de nombreuses définitions de document.
  • Pour répartir les caractéristiques de la classification dans l'arborescence du classifieur. Par exemple, au plus haut niveau, vous pouvez sélectionner des documents envoyés par une certaine entreprise en fonction d'une section de document comportant le nom de cette entreprise. Au niveau suivant, les documents peuvent être classés en fonction de leurs titres ou en fonction du nombre de séparateurs présents sur une page particulière.
  • Pour gérer l'application de structures FlexiLayout tierces. Il est possible que les structures FlexiLayout créées par un éditeur tiers ne correspondent pas exactement à leurs documents. Dans ce cas, vous pouvez utiliser un classifieur pour remédier au problème sans contacter l'éditeur.
  • Pour accélérer la progression des projets contenant des définitions de documents en plusieurs langues. Si un classifieur est utilisé, la pré-reconnaissance des documents n'est effectuée que deux fois : pendant le classement des documents et pendant l'application de la définition de document sélectionnée. Sinon la pré-reconnaissance doit être effectuée pour chaque langue de définition de document du projet.

Pour obtenir des informations supplémentaires sur les classifieurs, consultez l'aide d'ABBYY FlexiLayout Studio.


Profils d’importation d’images

Le traitement de documents commence à l'ajout de nouvelles images. Généralement, les images sont ajoutées sur le poste de numérisation (pour plus d'informations, consultez l'aide du poste de numérisation). Cependant, de nouvelles images peuvent également être ajoutées sur le poste de vérification et sur le poste de configuration de projets. Elles peuvent aussi être ajoutées automatiquement à partir des dossiers actifs.

Vous pouvez automatiser les routines d'ajout d'images sur le poste de vérification et/ou sur le poste de configuration de projets si les images sont régulièrement récupérées à partir de la même source. Pour automatiser le processus, créez un profil d'importation d'images sur le poste de configuration de projets. Vous pouvez également configurer le traitement des images entrantes et l'ajout périodique d'images en mode arrière-plan. Une fois les paramètres requis configurés, il suffit de cliquer sur un bouton pour que les images soient numérisées ou importées à partir d'une source prédéfinie et les images reçues seront traitées (elles seront nettoyées, par exemple). Si nécessaire, vous pouvez changer la source d'importation d'images ou ses paramètres.

Si les sources d'importation changent souvent, vous pouvez créer plusieurs profils d'importation et passer de l'un à l'autre pour ne pas avoir à modifier constamment les paramètres de la source d'importation.

Création d'un profil d'importation

Pour ajouter un profil d'importation, sélectionnez l'option de menu Projet > Profils d'importation d'images… dans la fenêtre principale du programme. Dans la boîte de dialogue qui s'ouvre, vous pouvez créer de nouveaux profils d'importation. Vous pouvez aussi modifier, supprimer et copier des profils existants.

Vous pouvez créer un nouveau profil d'importation à l'aide de l'assistant de profil, accessible à partir de la boîte de dialogue Profils d'importation d'image en cliquant sur Nouveau… À la première étape de l'assistant, sélectionnez une source d'importation (par exemple, un scanner ou un dossier actif).

Création d'un profil d'importation avec un scanner
  1. Sélectionnez Scanner comme source d'importation.

    Important ! Le scanner doit être connecté. Pour vérifier s'il est correctement connecté , consultez sa documentation. Veillez à installer tous leslogiciels fournis avec le scanner.

  2. À la deuxième étape, vous pouvez configurer les options pour la numérisation et le traitement des images :
    • Style de la boîte de dialogue des paramètres : choisissez la méthode d'interaction entre le programme et le scanner :
      • Paramètres du scanner FlexiCapture : avec cette option, les options de numérisation se définissent dans la boîte de dialogue Paramètres du scanner d'ABBYY FlexiCapture. Cliquez sur le bouton Paramètres… pour configurer les options de numérisation. Si vous activez l'option Afficher les paramètres du scanner avant la numérisation, la boîte de dialogue Paramètres du scanner d'ABBYY FlexiCapture apparaît lorsque vous sélectionnez ce profil d'importation avant de numériser.
      • Options de numérisation : avec cette option, les options de numérisation se définissent dans la boîte de dialogue du pilote de scanner correspondant à votre scanner. Dans ce cas, vous ne pourrez pas modifier les options de numérisation lors de la création du profil d'importation, mais la boîte de dialogue des paramètres du scanner apparaîtra avant chaque numérisation d'images.
    • Spécifiez si vous souhaitez numériser une ou plusieurs images en une même passe.
  3. À l'étape suivante, vous pouvez configurer les options déterminant la méthode d'ajout des images aux documents et le traitement des images. Pour obtenir des détails, consultez la section Options de prétraitement d'images.
  4. À la dernière étape, vous pouvez modifier le nom par défaut attribué au profil d'importation et saisir votre commentaire.
Création d'un profil d'importation avec un dossier actif
  1. Sélectionnez Dossier actif comme source d'importation. Sélectionnez le type de dossier actif : Dossier local ou dossier réseau local, Serveur POP3, MAPI (boîte aux lettres électronique) ou Serveur FTP. Spécifiez le chemin d'accès du dossier actif en cliquant sur le bouton Parcourir… ou spécifiez l'identifiant et le mot de passe en cliquant sur le bouton Paramètres….

    Important ! Pour pouvoir ajouter des images à partir d'un dossier actif, l'utilisateur doit disposer de droits d'accès en lecture et en écriture pour ce dossier.

    Pour configurer l'importation à partir de MAPI (boîte aux lettres électronique)
    • Le compte de courrier électronique doit être configuré sur l'ordinateur.
    • Le processus d'importation (sur un poste d'utilisateur ou sur un poste de traitement) doit être exécuté sur le compte de l'utilisateur auquel la boîte aux lettres électronique appartient.
      Remarque : Microsoft Outlook doit être lancé sous ce compte utilisateur sur cet ordinateur au moins une fois avant de configurer le profil d'importation.
    • Pour sélectionner une boîte aux lettres électronique, cliquez sur Parcourir…
    Pour configurer l'importation à partir du Serveur POP3
    • Saisissez l'adresse du serveur de courrier électronique POP3.
    • Cliquez sur Paramètres… et, dans la boîte de dialogue qui apparaît, saisissez le nom d'utilisateur et le mot de passe vous permettant de vous connecter.

    Remarque : si tous les paramètres sont corrects, mais si ABBYY FlexiCapture ne peut pas récupérer les messages à partir du serveur de courrier électronique POP3, assurez-vous que le pare-feu ne bloque pas la connexion au serveur de courrier électronique.

    Remarque : ABBYY FlexiCapture ne prend pas en charge les serveurs de courrier électronique POP3 utilisant le protocole SSL (port 995).

    Remarque : Microsoft Outlook 2010 64 bits n'est pas pris en charge.

  2. À la deuxième étape, paramétrez les options de chargement d'images :
    • Vérifier le dossier actif toutes les : activez cette option et spécifiez l'intervalle de temps que le programme doit respecter pour vérifier automatiquement si le dossier actif contient de nouvelles images.

      Remarque : pour lancer l'importation d'images à partir de dossiers actifs, activez les dossiers actifs pour un projet donné dans le moniteur de serveur de traitement.

    • Dans Paramètres du lot, activez l'une des options pour désigner le lot à utiliser pour l'ajout de nouvelles images.
      • Ajouter des images au lot courant : activez cette option pour ajouter les images du dossier actif au lot en cours ;
      • Ajouter des images au lot spécifié : activez cette option et sélectionnez le nom du lot dans la liste déroulante pour ajouter des images à un lot spécifique ;
      • Créer de nouveaux lots pour les images importées automatiquement : activez cette option pour créer automatiquement des lots pour les nouvelles images. Dans le champ Type de lot , spécifiez le type du lot. Si nécessaire, réglez les paramètres d'enregistrement du lot (cliquez sur Paramètres d'enregistrement…) et modifiez la priorité du lot dans le champ Priorité .

        • Remarque : l'importation ne fonctionne que si le nouveau lot est créé à chaque fois. Pour les tâches d'importation ajoutées au même lot, il est nécessaire de configurer l'importation.

    • Dans la liste déroulante Nombre de fichiers à ajouter, sélectionnez l'une des valeurs pour spécifier le nombre de fichiers à ajouter au dossier désigné ou nouvellement créé :
      • En fonction du fichier de description : les fichiers seront ajoutés en fonction de la description. Pour spécifier le nom et le type du fichier de description, cliquez sur le bouton Paramètres… Pour obtenir des détails, consultez la section Fichier de description.
      • Tous les fichiers : tous les fichiers du dossier actif seront ajoutés.
      • Depuis un sous-dossier : ajoute des fichiers à partir des sous-dossiers dont les noms sont conformes au format spécifié. Cliquez sur Paramètres… pour définir un nom de format.
      • Plusieurs fichiers : plusieurs fichiers seront ajoutés. Pour spécifier le nombre de fichiers, cliquez sur le bouton Paramètres… et saisissez le nombre ou la plage de valeurs.
      • Remarque : si vous spécifiez un certain nombre de fichiers, par exemple 5, et s'il n'en reste que 4 dans le dossier actif, ils ne seront pas importés. Si vous spécifiez une plage de valeurs, par exemple, 1-5, les 4 fichiers restants seront importés.
      • Un seul fichier : un seul fichier sera ajouté.
      • Associés à la lettre : tous les fichiers associés à cette lettre seront ajoutés.
    • Si le profil est destiné à importer des photos plutôt que des images numérisées, sélectionnez Traiter l'image comme une photo.
  3. À l'étape suivante, vous pouvez configurer les options déterminant la méthode d'ajout des images aux documents et le traitement des images. Pour obtenir des détails, consultez la section Options de prétraitement d'images.

  4. À la quatrième étape, l'assistant Profil vous invite à définir les options pour le nettoyage du dossier actif après l'importation : les images importées avec succès peuvent être supprimées ou déplacées dans un dossier spécifique. Les images dont l'importation a provoqué une erreur peuvent rester dans le dossier actif ou être elles aussi déplacées dans un dossier spécifique. Si vous souhaitez déplacer des images, spécifiez vers quels dossiers.

  5. À la dernière étape, vous pouvez modifier le nom par défaut attribué au profil d'importation et saisir votre commentaire.

Vous pouvez également modifier et créer des profils d'importation d'images dans la boîte de dialogue Sélectionner le profil d'importation qui apparaît lorsque vous sélectionnez Fichier>Importer des images… dans le menu principal.

Ajout d'images de pages


Fichier de description

Un fichier de description est un fichier auxiliaire qui définit la méthode de constitution d'un lot lorsque des images sont ajoutées à partir d'un dossier actif. Différents jeux de fichiers sont utilisés pour constituer le lot, cela dépend du format du fichier de description.

Le programme utilise les types de fichiers de description suivants :

  1. Captiva QuickScan
    Tous les fichiers image répertoriés dans le fichier de description sont ajoutés au lot. Les fichiers image du lot sont classés dans le même ordre que dans le fichier de description.
  2. Logiciel de capture pour Kodak
    Les fichiers image situés dans le dossier du lot Kodak sont ajoutés au lot dans l'ordre alphabétique croissant.
  3. Fichier vide
    Ce fichier sert de marqueur signifiant qu’un nouveau lot doit être créé. Le contenu de ce fichier n’est pas important, seul son nom a de l'importance. Les images sont ajoutées à partir du dossier actif dans l’ordre alphabétique. Lorsqu’un fichier portant le nom correspondant au masque spécifié dans le champ Nom de fichier est trouvé, le système crée un nouveau lot. Ainsi, si le masque *.dat a été spécifié et si le dossier actif contient les fichiers suivants :
    Contrat1.jpg
    Contrat2.jpg
    Contrat3.dat
    Contrat4.jpg
    Contrat5.jpg
    Contrat6.dat
    , un lot sera créé pour les fichiers Contrat1.jpg et Contat2.jpg (lorsque Contrat3.dat sera trouvé), et un autre lot sera créé pour les fichiers Contrat4.jpg et Contrat5.jpg (lorsque Contrat6.dat sera trouvé).
  4. Fichier XML
    Fichier XML dont la structure documentée. Un fichier XML est utilisé lorsque les trois autres types ne peuvent pas être utilisés mais qu'un fichier de description personnalisé peut être généré. Les fichiers image répertoriés dans le fichier de description sont ajoutés au lot.

    Un document XML doit contenir un élément racine Batch et comporter les éléments enfants suivants : RegistrationParams, Documents et Images. L'élément Images doit à son tour inclure des éléments Image, dont le nombre correspond au nombre de pages du lot en cours de création.

    L'élément Batch comporte les balises suivantes :

    • Priority : la priorité du lot : la plus faible, faible, normale, élevée ou la plus élevée. Cette balise peut être omise.
    • Name : un nom de lot souhaité.
    • TypeName : le nom du type de lot
    • SourceID : l'identificateur chaîne de la source du lot.
    • Description : une description du lot.
    • RegistrationParams : la liste des paramètres d'enregistrement du lot.
    • Documents : la liste des documents (exclus de l'assemblage automatique de documents).
    • Images : la liste des pages distinctes (incluses dans l'assemblage automatique).

    L'élément Parameter comporte les balises suivantes :

    • Name (un attribut) : le nom du paramètre d'enregistrement.
    • Value : la valeur du paramètre d’enregistrement.

    L'élément Document comporte les balises suivantes :

    • Index (un attribut obligatoire) : l'indice d'un document au sein des documents du lot. La numérotation commence à partir de zéro.
    • Priority : la priorité du document : la plus faible, faible, normale, élevée ou la plus élevée. Cette balise peut être omise.
    • Name : le nom du document.
    • Barcode : la valeur du code-barres.
    • RegistrationParams : la liste des paramètres d'enregistrement du document.
    • Images : la liste des pages du document.

    L'élément Image comporte les balises suivantes :

    • Index (un attribut obligatoire) : l'indice de la page (du document correspondant aux pages de l'élément Images) au sein des pages du document (les documents du lot). La numérotation commence à partir de zéro.
    • PageIndex (un attribut) : le numéro de la page, en commençant par zéro, au sein d'un fichier d'importation multipage.
    • SourcePath (un attribut) : le chemin d'accès du dossier comportant les images source.
    • SourceFile (un attribut) : le fichier source comportant l'image de la page (un chemin d'accès relatif par rapport au chemin de la balise SourcePath).
    • SourceFilePageIndex (un attribut) : le numéro de la page, en commençant par zéro, au sein d'un fichier source multipage.
    • SourceDetails (un attribut) : une description de la source (le nom du scanner).
    • Value : le chemin d'accès du fichier d'importation spécifié pour une page en rapport avec le dossier actif.

    Nous recommandons de configurer le programme de numérisation de telle sorte que les images numérisées soient placées dans le dossier actif lui-même, ou dans ses sous-dossiers de premier niveau. Lorsque vous créez un lot, le programme y ajoute toutes les images figurant dans les éléments Image du fichier de description correspondant. Les images sont ajoutées dans l'ordre dans lequel elles apparaissent dans le fichier de description.

    Les fichiers image du lot sont classés dans le même ordre que dans le fichier de description.


Options de prétraitement d'images

Lorsque de nouvelles images sont ajoutées à un lot, le programme procède au prétraitement des images : les images sont séparées en documents, nettoyées de tout élément parasite, pivotées, etc.

Vous pouvez sélectionner des options de prétraitement d'images dans l'onglet Prétraitement d'images. Vous pouvez sélectionner des options de prétraitement pour :

  1. Un projet. Dans ce cas, les options sélectionnées sont utilisées par défaut lorsque de nouvelles images sont ajoutées manuellement aux lots du projet. Sélectionnez Projet>Propriétés du projet… dans la fenêtre principale puis cliquez sur l'onglet Prétraitement d'images.
  2. Un type de lot. Dans ce cas, les options sélectionnées seront utilisées lors du traitement des images des lots du type spécifié. Lorsque vous créez un type de lot, sélectionnez les options de prétraitement d'images dans l'onglet Prétraitement d'images.
  3. Un profil d'importation. Ces options seront utilisées lorsque de nouvelles images seront ajoutées en utilisant ce profil d'importation. Lors de la création d'un nouveau profil d'importation , sélectionnez les options de prétraitement d'images à l'étape Prétraitement d'images.
  4. Images ajoutées manuellement. Lors de l'ajout d'images à partir d'un fichier, cliquez sur le bouton Paramètres du prétraitement d'images… dans la boîte de dialogue Charger les images .

Remarque : les images numérisées manuellement ne sont pas prétraitées. Les images ne sont prétraitées que si un profil d'importation est utilisé pour les ajouter.

Les utilisateurs peuvent sélectionner les options de prétraitement d'images suivantes :

  • Options déterminant les principes de l'ajout d'images aux documents :
    • Automatiquement lorsque la définition de document est appliquée – Sélectionnez cette option si vous souhaitez que des images soient séparées en documents pendant l'association (pendant la reconnaissance).Dans ce cas, les images ne seront pas immédiatement séparées en documents lorsqu'elles seront ajoutées. Les documents ne seront assemblés qu'après que les pages aient été analysées et reconnues en se basant sur la structure décrite dans la définition de document appropriée. Pour obtenir des détails à ce sujet, consultez Création de définitions de documents pour des documents multipages et Assemblage de pages en documents.
    • Pour chaque fichier image (Pour chaque fichier image) ;
    • lorsque le programme atteint une feuille de séparation (Pour les images séparées par)

    • Pour utiliser des pages vierges comme séparateurs, sélectionnez pages vierges dans la liste déroulante. Pour utiliser des pages comportant des codes-barres comme séparateurs, sélectionnez pages avec code barre dans la liste déroulante. Vous pouvez régler des paramètres supplémentaires en cliquant sur le bouton Paramètres…. S'il ne vous est pas nécessaire d'ajouter des pages de séparation au lot, sélectionnez Supprimer les pages du séparateur. Si cette option n'est pas sélectionnée, les pages de séparation sont ajoutées au lot et deviennent les premières pages de chaque document.

    Remarque Il ne vous est pas nécessaire d'utiliser des pages de séparation pour scinder des pages en plusieurs documents. Ces séparateurs ne doivent être utilisés que lorsque l'apparence de la page empêche de déterminer si elle fait partie du document précédent ou suivant : par exemple, lorsqu'un document comprend un certain nombre de pages identiques et lorsque le lot contient plusieurs documents de ce type.

  • Configurez les options de traitement d'images :
    • Nettoyer les images – supprime le bruit des images.
    • Convertir les images en couleur et en niveaux de gris en images noires et blanches – convertit les images en noir et blanc.
    • Faire tourner les images de – fait pivoter les images dans le sens spécifié.
  • Options de réalignement.Par défaut, ces options sont sélectionnées. Le programme réaligne les images nouvellement ajoutées en s'appuyant sur les carrés noirs et/ou sur les séparateurs verticaux et horizontaux, ou encore sur du texte. Il n'est pas conseillé de désactiver les options de réalignement à moins que le réalignement soit incorrectement effectué (par exemple, si le programme interprète un tampon ou un graphique comme étant un séparateur et essaie de réaligner l'image à partir de ces données erronées).
    • Utiliser des séparateurs noirs pour corriger la mise en travers : si cette option est sélectionnée, le désalignement des images est corrigé en se basant sur les lignes de séparation ;
    • Utiliser des carrés noirs pour corriger la mise en travers : si cette option est sélectionnée, le désalignement des images est corrigé en se basant sur des carrés noirs ;
    • Utiliser du texte pour corriger la mise en travers - Si cette option est sélectionnée, le désalignement des images est supprimé en se basant sur le texte de l'image.


Paramètres d’exportation

Les paramètres d'exportation sont spécifiés pour chaque type de lot. Lorsqu'un lot est créé, son type est défini et le lot est exporté en fonction des paramètres de ce type de lot.

Si aucun type de lot n'est créé, tous les lots sont exportés avec les paramètres <default> spécifiés pour l'intégralité du projet (Projet>Propriétés du projet…, onglet Destinations d’exportation)

Dans cet onglet, vous pouvez activer la suppression de documents une fois l'exportation terminée et spécifier les options d'exportation pour les documents non reconnus. Les documents reconnus seront exportés en fonction des paramètres de définitions de documents.

Les options d'exportation suivantes sont disponibles :

Option | Description
Groupe Traitement de documents après l'exportation
Supprimer les documents après l'exportation | Sélectionnez cette option si vous souhaitez différer la suppression des documents en fonction du nombre d'heures ou de jours spécifié.
Groupe Documents non reconnus
Exporter les documents non reconnus | Sélectionnez cette option si vous souhaitez exporter les documents non reconnus.
Groupe Paramètres d'exportation d'images
Format d'image Sélectionnez le format d'enregistrement d'images souhaité dans la liste. Les formats suivants sont pris en charge : TIFF, JPEG, PDF, PDF/A, BMP, JPEG2000, PCX packbits et PNG.
Cliquez sur le bouton Options… pour définir les options du format sélectionné. Les options suivantes sont disponibles pour tous les formats :
  • Qualité : meilleure qualité, qualité élevée, qualité normale ou faible qualité.
  • Type de couleurs : couleur, niveaux de gris, demi-tons (n&b).
  • Changement de résolution pour une nouvelle valeur (en ppp).
Si vous avez sélectionné le format PDF ou PDF/A pour stocker les images, vous pouvez créer des fichiers PDF interrogeables en sélectionnant Créer un PDF interrogeable. Vous pouvez sélectionner une langue (ou des langues en cas de documents multilingues) différente de la langue spécifiée dans la définition de document : cliquez sur Sélectionner… à droite du champ Langue et sélectionnez les langues appropriées. Si vous souhaitez utiliser la langue spécifiée dans la définition de document, sélectionnez Identique à la définition de document dans le champ Langue.
Cible Sélectionnez la cible d'exportation souhaitée dans la liste déroulante. Spécifiez des paramètres d'exportation supplémentaires en fonction de la cible sélectionnée. Vous avez le choix entre :
  • Créer une structure de dossier et un nom de fichier à l'aide d'un modèle
    Si vous sélectionnez cette valeur, les noms de fichier et la structure des sous-dossiers seront créés selon les paramètres du document.
    • Spécifiez le chemin d’exportation racine dans le champ Chemin d'exportation .
    • Spécifiez les options de dénomination de fichiers. Pour ce faire, cliquez sur Modifier… et spécifiez les règles nécessaires. Pour plus d’informations, consultez Options de dénomination des fichiers exportés.
    • Dans le champ Si le fichier existe déjà, sélectionnez l'opération que le programme doit effectuer si un fichier portant le nom généré existe déjà.
  • Exporter les documents vers des fichiers distincts
    Si vous sélectionnez cette valeur, chaque document sera exporté vers un fichier distinct. Spécifiez le chemin d’accès et les premiers caractères du nom de fichier dans le champ Préfixe du nom .
  • Recréer les noms de fichier et la structure des sous-dossiers du dossier actif
    Si vous sélectionnez cette valeur, la structure du dossier actif à partir duquel les images de documents ont été importées sera reproduite dans le dossier contenant les fichiers exportés. Lorsque vous configurez ce type d’exportation, sélectionnez le dossier pour lequel la structure du dossier actif doit être reproduite dans le champ Chemin d'exportation .


Lots

Les documents à traiter sont placés dans des lots. Les principes de regroupement de documents en lots sont déterminés par l'utilisateur. Par exemple, l'utilisateur peut choisir de traiter tous les documents comme un seul lot ou de grouper tous les documents importés le même jour ou numérisés en une fois.

Sur les stations de traitement, les lots sont créés automatiquement lors de l'importation d'images à partir des dossiers actifs. Sur la station de numérisation, les lots peuvent être créés manuellement par un opérateur, ou automatiquement si des profils de numérisation sont disponibles. Lorsqu'un lot est créé, son type doit être précisé car il définit la manière dont le lot sera traité.

Les images de pages sont ajoutées pendant le traitement. Consultez la section Ajout d'images de pages pour obtenir plus d'informations.

Sur la station de configuration du projet, les définitions de document peuvent être déboguées en créant des lots, en ajoutant des images de documents dans les lots et en les traitant (c'est-à-dire en les reconnaissant, en les vérifiant et en exportant les résultats). Pour créer un nouveau lot, cliquez sur la liste de lots dans la fenêtre principale avec le bouton droit de la souris et sélectionnez Nouveau lot... dans le menu contextuel.

Lots de travail et de test

Les lots de test sont utilisés par l'opérateur de configuration de lot pour tester et déboguer les définitions de document. Les lots de travail sont destinés au traitement de documents par le biais d'ABBYY FlexiCapture 10. L'opérateur de configuration de lot peut également accéder aux lots de travail si des erreurs se produisent pendant le traitement. Si l'événement est une erreur, l'opérateur peut ouvrir le lot et corriger l'erreur. Les lots de test et les lots de travail sont différents dans le sens où la définition de document locale est utilisée pour traiter les documents d'un lot de test tandis qu'une définition de document publiée est utilisée pour traiter les documents d'un lot de travail. Consultez la section Modification et publication d'une définition de document.

Pour ouvrir la liste des lots, sélectionnez la Lots ou la Lots de test à partir du menu Afficher sur la station de configuration de projet.


Champs d'index

Afin de faciliter la recherche de documents et leur traitement, vous pouvez indexer ces documents à l'aide des valeurs contenues dans tout champ d'une définition de document. Dans la liste de documents de la fenêtre principale du programme, outre les informations de base, vous pourrez extraire les valeurs du champ d'index de chaque document et vous servir de ces valeurs pour trier les documents et localiser aisément les documents requis.

Pour indexer les documents à partir des valeurs de champs, activez l'option Champ d'index pour ce champ (ongletGénéralités dans l'éditeur de définitions de documents).

Pour afficher la valeur du champ d'index dans la liste de documents :

  • Dans la fenêtre principale du programme, ouvrez un lot de documents et activez le mode de liste de documents détaillée (bouton [image] de la barre d'outils).
  • Cliquez avec le bouton droit de la souris sur la région d'en-tête de tableau (noms de colonnes) et sélectionnez Personnaliser… dans la liste déroulante.
  • Dans la boîte de dialogue Choisir des colonnes, cliquez sur le bouton Nouveau… .
  • Dans la boîte de dialogue Éditer la colonne, cliquez sur le bouton Sélectionner… situé à droite du IDD_SH_NEW_SUPER_GRID_COLUMN::IDC_INDEXED_FIELD_NEW_COLUMNchamp d'index. Dans la boîte de dialogue qui s'ouvre, sélectionnez l'un des champs avec l'option Champ d'index activée. Vous pouvez aussi saisir un nom de colonne et spécifier la méthode de justification.
  • Une autre colonne contenant la valeur du champ d'index apparaîtra dans le tableau. Cliquez dessus pour trier les documents en fonction de la valeur du champ d'index.


Utilisation d'un projet configuré

Les documents passent par différentes étapes de traitement. Lorsque vous créez et configurez un projet, vous devez spécifier les étapes et les circonstances pour lesquelles le contrôle de l'opérateur ou une correction d'erreur sont requis. Pour ces étapes, des files de tâches sont créées. De plus, une file spéciale des exceptions est disponible pour les documents problématiques.

Les opérateurs sont les utilisateurs du système qui surveillent le traitement et corrigent les erreurs présentes dans les documents ou dans les lots. Le tableau liste les opérateurs d'ABBYY FlexiCapture ainsi que les stations et les files qui leur sont accessibles.

Opérateur | Stations | Files | Fonctions
Opérateur de suivi | Console d'administration et de suivi | - | Surveillance du fonctionnement du système
Opérateur de numérisation | Station de numérisation | - | Numérisation de documents ou importation d'images de documents, envoi de documents au traitement
Opérateur de vérification de données | Station de vérification de données Station de vérification (vérification de champs et de groupes uniquement) | Vérification des données | Vérification et correction des caractères mal reconnus (vérification de champs et de groupes)
Opérateur de vérification | Station de vérification de données Station de vérification de données | Vérification des données Vérification Vérification de l'assemblage du document Vérification de l'intégrité du lot | Identique à l'opérateur de vérification de données avec en plus vérification et correction de l'assemblage de document et des erreurs d'assemblage de lot.
Chef-opérateur de vérification | Station de vérification de données Station de vérification | Vérification des données Vérification Vérification de l'assemblage du document Vérification de l'intégrité du lot Confirmation de l'exportation Exceptions | Identique à l'opérateur de vérification de données avec en plus confirmation de l'exportation du document, prise en charge des exceptions

Les opérateurs démarrent les stations appropriées et effectuent les opérations requises conformément aux droits d'accès qui leur sont conférés.


Flux de travail

Les documents sont traités au cours de plusieurs phases. Lors de la phase de traitement, qui peut être automatisée ou qui peut impliquer un opérateur, les documents sont convertis. Toutes les phases sont organisées dans un ordre particulier, et avant qu'un document ne puisse passer à une phase donnée, il doit réussir à passer toutes les étapes précédentes. En général, le traitement de document comprend les phases suivantes : l'ajout d'images, la reconnaissance, la vérification et l'exportation. La phase de vérification est facultative. Les autres phases sont obligatoires.

À chaque phase, une file de tâches se forme. Elle contient une liste des documents à traiter. Alors que le traitement progresse, les documents sont déplacés de la première file (reconnaissance) à la dernière file (exportation). En règle générale, les files correspondent à des phases de traitement, mais il existe également des files spéciales, telle que la file des exceptions.

Phases

  1. Importation d'images

    Les images peuvent être récupérées automatiquement à partir des dossiers actifs ou ajoutées par l'opérateur de la station de numérisation. L'opérateur de numérisation peut les numériser à partir de documents ou importer les images de documents déjà numérisés. Pour automatiser le processus (c'est-à-dire ajouter les images avec des paramètres prédéfinis d'un seul clic de souris), l'opérateur de numérisation peut créer des profils de numérisation.

  2. Reconnaissance. La file de reconnaissance est traitée automatiquement sur la station de traitement.
  3. Vérification. La file de vérification est traitée par l'opérateur de la station de vérification.
  4. Exportation. La file d'exportation est traitée automatiquement sur la station de traitement..

En cas de gros volumes à traiter, la phase de vérification peut être divisée en sous-phases, chaque opérateur n'étant sollicité que pour un nombre de tâches restreint.

Les files séparées suivantes peuvent être créées :

  • Vérification de l'assemblage du document
  • Vérification des données : vérification de groupe et de champ pour les caractères incertains et correction des erreurs de format.
  • Vérification : vérification par règles et vérification de la fenêtre de document.
  • Vérification de l'intégrité du lot.
  • Confirmation de l'exportation.

Remarque : Les files sont définies individuellement pour chaque type de lot.

Les tâches de la file sont traitées par les opérateurs disposant des droits d'accès nécessaires :

  • Opérateur de vérification de données : seulement pour la file de vérification des données.
  • Opérateur de vérification : vérification des données, vérification, vérification de l'assemblage du document, vérification de l'intégrité du lot.
  • Chef-opérateur de vérification : pour toutes les files.

Remarque : La station de vérification de données permet à ses opérateurs de ne traiter que les tâches issues de la file de vérification des données, sans tenir compte des droits d'accès dont il ou elle dispose.


Ajout d'images de pages

Le traitement de document commence par l'importation d'image, une procédure d'ajout d'images de pages de document au projet . Les images proviennent de la station de numérisation ou sont récupérées automatiquement à partir des dossiers actifs.

Importation d'image en arrière-plan

L'importation d'image peut s'effectuer en arrière-plan si le profil d'importation approprié a été configuré. Les images du dossier actif sont importées automatiquement dans le système. Le programme contrôle le dossier à l'intervalle spécifié dans les paramètres afin de déterminer s'il contient de nouvelles images.

Vous pouvez procéder de différentes manières pour ajouter des images à un lot. Vous pouvez :

  1. charger des images enregistrées précédemment à partir de fichiers ;
  2. numériser des images ;
  3. importer des images à l'aide de l'un des profils d'importation configurés précédemment par l'administrateur (consultez la section Profils d'importation d'images).

Ajout d'images manuel

Si nécessaire, les images peuvent être ajoutées au lot manuellement sur la station de vérification (par le chef-opérateur de vérification) ou sur la station de configuration de projet. Les images sont ajoutées en mode affichage de lot. Ouvrez les lots dans lesquels vous souhaitez ajouter des images ou sélectionnez simplement ce lot dans la liste.

Les méthodes suivantes permettent d'ajouter des images dans un lot. Vous pouvez :

  • charger des fichiers d'images déjà enregistrés ;
  • numériser des documents ;
  • importer des images en utilisant l'un des profils d'importation d'images déjà créés (consultez la section Profils d'importation d'images).

Pour ajouter les images, faites un clic droit sur le lot puis sélectionnez l'élément de menu correspondant à partir du menu contextuel.

Ajout d'images à partir d'un fichier

Pour charger les images à partir d'un fichier, sélectionnez l'élément de menu Charger des images… ou utilisez le raccourci CTRL+O. Dans la boîte de dialogue qui s'ouvre, sélectionnez les fichiers d'image requis et configurez les options d'importation d'image :

  • Créer un nouveau document, de nouveaux documents seront créés pour les images ajoutées.
  • Ajouter au document courant, les images seront ajoutées au document courant mis en surbrillance.
  • Vous pouvez également sélectionner les options de prétraitement d'image. Cliquez sur le bouton Paramètres du prétraitement d'images… et sélectionnez les options souhaitées dans la boîte de dialogue qui apparaît. Pour plus d'informations, consultez la section Options de prétraitement d'image.

Numérisation d'images

Pour ajouter les images à partir d'un scanner, sélectionnez l'élément de menu Numériser les images… Choisissez un scanner, configurez les options de numérisation et numérisez les images.

Ajout d'images à l'aide de profils d'importation

Si l'administrateur a configuré des profils d'importation, leurs noms apparaissent dans le menu du bouton d'importation. Pour commencer à importer des images, il suffit de sélectionner un élément ayant le même nom que l'un des profils d'importation.

Une fois que vous avez sélectionné Importer des images…, la boîte de dialogue Sélectionner le profil d'importation s'ouvre. Sélectionnez le profil d'importation dans la liste et cliquez sur le bouton Importer pour commencer à importer des images.


Configuration des options de numérisation

En général, les documents devant être traités proviennent de la station de numérisation ou du dossier actif. Toutefois, les documents peuvent également être numérisés sur la station de vérification ou sur la station de configuration de projet. Dans ce cas, les paramètres de numérisation requis doivent être sélectionnés.

La qualité de la reconnaissance dépend dans une large mesure de la qualité de l'image source. Vous pouvez ajuster la qualité de l'image en configurant les options de numérisation de base : le type d'image, la résolution et la luminosité.

Quand vous numérisez des images via ABBYY FlexiCapture, vous pouvez choisir entre deux modes d'interaction entre le programme et le scanner compatible TWAIN ou ISIS :

  • Interface d'ABBYY FlexiCapture :
    dans ce cas, les options de numérisation sont configurées à l'aide de la boîte de dialogue Paramètres du scanner d'ABBYY FlexiCapture. Vous pouvez configurer les options de numérisation au moment de créer un profil d'importation en spécifiant la source d'importation du Scanner .
  • Interface du pilote TWAIN ou ISIS du scanner :
    la boîte de dialogue du pilote de scanner correspondant sert à configurer les options de numérisation. Cette boîte de dialogue s'ouvre automatiquement quand vous sélectionnez Numériser les images… dans le menu déroulant du bouton d'importation.

Options de numérisation de base

  • Type d'image : la numérisation en niveaux de gris (256 niveaux de gris) est le mode optimal pour le système de reconnaissance. Quand vous numérisez en niveaux de gris, le programme sélectionne automatiquement le niveau de luminosité.

    Le type d'image noir et blanc assure une vitesse de numérisation supérieure mais peut entraîner la perte de certaines informations sur les lettres, ce qui affecte la reconnaissance des impressions de qualité moyenne ou basse.
    Si vous avez besoin que les éléments en couleur du document (les photos, les lettres en couleur et les arrière-plans en couleur) soient restitués en couleur dans le document électronique, sélectionnez le type d'image couleur. Dans les autres cas, utilisez le type d'image niveaux de gris.

  • Luminosité et contraste : vous devez également spécifier des valeurs pour la luminosité et le contraste, afin de préserver les blocs d'ancre mais aussi de rendre les images de bloc destinées à être reconnues aussi claires et définitives que possible.
    Le plus souvent, la valeur de luminosité moyenne de 50 % est adaptée.
    Vous devrez peut-être configurer une nouvelle fois la luminosité si vous numérisez certains documents en noir et blanc.
  • Résolution : la résolution recommandée pour le traitement des formulaires remplis à la main est de 300 ppp pour la numérisation en noir et blanc et de 200 ppp pour la numérisation en niveaux de gris. La résolution des formulaires numérisés doit correspondre à celle de l'image du modèle.

Remarque :

  1. Si vous numérisez à une résolution de 400 à 600 ppp au lieu de 300 ppp, ou en niveaux de gris ou en noir et blanc plutôt qu'en couleur, l'opération risque de prendre beaucoup plus de temps. Avec certains modèles de scanners, à 600 ppp, la résolution peut prendre 4 fois plus de temps qu'à 300 ppp. Il est déconseillé de numériser à une résolution inférieure à 200 ppp.
  2. Quand vous utilisez la boîte de dialogue du pilote du scanner, les paramètres de numérisation peuvent changer en fonction du modèle de scanner. Par exemple, la luminosité peut s'appeler « Seuil » ou être symbolisée par un soleil ou un cercle noir et blanc. La signification des options est décrite dans la documentation qui accompagne votre scanner.
Conseils sur le mode de numérisation
  1. Numérisation de formulaires à arrière-plan couleur à l'aide d'un scanner monochrome. Pour que l'arrière-plan disparaisse pendant la numérisation, vous devez équiper le scanner d'une lampe qui filtre la lumière : pour les formulaires roses, une lampe rouge ; pour les formulaires verts, une lampe verte.
  2. Numérisation de formulaires à arrière-plan couleur à l'aide d'un scanner couleur. Pour que l'arrière-plan disparaisse pendant la numérisation, vous devez configurer le mode de filtrage pour la couleur correspondante dans les paramètres du scanner.
  3. Numérisation de formulaires à arrière-plan couleur avec des ombres. Si vous traitez des formulaires couleur avec des ombres, du fait de la faible intensité de la couleur, l'arrière-plan peut disparaître pendant la numérisation avec une lampe blanche même si vous ne filtrez pas la couleur à l'aide du logiciel. En règle générale, la méthode de numérisation des formulaires est définie lors de la conception de ces formulaires.
Conseils pour sélectionner la luminosité
  1. Une image numérisée doit être lisible (pour afficher une image numérisée, ouvrez-la dans la fenêtre de document).
  2. Si, dans une image numérisée, les lettres sont déchirées, trop claires ou trop fines :
    • réduisez la luminosité, augmentez le contraste (afin de rendre l'image plus sombre) ; ou
    • essayez de numériser l'image en niveaux de gris (dans ce cas, la luminosité sera sélectionnée automatiquement).
  3. Si l'arrière-plan de l'image numérisée est sale, si les caractères sont déformés, maculés, fondus, trop sombres ou trop épais :
    • augmentez la luminosité (afin de rendre l'image plus claire) ; ou
    • essayez de numériser l'image en niveaux de gris (dans ce cas, la luminosité sera sélectionnée automatiquement).


Reconnaissance

Les documents sont reconnus automatiquement sur les stations de traitement.

Le système sélectionne la définition de document correspondante en fonction des ancres et des identificateurs puis reconnaît les données dans les champs correspondant aux champs de la définition de document sélectionnée.

Le ratio entre les caractères reconnus de manière fiable et le nombre total de caractères est affiché dans la colonne Niveau de confiance.

Si des modifications sont effectuées au sein du projet pendant la reconnaissance et si le projet inclut une phase de vérification, l'opérateur de vérification et le chef-opérateur de vérification peuvent manuellement lancer une nouvelle reconnaissance des documents à l'aide des nouveaux paramètres. Pour reconnaître à nouveau les documents, démarrez la station de vérification puis sélectionnez Outils>Mettre à jour vers la version la plus récente à partir du menu principal.


Analyse d'image préliminaire et application des définitions de documents

La reconnaissance, l'analyse et l'association de définitions de document s'effectuent automatiquement. Cependant, l'opérateur de vérification et le chef-opérateur de vérification peuvent exécuter manuellement l'analyse et l'association de définitions de document en sélectionnant Outils > Réanalyser sur la station de vérification. Si une définition de document correspond à un document, la page et son document auront des noms correspondants. Si l'une des définitions de document du projet ne correspond pas à une image, la page reste non traitée.

Avant de lancer la reconnaissance, vous pouvez effectuer une analyse pour déterminer quelle définition de document peut être appliquée à une page donnée. Pour ce faire, sélectionnez l'élément du menu principal Reconnaissance > Analyser. Si une définition de document peut être appliquée, la page et le document dont elle fait partie sont nommés en conséquence. Si aucune des définitions de document de projet ne correspond à l'image, la page demeure non traitée.

Vous pouvez également appliquer une certaine définition de document à une page ou à un document entier. Le plus souvent, une définition de document qui a été créée correctement dans le programme s'applique automatiquement aux pages, mais dans certains cas, vous pouvez avoir à appliquer la définition de document manuellement.

Pour appliquer une définition de document :

  1. mettez le document en surbrillance ;
  2. sélectionnez Associer une définition de document… dans le menu contextuel du document ou sélectionnez l'élément du menu principal Reconnaissance>Associer une définition de document… ;
  3. dans la boîte de dialogue Sélectionner la définition de document qui s'ouvre, sélectionnez l'une des définitions de document et cliquez sur OK.

Si la définition de document sélectionnée a été appliquée avec succès, le document et ses pages sont nommés d'après la définition de document correspondante et ses sections.

Pour appliquer une définition de document à l'une des pages :

  1. mettez en surbrillance la page ;
  2. sélectionnez Associer une définition de document… dans le menu contextuel de la page ou sélectionnez l'élément du menu principal Reconnaissance>Associer une définition de document… ;
  3. dans la boîte de dialogue Sélectionner la définition de document à associer qui s'ouvre, sélectionnez l'une des définitions de document et cliquez sur OK.

Si la définition de document a été appliquée correctement, la page sélectionnée est nommée d'après la section de définition de document correspondante.


Vérification des données reconnues

La vérification, qui consiste à contrôler les données reconnues, est la phase qui nécessite le plus de travail. Pour cette raison, le processus de vérification au sein d'ABBYY FlexiCapture 10 est organisé de manière à être aussi pratique que possible pour l'opérateur, l'objectif étant de réduire le nombre d'erreurs.

Quand le programme n'est pas absolument certain de l'exactitude de certains caractères reconnus, il les marque comme reconnus sans certitude. L'objet de cette vérification est de vérifier ces caractères, de s'assurer qu'ils ont été reconnus correctement, et de les corriger si nécessaire.

La validation par règle est effectuée automatiquement. Si les valeurs des champs respectent les conditions des règles, ces champs peuvent être marqués comme reconnus avec certitude et être exclus du processus de vérification. Quand les valeurs des champs ne respectent pas les conditions des règles, ces champs sont soumis au processus de vérification.

Si un document contient plusieurs pages, vous devez d'abord vérifier l'assemblage des pages sous forme de documents.

Exécutez ensuite le processus de vérification. La vérification s'effectue en deux phases. Il y a d'abord la vérification groupée, puis la vérification de champ. Si, pour une définition de document, il n'y a pas de champs inclus dans la vérification groupée ou dans la vérification de champ (consultez la section Propriétés de la vérification de champ), la phase de vérification correspondante est omise.

La vérification groupée et la vérification de champ sont suivies d'une autre vérification, effectuée dans la fenêtre de document. Les caractères qui n'ont pas été confirmés au cours des phases précédentes restent en surbrillance rouge.

Vous pouvez naviguer au sein des erreurs en cliquant sur les boutons [image] et [image] de la barre d'outils de la fenêtre principale. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, etc.

puce | Assemblage de pages sous forme de documents
puce | Vérification groupée
puce | Vérification de champ
puce | Vérification dans la fenêtre de document
puce | Validation par règle


Assemblage de pages sous forme de documents

Les pages sont directement assemblées sous forme de documents ou elles le sont via une commande utilisateur. Le principe d'assemblage à employé est décrit lors de la création d'une définition de document pour le traitement de documents multipages et lors de la création d'étapes de traitement personnalisées dans les propriétés des types de lots. Les durées nécessaires à l'exécution de ces types d'assemblage sont différentes. Ils sont également différents dans la mesure où ils permettent d'accéder à des types de documents différents.

Règles spécifiques à la description d'assemblage choisie dans les propriétés de définitions de documents

  1. S'exécute :
    • lors de la sélection d'une commande : Outils > Actualiser l'assemblage
    • une fois l'analyse/la reconnaissance d'un ensemble de documents terminée, dans ce cas, l'assemblage n'inclut que les documents impliqués dans le processus d'analyse/de reconnaissance.
  2. Des règles d'assemblage standard et un script d'assemblage peuvent tous deux être appliqués.
  3. Le document pour lequel l'indicateur IsExcludedFromAutomaticAssembly est réglé sur true est exclu de l'assemblage. L'indicateur IsExcludedFromAutomaticAssembly est réglé sur true si :
    • la structure du document est définie pendant l'étape d'importation (grâce à la description XML, lors de la scission de documents par des pages vierges, par des codes de correction ou par des fichiers multipages)
    • Associer une définition de document… s'applique au document
    • l'indicateur peut être réglé depuis n'importe quel script à partir duquel la modification de documents est autorisée
  4. L'assemblage n'est pas exécuté pour les documents reconnus avec des définitions de documents différentes ou avec des versions différentes de la même définition de document.
  5. L'assemblage n'est pas exécuté si la définition de document n'est pas associée. Par exemple, si toutes les pages du lot sont des pages annexes, l'assemblage ne s'effectue pas.
  6. L'ordre des pages ne peut pas être modifié pendant l'assemblage.

Règles spécifiques à la description d'assemblage choisie dans les propriétés du type de lot

  1. S'exécute lorsque les documents accèdent à l'étape correspondante.
  2. Décrit grâce aux scripts de traitement.
  3. Vous permet de déplacer et de supprimer les pages et les documents.

Le travail de l'opérateur consiste à identifier et à corriger les éventuelles erreurs d'assemblage des documents.

La méthode la plus pratique pour corriger les erreurs d'assemblage consiste à opter pour le mode contour de page, qui permet à l'utilisateur de bien visualiser les images de pages et les documents dont elles font partie. Vous pouvez activer ce mode en cliquant sur le bouton [image].

Remarque : vous pouvez modifier l'échelle des contours de pages pour voir leurs détails en maintenant la touche CTRL enfoncée et en faisant tourner la molette de défilement de la souris.

Remarque : l’ordre des sections n’est pas vérifié si, à la création de la définition de document, l’option Désactiver la vérification de l'ordre des sections a été sélectionnée dans l'onglet Assemblage. Le programme continue à vérifier si toutes les sections sont présentes dans le document mais l’ordre des sections est ignoré.

Lors de la création d'une définition de document, vous devez configurer la règle d'assemblage de documents : séquence et nombre de sections de documents récurrentes. Vous pouvez également configurer la vérification de l'assemblage à partir des valeurs des champs clés : dans ce cas, les champs clés doivent avoir la même valeur sur toutes les pages d'un même document.

Les documents présentant des erreurs d'assemblage sont marqués de ce symbole [image]. Une description de l'erreur est fournie en caractères rouges sous le nom de la définition de document.

Comment corriger les erreurs d'assemblage

  1. Séquence de pages incorrecte dans un document

    Il se peut q'un document comporte trop peu ou trop de pages, et que certaines pages du document risquent de ne pas être organisées en respectant la bonne séquence. Pour lire une astuce, placez votre curseur sur la page marquée d'une croix rouge :

    Pour corriger ces erreurs, vous pouvez utiliser la souris pour déplacer une page au sein d'un même document ou d'un document à un autre.

    Vous pouvez fusionner des pages provenant de documents différents dans un même document de la manière suivante :

    • Mettez en surbrillance les documents à fusionner (utilisez les touches CTRL+clic pour sélectionner plusieurs documents).
    • Cliquez à l'aide du bouton droit et sélectionnez Fusionner dans le menu contextuel.

    Pour scinder des pages au sein d'un document et pour placer chacune d'elles dans un document distinct :

    • Mettez en surbrillance le document dans lequel vous souhaitez scinder des pages.
    • Sélectionnez Scinder dans le menu contextuel.

  2. Si la définition de document nécessite que vous vérifiiez les champs clés afin de déterminer si l'assemblage des pages est correct, les valeurs des champs clés s'affichent sous l'image de chaque page :

    • en surbrillance grise en cas de correspondance ;
    • en surbrillance rouge en cas d'absence de correspondance.

    Les champs clés ne peuvent pas correspondre s'ils n'ont pas été reconnus ou remplis correctement. Vérifiez les valeurs des champs clés. Si elles ne correspondent pas, les pages concernées ne font probablement pas partie du même document. Si la séquence des pages est incorrecte, identifiez les pages comportant des champs clés identiques et assemblez-les sous forme de documents comme décrit à l'étape 1.


Vérification groupée

La vérification groupée consiste à vérifier les images de caractères reconnus comme ayant des valeurs identiques. Cette vérification permet à l'opérateur d'identifier et de corriger facilement les caractères qui se distinguent du groupe.

Pendant la vérification groupée, l'opérateur peut afficher le contexte du caractère en cours de vérification en sélectionnant l'option Afficher l'image des caractères dans le menu contextuel du caractère en surbrillance ou en appuyant sur F2.

Vous pouvez aussi activer un mode dans lequel le champ contenant le caractère s'affiche lorsque vous pointez le curseur sur le caractère en cours de vérification. Pour ce faire, sélectionnez l'option de menu Affichage>Image du champ>Afficher l'image du champ dans la fenêtre du vérificateur, ou utilisez le raccourci CTRL+I.

Vous pouvez corriger les caractères mal reconnus de la manière suivante : mettez le caractère qui ne correspond pas au caractère du groupe en surbrillance, puis saisissez la valeur appropriée. Cette valeur, en surbrillance et verte, apparaît dans le coin supérieur gauche de l'image du caractère.

Si une image inappropriée est reconnue en tant que caractère, vous pouvez la supprimer en appuyant sur le bouton Supprimer.

Si vous des doutes subsistent quant à la signification du caractère, même après l'avoir affiché dans son contexte, cliquez dessus : il sera alors mis en surbrillance et un point d'interrogation rouge apparaîtra dessus. Vous pouvez le confirmer ou le corriger ultérieurement, pendant la vérification de champs.

Vous pouvez aussi activer ou désactiver l'état des caractères à l'aide du bouton Basculer de la barre d'outils.

Dès que tous les caractères mal reconnus ont été corrigés ou différés, vous pouvez confirmer simultanément tous les autres caractères. Pour ce faire, cliquez sur le bouton Tout confirmer de la barre d'outils. Vous pouvez également confirmer les caractères correctement reconnus un à un en sélectionnant Confirmer dans le menu contextuel.


Vérification de champs

La vérification de champs est un mode de vérification permettant de corriger efficacement les erreurs des champs « bien reconnus », c'est-à-dire des champs dont la plage de valeurs est connue ou peut être identifiée aisément. Il peut par exemple s'agir d'un champ de nom de pays ou de ville : nous connaissons les valeurs que ces champs peuvent contenir.

Pour déterminer comment corriger une valeur de champ, il suffit d'afficher ce champ et de connaître sa plage de valeurs. Il est possible de corriger les erreurs d'entrée et les erreurs de format de champ.

Pour corriger des caractères mal reconnus, vous pouvez utiliser les modes standard des éditeurs de texte : Coller et remplacer des caractères (vous pouvez basculer entre ces deux modes en appuyant sur la touche INSERTION du clavier).

Vous pouvez changer de mode de correction. Par exemple, vous pouvez activer la sélection d'un champ dans son intégralité pour le ressaisir entièrement. Vous pouvez également modifier l'apparence de la fenêtre pour voir plus d'informations, par exemple, pour voir l'image du champ, les images des champs analogues d'autres documents,etc.

Vous pouvez afficher le résultat de chaque champ, l'un après l'autre, les corriger si nécessaire, puis confirmer en cliquant sur le bouton Confirmer le champ.

Vous devez corriger les valeurs de ces champs. Si ce n'est pas possible, vous pouvez ignorer le champ ou différer la vérification en cliquant sur le bouton Différer afin de le corriger au cours de l'étape de vérification.


Vérification dans la fenêtre de document

La fenêtre de document permet aussi de vérifier la précision de la reconnaissance et de corriger les caractères mal reconnus. Elle s'ouvre quand vous double-cliquez sur le nom de la page. Elle est composée de la région de données, de l'image de page et de la région d'erreurs (s'il y a effectivement des erreurs). Vous pouvez sélectionner les types d'erreurs à afficher : erreurs d'assemblage, erreurs de formatage, erreurs de règles ou toute combinaison de ces erreurs. Pour afficher les erreurs d'un certain type, cliquez sur le bouton correspondant dans le coin en haut à droite du volet des erreurs.

Vous pouvez configurer la présentation de cette fenêtre en cliquant sur le bouton Présentation. Dans la fenêtre de document, l'opérateur ne voit pas que les groupes de caractères ou les différents champs, mais le document dans son entier.

Afficher la fenêtre de document

Dans la région de données, les caractères reconnus sans certitude et les caractères discutables sont marqués en couleur, et les champs dont le type est incorrect, ainsi que les règles non respectées, sont en surbrillance.

Pour confirmer un champ dont les caractères ont été reconnus sans certitude, placez le curseur sur le champ et appuyez sur ENTRÉE.

Les champs qui permettent d'afficher et de modifier les données reconnues peuvent être organisés non seulement de manière séquentielle mais aussi dans n'importe quel autre ordre plus pratique. Vous pouvez aussi modifier leur organisation dans l'éditeur de définition de document (consultez la section Configurer la présentation des données dans la fenêtre de document).

Pour atteindre l'erreur suivante au sein de la fenêtre de document, cliquez sur les boutons [image] et [image] sur la barre d'outils de la fenêtre principale. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les erreurs de règle, les défauts de correspondance entre champs clés, etc.


Vérification par règle

Validation par règle

Les règles non satisfaites sont signalées d'un indicateur jaune [image] (avertissement) ou rouge [image] (erreur).

Les erreurs de règle sont affichées dans une fenêtre distincte de l'éditeur de document, et les documents dont les règles ne sont pas satisfaites sont signalées par un indicateur rouge.

Quand des règles ne sont pas satisfaites, l'opérateur doit vérifier la qualité des données reconnues. S'il s'agit d'une erreur de reconnaissance, l'opérateur doit la corriger. S'il s'agit d'une erreur de remplissage qui ne peut pas être corrigée, l'opérateur ne doit pas exporter le document. Les documents présentant des erreurs peuvent être vérifiés ultérieurement, en les comparant aux documents au format papier ou aux autres sources disponibles.

Pour vérifier de nouveau si les données présentent des erreurs de règle, cliquez sur la flèche à droite du bouton Exécuter la vérification… et sélectionnez l'élément de menu Vérifier à nouveau les règles. Si les règles sont respectées une fois que vous avez corrigé les valeurs des champs, les indicateurs disparaissent.


Vérification distribuée

La vérification distribuée vous permet de restreindre l'ensemble des champs à vérifier. Vous pouvez spécifier l'ensemble de données à la fois pour la Vérification de données et pour les étapes de Vérification. Pour ce faire, dans l'onglet Ensemble de données de la boîte de dialogue propriétés de l'étape correspondante, sélectionnez les champs à traiter au cours de l'étape.

Important ! L'opérateur de vérification ne pourra voir que les champs appartenant à l'ensemble spécifié. Si des erreurs sont présentes dans les autres champs du document, aucun message d'erreur ne sera affiché.

Remarque : vous pouvez également créer une étape personnalisée basée sur la Vérification de données ou sur l'étape de Vérification et spécifier un ensemble de données différent pour cette étape personnalisée. La règle spécifiant l'étape vers laquelle le document sera envoyé se configure à l'aide d'un script. Par conséquent, les champs de documents différents peuvent être vérifiés au cours d'étapes différentes.


Double vérification

La Double vérification est un mode de vérification de données dans lequel les champs sont vérifiés par deux opérateurs différents.

Pour activer la double vérification :

  1. Sélectionnez l'option Nécessite une double vérification dans les propriétés du champ.
  2. Sélectionnez l'option Double vérification dans l'onglet Ensemble de données de la boîte de dialogue paramètres de l'étape.

La fusion des résultats de la double vérification s'effectue sur le serveur de traitement. Si les résultats de vérification correspondent, le document est envoyé vers l'étape suivante. Dans le cas contraire, la vérification est effectuée par l'autre opérateur.

La double vérification peut être effectuée sur le poste de vérification de données web.


Exportation des données reconnues

Les documents sont automatiquement exportés. Il se peut qu'une confirmation supplémentaire du chef-opérateur de vérification soit nécessaire, cela dépend des paramètres. Les documents sont exportés en fonction des paramètres fournis dans la définition de document. Si aucun paramètre d'exportation n'est réglé dans la définition de document, les documents sont exportés en fonction des paramètres du projet. Si certains des documents doivent être exportés avant les autres, ils peuvent être envoyés vers la file d'exportation pendant l'étape d'exportation.

Les documents peuvent également être exportés manuellement sur le poste de vérification ou sur le poste de configuration de projets.

Exportation des données vers un fichier

  1. Pour exporter des données vers un fichier, sélectionnez Exporter vers>Données vers fichiers… dans le menu contextuel du document. La boîte de dialogue Exportation vers des fichiers de données apparaîtra.
  2. Si nécessaire, réglez les paramètres d'exportation en cliquant sur Paramètres.... Cliquez sur OK pour appliquer les modifications.
  3. Cliquez sur Exporter pour exporter les données.

Exportation d’images vers un fichier

  1. Pour exporter des images vers un fichier, sélectionnez Exporter vers>Images vers fichiers… dans le menu contextuel du document. La boîte de dialogue Exporter vers des fichiers image apparaîtra.
  2. Si nécessaire, réglez les paramètres d'exportation en cliquant sur Paramètres…. Cliquez sur OK pour appliquer les modifications.
  3. Cliquez sur Exporter pour exporter les données.

Exportation de données vers une base de données

  1. Pour exporter des données vers une base de données, sélectionnez Exporter vers>Base de données... dans le menu contextuel du document. La boîte de dialogue Exporter vers une base de données compatible ODBC apparaîtra.
  2. Réglez les paramètres d'exportation.
  3. Cliquez sur OK pour exporter les données.


Mode Arrière-plan

Les étapes de traitement qui ne nécessitent pas l'intervention de l'opérateur sont effectuées automatiquement par le serveur de traitement. Cependant, elles peuvent également être effectuées manuellement sur la station de vérification ou sur la station de configuration de projet, auquel cas elles peuvent être exécutées en mode Arrière-plan.

Quand aucun contrôle opérateur n'est requis, il est possible d'importer, reconnaître et exporter les documents en mode Arrière-plan.

Pour transférer une tâche en mode Arrière-plan, cliquez sur le bouton Mode Arrière-plan dans la boîte de dialogue Ajout d'images… (ou dans la boîte de dialogue Reconnaissance… ou Exportation…...).

Vous pouvez effectuer les tâches suivantes en mode Arrière-plan :

  • chargement d'images à l'aide du profil d'importation correspondant ;
  • reconnaissance de document, si l'option Reconnaître les images ajoutées automatiquement est sélectionnée (Outils > Options…, onglet Traitement de document).

L'icône [image] apparaît sur la barre des tâches lors du passage en mode Arrière-plan. Cliquer sur cette icône ouvre la boîte de dialogue Taches en arriere-plan qui affiche la liste des tâches.

  • Les tâches sont exécutées dans l'ordre dans lequel elles se présentent ou en fonction des priorités définies par l'utilisateur (bouton Definir la priorite…).
  • L'exécution des tâches est consignée dans un fichier journal que l'utilisateur peut personnaliser (Outils > Options…, onglet Progression de la tâche). Cliquez sur le bouton Afficher le journal pour afficher le journal.
  • Vous pouvez interrompre une tâche en cliquant sur le bouton Terminer la tache.

Le programme peut également vous informer sur la progression des tâches en arrière-plan par le biais d'info-bulles visibles dans le coin inférieur droit de l'écran. Le message apparaît au lancement et à la fin d'une tâche ou en cas d'erreur. Pour plus d'informations, consultez la section Autres options.


Interface d'ABBYY FlexiCapture 9.0

Interface d'ABBYY FlexiCapture 10

Cette section décrit les éléments principaux figurant dans l'interface d'ABBYY FlexiCapture 10 : les principales fenêtres ainsi que les menus et barres d'outils.

Station de configuration de projets
Menus de la station de configuration de projets
Barres d'outils de la station de configuration de projets
Station de vérification
Menu de la station de vérification
Barres d'outils de la station de vérification
Station de vérification de données
Menu de la station de vérification de données
Barres d'outils de la station de vérification de données
Éditeur de définition de document
Menus de l'éditeur de définition de document
Barres d'outils de l'éditeur de définition de document
Fenêtre Vérification groupée
Menus de la fenêtre Vérification groupée
Barres d'outils de la fenêtre Vérification groupée
Fenêtre Vérification de champ
Menus de la fenêtre Vérification de champ
Barres d'outils de la fenêtre Vérification de champ


Fenêtre de la station de configuration de projets

La fenêtre principale du programme affiche la liste des lots de documents qui font partie du projet sur lequel l'utilisateur travaille.

Afficher la fenêtre principale avec la liste des lots

Pour afficher le contenu d'un lot, double-cliquez dessus. Une liste des documents inclus dans le lot s'affichera.

Pour revenir à la liste de lots, cliquez sur Projet>Lots (ou Lots de test, si vous utilisez des lots de test).

Le menu principal, sous lequel se trouvent des barres d'outils, se situe en haut de la fenêtre.

Le reste de la Fenêtre principale est occupé par la fenêtre Lot de travail contenant la liste des documents inclus.

La Barre d'état se trouve en bas de la fenêtre. La barre d'état affiche l'état du programme et des opérations en cours. Lorsque vous placez le curseur sur les éléments ou les boutons du menu, la barre d'état affiche la brève description qui leur est associée.

Pour vérifier les données reconnues, ouvrez la fenêtre Document. Pour ce faire, double-cliquez sur le nom du document ou sur l'une de ses pages. La fenêtre Document se décompose en trois parties :

  • l'image de page document ;
  • les données reconnues ;
  • les erreurs de règles (affichées le cas échéant).

Pour plus d'informations, consultez la section Vérification dans la fenêtre Document

Afficher la fenêtre Document

Menu de la station de configuration de projets
Barres d'outils de la station de configuration de projets


Menu de la station de configuration de projets

Fichier
Menu | Description
Nouveau projet… | Crée un nouveau projet
Ouvrir un projet… | Ouvre un projet existant
Ouvrir un projet à partir du serveur… | Ouvre un projet existant sur le serveur d'application
Fermer le projet | Ferme le projet en cours
Enregistrer | Enregistre les modifications
Nouveau lot… | Crée un nouveau lot
Charger des images… | Charge des images à partir de fichiers
Numériser des images… | Ajoute des images obtenues par numérisation
Importer des images… | Importe des images à l'aide de l'un des profils d'importation configurés
Exporter vers |
Données vers fichiers… | Exporte des données vers un fichier
Images vers fichiers… | Exporte des images vers des fichiers
Base de données… | Exporte les données vers une base de données
Projets récents | Ouvre l'un des projets ouverts précédemment
Quitter | Ferme ABBYY FlexiCapture 10
Éditer
Menu | Description
Annuler | Annule la dernière action
Rétablir | Restaure l'action annulée
Couper | Coupe les objets sélectionnés
Copier | Copie les objets sélectionnés dans le presse-papiers
Coller | Colle l'objet copié dans le presse-papiers
Supprimer | Supprime les objets sélectionnés
Fusionner | Fusionne les pages sélectionnées en un document
Scinder | Subdivise le document sélectionné en pages
Tout sélectionner | Sélectionne tous les objets
Rechercher… | Recherche le texte spécifié
Rechercher suivant | Recherche la prochaine occurrence du texte précédemment spécifié
Aller à |
Document suivant | Passe au document suivant du lot
Document précédent | Passe au document précédent du lot
Image |
Nettoyer | Nettoie l'image
Inverser | Inverse l'image
Basculement horizontal | Fait pivoter l'image horizontalement selon l'axe vertical
Pivoter verticalement | Fait pivoter l'image verticalement selon l'axe horizontal
Tourner de 90° vers la droite | Fait tourner l'image de 90° vers la droite
Rotation de 90° vers la gauche | Fait tourner l'image de 90° vers la gauche
Tourner de 180° | Fait tourner l'image à 180°
Changer la résolution… | Change la résolution de l'image.
Enregistrer sous… | Enregistre l'image avec le nom spécifié
Afficher
Menu | Description
Lots de test | Ouvre la liste des lots de test
Lots | Ouvre la liste des lots
Détails | Affiche les documents et leurs pages sous forme de liste détaillée
Vignettes | Affiche les images du document sous forme de vignettes
Choisir des colonnes… | Permet de configurer la liste des colonnes affichées en mode vue détaillée
Éditeur de document |
Mode Image | Affiche l'image de page dans la fenêtre de document
Mode Données | Affiche les données reconnues dans la fenêtre de document
Fenêtre Image | Permet de positionner l'image dans la fenêtre de document
Fenêtre Erreurs | Permet de positionner la fenêtre des erreurs dans la fenêtre de document
Échelle de l'image | Permet de sélectionner une échelle d'image de champ adaptée
Échelle de texte de données | Permet de sélectionner la taille de la police utilisée pour l'affichage des données reconnues
Afficher la barre d'outils | Affiche/masque la barre d'outils dans la fenêtre de document. Cette barre d'outils permet de corriger certaines erreurs d'association, par exemple, vous pouvez ajouter le champ qui n'a pas été trouvé, et ajouter ou supprimer un séparateur de tableau. Elle est principalement utilisée avec des FlexiLayouts.
Afficher l'erreur de format du champ actif | Permet de définir le mode d'affichage de l'erreur de format
Afficher l'image en noir et blanc | Affiche les images en couleur et en niveaux de gris en images noires et blanches
?????? ??????? | Permet de sélectionner la taille des vignettes de la page
?????? ???????????? | Affiche/masque les barres d'outils
Barre d'état | Affiche/masque la barre d'état
Plein écran | Passe en mode plein écran
Actualiser | Actualise les informations affichées
Propriétés… | Ouvre la boîte de dialogue des propriétés de la page ou du document
Reconnaissance
Menu | Description
Analyser | Analyse les pages des documents et recherche une définition de document adaptée
Associer une définition de document… | Associe la définition de document sélectionnée à la page ou au document sélectionné
Reconnaître | Lance la reconnaissance
Vérification
Menu | Description
Exécuter la vérification… | Lance la vérification
Élément suivant à vérifier | Passe à l'objet de vérification suivant
Élément précédent à vérifier | Passe à l'objet de vérification précédent
Document suivant comportant une ou plusieurs erreurs d'assemblage | Passe à l'erreur d'assemblage suivante
Document précédent comportant une ou plusieurs erreurs d'assemblage | Passe à l'erreur d'assemblage précédente
Caractère incertain suivant | Passe au caractère suivant reconnu sans certitude
Caractère incertain précédent | Passe au caractère précédent reconnu sans certitude
Erreur de règle suivante | Passe à l'erreur de règle suivante
Erreur de règle précédente | Passe à l'erreur de règle précédente
Projet
Menu | Description
Définitions de document… | Ouvre la boîte de dialogue comportant la liste des définitions de document qui permet de les créer, modifier, importer et supprimer (seul l'administrateur a accès à ce menu)
Types de lot… | Ouvre la boîte de dialogue comportant la liste des types de lot qui permet de les créer, modifier, importer et supprimer (seul l'administrateur a accès à ce menu)
Profils d'importation d'images… | Ouvre la boîte de dialogue comportant la liste des profils d'importation d'image qui permet de les créer, modifier, importer et supprimer (seul l'administrateur a accès à ce menu)
Protéger par un mot de passe… | Permet de protéger le projet en cours avec un mot de passe (seul l'administrateur a accès à ce menu)
Ôter la protection… | Permet de désactiver la protection par mot de passe du projet (seul l'administrateur a accès à ce menu)
Exporter un projet… | Exporte le projet vers le dossier spécifié. Les images proviennent du projet en cours.
Mettre à jour un projet… | Configure la mise à jour du projet. Vous pouvez enregistrer dans un fichier les messages et les erreurs qui apparaissent pendant l'importation (cliquez avec le bouton droit de la souris et sélectionnez : Exporter vers un fichier).
Propriétés du projet… | Ouvre la boîte de dialogue Propriétés du projet
Outils
Menu | Description
Mettre à jour vers la version la plus récente | Applique les modifications du projet aux documents en cours de traitement
Réanalyser | Réanalyse les documents
Reconnaître à nouveau | Reconnaît de nouveau les documents
Actualiser l'assemblage | Actualise l'assemblage des pages en documents
Revérifier les règles | Vérifie à nouveau les règles
Vérifier l'intégrité du lot | Vérifie l'intégrité du lot
Changer la priorité du lot | Permet de sélectionner la priorité d'un lot
Modifier un type de lot… | Change le type du lot
Options… | Ouvre la boîte de dialogue Options, où vous pouvez configurer différentes propriétés telles que le traitement des tâches en arrière-plan, les vues de fenêtres, etc.
Aide
Menu | Description
Rubriques d'aide | Ouvre le fichier d'aide d'ABBYY FlexiCapture 10
Assistance technique | Ouvre la section Support technique de l'aide du programme
Comment acheter des produits ABBYY | Ouvre la section Acheter ABBYY FlexiCapture 10 de l'aide du programme
Site Web d'ABBYY | Ouvre le site Web d'ABBYY
Envoyer des commentaires… | Permet d'envoyer des commentaires à ABBYY : les remarques, souhaits et avis de l'utilisateur
À propos d'ABBYY FlexiCapture | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 10 comportant une brève description du programme.


Barres d'outils de la station de configuration de projets

La barre d'outils standard

Outil | Bouton | Description
Ouvrir un projet |  | Ouvre un projet
Enregistrer les modifications |  | Enregistre les modifications
Couper |  | Lorsque vous travaillez sur les données de l'image de document, coupe l'objet sélectionné
Copier |  | Copie l'objet sélectionné vers
Coller |  | Colle l'objet copié dans le presse-papiers
Supprimer |  | Supprime l'objet sélectionné
Annuler |  | Annule la dernière action
Rétablir |  | Restaure l'action annulée
Vue des documents

Outil | Bouton | Description
Vue Détails |  | Affiche les documents et leurs pages sous forme de liste détaillée
Vue Vignettes |  | ????????? ????????????? ??????????? ??????? ?????????? ? ???? ??????????? ?????
Liste de lots de test |  | Affiche la liste des lots de test
Liste de lots de travail |  | Affiche la liste des lots de travail
Actualiser |  | Actualise les informations de la fenêtre principale
Navigation

Outil | Bouton | Description
Élément précédent à vérifier |  | Passe à l'objet de vérification précédent. Le programme parcourt toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Élément suivant à vérifier |  | Passe à l'objet de vérification suivant. Le programme parcourt toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Document précédent |  | Passe au document précédent.
Document suivant |  | Passe au document suivant.
Configuration de projet

Outil | Bouton | Description
Définitions de document… |  | Ouvre la fenêtre comportant la liste des définitions de document du projet.
Types de lot… |  | Ouvre la fenêtre comportant la liste des types de lot du projet.
Propriétés du projet… |  | Ouvre la fenêtre Propriétés du projet.
Afficher le profil d'importation d'image |  | Ouvre la fenêtre comportant la liste des profils d'importation d'image du projet.
Télécharger le projet sur le serveur… |  | Ouvre la fenêtre permettant de télécharger le projet vers le serveur d'application.


Fenêtre du poste de vérification

Poste de vérification

La fenêtre principale du programme affiche la liste des files d’où proviennent les tâches de traitement.

Un opérateur de vérification et un chef-opérateur de vérification peuvent accéder à plusieurs files comportant des tâches de traitement (pour obtenir des informations sur l'objectif des files, reportez-vous à l'article Poste de vérification).

Afficher la fenêtre principale comportant la liste de files

La fenêtre Tâches affiche les informations suivantes :

Nombre de toutes les tâches : le nombre total de tâches en cours de traitement pour une file donnée, qu'elles soient automatiques ou créées par les opérateurs.

Priorité max : la priorité la plus élevée attribuée à une ou plusieurs tâches d'une file donnée.

Nombre de tâches personnelles : le nombre de tâches de traitement attribuées à un opérateur donné.

Nombre de documents exclus du processus de traitement : le nombre de documents à traiter inclus dans les tâches créées automatiquement par le programme.

Nombre de tâches constituées : le nombre de tâches créées manuellement par les opérateurs, par exemple, lors de l'envoi forcé de documents à une file de documents donnée en tant que tâche distincte (avec l'option Créer une tâche sélectionnée dans la boîte de dialogue d'envoi).

Nombre de lots exclus du processus de traitement : le nombre de lots envoyés manuellement par l'opérateur vers une file donnée, sans créer de tâche distincte.

Lorsqu’une tâche est reçue, la fenêtre affiche la liste des documents de la tâche.

Afficher la fenêtre principale comportant la liste de documents

Le menu principal, sous lequel se trouvent des barres d’outils, se situe en haut de la fenêtre.

Le reste de la Fenêtre principale est occupé par l’espace de travail contenant la liste des documents ou des files.

La Barre d'état se situe en bas de la fenêtre. La barre d’état affiche l’état du programme et des opérations en cours. Lorsque vous placez le curseur sur les éléments ou les boutons du menu, la barre d’état affiche la brève description qui leur est associée.

Menu du poste de vérification
Barres d’outils du poste de vérification


Menu de la station de vérification

Fichier
Menu | Description
Ouvrir un projet à partir du serveur… | Ouvre un projet existant sur le serveur d'application
Fermer le projet | Ferme le projet en cours
Enregistrer | Enregistre les modifications
Charger des images… | Charge des images à partir de fichiers
Numériser des images… | Ajoute des images obtenues par numérisation
Exporter vers |
Données vers fichiers… | Exporte des données vers un fichier
Images vers fichiers… | Exporte des images vers des fichiers
Base de données… | Exporte les données vers une base de données
Projets récents | Ouvre l'un des projets ouverts précédemment
Quitter | Ferme ABBYY FlexiCapture 10
Éditer
Menu | Description
Annuler | Annule la dernière action
Rétablir | Restaure l'action annulée
Couper | Coupe les objets sélectionnés
Copier | Copie les objets sélectionnés dans le presse-papiers
Coller | Colle l'objet copié dans le presse-papiers
Supprimer | Supprime les objets sélectionnés
Fusionner | Fusionne les pages sélectionnées en un document
Scinder | Subdivise le document sélectionné en pages
Tout sélectionner | Sélectionne tous les objets
Rechercher… | Recherche le texte spécifié
Rechercher suivant | Recherche la prochaine occurrence du texte précédemment spécifié
Aller à |
Document suivant | Passe au document suivant du lot
Document précédent | Passe au document précédent du lot
Image |
Nettoyer | Nettoie l'image
Inverser | Inverse l'image
Basculement horizontal | Fait pivoter l'image horizontalement selon l'axe vertical
Pivoter verticalement | Fait pivoter l'image verticalement selon l'axe horizontal
Tourner de 90° vers la droite | Fait tourner l'image de 90° vers la droite
Rotation de 90° vers la gauche | Fait tourner l'image de 90° vers la gauche
Tourner de 180° | Fait tourner l'image à 180°
Changer la résolution… | Change la résolution de l'image.
Enregistrer sous… | Enregistre l'image avec le nom spécifié
Afficher
Menu | Description
Lots | Ouvre la liste des lots
Files | Ouvre la liste des files
Détails | Affiche les documents et leurs pages sous forme de liste détaillée
Vignettes | Affiche les images du document sous forme de vignettes
Choisir des colonnes… | Permet de configurer la liste des colonnes affichées en mode vue détaillée
Éditeur de document |
Mode Image | Affiche l'image de page dans la fenêtre de document
Mode Données | Affiche les données reconnues dans la fenêtre de document
Fenêtre Image | Permet de positionner l'image dans la fenêtre de document
Fenêtre Erreurs | Permet de positionner la fenêtre des erreurs dans la fenêtre de document
Échelle de l'image | Permet de sélectionner une échelle d'image de champ adaptée
Échelle de texte de données | Permet de sélectionner la taille de la police utilisée pour l'affichage des données reconnues
Afficher la barre d'outils | Affiche/masque la barre d'outils dans la fenêtre de document. Cette barre d'outils permet de corriger certaines erreurs d'association, par exemple, vous pouvez ajouter le champ qui n'a pas été trouvé, et ajouter ou supprimer un séparateur de tableau. Elle est principalement utilisée avec des FlexiLayouts.
Afficher l'erreur de format du champ actif | Permet de définir le mode d'affichage de l'erreur de format
Afficher l'image en noir et blanc | Affiche les images en couleur et en niveaux de gris en images noires et blanches
Taille des vignettes | Permet de sélectionner la taille des vignettes de la page
Barres d'outils | Affiche/masque les barres d'outils
Barre d'état | Affiche/masque la barre d'état
Plein écran | Passe en mode plein écran
Actualiser | Actualise les informations affichées
Reconnaissance
Menu | Description
Analyser | Analyse les pages des documents et recherche une définition de document adaptée
Associer une définition de document… | Associe la définition de document sélectionnée à la page ou au document sélectionné
Reconnaître | Lance la reconnaissance
Tâches
Menu | Description
Obtenir la tâche | Obtient une tâche dans la file sélectionnée
Fermer la tâche | Ferme la tâche en cours et la renvoie au serveur d'application comme étant terminée
Afficher le commentaire sur la tâche | Affiche les commentaires relatifs à la tâche
Rejeter la tâche | Rejette la tâche en cours et la renvoie au serveur d'application
Différer une tâche… | Diffère la tâche en cours pour un traitement ultérieur
Envoyer la tâche vers Exceptions… (pour le chef-opérateur de vérification - Envoyer les documents vers l'étape…) | Envoie la tâche en cours aux exceptions (le chef-opérateur de vérification peut envoyer la tâche vers n'importe quelle étape de traitement)
Marquer les documents pour Exceptions/Marquer les documents à envoyer vers Rénumérisation (pour le chef-opérateur de vérification - Marquer les documents pour l'étape | Envoie les documents sélectionnés vers une nouvelle exception
Ajouter les documents à Marqués… | Ajoute les documents sélectionnés à une exception existante
Supprimer la tâche d'envoi | Supprime les documents des exceptions
Envoi de marquages… | Affiche la liste des exceptions
Réception de tâches automatiques | Active/désactive l'obtention automatique des tâches
Vérification
Menu | Description
Exécuter la vérification… | Lance la vérification
Élément suivant à vérifier | Passe à l'objet de vérification suivant
Élément précédent à vérifier | Passe à l'objet de vérification précédent
Document suivant comportant une ou plusieurs erreurs d'assemblage | Passe à l'erreur d'assemblage suivante
Document précédent comportant une ou plusieurs erreurs d'assemblage | Passe à l'erreur d'assemblage précédente
Caractère incertain suivant | Passe au caractère suivant reconnu sans certitude
Caractère incertain précédent | Passe au caractère précédent reconnu sans certitude
Erreur de règle suivante | Passe à l'erreur de règle suivante
Erreur de règle précédente | Passe à l'erreur de règle précédente
Outils
Menu | Description
Mettre à jour vers la version la plus récente | Applique les modifications du projet aux documents en cours de traitement
Réanalyser | Réanalyse les documents
Reconnaître à nouveau | Reconnaît de nouveau les documents
Actualiser l'assemblage | Actualise l'assemblage des pages en documents
Revérifier les règles | Vérifie à nouveau les règles
Vérifier l'intégrité du lot | Vérifie l'intégrité du lot
Changer la priorité du lot | Permet de sélectionner la priorité d'un lot
Modifier un type de lot… | Change le type du lot
Options… | Ouvre la boîte de dialogue Options, où vous pouvez configurer différentes propriétés telles que le traitement des tâches en arrière-plan, les vues de fenêtres, etc.
Aide
Menu | Description
Rubriques d'aide | Ouvre le fichier d'aide d'ABBYY FlexiCapture 10
Assistance technique | Ouvre la section Support technique de l'aide du programme
Comment acheter des produits ABBYY | Ouvre la section Acheter ABBYY FlexiCapture 10 de l'aide du programme
Site Web d'ABBYY | Ouvre le site Web d'ABBYY
Envoyer des commentaires… | Permet d'envoyer des commentaires à ABBYY : les remarques, souhaits et avis de l'utilisateur
À propos d'ABBYY FlexiCapture | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 10 comportant une brève description du programme.


Barre d’outils du poste de vérification

Barres d’outils du poste de vérification

La barre d’outils standard

Outil | Bouton | Description
Ouvrir un projet à partir du serveur… |  | Ouvre un projet à partir du serveur.
Enregistrer les modifications |  | Enregistre les modifications.
Couper |  | Lorsque vous travaillez sur les données de la fenêtre du document, coupe l’objet sélectionné.
Copier |  | Copie l’objet sélectionné.
Coller |  | Colle l’objet copié dans le presse-papiers.
Supprimer |  | Supprime l’objet sélectionné.
Annuler |  | Annule la dernière action.
Rétablir |  | Restaure l’action annulée.
Vue Documents

Outil | Bouton | Description
Détails |  | Affiche les documents et leurs pages sous la forme d'une liste détaillée.
Vignettes |  | Affiche les vignettes des images de documents.
Lots de test |  | Affiche la liste des lots de test.
Lots de travail |  | Affiche la liste des lots de travail.
Actualiser |  | Actualise les informations de la fenêtre principale.
Navigation

Outils | Bouton | Description
Élément précédent à vérifier |  | Accède à l’objet précédent à vérifier. Le programme parcourt toutes les erreurs, y compris les erreurs d’assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Élément suivant à vérifier |  | Accède à l’objet suivant à vérifier. Le programme parcourt toutes les erreurs, y compris les erreurs d’assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Document précédent |  | Accède au document précédent.
Document suivant |  | Accède au document suivant.
Files et tâches

Outil | Bouton | Description
Obtenir la tâche |  | Ouvre une tâche de la file sélectionnée.
Fermer la tâche |  | Renvoie la tâche au serveur.
Marquer pour envoyer vers Exceptions |  | Marque le document pour l'envoyer vers Exceptions (pour le chef-opérateur de vérification : vers l’étape de traitement sélectionnée). Lorsque vous fermez ou rejetez la tâche, il vous sera demandé si vous souhaitez envoyer les documents marqués vers Exceptions
Marquer pour envoyer vers Renumérisation |  | Marque le document pour l'envoyer vers Renumérisation. Lorsque vous fermez ou rejetez la tâche, il vous sera demandé si vous souhaitez envoyer les documents marqués vers Renumérisation.
Rétablir le marquage des documents |  | Retire marquage du document sélectionné qui le destinait à être envoyé vers Exceptions ou vers Renumérisation.
Différer une tâche…Différer une tâche… |  | Diffère la tâche.
Rejeter la tâche |  | Annule la tâche (le serveur la renverra à un autre opérateur).
Réception de tâches automatiques |  | Active/désactive l’obtention automatique des tâches.


Fenêtre principale du poste de vérification de données

Poste de vérification de données

La fenêtre principale du programme affiche les noms des files d’où les tâches proviennent (files de vérification de données).

Après avoir obtenu une tâche, la fenêtre de vérification groupée et la fenêtre de vérification de champs s'ouvriront consécutivement.

Le menu principal, sous lequel se trouvent des barres d’outils, se situe en haut de la fenêtre.

La Barre d'état se situe en bas de la fenêtre. La barre d’état affiche l’état du programme et des opérations en cours. Lorsque vous placez le curseur sur les éléments ou les boutons du menu, la barre d’état affiche la brève description qui leur est associée.

puce | Menu du poste de vérification de données
puce | Barres d’outils du poste de vérification de données


Menu du Poste de vérification de données

Fichier
Menu | Description
Ouvrir un projet à partir du serveur… | Ouvre un projet existant sur le serveur d’application
Fermer le projet | Ferme le projet en cours
Projets récents | Ouvre l’un des projets ouverts précédemment
Quitter | Ferme ABBYY FlexiCapture 10.0
Affichage
Menu | Description
Barres d'outils | Affiche/masque les barres d’outils
Barre d'état | Affiche/masque la barre d’état
Plein écran | Bascule en mode plein écran
Actualiser | Actualise les informations affichées
Tâches
Menu | Description
Obtenir la tâche | Obtient une tâche de la file sélectionnée
Afficher le commentaire sur la tâche | Affiche les commentaires relatifs à la tâche
Rejeter la tâche | Rejette la tâche en cours et la renvoie au serveur d’application
Envoyer la tâche vers Exceptions… | Envoie la tâche en cours vers les exceptions
Réception de tâches automatiques | Active/désactive le mode de réception automatique des tâches
Outils
Menu | Description
Options… | Ouvre la boîte de dialogue Options où vous pouvez configurer différentes propriétés telles que le traitement des tâches en arrière-plan, les vues de fenêtres, etc.
Aide
Menu | Description
Rubriques d'aide | Ouvre le fichier d’aide d’ABBYY FlexiCapture 10.0
À propos d'ABBYY FlexiCapture | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 10 comportant une brève description du programme.


Barres d’outils du poste de vérification de données

Barres d'outils du poste de vérification de données

Files et tâches

Outil | Bouton | Description
Obtenir la tâche |  | Ouvre une tâche de la file sélectionnée.
Rejeter la tâche |  | Rejette la tâche (le serveur la renverra ultérieurement à un autre opérateur).
Actualiser |  | Actualise les informations de la fenêtre principale.
Réception de tâches automatiques |  | Active/désactive le mode de réception automatique des tâches.


Fenêtre de l'éditeur de Définitions de document

Fenêtre de l'éditeur de Définition de document

La fenêtre de d'éditeur de Définition de document de document permet de créer et de modifier des Définitions de document. Cette fenêtre n'est disponible que sur la station de configuration de projet.

Pour ouvrir l'éditeur de Définition de document, à partir de la fenêtre principale du programme :

  1. Sélectionnez l'élément de menu Projet>Définitions de document…
  2. Dans la boîte de dialogue Définitions de document qui s'ouvre, mettez en surbrillance le nom de la Définition de document puis cliquez sur Éditer….

La fenêtre de l'éditeur de Définition de document s'ouvre également au terme de la procédure de l'assistant de définition de document.

Afficher la fenêtre de l'éditeur de Définition de document

La fenêtre de l'éditeur de Définition de document se décompose en trois parties :

  1. l'image de page, avec le marquage des champs et des éléments statiques visibles dans la partie supérieure gauche.

    Le programme comporte deux modes pour le traitement des champs et les éléments statiques :

    • le mode Marquage de champ – qui s'active en cliquant sur le bouton [image],
    • le mode Éléments statiques – qui s'active en cliquant sur le bouton [image] ;
  2. l'éditeur qui permet de configurer la présentation des données reconnues est situé dans la partie inférieure gauche ;
  3. la structure du document, avec une liste de tous les champs du modèle (onglet Champs), est située dans la partie droite. Vous pouvez également passer en mode contour de page (onglet Pages).

маркированный список | Menu de l'éditeur de Définition de document
маркированный список | Barres d'outils de l'éditeur de Définition de document


Menu de l'éditeur de définitions de documents

Définition de document
Option du menu | Description
Ajouter une page… | Ajoute une nouvelle image de page à la définition de document
Ajouter une section de document… | Ajoute une nouvelle section au lot
Importer une section de document… | Importe la section de document sélectionnée
Modules de scripts |
Règle de script… | Ouvre le Module de script global de règle de l’Éditeur de script. Pour plus d’informations sur les modules de scripts, consultez Utilisation de scripts dans FlexiCapture 10.0.
Exporter un script… | Ouvre le Module de script global d'exportation de l’Éditeur de script. Pour plus d’informations sur les modules de scripts, consultez Utilisation de scripts dans FlexiCapture 10.0.
Paramètres d'exportation… | Ouvre la boîte de dialogue Paramètres d'exportation, qui permet de configurer les options d'exportation de données
Propriétés de la définition de document… | Ouvre une boîte de dialogue permettant d'afficher et de modifier les propriétés de la définition de document
Enregistrer | Enregistre les modifications
Fermer | Ferme l'éditeur de définitions de documents
Édition
Option du menu | Description
Annuler | Annule l’action précédente
Rétablir | Rétablit l'action annulée
Couper | Coupe les objets en surbrillance
Copier | Copie les objets en surbrillance dans le presse-papiers
Coller | Colle le contenu du presse-papiers
Supprimer | Supprime les objets en surbrillance
Supprimer la région | Supprime les régions des images des objets en surbrillance
Tout sélectionner | Sélectionne tout
Sélectionner par type… | Détecte les objets d'un certain type
Créer un champ |
Texte | Ajoute un champ de saisie de texte à la structure du document (sans région sur l'image)
Coche | Ajoute un champ de coche à la structure du document (sans région sur l'image)
Groupe de coches | Ajoute un champ de groupe de coches à la structure du document (sans région sur l'image)
Code barres | Ajoute un champ de code-barres à la structure du document (sans région sur l'image)
Image | Ajoute un champ d'image graphique à la structure du document (sans région sur l'image)
Tableau | Ajoute un champ de tableau à la structure du document (sans région sur l'image)
Groupe | Ajoute un groupe de champs à la structure du document (sans région sur l'image)
Groupe | Regroupe les objets en surbrillance
Dégrouper | Dégroupe les objets en surbrillance
Copier le texte de l'image… | Récupère le texte d'une région de l'image et le stocke dans le presse-papiers. Après avoir sélectionné cette commande, mettez en surbrillance la région contenant le texte souhaité.
Image... |
Nettoyer | Supprime le bruit de l'image
Inverser | Inverse l'image
Tourner de 90° vers la droite | Fait pivoter l'image de 90° vers la droite
Rotation de 90° vers la gauche | Fait pivoter l'image de 90° vers la gauche
Tourner de 180° | Fait pivoter l'image de 180°
Changer la résolution… | Ouvre la boîte de dialogue Définir la résolution où vous pouvez spécifier une nouvelle valeur de résolution d'image
Enregistrer sous… | Enregistre l' image de la page de modèle dans le fichier spécifié
Remplacer… | Remplace l'image de page du modèle.
Affichage
Option du menu | Description
Présentation d'image |
Éléments statiques | Bascule en mode Éléments statiques
Régions de champ | Bascule en mode Marquage de champs
Structure de document |
Afficher la structure du document | Affiche/masque la fenêtre de structure du document
Champs | Bascule la fenêtre Structure du document en mode Champs
Pages | Bascule la fenêtre Structure du document en mode Pages
Formulaire de données | Affiche/masque la fenêtre de l'éditeur de données
Barre d'outils de présentation |
Horizontal | Ancre la barre d'outils de la fenêtre de présentation d'image horizontalement
Vertical | Ancre la barre d'outils de la fenêtre de présentation d'image verticalement
Barre d'état | Affiche/masque la barre d’état
Afficher l'image en noir et blanc | Affiche les images en couleur et en niveaux de gris des pages en mode noir et blanc
Échelle de l’image | Sélectionne une échelle d'image appropriée
Propriétés… | Ouvre une boîte de dialogue permettant d'afficher et de modifier les propriétés de l'objet en surbrillance.
Test
Option du menu | Description
Exécuter le test | Commence le test de définitions de documents sur l'image de document.
Terminer le test | Arrête le test de définitions de documents.
Mode Image | Affiche l’image de page dans la fenêtre du document.
Mode Données | Affiche les données reconnues dans la fenêtre du document.
Présentation |
Fenêtre Image | Modifie la position de l'image dans la fenêtre du document.
Haut | Place la fenêtre Image en haut de l'écran.
Bas | Place la fenêtre Image en bas de l'écran.
Gauche | Place la fenêtre Image à gauche.
Droite | Place la fenêtre Image à droite.
Fenêtre Erreurs | Modifie la position de la fenêtre Erreurs dans la fenêtre du document.
Haut | Place la fenêtre Erreurs en haut de l'écran.
Bas | Place la fenêtre Erreurs en bas de l'écran.
Gauche | Place la fenêtre Erreurs à gauche.
Droite | Place la fenêtre Erreurs à droite.
Afficher la barre d'outils | Affiche/masque la barre d'outils en mode Données. En mode Image, la barre d'outils est toujours affichée et ne peut pas être masquée.
Vérification |
Élément suivant à vérifier | Accède à l'élément suivant à vérifier.
Élément précédent à vérifier | Accède à l'élément précédent à vérifier.
Caractère incertain suivant | Accède au caractère incertain suivant.
Caractère incertain précédent | Accède au caractère incertain précédent.
Erreur de règle suivante | Accède à l’erreur de règle suivante.
Erreur de règle précédente | Accède à l’erreur de règle précédente.
Batch
Option du menu | Description
Basculer vers le lot de test… | Permet de tester la définition de document en utilisant des lots de test
Fermer le lot de test… | Ferme le lot de test
Affichage |
Détails | Bascule en mode Vue détaillée
Vignettes | Bascule en mode Vue Vignettes
Personnaliser le tableau des documents… | Ouvre la boîte de dialogue Choisir des colonnes où vous pouvez sélectionner les colonnes que vous souhaitez afficher et dont vous souhaitez personnaliser l'affichage
Charger des images… | Ouvre la boîte de dialogue Charger des images où vous pouvez sélectionner des images à charger et définir des options de prétraitement d'images
Numériser des images… | Ouvre la boîte de dialogue qui vous permet de numériser des images pour les ajouter au lot
Reconnaître | Reconnaît le lot
Exécuter la vérification… | Exécute la vérification sur le lot
Exporter | Exporte le lot
Exporter vers |
Données vers fichiers… | Ouvre la boîte de dialogue qui vous permet de définir les options d'enregistrement des données
Images vers fichiers… | Ouvre la boîte de dialogue qui vous permet de définir les options d'enregistrement des images
Base de données… | Ouvre la boîte de dialogue qui vous permet de configurer les paramètres de connexion à la base de données
Outils
Option du menu | Description
Détecter automatiquement les objets… | Détecte et met automatiquement en surbrillance les champs et les éléments statiques d'un certain type (en fonction du mode)
Vérifier la définition de document | Vérifie la définition de document
Associer la section | Vérifie l'association d'une section de définition de document
Mettre à jour les descriptions flexibles… | Permet de mettre à jour les FlexiLayouts utilisés
Aide
Option du menu | Description
Rubriques d'aide | Ouvre les rubriques d'aide d'ABBYY FlexiCapture 10.0
Envoyer des commentaires… | Permet aux utilisateurs d'envoyer des commentaires et des suggestions à ABBYY.


Barre d'outils de l'éditeur de définitions de documents

Barre d'outils standard

Nom | Bouton | Description
Enregistrer les modifications |  | Enregistre les modifications
Couper |  | Coupe un objet sélectionné lorsque vous travaillez avec des données dans la fenêtre du document
Copier |  | Copie un objet sélectionné
Coller |  | Colle un objet copié précédemment dans le presse-papiers
Supprimer |  | Supprime un objet sélectionné
Annuler |  | Annule l’action précédente
Rétablir |  | Rétablit une action annulée précédemment
Vérifier la définition de document |  | Vérifie une définition de document. Les résultats de la vérification s'affichent dans la partie inférieure de la fenêtre de l'éditeur de définitions de documents.
Barre d'outils de la fenêtre Présentation d'image

La barre d'outils de la fenêtre Présentation d'image sert à créer des éléments statiques et des champs de Définition de document. Le jeu de boutons de la barre d'outils change en fonction du mode sélectionné.

En mode Éléments statiques :

En mode Marquage de champs :

Cette barre d'outils peut être ancrée horizontalement ou verticalement. Son orientation peut être modifiée via Affichage>Présentation d'image.
Nom | Bouton | Description
Général
Mode Éléments statiques |  | Bascule en mode Éléments statiques
Mode Régions de champs |  | Bascule en mode Régions de champs
Zoom |  | Augmente l'échelle de l'image
Détection automatique des objets |  | Détecte automatiquement les objets de l'image. Sélectionnez cet outil, puis cliquez à l'intérieur de la région de l'objet.
Sélectionner les régions |  | Met en surbrillance les régions des objets qui ont été sélectionnés sur l'image. Pour mettre en surbrillance une région, sélectionnez cet outil, puis cliquez à l'intérieur de la région de l'objet.
En mode Éléments statiques
Créer une ancre |  | Crée une ancre. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de l'ancre.
Créer un séparateur |  | Crée un séparateur. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du séparateur.
Créer du texte ancré |  | Crée du texte ancré. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du texte.
Créer un code-barres d’ancrage |  | Crée un code-barres d'ancrage. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du code-barres.
En mode Marquage de champs
Créer du texte |  | Crée un champ de saisie de texte. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de la région de saisie de texte.
Créer une coche |  | Crée un champ de coche. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de la région de coche.
Créer un groupe de coches |  | Crée un groupe de coches. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du groupe de coches.
Créer un code-barres |  | Crée un champ de code-barres. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du code-barres.
Créer une image graphique |  | Crée un champ d'image graphique. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de l'image graphique.
Créer un tableau |  | Crée un champ de tableau. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du tableau. Des boutons de marquage de tableaux supplémentaires apparaissent alors sur la barre d'outils.
Créer un groupe |  | Crée un groupe de champs. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du groupe de champs.
Créer une région pour un champ sans région |  | Crée une région pour un champ qui est inclus dans la structure du document mais qui ne comporte pas de région sur l'image. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de la région de champ. Sélectionnez un nom dans la liste déroulante. (La liste affiche les noms des champs qui ne comportent pas de région sur l'image.)
Créer une région non reconnaissable |  | Met en surbrillance un champ qui sera exclu du processus de reconnaissance.
Boutons de marquage de tableaux Visibles uniquement si au moins un tableau a été créé dans la section de définition de document concernée
Supprimer le séparateur |  | Supprime un séparateur


La fenêtre Vérificateur de groupe

La fenêtre Vérificateur de groupe apparaît au début de la vérification de données.

Cette fenêtre est utilisée pour vérifier visuellement les caractères reconnus comme ayant la même valeur. Les caractères reconnus comme identiques sont affichés pour permettre l’identification et la correction des caractères qui se distinguent du reste des caractères. Consultez Vérification groupée.

puce | Menu de la fenêtre du vérificateur de groupe
puce | La barre d'outils de la fenêtre Vérificateur de groupe


Menu de la fenêtre du vérificateur de groupe

Files et tâches (cette barre d'outils est uniquement disponible sur le poste de vérification de données)
Menu | Description
Obtenir la tâche | Obtient une nouvelle tâche de vérification
Envoyer la tâche vers Exceptions… | Envoie la tâche en cours vers les exceptions
Rejeter la tâche | Rejette la tâche en cours (elle sera renvoyée à l'opérateur à un certain moment)
Actualiser | Actualise les informations relatives à la tâche
Vérification
Menu | Description
Tout confirmer | Confirme que tous les caractères ont été vérifiés avec succès et passe à l’étape suivante
Différer tout | Diffère la vérification de tous les caractères et les marque d’un point d’interrogation
Basculer | Diffère la vérification du caractère sélectionné et le marque d’un point d’interrogation
Page suivante | Accède à la page suivante si tous les caractères ne peuvent pas être contenus sur un seul écran
Page précédente | Accède à la page précédente si tous les caractères ne peuvent pas être contenus sur un seul écran
Fermer | Ferme la fenêtre de vérification
Édition
Menu | Description
Annuler | Annule la dernière action
Rétablir | Restaure l’action annulée
Tout sélectionner | Sélectionne tous les caractères
Affichage
Menu | Description
Image du champ |
Afficher l'image du champ | Affiche/masque l’image du champ comportant le caractère en cours
Au-dessus | Positionne l’image du champ en haut de la fenêtre de vérification
En dessous | Positionne l’image du champ en bas de la fenêtre de vérification
Échelle de l’image | Permet de sélectionner une échelle d’image de champ adaptée
Afficher l'image du champ | Affiche l’image du caractère
Barre d'outils | Affiche/masque les barres d’outils
Barre d’infos | Affiche/masque la barre d’infos
Barre d'état | Affiche/masque la barre d’état
Taille de caractères | Permet de sélectionner la taille de caractères appropriée
Plein écran | Bascule en mode plein écran
Outils
Menu | Description
Options… | Permet de configurer la zone adjacente au caractère
Aide
Menu | Description
Rubriques d'aide | Ouvre le fichier d’aide d’ABBYY FlexiCapture 10.0
À propos d'ABBYY FlexiCapture | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 10 comportant une brève description du programme.


Barres d'outils du vérificateur groupé

Barres d'outils de la fenêtre Vérification groupée

La barre d'outils standard

Outil | Bouton | Description
Page précédente |  | Passe à la page précédente si tous les caractères ne tiennent pas dans un écran
Page suivante |  | Passe à la page suivante si tous les caractères ne tiennent pas dans un écran
Tout confirmer |  | Confirme la reconnaissance correcte de tous les caractères et passe à l'étape suivante
Changer l'état du caractère |  | Change l'état du caractère en rejeté et inversement
Annuler |  | Annule la dernière action
Rétablir |  | Restaure l'action annulée
Files et tâches (cette barre d'outils est accessible sur la station de vérification de données uniquement)

Outil | Bouton | Description
Obtenir la tâche |  | Ouvre la tâche de vérification de données
Rejeter la tâche |  | Rejette la tâch?. Elle sera envoyée à un autre opérateur
Actualiser |  | Actualise les informations relatives à la tâche
Réception de tâches automatiques |  | Active/désactive l’obtention automatique des tâches.


La fenêtre Vérificateur de champs

La fenêtre Vérificateur de champs apparaît une fois la vérification groupée terminée.

Cette fenêtre est utilisée pour vérifier visuellement les caractères reconnus sans certitude dans le contexte d’un champ entier. Consultez Vérification de champs.

puce | Le menu de la fenêtre Vérificateur de champs
puce | Les barres d'outils de la fenêtre Vérificateur de champs


Menu de la fenêtre Vérification de champs

Files et tâches (ce menu est uniquement disponible sur le poste de vérification de données)
Menu | Description
Obtenir la tâche | Obtient une nouvelle tâche de vérification
Envoyer la tâche vers Exceptions… | Envoie la tâche en cours vers les exceptions
Rejeter la tâche | Rejette la tâche en cours (elle sera renvoyée à l'opérateur à un certain moment)
Actualiser | Actualise les informations relatives à la tâche
Vérification
Menu | Description
Confirmer le champ | Confirme le champ
Différer | Diffère la vérification du champ
Caractère incertain suivant | Accède au caractère suivant reconnu sans certitude
Caractère incertain précédent | Accède au caractère précédent reconnu sans certitude
Champ suivant | Accède au champ suivant
Champ précédent | Accède au champ précédent
Fermer | Ferme la fenêtre de vérification
Édition
Menu | Description
Annuler | Annule la dernière action
Rétablir | Restaure l’action annulée
Couper | Coupe les objets sélectionnés
Copier | Copie les objets sélectionnés dans le presse-papiers
Coller | Colle l’objet copié dans le presse-papiers
Supprimer | Supprime les objets sélectionnés
Supprimer tout | Supprime tous les objets
Tout sélectionner | Sélectionne tous les objets
Insérer un saut de ligne | Insère un saut de ligne
Fusionner les caractères | Fusionne les caractères sélectionnés si un caractère a été subdivisé en plusieurs caractères pendant la reconnaissance
Affichage
Menu | Description
Données de champs |
Texte reconnu | Affiche/masque le texte reconnu
Coupe des images de caractère | Bascule en vue Champ avec découpage des images de caractères
Afficher les symboles spéciaux | Affiche/masque les caractères spéciaux
Image du champ |
Afficher l'image du champ | Affiche/masque l’image du champ comportant le caractère en cours
Au-dessus | Positionne l’image du champ en haut de la fenêtre de vérification
En dessous | Positionne l’image du champ en bas de la fenêtre de vérification
Échelle de l’image | Permet de sélectionner une échelle d’image de champ adaptée
Champs analogues | Affiche/masque les champs identiques d’autres documents
Afficher l'image des caractères | Affiche l’image du caractère
Barre d'outils | Affiche/masque les barres d’outils de la fenêtre principale
Barre d'infos | Affiche/masque la barre d’infos
Barre d'état | Affiche/masque la barre d’état
Taille de caractères | Permet de sélectionner la taille de caractères appropriée
Plein écran | Bascule en mode plein écran
Outils
Menu | Description
Options… | Permet de configurer la zone adjacente au caractère
Aide
Menu | Description
Rubriques d'aide | Ouvre le fichier d’aide d’ABBYY FlexiCapture 10.0
À propos d'ABBYY FlexiCapture | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 10 comportant une brève description du programme.


Barres d'outils du vérificateur de champs

Barres d'outils de la fenêtre Vérification de champ

La barre d'outils standard

Outil | Bouton | Description
Champ précédent |  | Passe au champ précédent
Champ suivant |  | Passe au champ suivant
Confirmer/ignorer le champ |  | Confirme la reconnaissance correcte de tous les caractères du champ et passe au champ suivant. Si la valeur du champ ne correspond pas au format du champ, le nom du bouton change et indique Ignorer le champ. Si la valeur du champ ne peut pas être corrigée, elle peut être ignorée ou différée.
Différer le champ |  | Diffère la vérification du champ s'il n'est pas possible de le corriger
Caractère incertain précédent |  | Passe au caractère précédent reconnu sans certitude
Caractère incertain suivant |  | Passe au caractère suivant reconnu sans certitude
Annuler |  | Annule la dernière action
Rétablir |  | Restaure l'action annulée
Files et tâches (cette barre d'outils est disponible sur la station de vérification de données uniquement)

Outil | Bouton | Description
Obtenir la tâche |  | Obtient une nouvelle tâche de vérification.
Rejeter la tâche |  | Rejette la tâche en cours (le serveur la renverra ultérieurement à un autre opérateur).
Actualiser |  | Actualise les informations de la tâche
Réception de tâches automatiques |  | Active/désactive l’obtention automatique des tâches.


Fenêtre Éditeur de scripts

L'Éditeur de scripts vous permet d'écrire et de modifier des scripts.

Vous pouvez sélectionner le langage souhaité pour votre script : VBScript, JScript.Compact, JScript, C#.Net, VisualBasic.Net ou JScript.Net.

Pour modifier le script, utilisez les commandes ou les boutons de menu de la barre d'outils de l'Éditeur de scripts.

Pour vérifier le code du script :

  • cliquez sur le bouton Vérifier de la barre d'outils,
  • sélectionnez Vérifier le script dans le menu Outils
  • ou appuyez sur F9

Si vous souhaitez ajouter une fonction personnalisée, sélectionnez un module global disponible dans la liste déroulante de la barre d'outils : Module de script global de règle, Module de script global d'exportation, Événement ou NonInteractiveProcessor.

Pour fermer l'Éditeur de scripts, sélectionnez Fichier > Quitter ou cliquez sur le bouton Fermer de l'angle supérieur droit de la fenêtre.

Pour plus d'informations sur les scripts, consultez la section Utilisation d'un script.


Annexe

Conception de formulaires lisibles par machine
Raccourcis clavier
Utilisation de scripts dans FlexiCapture 10
Règles de FormReader 6.5 et FlexiCapture 10 comparées
Langues de reconnaissance prises en charge
Polices pour un rendu correct des caractères
Types de texte pris en charge
Type de codes barres pris en charge
Formats graphiques pris en charge
Formats de fichiers d'exportation
Alphabet utilisé dans des expressions normales
Brevets
Technologies fournies par d'autres sociétés


Utilisation de scripts sous ABBYY FlexiCapture 10.0

Cette section décrit comment utiliser les scripts permettant de personnaliser les étapes de traitement et les interfaces des postes d'ABBYY FlexiCapture 10.0.

Langages de scripts pris en charge

ABBYY FlexiCapture 10.0 prend en charge les langages de script suivants : Langages .Net, JScript® et VBScript.

Règles spécifiques aux scripts écrits en langages .Net

Règles d'utilisation

En langage VBScript, il est obligatoire d'utiliser le mot clé « Me » lors de la transmission d'une valeur NULL (l'alternative de « this » du JScript), alors qu'en langages .Net, la valeur NULL est transmise sous la forme d'un paramètre ordinaire.

Tous ces paramètres sont connus à l'avance pour chaque autorisation d'accès au script. Les autorisations d'accès déterminent le sous-ensemble des méthodes disponibles à partir des scripts. Lorsque vous traitez des méthodes d'objets, les autorisations pour les objets retournés sont toujours héritées de l'objet source (les exceptions applicables à cette règle sont décrites dans les commentaires des méthodes correspondantes).

Remarque : Les objets de scripts ne peuvent pas être utilisés une fois le script terminé en raison du comportement indéterminé des objets.

Fonctions personnalisées

L'éditeur de scripts permet à l'utilisateur de créer ses propres fonctions et procédures et de les appeler ensuite à partir du code des scripts.

Vous devez écrire les procédures et les fonctions personnalisées dans le module global. Il est possible d'y accéder depuis l'Éditeur de script. Pour ce faire, dans la liste déroulante de la barre d'outils de l’éditeur de scripts, sélectionnez un module global disponible : Module de script global de règle, Module de script global d'exportation, Événement ou NonInteractiveProcessor.

Toutes les fonctions contenues dans un module doivent être écrites dans le même langage. Vous pouvez écrire le code de base d’un script dans un autre langage que celui utilisé dans le module global correspondant.

Vous pouvez par exemple appeler une fonction du module global écrite en JScript à partir du code d’une règle écrite en VBScript.

Toutes les fonctions des modules globaux sont disponibles dans tous les scripts écrits en langages .Net.

Pour appeler une fonction à partir de son module global, un préfixe correspondant (Rules, Export, Events ou NonInteractiveProcessor) doit être utilisé. Par exemple, la fonction EffectuerUneOpération du module Module de script global de règle doit être appelée de la manière suivante : Rules.EffectuerUneOpération ().

Remarque : Pour les scripts écrits en langages .Net, les fonctions des modules globaux sont appelées par leurs noms sans préfixes.

Délai d'exécution d'un script

Les délais d'exécution par défaut sont de 30 secondes pour l'exportation et de 10 secondes pour les autres scripts.

Pour changer ces valeurs par défaut, modifiez le paramètre dans le registre.

HKEY_CURRENT_USER\Software\ABBYY\FlexiCapture\10.0\Controller\ScriptSupport\DefaultScriptTimeout

Dans le registre, ces valeurs sont exprimées en millisecondes. Si un script ne s'exécute pas au cours du délai d'exécution imparti spécifié, il sera arrêté et un message d'erreur sera retourné : « Délai d'exécution du script dépassé ». Si le script fait partie d'une tâche d'importation, de reconnaissance ou d'exportation, un message d'erreur similaire sera enregistré dans le journal.

Important ! Le délai d'exécution du script ne s'applique qu'aux scripts écrits en langages JScript et VBScript.

Important ! Pour changer ces délais d'exécution pour les scripts exécutés dans NetworkService, vous devez modifier la branche du registre pour le profil utilisateur correspondant.

Modèle d'objet

Le modèle d'objet est compatible avec les scripts créés dans les versions antérieures d'ABBYY FlexiCapture.

En savoir plus sur le modèle d'objet


Règles spécifiques aux scripts écrits en langages .Net

Cette section décrit les règles spécifiques applicables aux scripts écrits en langages .Net

  • Les paramètres du script, transmis aux autres scripts avec le mot clé « this », sont transmis aux scripts .Net en tant que paramètres ordinaires. Par exemple, dans les règles écrites en langages .Net, le contexte de la règle est transmis en tant que paramètre ayant le nom « Context ».
  • FlexiCapture 10.0 prend en charge Microsoft .Net Framework jusqu'à la version 3.5. Le projet doit donc être compilé sous Microsoft .Net Framework 3.5 ou sous une version antérieure. La version de .Net Framework peut être spécifiée dans les paramètres du projet sous Visual Studio.
  • Il est possible d'ajouter un assemblage externe pouvant être utilisé dans des scripts ou des modules globaux. Les assemblages utilisateur standard et compilés peuvent tous deux être utilisés. Toutes les classes d'assemblages ajoutées seront disponibles dans les scripts et dans les modules globaux. Pour plus d'informations, consultez la section Assemblages externes.
  • Une fois le script compilé, un corps de script compilé est stocké à l'emplacement où le script a été défini. Par conséquent, le script .Net peut prendre plus de place que les autres scripts.
  • Tous les objets FlexiCapture sont définis en tant qu'objets COM. Le fonctionnement des scripts .Net est souvent ralenti lors du traitement des champs de l'objet en raison des transitions gérées/non gérées.
  • Pour le débogage des scripts .Net, la méthode System.Diagnostics.Debugger.Break est utilisée. Pour obtenir une description détaillée de la méthode, consultez l'article correspondant sur MSDN : http://msdn.microsoft.com/en-us/library/system.diagnostics.debugger.break.aspx.
  • Les interfaces des Objets ControllerInterop sont stockées dans l'assemblage ControllerInterop.dll et appartiennent à l'espace de noms ABBYY.FlexiCapture.
    Le fichier d'assemblage ControllerInterop.dll se situe dans le dossier racine du programme.
  • Les interfaces des Objets ShellInterop sont stockées dans l'assemblage ShellInterop.dll et appartiennent à l'espace de noms ABBYY.FlexiCapture.ClientUI.
    Le fichier d'assemblage ShellInterop.dll se situe dans le dossier racine du programme.
  • Les scripts .Net peuvent accéder à toutes les classes d'ABBYY FlexiCapture sous leurs propres noms de classes depuis les espaces de noms ABBYY.FlexiCapture et ABBYY.FlexiCapture.ClientUI. Par exemple :

    ABBYY.FlexiCapture.IDocument document = Batch.Documents[i];

    ABBYY.FlexiCapture.ClientUI.IToolbars toolbars = TaskWindow.MainWindow.Toolbars;

  • Pour établir une relation avec les espaces de noms ABBYY.FlexiCapture et ABBYY.FlexiCapture.ClientUI dans les modules globaux, le mot clé « using » est utilisé. Par exemple :

    using ABBYY.FlexiCapture;

  • Dans les scripts .Net, les fonctions des modules globaux sont directement appelées sans avoir à utiliser le nom du module global.
  • Si vous ne souhaitez pas spécifier la valeur d'un paramètre optionnel de fonction (pour les fonctions ayant des paramètres optionnels), vous devez transmettre System.Type.Missing à la place.

Remarque : Par défaut, pour les scripts exécutés de manière non interactive (c'est-à-dire par le processus FlexiEx.exe à la place de FlexiCapture.exe), pour le processus FlexiEx.exe, le bouton Déboguer n'est pas affiché dans la fenêtre « Recherche de solutions » (pour les scripts contenant un point d'arrêt). Pour que ce bouton s'affiche, cliquez sur l'icône Centre de maintenance de votre barre des tâches et sélectionnez Modifier les paramètres du centre de maintenance > Paramètres de signalement des problèmes > Ne jamais rechercher de solutions.


Assemblages externes

Il est possible d'utiliser des assemblages externes dans les scripts et dans les modules globaux. Les assemblages utilisateur standard et compilés peuvent tous deux être utilisés.

Ajout d'assemblages externes

Un assemblage peut être ajouté via l'onglet Références .Net des propriétés du type de lot, des propriétés du projet ou des propriétés de la définition de document. Toutes les classes d'assemblages ajoutées seront disponibles dans les scripts et dans les modules globaux. Vous trouverez ci-dessous un exemple de code d'assemblage utilisateur contenant un espace de noms, une classe et une méthode de cette classe :

namespace TestNameSpace

{

public class Test

{

public void Show(string text)

{

// affichera le texte via les méthodes standard de FlexiCapture – static method void ShowMessage(string text, bool IsError) from static class FCTools ABBYY.FlexiCapture.FCTools.ShowMessage(text, false);

}

}

}

Pour les classes et les méthodes d'un assemblage ajouté accessible pour les scripts de gestionnaires d'événements, l'assemblage doit être ajouté via l'onglet Références .Net des propriétés du type de lot (pour un type de lot particulier) ou des propriétés du projet (pour un type de lot inconnu).

Pour les scripts suivants, les assemblages externes sont ajoutés via l'onglet Références .Net des Propriétés de la définition de document :

  • règle de script
  • script d'autocorrection
  • script d'exportation
  • script utilisateur
  • script d'assemblage de document
  • script de reconnaissance personnalisée

Pour ajouter un assemblage, cliquez sur Ajouter…. Dans la boîte de dialogue qui apparaît, sélectionnez le type : Nom d'assemblage standard ou Fichier joint. Saisissez le nom d'assemblage standard ou naviguez jusqu'au fichier d'assemblage, cela dépendra du type sélectionné.

Le script utilisant les classes et les méthodes à partir d'un assemblage externe doit contenir le code suivant :

TestNameSpace.Test test = new TestNameSpace.Test(); // creates an object of Test class

test.Show(“bonjour tout le monde”); // appelle la méthode void Show() de la classe Test

Débogage d'assemblages externes

Lorsque vous déboguez des assemblages externes, le fichier d'assemblage et un fichier .pdb comportant des informations symboliques sont tous deux requis. Seuls les assemblages disposant de fichiers .pdb chargés peuvent être débogués. Étant donné que les fichiers .pdb sont plutôt volumineux, il est préférable de désactiver le chargement d'informations symboliques dans le projet de travail.

Clés de registre contrôlant le chargement des informations symboliques

Vous pouvez utiliser les clés de registre suivantes (dans Controller\ScriptSupport) pour contrôler le chargement de fichiers .pdb :

  • LoadSymbolsFromOriginalPath - indique s'il faut charger les fichiers .pdb depuis les dossiers d'origine des fichiers d'assemblage (définissez la valeur clé sur True pour charger les fichiers .pdb) ;
  • PDBSearchLocations - définit les chemins d'accès de recherche pour les fichiers .pdb (les chemins d'accès doivent être listés et séparés par des points-virgules, le résultat de recherche est un fichier .pdb comportant des informations symboliques dont le nom coïncide avec un nom d'assemblage).

Par défaut, ces clés ne sont pas créées dans le registre. Si nécessaire, l'administrateur peut ajouter ces clés au registre du système d'exploitation de l'utilisateur.

Pour que ces modifications prennent effet, vous devez redémarrer le programme.

Pour déboguer un assemblage, la relation avec le code géré doit être utilisée.


Modèle d'objet

Les règles applicables aux modèles d'objets utilisés sont décrites ci-dessous.

Travailler avec des ensembles

Tous les ensembles du modèle d'objet prennent en charge les méthodes suivantes :

Nom | Type | Accès | Description
Count | entier | Lecture seule | Le nombre d'éléments de l'ensemble
Item( index : int ) ItemInterface Lecture seule Récupère un élément de l'ensemble grâce à l'index spécifié.
L'énumération commence par « 0 ».

Remarque : Au lieu d'utiliser la méthode Item, vous pouvez également traiter les éléments de l'ensemble en utilisant des parenthèses ou des crochets. Cela dépend du langage sélectionné. Les parenthèses sont utilisées dans les langages JScript, VBScript et Visual Basic.Net. En C#.Net, seuls les crochets peuvent être utilisés. En JScript.Net, les parenthèses et les crochets peuvent tous deux être utilisés.

Par exemple, Items( 1 ).Text = "Bonjour" ou Items[ 1 ].Text = "Bonjour".

Tous les ensembles peuvent être utilisés dans "for each" et dans les constructions similaires.

Travailler avec des champs récurrents et des tableaux

Tous les champs de documents, excepté les tableaux, peuvent être récurrents.

Dans la structure de document, les champs récurrents sont représentés par un champ prototype spécial qui dispose d'un ensemble non vide Items.

Un champ prototype ne dispose ni d'éléments enfants ni de valeurs. Il n'est utilisé que pour stocker l'ensemble des itérations de champs. Les champs Enfants et/ou les valeurs de champs ne peuvent être attribués qu'aux exemples de champs, qui sont disponibles via la méthode Items de l'objet IField.

Les tableaux comportent toujours l'ensemble Rows (Rows est synonyme d'Items). L'ensemble Rows ne contient que les lignes du tableau dont les cellules sont accessibles via la méthode Children des lignes.

Composition des chemins d'accès des champs

Les méthodes Field, HasField et IndexedItemValue de l'objet IDocument utilisent les chemins d'accès des champs sous la forme de paramètres. Voici la méthode formelle permettant de représenter le chemin d'accès avec un BNF (Formulaire de Backus-Naur) :

<Path> ::= <Path_component> | <Path> "\" <Path_component>

<Path_component> ::= <Field_name> | <Field_name> "["<Field_iteration_number>"]"

Ici, Field_name indique les noms des champs de documents tels qu'ils sont définis dans la définition de document et Field_iteration_number représente le nombre d'itérations de champs récurrents (le nombre de lignes des tableaux commençant par « 0 ».

Le chemin d'accès peut être complet ou relatif. Les chemins d'accès complets sont constitués en commençant par le nom de la section de document, alors que les chemins d'accès relatifs sont constitués en commençant par le nom de l'élément enfant du groupe.

Par exemple, pour traiter la troisième ligne de la colonne « Total » du tableau « Table », qui se situe dans la section « Section », vous devez écrire ce qui suit :

"Section\Table[2]\Total"

Ce nom complet peut être créé via la méthode FullName de l'objet IField.


Scripts permettant de personnaliser les étapes de traitement

Cette section explique comment utiliser des scripts pour créer des règles personnalisées, pour exporter et pour créer des gestionnaires d'exportation dans ABBYY FlexiCapture 10.0.

puce Types de scripts
puce Objets
puce Exemples de scripts


Types de scripts

Sous FlexiCapture 10.0, vous pouvez créer les types de scripts suivants :

puce | Règle de script
puce | Script d'autocorrection
puce | Script d'exportation
puce | Script utilisateur (action personnalisée)
puce | Script d'assemblage de document
puce | Script de reconnaissance personnalisée
puce | Règle d'étape
puce | Scripts de traitement
puce | Gestionnaires d'événements

Pour afficher les exemples des types de scripts susmentionnés, veuillez consulter à la section Exemples de scripts.


Règle de script

Les règles basées sur des scripts vous permettent de créer des algorithmes personnalisés et complexes permettant de valider et de normaliser un document.

La règle de script se configure via l'onglet Règles des propriétés de la définition de document.

Paramètres

Nom | Type | Accès | Description
Context | IRuleContext | Conformément aux paramètres de la règle | Le contexte de la règle

Les procédures que vous souhaitez utiliser dans plusieurs règles doivent être écrites dans un module global de règles accessible depuis l’éditeur de scripts. Sélectionnez Module de script global de règle dans la liste déroulante de la barre d'outils de l’éditeur de scripts. Le module global de règles est également accessible depuis l'éditeur de définitions de documents (Définition de document>Modules de scripts>Règle de script…).

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script ou dans le module global, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des Propriétés de la définition de document.

Consultez également Définition d'une règle à l'aide d'un script.


Script d'autocorrection

Ce script vous permet de convertir des valeurs de champs et d'exécuter les vérifications de format indépendamment du contexte.

Le script se configure via l'onglet Type de données de la boîte de dialogue Propriétés de champ.

Paramètres

Nom | Type | Accès | Description
Value | IValue | Lecture/écriture | Valeur du champ

Remarque : Si l'option N'appliquer la correction automatique qu'après la reconnaissance est sélectionnée, le message d'erreur de format spécifié dans IValue.ErrorMessage ne s'affiche pas car ces erreurs ne peuvent pas être corrigées.

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des Propriétés de la définition de document.

Consultez également la section Traitement des valeurs entrées.


Script d'exportation

Ce script vous permet de personnaliser l'exportation.

Le script se configure via l'onglet Destinations d’exportation des propriétés de définitions de documents.

Paramètres

Nom | Type | Accès | Description
Document | IDocument | Lecture seule | Le document à exporter
Processing | IProcessingCallback | Lecture seule | L'objet permettant de journaliser des informations concernant le traitement

Remarque : Les informations concernant les résultats d'exportation doivent être écrites dans le champ Document.Action.

Les procédures que vous souhaitez utiliser dans plusieurs scripts d’exportation doivent être écrites dans un module global d’exportation accessible depuis l’éditeur de scripts. Sélectionnez Module de script global d'exportation dans la liste déroulante de la barre d'outils de l’éditeur de scripts. Le module global d'exportation est également accessible à partir de l'éditeur de Définitions de Documents (Définition de Document>Modules de scripts>Exporter un script…).

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script ou dans le module global, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des Propriétés de la définition de document.

Pour plus de détails sur la configuration du script d'exportation, consultez Description d'une exportation à l'aide d'un script.


Script utilisateur (action personnalisée)

Il s'agit d'une règle de script personnalisée déclenchée par l’utilisateur lorsqu'il affiche un champ pendant la vérification de champs. Elle peut aussi être déclenchée dans l’éditeur de documents.

Le script se configure via l'onglet Personnaliser une action de la boîte de dialogue Propriétés du champ.

Paramètres

Nom | Type | Accès | Description
Context | IRuleContext | Conformément aux paramètres de la règle | Le contexte de la règle

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des Propriétés de la définition de document.

Consultez également Script utilisateur.


Script d'assemblage de document

Ce script est utilisé pour déterminer si le tableau de documents transmis à l'utilisateur peut être fusionné en un seul document.

Pour ce faire, des erreurs d'assemblage sont générées pour le document obtenu. Voici la condition permettant de réussir un assemblage : deux documents seront fusionnés en un seul si le document obtenu ne contient pas plus d'erreurs d'assemblage que l'un des documents source.

Le script se configure via l'onglet Assemblage des propriétés de définitions de documents. Pour ouvrir la fenêtre de l'éditeur de scripts, cliquez sur le bouton Modifier le script d'assemblage… sous l'option Utiliser les règles d'assemblage personnalisées.

Ce script s'exécute automatiquement après la reconnaissance. Il peut aussi être exécuté manuellement pour actualiser l'assemblage (pour cela, sélectionnez la commande Outils > Actualiser l'assemblage).
Dans le premier cas, le script contiendra un certain nombre d'erreurs d'assemblage générées pendant la vérification standard.

Paramètres

Nom | Type | Accès | Description
Documents | IDocuments | Lecture seule | Un ensemble de documents dont les pages sont associées
AssemblingErrors | IAssemblingErrors | Contrôle total | Erreurs d'assemblage obtenues

Remarque : Pour obtenir une meilleure optimisation du processus d'assemblage, il est recommandé d'éviter de traiter les données « internes » des documents (données non disponibles à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache). Pendant le traitement des données internes des documents, le document est chargé dans son intégralité ce qui peut ralentir le processus d'assemblage. Si vous devez traiter les champs d'un document, il est préférable d'utiliser les champs d'index.

Remarque : Le paramètre AssemblingErrors du script peut contenir différentes erreurs d'assemblage. Ces erreurs dépendent de la méthode d'obtention du paramètre :

  1. Le paramètre AssemblingErrors peut être transmis au script comme étant l'un des paramètres d'entrée. Dans ce cas, il contiendra l'erreur de la vérification en cours.
  2. L'un des paramètres d'entrée du script est un ensemble de documents pour lequel le script d'assemblage se lance. Chaque document comporte ses propres erreurs d'assemblage qui peuvent être récupérées de la manière suivante : document.AssemblingErrors. Dans ce cas, le paramètre AssemblingErrors contiendra les erreurs de la dernière vérification du document spécifié.

Les procédures que vous souhaitez utiliser dans plusieurs règles doivent être écrites dans un module global de règles accessible depuis l’éditeur de scripts. Sélectionnez Module de script global de règle dans la liste déroulante de la barre d'outils de l’éditeur de scripts. Le module global de règles est également accessible depuis l'éditeur de définitions de documents (Définition de document>Modules de scripts>Règle de script…).

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script ou dans le module global, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des Propriétés de la définition de document.

Consultez la section Création de définitions de documents pour des documents multipages.


Script de reconnaissance personnalisée

Grâce à ce script, vous pouvez définir un algorithme personnalisé de reconnaissance (ou d'initialisation) pour les champs comportant des régions.

Le script de reconnaissance personnalisée se configure via l'onglet Reconnaissance de la boîte de dialogue Propriétés du champ.

Le script se lance lorsqu'une valeur de champ est initialisée à partir des résultats du logiciel de reconnaissance. La zone d'image en cours de reconnaissance est transmise au script en tant que paramètre d'entrée. La présentation du document n'est pas initialisée à ce moment. L'accès aux champs de documents est donc refusé (toutefois, l'accès à l'enregistrement et aux autres paramètres est autorisé).

Paramètres

Nom | Type | Accès | Description
Result IValue / ICheckmarkValue / ICheckmarkGroupValue Contrôle total.
L'accès à l'indicateur CharacterParams.NeedVerification est refusé.
L'indicateur CharacterParams.IsSuspicious est disponible avec les droits en lecture/écriture. 		La valeur reconnue obtenue. Les paramètres reçus peuvent être de l'un des types suivants, cela dépend du type de champ :
  • IValue - pour les champs de texte
  • ICheckmarkValue - pour les coches
  • ICheckmarkGroupValue - pour les groupes de coches
FieldRegion | IFieldRegion | Lecture seule, uniquement les données pouvant être mises en cache (s'applique également à tous les éléments parents) | La région à reconnaître

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des Propriétés de la définition de document.

Consultez également Options de reconnaissance pour les champs texte.


Règle d'étape

Ce script est utilisé pour déterminer si le document peut être acheminé vers une certaine étape. S'applique dans les paramètres de la règle dans le mode Avancé de la configuration du workflow.

Si une erreur se produit pendant l'exécution du script, le document sera envoyé vers l'étape Exceptions.

Paramètres

Nom | Type | Accès | Description
Document | IDocument | Lecture seule | Le document pour lequel la vérification est effectuée
Result | IRoutingRuleResult | Lecture/écriture | Le résultat de l'exécution de la règle

Les procédures que vous souhaitez utiliser dans plusieurs règles doivent être écrites dans un module global de règles accessible depuis l’éditeur de scripts. Sélectionnez NonInteractiveProcessor dans la liste déroulante de la barre d'outils de l’éditeur de scripts.

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script ou dans le module global, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des propriétés du type de lot (pour un type de lot particulier) ou des propriétés du projet (pour un type de lot inconnu).


Scripts de traitement

Les scripts de traitement de lots et de documents vous permettent de modifier respectivement la structure des documents ou des lots, de spécifier un ordre de sections de document personnalisé ou de spécifier l'ordre des documents dans le lot. Les scripts de traitement peuvent être ajoutés lors de la création d'une étape personnalisée dans le mode Avancé de la configuration du workflow.

Les scripts sont utilisés pour traiter plusieurs documents et peuvent journaliser la progression du traitement.

Script de traitement de documents

Tous les documents à traiter sont transmis l'un après l'autre à ce script :

Paramètres

Nom | Type | Accès | Description
Document | IDocument | Contrôle total | Le document à traiter
Processing | IProcessingCallback | Contrôle total | L'objet permettant de journaliser des informations concernant le traitement

Remarque : Si la tâche est annulée, le statut de traitement deviendra false (similaire à l'utilisation de la méthode IProcessingCallback.ReportError).

Script de traitement de lot

Les paramètres d'entrée du script sont constitués d'un lot et d'un ensemble de documents de ce lot à traiter. L'itération sur les documents est implémentée par l'utilisateur.

L'avantage du script de traitement de lot est que les méthodes, pouvant changer la structure du lot, sont disponibles dans ce script. Ces méthodes permettent de déplacer et de supprimer des documents et des pages.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | Lecture seule, uniquement les données pouvant être mises en cache | Le lot
Documents | IDocuments | Contrôle total. Les documents pour lesquels la structure du lot peut être modifiée. | Documents à traiter
Processing | IProcessingCallback | Contrôle total | L'objet permettant de journaliser des informations concernant le traitement


Gestionnaires d'événements

Grâce à FlexiCapture 10.0, vous pouvez créer des gestionnaires d'événements pour des événements de lots, de documents et de champs.

Les gestionnaires d'événements sont stockés dans le type de lot. Ils se configurent via l'onglet Gestionnaires d'événements des propriétés du type de lot (pour un type de lot particulier) ou des propriétés du projet (pour un type de lot inconnu).

Les procédures que vous souhaitez utiliser dans plusieurs gestionnaires d'événements doivent être écrites dans un module global de règles accessible depuis l’éditeur de scripts. Dans la liste déroulante de la barre des tâches de l’éditeur de scripts, sélectionnez Événements.

Si les classes et les méthodes d'un assemblage externe sont utilisées dans le script ou dans le module global, le fichier d'assemblage doit être épinglé à l'onglet Références .Net des propriétés du type de lot (pour un type de lot particulier) ou des propriétés du projet (pour un type de lot inconnu).

Événements de lots
puce | Une fois le fichier créé
puce | Avant la suppression du fichier
puce | Avant la modification des paramètres du lot
puce | Une fois la page ajoutée
puce | Avant la suppression de la page
puce | Une fois le document créé
puce | Avant la suppression du document
puce | Avant le déplacement des pages
puce | Une fois le lot ouvert
puce | Avant la fermeture du lot
puce | Vérification de l’intégrité du lot
Événements de documents
puce | Avant la modification des paramètres du document
puce | Une fois que la modification de l'état du document a été apportée
puce | Une fois l'exportation terminée
puce | Avant l'association
Événements de champs
puce Requête de vérification de champs


Lot créé

Effet produit

Le gestionnaire de cet événement est utilisé lorsque vous devez effectuer certaines manipulations sur le lot, par ex., pour enregistrer des données dans les paramètres d'enregistrement du lot.

Moment où le script se lance

Le script se lance dès l'ajout d'un lot au projet.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | Seuls les champs du lot pouvant être mis en cache sont disponibles. L'accès aux données pouvant être mises en cache est en lecture seule. | Un lot nouvellement ajouté


Lot supprimé

Effet produit

Le gestionnaire de cet événement est utilisé si vous devez supprimer certaines données du lot.

Moment où le script se lance

Le script se lance avant de supprimer le lot.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | Seuls les champs du lot pouvant être mis en cache sont disponibles. L'accès aux données pouvant être mises en cache est en lecture seule. | Le lot en cours de suppression


Modification des paramètres du lot

Effet produit

Le gestionnaire de cet événement peut être utilisé pour formater certaines propriétés du lot.

Propriétés

  • Type de lot (nom du type de lot)
  • Nom du lot
  • Description du lot
  • Valeur du paramètre d’enregistrement
  • Priorité du lot (sous forme d'une chaîne). Pour obtenir la liste des valeurs autorisées, consultez la description de l'objet TProcessingPriority.

Moment où le script se lance

Le script se lance avant de modifier la propriété d'un lot.

Remarque : ce script ne permet pas de spécifier une nouvelle valeur de type de lot.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | Seuls les champs du lot pouvant être mis en cache sont disponibles. L'accès aux données pouvant être mises en cache est en lecture seule. | Le lot dont la propriété est en cours de modification
PropertyModification | IPropertyModificationInfo | Contrôle total | Stocke les informations concernant la propriété en cours de modification. Permet de remplacer la valeur définie.


Modification de la structure d'un lot (page ajoutée/page supprimée)

Effet produit

Le gestionnaire de cet événement peut être utilisé si vous devez effectuer certaines manipulations sur le lot, le document ou la page en fonction d'une nouvelle image. Par exemple, pour compter le nombre de pages ajoutées au lot et s'assurer qu'aucune page n'est manquante.

Moment où le script se lance

Le script se lance dès l'ajout de pages (ou de documents) ou avant leur suppression.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | Seuls les champs du lot pouvant être mis en cache sont disponibles | Le lot en cours de manipulation
Document (ou Page) | IDocument (ou IPage) | les données du document modifié pouvant être mises en cache peuvent être modifiées. L'accès au document supprimé et aux autres documents du lot est en lecture seule. | L'élément en cours de suppression (ou à ajouter).


Pages déplacées

Remarque : les pages peuvent également être déplacées pendant l'assemblage du document.

Effet produit

Le gestionnaire de cet événement peut être utilisé si vous devez effectuer certaines manipulations sur le nouveau document en fonction des documents source, par exemple, pour enregistrer les paramètres d'enregistrement fusionnés.

Si un seul document est entièrement intégré à un seul autre document, alors dans le tableau de Pages, ses pages se suivront et seront dans le même ordre que celles du document cible.

Remarque : Une fois que les pages sont fusionnées, la présentation du document cible peut être modifiée.

Moment où le script se lance

Le script se lance avant de déplacer les pages d'un document à l'autre.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | uniquement les données pouvant être mises en cache | Le lot
TargetDocument | IDocument | Contrôle total | Les pages du document cible sont déplacées dans
InsertionPosition | entier | Lecture seule | La position à laquelle les pages sont insérées dans le document
Pages | IPages | Lecture seule | Le tableau de pages en cours de déplacement


Lot ouvert/fermé

Moment où le script se lance

Le script se lance dès l'ouverture ou avant la fermeture du lot.

Paramètres

Nom | Type | Accès | Description
Batch | IBatch | L'accès aux champs du lot est en lecture seule et est uniquement possible pour les fichiers pouvant être mis en cache. L'accès aux données pouvant être mises en cache est en lecture seule. | Le lot


Vérification de l’intégrité du lot

Effet produit

Vérifie si le nombre de documents spécifié sur la page de contrôle coïncide avec l'inventaire du lot et avec le nombre de documents réellement traités. Si les nombres ne correspondent pas, une erreur est retournée.

Moment où le script se lance

Le script se lance avant d'exporter (s'il est inclus dans les paramètres d'acheminement) ou grâce à une commande explicite de l'utilisateur.

Paramètres

Nom | Type | Accès | Description
CheckResults | IBatchCheckResults | Lecture seule, uniquement les données pouvant être mises en cache | L'objet fournissant l'accès au lot en cours de vérification. Également utilisé pour définir les résultats de la vérification.


Modification de paramètres du document

Effet produit

Le gestionnaire de cet événement peut être utilisé pour formater certaines propriétés du document.

Propriétés du document

  • Commentaire
  • Valeur du paramètre d’enregistrement
  • ExternalID
  • Priorité du document (spécifiée sous la forme d'une chaîne). Pour obtenir la liste des valeurs autorisées, consultez la description de l'objet TProcessingPriority.

Moment où le script se lance

Le script se lance avant de modifier la propriété d'un document.

Paramètres

Nom | Type | Accès | Description
Document | IDocument | uniquement les données pouvant être mises en cache | Le document
PropertyModification | IPropertyModificationInfo | Contrôle total | Stocke les informations concernant la propriété en cours de modification


Modification de l'état du document

Effet produit

L'état du document peut être décrit à tout moment à l'aide d'un tableau d'indicateurs. L'événement se produit chaque fois que l'état change. Un ensemble d'indicateurs décrivant les modifications apportées à l'état du document est transmis à l'événement sous la forme de paramètres d'entrée.

Indicateurs déterminant l'état du document

  • Preprocessed
  • Analyzed
  • Recognized
  • HasErrors
  • Assembled
  • Verified
  • Exported
  • HasLayout

Moment où le script se lance

Le script se lance à l'exportation du document, sous réserve du fait que l'état du document ait été modifié pendant qu'il était lu.

Paramètres

Nom | Type | Accès | Description
Document | IDocument | Contrôle total | Le document
ChangedStates | IScriptBinaryAttributes<TStateType> | Lecture seule | Stocke les informations concernant les modifications apportées à l'état du document


Exportation terminée

Les résultats de l'exportation sont transmis aux scripts sous forme de paramètres d'entrée.

Moment où le script se lance

Le script se lance une fois que la tâche d'exportation est terminée. Si l'option Traiter l'intégralité des lots est sélectionnée pour l'étape Exportation, la tâche contiendra tous les documents du lot. Si l'option est désélectionnée, le nombre de documents contenus dans la tâche peut varier entre un seul document et tous les documents du lot. Le script se lance quel que soit le résultat d'exportation (si elle a réussi ou échoué). C'est principalement ce qui différence ce script de l'événement « État du document modifié ».

Si certaines cibles d'exportation sont omises (du fait que le document a été exporté vers ces cibles auparavant), alors pour les résultats d'exportation correspondants, la valeur de l'indicateur Applied sera false.

Paramètres

Nom | Type | Accès | Description
ExportResults | IDocumentsExportResults | Lecture seule, uniquement les données pouvant être mises en cache | Les résultats d'exportation pour tous les documents et toutes les cibles d'exportation
Processing | IProcesingCallback | Contrôle total | L'objet permettant de journaliser des informations concernant le traitement


Avant l'association

Effet produit

Le gestionnaire de cet événement vous permet de contrôler les sections ou définitions de documents qui seront associées sur chaque page suivante et d'indiquer l'ordre d'association.

Grâce à ce script, vous pouvez désactiver la reconnaissance de documents une fois que la définition de documents est associée. Pour cela, réglez le paramètre IMatchingInfo.NeedRecognition sur false. Ce réglage peut s'avérer utile si les valeurs de champs sont censées être entrées manuellement.

Il est également possible de marquer la page en tant que page d'annexe ne nécessitant pas de reconnaissance. Pour cela, il est nécessaire de spécifier une liste des sections vides et de régler le paramètre IMatchingInfo.ForceMatch sur true.

Moment où le script se lance

Le script se lance avant l'association des sections sur chaque page suivante.

Paramètres

Nom | Type | Accès | Description
Document | IDocument | Lecture seule, uniquement les données pouvant être mises en cache | Le document dont les pages sont en cours d'analyse
PageIndex | entier | Lecture seule, uniquement les données pouvant être mises en cache | L'index de la page du document à analyser
Matching | IMatchingInfo | Contrôle total | L'objet spécifiant certains des paramètres d'association


Requête de vérification de champs

Effet produit

Le script vous permet de spécifier les champs à exclure de la vérification contextuelle. Il peut être utilisé pour vérifier différents champs dont les étapes de traitement sont différentes.

Les paramètres d'entrée du script sont un champ et un document.

Moment où le script se lance

Le script se déclenche pour tous les champs avant d'effectuer la vérification contextuelle. Le script n'est pas exécuté pour les champs non soumis à la vérification contextuelle.

Paramètres

Nom | Type | Accès | Description
Field | IField | Lecture seule | Le champ en cours de vérification
Document | IDocument | Lecture seule | Le document contenant le champ
NeedVerification | IBoxedBoolean | Contrôle total | Indique si le champ doit être vérifié. Si la valeur est réglée sur « false », le champ n'est pas vérifié.


Objets

Cette section contient la description des objets utilisés dans les scripts, leurs propriétés et leurs méthodes.

Remarque : Certaines méthodes enrichissent les fonctionnalités des méthodes disponibles dans la version précédente. Toutefois, les anciennes méthodes ont été conservées afin d'assurer la rétrocompatibilité.
Les noms de ces méthodes commencent par le mot [Obsolete] entre crochets.

puce | IActionResult
puce | IAssemblingError
puce | IAssemblingErrors
puce | IBatch
puce | IBatchCheckResults
puce | IBoxedBooleanValue
puce | ICharacterParams
puce | ICharactersParams
puce | ICheckmarkGroupValue
puce | ICheckmarkValue
puce | IDocument
puce | IDocumentDefinitionInfo
puce | IDocumentExportResults
puce | IDocuments
puce | IDocumentsExportResults
puce | IEditablePictureObject
puce | IExportImageSavingOptions
puce | IField
puce | IFieldRegion
puce | IFieldRegions
puce | IFields
puce | IFlexiCaptureTools
puce | IMatchedSectionInfo
puce | IMatchingInfo
puce | IPage
puce | IPages
puce | IPictureObject
puce | IPrincipal
puce | IPrincipals
puce | IProcessingCallback
puce | IProject
puce | IProperties
puce | IProperty
puce | IPropertyModificationInfo
puce | IRect
puce | IRects
puce | IRoutingRuleResult
puce | IRuleContext
puce | IScriptBinaryAttributes
puce | IStageInfo
puce | IValue
puce | IVARIANTArray
puce | TAssemlingErrorType
puce | TExportFieldType
puce | TExportType
puce | TPrincipalType
puce | TProcessingPriority
puce | TPropertyType
puce | TStateType


IActionResult

Effet produit

Un objet spécial utilisé pour décrire si l'exportation (ou un événement post-exportation) d'un document particulier a réussi ou non.

Propriétés

Nom | Type | Accès | Description
Succeeded | booléen | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Indique si l'opération a réussi
ErrorMessage | chaîne | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Un message d'erreur
Result | chaîne | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Description formelle du résultat de l'opération. Dans le cas d'une exportation, une description du chemin d'accès vers lequel le document a été exporté (par exemple, un chemin d'accès vers le fichier).
Name | chaîne | Lecture seule | Le nom du profil d'exportation
Type | TExportType | Lecture seule | Le type de profil d'exportation (s'applique au script Exportation terminée)
Applied booléen Lecture seule Indique si le document a été exporté vers la cible pendant la session d'exportation en cours. Pour la valeur false de l'indicateur :
  • Si la valeur de l'indicateur Succeeded est true, cela signifie que le document a précédemment été exporté vers la cible ;
  • si la valeur de l'indicateur Succeeded est false, cela signifie que le document n'est pas adapté à l'exportation vers cette cible (par ex. en raison d'une erreur).


IAssemblingError

Effet produit

Représente une erreur d'assemblage de document.

Propriétés

Nom | Type | Accès | Description
Type | TAssemblingErrorType | Lecture seule | Le type d'erreur d'assemblage
Description | chaîne | Lecture seule | La description
SectionName | chaîne | Lecture seule | Le nom de la section manquante (dans le cas d'une erreur AET_ObligatoryItemOmitted). Pour les pages d'annexes, le nom de la section est vide.
Position | entier | Lecture seule | La position dans le document
Weight | chaîne | Lecture seule | L'importance de l'erreur


IAssemblingErrors

Effet produit

Un ensemble d'objets IAssemblingError.

Il ne peut être modifié que dans le script assemblage de documents.

Méthodes

Définitions | Description
AddSectionOmittedError( int position, sectionName : chaîne, [facultative] description ) | Ajoute une erreur en rapport avec une section manquante.
AddRedundantPageError( int position, [optional] description ) | Ajoute une erreur en rapport avec une page supplémentaire.
AddCustomError( description : string, [optional] weight : int ) | Ajoute une erreur d'assemblage personnalisée.

Important ! La méthode AddCustomError doit être utilisée avec prudence et uniquement si aucune autre méthode n'est adaptée. Étant donné que l'assemblage du document est entièrement déterminé par le nombre d'erreurs, l'importance de l'erreur doit être correctement définie lors de l'ajout de ces erreurs. Cependant, définir correctement l'importance peut engendrer des difficultés.

Il est recommandé de ne pas associer plusieurs erreurs standard dans une seule CustomError qui produirait un seul message d'erreur commun.


IBatch

Effet produit

Représente le lot.

Méthodes

Important ! Pour les méthodes ci-dessous, les autorisations permettant de modifier la structure du lot sont requises. Ces méthodes peuvent uniquement être appelées à partir du script traitement de lot.

Définitions | Description
MovePage( source : IDocument, target : IDocument, sourcePageIndex : int, int targetPageIndex : int ) | Déplace la page avec l'index « sourcePageIndex » à partir du document « source » vers le document « target » " à la position « targetPageIndex ».
MoveDocument( source : IDocument, targetPosition : int ) | Déplace le document vers une position spécifique dans le lot.
CreateDocumentFromPage( targetPosition : int, page : IPage ): IDocument | Récupère une page à partir du document pour créer un nouveau document à partir de cette page.
DeleteDocument( document : IDocument ) | Supprime le document.
DeletePage( page : IPage ) | Supprime la page.
CleanRecognitionResults( document : IDocument ) | Efface les résultats de reconnaissance du document.
[Obsolete] RegistrationProperty( name : string ) : string | Récupère un paramètre d'enregistrement via le nom. Conservé pour la rétrocompatibilité.

Propriétés

Nom | Type | Accès | Description
BatchTypeName | chaîne | Lecture seule | Le nom du type de lot
Documents | IDocuments | Lecture seule | Renseigne sur la composition du lot
Id | entier | Lecture seule | L'identificateur du lot. Le paramètre est unique dans le lot.
Name | chaîne | Lecture/écriture | Nom du lot
Properties | IProperties | Lecture seule | Paramètres nommés du lot
Comment | chaîne | Lecture/écriture | Un commentaire
Project | IProject | Lecture seule | Un projet contenant le lot
Priority | TProcessingPriority | Lecture/écriture | Une priorité du lot
[Obsolete] RegistrationProperties | IProperties | Lecture/écriture | Les paramètres d’enregistrement du lot. Conservé pour la rétrocompatibilité.


IBatchCheckResults

Effet produit

Représente le contexte de la « vérification de l'intégrité du lot ».

Propriétés

Nom | Type | Accès | Description
Batch | IBatch | Lecture seule | Le lot
CheckSucceeded | booléen | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Indique si la vérification a réussi
ErrorMessage | chaîne | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Le message d'erreur


IBoxedBoolean

Effet produit

Importe/exporte les valeurs booléennes à partir des/vers les scripts.

Propriétés

Nom | Type | Accès | Description
Value | booléen | Lecture/écriture | La valeur


ICharacterParams

Effet produit

Stocke les informations concernant les propriétés du symbole.

Méthodes

Définitions | Description
SetRect( newRect : string, [optional] pageId : int ) | Définit un nouveau rectangle de caractère. Le paramètre newRect doit être transmis sous la forme d'une chaîne « [left, top, right, bottom] ». L'intégralité du rectangle défini doit se trouver dans la région du champ contenant le symbole.

Propriétés

Nom | Type | Accès | Description
Symbol | chaîne | Lecture/écriture | Un symbole (une chaîne constituée d'un symbole).
IsSuspicious | booléen | Lecture/écriture | Indique si le symbole est reconnu avec certitude. Cet indicateur ne s'applique qu'au script reconnaissance personnalisée.
NeedVerification | booléen | Lecture/écriture | Indique si une vérification supplémentaire est requise pour le symbole. La valeur de cet indicateur détermine si le symbole sera mis en surbrillance ou non.
Rect | IRect | Lecture seule | Un rectangle contenant ce symbole. Si le rectangle n'est pas spécifié, Null est retourné.
PageId | entier | Lecture seule | Identifie les pages sur lesquelles le rectangle du symbole se situe. Nécessaire pour les champs multipages.
Confidence | entier | Lecture seule | Le niveau de certitude quant à la reconnaissance d'un symbole. Le paramètre est uniquement conservé si l'option « Stocker le niveau de certitude dans le type de lot » est sélectionnée. La valeur varie de 0 à 55.


ICharactersParams

Effet produit

Un tableau d'objets ICharacterParams.


ICheckmarkGroupValue

Effet produit

Un ensemble d'objets ICheckmarkValue.


ICheckmarkValue

Effet produit

Représente une valeur de coche.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Nom de coche (nom de champ dans la définition de document)
Value | booléen | Lecture/écriture | Valeur de coche
IsSuspicious | booléen | Lecture/écriture | Si une valeur de coche est reconnue avec certitude ou non
Rect | IRect | Lecture seule | Un rectangle de coche


IDocument

Effet produit

Représente le document.

Méthodes

Définitions | Description
Field( name : string ) : IField Donne l'accès à un champ du document via le chemin d'accès complet du champ. Les Chemins d'accès complets sont utilisés.
Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
Impossible à utiliser dans les règles.
HasField( name : string ) : bool Vérifie si un champ existe pour le chemin d'accès spécifié. Les Chemins d'accès relatifs sont utilisés.
Non disponible à partir des scripts pouvant uniquement accéder aux données pouvant être mises en cache.
Impossible à utiliser dans les règles.
SaveAs( filename : string, [optional] options : IExportImageSavingOptions ) Enregistre l'image du document. Par défaut, si les options ne sont pas spécifiées, l'image est enregistrée au format *.tif.
Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
IndexedItemValues( name : string ) : IVARIANTArray | Récupère un ensemble de valeurs d'index correspondant à un champ dans la définition de document via le nom ou le chemin d'accès du champ. Si un champ est signalé en tant que champ d'index dans la section récurrente, la méthode renvoie toutes les valeurs du champ de toutes les sections. Disponible à partir des données pouvant être mises en cache. Un nom de champ et un chemin d'accès complet du champ peuvent tous deux être utilisés. Impossible à utiliser dans les règles.
IndexedItemValue( name : string ) : VARIANT | Récupère la valeur du champ via le nom ou le chemin d'accès du champ. Disponible à partir des données pouvant être mises en cache. Un nom de champ et un chemin d'accès complet du champ peuvent tous deux être utilisés. Impossible à utiliser dans les règles.
CheckRules( ) | Vérifie toutes les règles contenues dans le document. Des droits en écriture sont requis pour le document.
Property( name : string ) : VARIANT Récupère la valeur d'une propriété spécifique via son nom. La valeur retournée peut être retournée sous la forme d'une chaîne, d'un nombre ou d'une heure.

Noms de propriétés et valeurs retournées :
  • Exported : date à laquelle le document a été exporté
  • ExportedBy : personne ayant exporté le document
  • Created : date à laquelle le document a été créé
  • CreatedBy : personne ayant créé le document
  • Recognized : date à laquelle le document a été reconnu
  • RecognizedBy : personne ayant reconnu le document
  • Modified : dernière date à laquelle le document a été modifié
  • ModifiedBy : personne ayant modifié le document
  • TotalSymbolsCount : nombre total de symboles
  • UncertainSymbolsCount : nombre total de symboles incertains
  • RecognizedSymbolsCount : nombre de symboles reconnus
  • Comment : commentaire sur le document
  • ProcessingErrors : erreurs de traitement du document
  • ProcessingWarnings : avertissements de traitement du document

Important ! La méthode Property ne doit pas être confondue avec l'ensemble Propriétés contenant les propriétés du document spécifiées par l'utilisateur.

Propriétés

Nom | Type | Accès | Description
Pages | IPages | Lecture seule | Pages du document.
Children | IFields | Lecture seule | Champs enfants (sections du document). Contrairement à la méthode Sections, l'ordre des sections correspond à celui de la définition de document. Les sections récurrentes sont représentées sous la forme d'un seul élément et les instances sont disponibles via la méthode Items de cet élément. Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
Sections | IFields | Lecture seule | Une liste d'indicateurs des sections du document. S'il s'agit d'une section récurrente, la liste contient toutes les reproductions de la section. Les sections de la liste ont le même ordre que les premières pages des sections du document. Les sections ne contenant aucune page sont en fin de liste. Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
IsAssembled | booléen | Lecture seule | Indique si le document est assemblé.
IsVerified | booléen | Lecture seule | Indique si le document est vérifié.
IsExported | booléen | Lecture seule | Indique si le document est exporté.
IsAnalyzed | booléen | Lecture seule | Indique si le document est analysé. Le document est considéré comme analysé si toutes les pages du document sont analysées.
IsRecognized | booléen | Lecture seule | Indique si le document est reconnu. Le document est considéré comme reconnu si chaque page du document est reconnue ou s'il s'agit d'une page d'annexe.
HasUnpreparedImages | booléen | Lecture seule | Indique si le document contient des pages non prétraitées.
DefinitionName | chaîne | Lecture seule | Le nom de la définition de document.
ProcessingErrors | chaîne | Lecture seule | Erreurs de traitement séparées par des sauts de ligne.
ProcessingWarnings | chaîne | Lecture seule | Avertissements séparés par des sauts de ligne.
TotalSymbolsCount | entier | Lecture seule | Le nombre total de symboles.
RecognizedSymbolsCount | entier | Lecture seule | Le nombre de symboles reconnus.
UncertainSymbolsCount | entier | Lecture seule | Le nombre de symboles incertains.
SymbolsForVerificationCount | entier | Lecture seule | Le nombre de symboles à vérifier.
Id | chaîne | Lecture seule | Identificateur de document (ID externe).
BatchName | chaîne | Lecture seule | Le nom du lot.
Batch | IBatch | Lecture seule | Le lot. Quelles que soient les autorisations du script pour le document, l'accès au lot est en lecture seule et seules les données pouvant être mises en cache sont disponibles.
Properties | IProperties | Lecture seule | Les paramètres d’enregistrement du document.
Action | IActionResult | Lecture seule | Ne s'applique qu'aux scripts d'exportation et de post-exportation.
AssemblingErrors | IAssemblingErrors | Lecture seule | Un ensemble d'erreurs d'assemblage. L'accès à l'ensemble est toujours en lecture seule.
IsExcludedFromAutomaticAssembling | booléen | Lecture/écriture | Vérifie si le document est inclus dans l'assemblage automatique.
Comment | chaîne | Lecture/écriture | Un commentaire du document.
HasErrors | booléen | Lecture seule | Indique si le document comporte des erreurs de règle ou de format.
HasWarnings | booléen | Lecture seule | Indique si le document comporte des avertissements de règle ou de format.
StageInfo | IStageInfo | Lecture seule | Informations sur l'étape de traitement du serveur d'application.
Index | entier | Lecture seule | L'index du document dans le lot.
Priority | TProcessingPriority | Lecture seule | Une priorité du document.
DocumentDefinition | IDocumentDefinitionInfo | Lecture seule | Informations détaillées sur la définition de document associée au document. Pour les documents non traités et non reconnus, la propriété retourne une chaîne vide.
[Obsolete]TemplateName | chaîne | Lecture seule | Le nom de la définition de document. Conservé pour la rétrocompatibilité.
[Obsolete] RegistrationProperty( name : string ) | chaîne | Lecture seule | Récupère un paramètre d'enregistrement via le nom. Conservé pour la rétrocompatibilité.
[Obsolete] RegistrationProperties | IProperties | Lecture seule | Les paramètres d’enregistrement du lot. Conservé pour la rétrocompatibilité.


IDocumentDefinitionInfo

Effet produit

Contient les informations détaillées sur la définition de document associée au document.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Le nom de la définition de document.
Version | entier | Lecture seule | La version de la définition de document.


IDocumentExportResults

Description

L'objet représente un ensemble de résultats d'exportation d'un document vers différentes cibles. Il s'agit d'un ensemble d'objets IActionResult contenant des informations relatives à l'exportation pour des cibles particulières.

Propriétés

Nom | Type | Accès | Description
Succeeded | booléen | Lecture seule | Indique si l'exportation du document a réussi.
ErrorMessage | chaîne | Lecture seule | Le message décrivant les raisons pour lesquelles l'exportation a échoué.
Document | IDocument | Lecture seule | Le document exporté comportant les résultats obtenus.


IDocuments

Effet produit

Un ensemble d'objets IDocument.


IDocumentsExportResults

Effet produit

Un ensemble d'objets IDocumentExportResults.

L'objet représente les résultats d'exportation pour un ensemble de documents.


IEditablePictureObject

Effet produit

Représente une image pouvant être modifiée sous ABBYY FlexiCapture. L'objet constitue une extension de l'interface IPictureObject.

Méthodes

Définitions | Description
Rotate( angle : int ) | Fait pivoter l'image dans le sens horaire en respectant l'angle spécifié.
FlipHorizontal() | Fait basculer l'image horizontalement.
FlipVertical() | Fait basculer l'image verticalement.
Invert( [optional] rectString : string ) | Inverse l’image. Vous pouvez spécifier une chaîne comportant les coordonnées du rectangle à inverser.
ConvertToBW( [optional] threshold : int ) | Convertit l'image en noir et blanc. Vous pouvez spécifier un seuil de luminosité. Les valeurs supérieures au niveau Seuil (Threshold) seront considérées comme blanches et celles inférieures au niveau Seuil seront considérées comme noires. Le seuil de luminosité peut être compris entre 0 et 255 maximum.
Deskew( [optional] byLines : bool, [optional] byBlackSquares : bool, [optional] byText : bool ) | Réaligne l'image. L'inclinaison de l'image peut être corrigée en se basant sur des lignes droites, des carrés noirs ou du texte. Par défaut, le paramètre byText est réglé sur true.
Despeckle( [optional] garbageSize : int ) | Supprime le bruit des images en noir et blanc. Les traces seront supprimées jusqu'à la taille spécifiée. Si le paramètre garbageSize n'est pas spécifié, la taille est automatiquement détectée. Important ! La méthode ne s'applique qu'aux images en noir et blanc.
Erase( rectangle : string, [optional] red : int, [optional] green : int, [optional] blue : int ) | Efface une zone de l'image. Vous pouvez spécifier la couleur effaçant la zone. Par défaut, la couleur noire est utilisée.
CutOut( rect : string ) : IEditablePictureObject | Coupe un rectangle spécifié sur l'image et retourne ce rectangle.
Crop( rect : string ) | Rogne l'image en dehors du rectangle spécifié.
Scale( ratio : int ) | Étire ou compresse l'image par rapport à la taille de base, 100%. La méthode ne s'applique qu'à la taille en pixels de l'image. La taille physique de l'image reste inchangée.
FreeScale( newWidth : int, newHeight : int, newResolution : int ) | Redimensionne l'image en fonction des nouvelles valeurs.

Remarque : Le paramètre rect transmis aux méthodes CutOut et Crop est une chaîne sous la forme « [left, top, right, bottom] ». Pour obtenir cette chaîne, vous pouvez appeler la méthode ToString pour tous les objets de type IRect ou utiliser la méthode FCTools::Rect.


IExportImageSavingOptions

Effet produit

Décrit les options d'enregistrement d'images.

Propriétés

Nom | Type | Accès | Description
Format | chaîne | Lecture/écriture | Format d'enregistrement des images. Expressions autorisées : Paramètres « tif », « jpg », « bmp », « jpg2000 », « pcx », « png », « pdf » plus « -s » (pour PDF interrogeable) et « -a » (pour PDF/A). Les chaînes ne sont pas sensibles à la casse. Paramètres commençant par « - ». Ils peuvent être séparés par des espaces ou par des tabulations ou ne pas être délimités. Par exemple : « pdf -s », « pdf-a-s ».
ColorType | chaîne | Lecture/écriture | Système de couleurs. Valeurs autorisées : « FullColor », « GrayScale » et « BlackAndWhite" ». Les chaînes ne sont pas sensibles à la casse.
Resolution | entier | Lecture/écriture | Résolution d'image (mesurée en PPP).
ShouldOverwrite | booléen | Lecture/écriture | Indique si le fichier existant peut être écrasé.
Quality | entier | Lecture/écriture | Qualité d'image pour la compression JPEG (en termes de pourcentage).
AddProperFileExt | booléen | Lecture/écriture | Si la valeur est réglée sur « true », l'extension est définie en fonction du format d'image lors de l'enregistrement de l'image. Par défaut, la valeur est réglée sur « false ».
RecognitionLanguages | chaîne | Lecture/écriture | La liste de langues pouvant être utilisée pour la reconnaissance de documents destinés à l'exportation en PDF interrogeable. Comporte les noms internes des langues en anglais, séparés par des points-virgule, sans espace. Si la liste est vide, la langue de la définition de document appliquée au document est utilisée. Ne s'applique qu'aux pages d'annexe. Tout comme pour les pages auxquelles des sections sont associées, seuls les champs reconnus disposent d'une couche de texte. Étant donné que ces champs sont reconnus pendant l'étape de reconnaissance (et non pendant l'exportation), spécifier cette propriété n'influence pas les résultats de la reconnaissance.


IField

Effet produit

Un champ de document. Le type de champ peut être déterminé à partir du Type de propriété. Pour les champs de tableaux, les méthodes des objets Rows et Cell sont disponibles.

Méthodes

Définitions | Description
Suggest( VARIANT newSuggest ) | Ajoute une invite au champ.
Field( Path : string ) : IField | Recherche l'élément enfant en fonction de l'élément spécifié. Les Chemins d'accès relatifs sont utilisés. Seuls les synonymes des noms de champs, tels qu'ils sont définis dans les paramètres des règles, peuvent être utilisés dans les règles.
HasField( parameter : string ) : bool | Vérifie si un champ existe pour le chemin d'accès spécifié. Les Chemins d'accès relatifs sont utilisés. Seuls les synonymes des noms de champs, tels qu'ils sont définis dans les paramètres des règles, peuvent être utilisés dans les règles.
Cell( columnName : string, rowNum : int ) : IField | Récupère une cellule du tableau via le nom de la colonne et le nombre de lignes. Uniquement disponible pour les tableaux. Non disponible dans les règles de scripts.
CheckRules( ) | Vérifie les règles pour le champ donné et ses champs enfants. Impossible à utiliser dans les règles.

Propriétés

Nom | Type | Accès | Description
Type | TExportFieldType | Lecture seule | Le type de champ.
Name | chaîne | Lecture seule | Le nom du champ de la définition de document.
Items | IFields | Lecture seule | Instances du champ (lignes pour les champs du tableau).
Value | VARIANT | Lecture/écriture | La valeur du champ en tant que type VARIANT. Pour les champs d'images, dans les règles, l'objet retourné est une chaîne vide. L'objet IPictureObject est retourné dans les autres scripts. Pour les champs vides de type Date et Nombre, DBNull est retourné.
Text | chaîne | Lecture/écriture | Une représentation texte de la valeur de champ.
Symbols | ICharactersParams | Lecture seule | Informations concernant les propriétés des symboles.
IsVerified | booléen | Lecture/écriture | Indique si le document est vérifié. La valeur de champ peut être réglée sur « true » même sans droits en « écriture » pour le champ. Pour désélectionner l'indicateur, les droits en « écriture » sont requis.
NeedVerification | booléen | Lecture/écriture | Indique si le champ en lui-même (pas ses symboles) doit être vérifié.
IsMatched | booléen | Lecture seule | Indique si le champ est associé.
IsValid | booléen | Lecture seule | Indique si la valeur du champ est valide.
IsSuspicious | booléen | Lecture seule | Indique si la valeur du champ est reconnue avec certitude.
Regions* | IFieldRegions | Lecture seule | Un tableau de régions de champs. Les champs de s'étendant sur deux pages peuvent comporter plusieurs régions.
ReadOnly | booléen | Lecture seule | Indique si le champ dispose des droits « Lecture seule » (conformément aux paramètres de la définition de document). Lorsque ces droits sont utilisés dans les règles, ce paramètre indique que la règle dispose d'un droit en « écriture » pour le champ.
IsExportable | booléen | Lecture seule | Indique si le champ est destiné à l'exportation (conformément aux paramètres de la définition de document).
IsIndexed | booléen | Lecture seule | Indique si le champ est indexable. Si tel est le cas, il est possible que la valeur du champ soit disponible à partir des données de la définition de document pouvant être mises en cache.
IsVisible | booléen | Lecture seule | Indique si le champ doit correspondre à la présentation du document (conformément aux paramètres de la définition de document).
Children | IFields | Lecture seule | Les éléments Enfants du champ (cellules des tableaux). Non disponible dans les règles de scripts.
FullName | chaîne | Lecture seule | Un nom de champ complet en rapport avec le document. Un identificateur unique du champ dans le document. Peut être utilisé pour rechercher les champs de document via la méthode Field. Dans les règles de scripts, la valeur retournée coïncide avec Name et n'est pas unique.
Rows | IFields | Lecture seule | Un ensemble de lignes de tableau. Non disponible pour les champs ne faisant pas partie d'un tableau.
[Obsolete]IsCertain | booléen | Lecture/écriture | Indique si le champ est vérifié (identique à la propriété IsVerified). La propriété est conservée pour la rétrocompatibilité.
[Obsolete]SuspiciousSymbols* | chaîne | Lecture seule | Une chaîne de « 0 » et de « 1 » affichant les symboles reconnus avec certitude. La propriété est conservée pour la rétrocompatibilité.

* - La propriété n'est pas disponible si l'option Exportation XML avancée des propriétés de licence est désélectionnée.


IFieldRegion

Effet produit

Représente une région du champ de document.

Propriétés

Nom | Type | Accès | Description
PageIndex | entier | Lecture/écriture | Le nombre de pages dans le document sur lesquelles la région apparaît.
Page | IPage | Lecture seule | La page contenant la région
Rects | IRects | Lecture seule | Le tableau de rectangles que comporte la région
SurroundingRect | IRect | Lecture seule | Le rectangle décrivant la région dans son intégralité
Picture | IPictureObject | Lecture seule | L'image correspondant à la région
IsMatched | booléen | Lecture seule | Indique si la région est associée
Field | IField | Lecture seule | Le champ de document correspondant à la région. La valeur de la propriété peut être « 0 ».

Remarque : Dans le script reconnaissance personnalisée, la valeur de la propriété Field est toujours « 0 », étant donné que le champ n'existe plus au moment de la reconnaissance.


IFieldRegions

Effet produit

Un ensemble d'objets IFieldRegion.


IFields

Effet produit

Un ensemble d'objets IField.


IFlexiCaptureTools

Effet produit

L'interface IFlexiCaptureTools est implémentée avec l'objet global FCTools disponible dans les scripts. Toutes les méthodes de l'objet global FCTools peuvent être appelées en tant que méthodes statiques, par exemple :
FCTools.ShowMessage( “Test” );

Méthodes

Définitions | Description
NewImageSavingOptions() : IExportImageSavingOptions | Crée un nouvel objet de classe IExportImageSavingOptions.
Rect( left : int, right : int, top : int, bottom : int ) : string | Génère un rectangle via les coordonnées spécifiées dans la chaîne.
IsModuleAllowedByLicense( authorId : string, moduleName : string ) : bool | Vérifie si le module spécifié est autorisé par la licence.
LoagImage( filePath : string, [optional] pageNumber : int ) : IEditablePictureObject | Charge une image à partir d’un fichier. L'image chargée pourra être modifiée.
ShowMessage( text : string, [optional] isError : bool ) | Affiche le message pour l'utilisateur. Si l'indicateur isError est réglé sur true, le message sera une erreur, sinon ce sera une notification. Si le script est exécuté pendant le processus de traitement, le message sera écrit dans le journal de traitement.


IMatchedSectionInfo

Effet produit

Contient des informations détaillées sur la section de définition de document associée à la page.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Le nom de la section.
IsFlexible | booléen | Lecture seule | Indique si la section est flexible.
FlexibleInstanceId | entier | Lecture seule | Index d'une section flexible. Un ensemble de pages ayant le même index que la section flexible constitue une seule section de document. Le champ ne s'applique qu'aux sections flexibles. Si la valeur de FlexibleInstanceId est différente pour deux pages sur lesquelles la même définition de section flexible est associée, cela signifie que les pages appartiennent à des sections différentes du document.
FlexibleInstanceId | entier | Lecture seule | Le nombre de pages de la définition de section fixe associée à la page. Le champ ne s'applique qu'aux sections fixes.
DocumentDefinition | IDocumentDefinitionInfo | Lecture seule | Informations concernant la définition de document à laquelle la section appartient.


IMatchingInfo

Effet produit

Stocke les paramètres d'association de définitions de documents et de sections d'une page.

Propriétés

Nom | Type | Accès | Description
DefinitionsList | chaîne | Lecture/écriture | La liste de sections et de définitions de documents à associer sur la page, séparées par des points-virgules.
ForceMatch | booléen | Lecture/écriture | Indique si l'association de sections doit être forcée. L'indicateur peut uniquement être réglé sur « true » si une section, au maximum, est définie. Si la liste de sections est vide et si l'indicateur est réglé sur « true », la page sera marquée en tant que page d'annexe ne nécessitant pas de reconnaissance.
NeedRecognition | booléen | Lecture/écriture | Indique si les champs situés à l'intérieur de la section doivent être reconnus. Si l'indicateur est réglé sur « false », les champs ne seront pas reconnus une fois que l'association aura été effectuée.

Remarque : Les noms de définitions de documents et les noms de sections peuvent être spécifiés sous la forme <DefinitionName>\<SectionName>. Seules les sections et les définitions de documents existantes peuvent être utilisées.

Par exemple, la première section de l'exemple Banking_eng est spécifié comme suit : Banking_eng\Page 1.

Remarque : Pour une page dont toutes les sections doivent être reconnues, ne modifiez pas la propriété DefinitionsList. Si la propriété DefinitionsList est vide et si l'indicateur ForceMatch n'est pas défini, la page ne sera pas reconnue et le message d'erreur « Aucune définition de document à associer » sera enregistré dans un journal. Si l'indicateur ForceMatch est réglé sur « true », la page sera marquée en tant que page d'annexe.


IPage

Effet produit

Représente une page.

Méthodes

Définitions | Description
SaveAs( filename : string, [optional] options : IExportImageSavingOptions ) | Enregistre l'image de la page en fonction des paramètres d'enregistrement. Si les options ne sont pas spécifiées, l'image est enregistrée avec l'extension *.tif. Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
ReplaceImage( newPicture : IPictureObject ) | Remplace l'image de la page par une nouvelle image. La nouvelle image peut être créée en modifiant l'image existante ou être chargée à l'aide de la méthode FCTools.LoadImage.

Propriétés

Nom | Type | Accès | Description
Document | IDocument | Lecture seule | Le document contenant la page
Index | entier | Lecture seule | L'index de la page dans le document
ImageSourceType | chaîne | Lecture seule | Chaîne "Fichier", "Scanner" ou "Personnalisé" en fonction de la source
ImageSource | chaîne | Lecture seule | Un chemin d'accès complet vers le fichier (pour les fichiers) ou vers la source spécifiée dans ImageSourceDetails pour les autres sources.
ImageSourcePageNumber | entier | Lecture seule | Le nombre de pages source dans le fichier.
ImageSourceFileSubPath | chaîne | Lecture seule | Le chemin d'accès de l'image source à partir de la racine HotFolder ou du dossier depuis lequel elle a été importée.
Rect | IRect | Lecture seule | Le rectangle de la page. Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
ExcludedFromDocumentImage | booléen | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | S'applique pendant l'exportation de l'image du document. Indique que l'image de la page en cours ne doit pas être exportée pendant l'exportation complète du document. Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
SectionName | chaîne | Lecture seule | Le nom de la section de document.
Id | chaîne | Lecture seule | L'identificateur de la page.
Picture | IPictureObject | Lecture seule | L'image de la page. Non disponible à partir des scripts ne pouvant accéder qu'aux données pouvant être mises en cache.
IsAnalyzed | booléen | Lecture seule | Indique si la page est analysée.
MatchedSection | IMatchedSectionInfo | Lecture seule | Informations détaillées sur la section associée à la page. S'il n'ya aucune section associée à la page, la valeur est zéro.
[Obsolete] TemplateName | chaîne | Lecture seule | Nom de la section de document (le même que SectionName). La propriété est conservée pour la rétrocompatibilité.


IPageClassificationResult

Effet produit

Stocke des informations sur les résultats de la classification de la page.

Propriétés

Name | Type | Accès | Description
PageType | TPageClassificationType | Lecture seule | Le type de la page
MatchedSections | chaîne | Lecture seule | La liste des sections pouvant être associées. Contient des entrées sous la forme <Document Definition Name>\<Section Name>, séparées par un point-virgule. La liste inchangée peut être transmise à l'objet IMatchingInfo en tant que paramètre DefinitionsList (IMatchingInfo::DefinitionsList). Remarque : lors de la transmission des résultats de la classification au script Avant l'association, réglez l'indicateur IMatchingInfo.ForceMatch sur false de sorte que les pages ne soient pas classifiées de manière répétée par un script.


IPages

Effet produit

Un ensemble d'objets IPage.


IPictureObject

Effet produit

Représente l'image d'une page ou d'une région.

L'objet implémente l'interface IPicture et donnne accès à certaines de ces propriétés via l'interface IDispatch.

Pour obtenir plus de détails sur l'interface IPicture, consultez l'article correspondant sur MSDN.

Méthodes

Définitions | Description
SaveAs( filename : string, [optional] options : IExportImageSavingOptions ) | Enregistre l'image. Si les options ne sont pas spécifiées, l'image est enregistrée avec l'extension *.tif.
CreateEditableCopy() : IEditablePictureObject | Crée une copie modifiable de l'image.

Propriétés

Nom | Type | Accès | Description
Handle | OLE_HANDLE | Lecture seule | L'identificateur GDI Windows de l'image. En langage .Net, cette propriété est utilisée dans la méthode System.Drawing.Image.FromHbitmap pour récupérer l'objet de l'image.
hPal | OLE_HANDLE | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | L'identificateur Windows de la palette utilisée par l'image. Cette propriété peut être utilisée dans System.Drawing.Image.FromHbitmap comme deuxième paramètre.
Type | SHORT | Lecture seule | Le type de l'image.
Width | entier | Lecture seule | La largeur en points de l'image
Height | entier | Lecture seule | La hauteur en points de l'image
IsBlackWhite | booléen | Lecture seule | Indique si l'image est en noir et blanc
XResolution | entier | Lecture seule | La résolution horizontale de l'image
YResolution | entier | Lecture seule | La résolution verticale de l'image


IPrincipal

Effet produit

Représente un utilisateur ou un groupe d'utilisateurs dans les scripts.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Le nom de l'utilisateur ou du groupe
Id | entier | Lecture seule | Un identificateur unique
Type | TPrincipalType | Lecture seule | Le type d'utilisateur principal


IPrincipals

Effet produit

Un ensemble général d'utilisateurs et de groupes d'utilisateurs (un ensemble d'objets IPrincipal).


IProcessingCallback

Effet produit

Transmet les informations sur la progression du traitement.

Méthodes

Définitions | Description
ReportMessage( message : string ) | Enregistre un message informatif dans le journal.
ReportWarning( warning : string ) | Enregistre un message d'avertissement dans le journal.
ReportError( error : string ) | Enregistre un message d'erreur dans le journal. Si l'opération génère un message d'erreur, il est considéré qu'elle a échoué.

Propriétés

Nom | Type | Accès | Description
ShouldStop | booléen | Lecture seule | Vérifie si la tâche a été annulée ou non (si l'utilisateur a cliqué sur « Annuler »).


IProject

Effet produit

Représente le projet dans les scripts.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Le nom du projet
Principals | IPrincipals | Lecture seule | Un tableau d'utilisateurs ou de groupes
ExportRootPath | chaîne | Lecture seule | Chemin d'accès racine pour exporter comme défini dans les paramètres du projet. Peut être une chaîne vide.


IProperties

Effet produit

Un ensemble d'objets IProperty.

Méthodes

Définitions | Description
Get (name : string ) : string | Récupère la valeur de propriété via le nom.
Set (name : string, value : string) | Définit la valeur d'une propriété nommée. Crée une propriété, si elle n'existe pas.
Has (name : string ) : bool | Vérifie si l'ensemble contient la propriété ayant le nom spécifié.
Delete (name : string) | Supprime la propriété ayant le nom spécifié.


IProperty

Effet produit

Représente une propriété nommée d'un document ou d'un lot.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Le nom de la propriété
Value | chaîne | Lecture seule | La valeur de la propriété


IPropertyModificationInfo

Effet produit

Stocke les informations concernant la modification de propriété d'un document (ou d'un lot).

La valeur définie peut être corrigée.

Propriétés

Nom | Type | Accès | Description
PropertyType | TPropertyType | Lecture seule | Le type d'une propriété en cours de modification
NewValue | chaîne | Lecture/écriture | Une nouvelle valeur de la propriété. Le script permet de définir la valeur sous une autre forme, par ex. pour normaliser la valeur.
Name | chaîne | Lecture seule | Le nom du paramètre nommé (uniquement pour le type PT_NamedPropertyValue)


IRect

Effet produit

Représente un rectangle

Méthodes

Définitions | Description
ToString() : string | Représente un rectangle via une chaîne de type « [left,top,right,bottom] ».

Propriétés

Nom | Type | Accès | Description
Left | entier | Lecture seule | Coordonnée de gauche
Right | entier | Lecture seule | Coordonnée de droite
Top | entier | Lecture seule | Coordonnée du haut
Bottom | entier | Lecture seule | Coordonnée du bas


IRects

Effet produit

Un ensemble d'objets IRect.


IRoutingRuleResult

Effet produit

Représente le résultat de l'exécution du script d'acheminement.

Propriétés

Nom | Type | Accès | Description
CheckSucceeded | booléen | Lecture/écriture | Indique si la vérification a réussi
PrincipalId | entier | Lecture/écriture | Un identificateur d'utilisateur ou un identificateur de groupe d'utilisateurs assigné au document si l'acheminement a réussi. Si le document n'est pas attribué à un utilisateur principal dans le script d'acheminement, la valeur PrincipalId est « 0 ». La valeur « 0 » indique que le document peut être traité par n'importe quel utilisateur. Consultez la section IPrincipal pour obtenir des détails.


IRuleContext

Effet produit

Un objet de contexte de règles. Représente l'objet au niveau duquel la règle a été créée.

L'objet implémente l'interface IField (par l'intermédiaire de l'accès fournit vers le champ contextuel de la règle) et dispose également de méthodes supplémentaires.

Propriétés

Nom | Type | Accès | Description
Fields | IFields | Lecture seule | Ensemble de champs de la règle. Spécifié dans les paramètres de la règle.
Document | IDocument | Lecture seule | Accès au document
CheckSucceeded | booléen | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Indique si la vérification a réussi
ErrorMessage | chaîne | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Un message concernant une erreur de règle
FocusedField | IField | Lecture/écriture, Mutable (peut être modifié même dans les scripts ayant Lecture seule comme droit) | Le champ sur lequel se concentrer lorsque vous cliquez sur une erreur de règle (le champ à l'origine de l'erreur de règle).
ParentWindow | entier | Lecture seule | Un identificateur de fenêtre parente. S'applique uniquement dans le script « Action personnalisée ».
FocusRect | IRect | Lecture seule | Un rectangle en coordonnées d'écran, l'action exécutée fait référence à un rectangle de la fenêtre. S'applique uniquement dans le script « Action personnalisée ».
[Obsolete] FieldsObject | IFR65Fields | Lecture seule | Une propriété obsolète. Conservée pour la rétrocompatibilité avec les scripts créés sous FormReader 6.5.
[Obsolete] ErrorObjectObject | IFR65Errors | Lecture seule | Une propriété obsolète. Conservée pour la rétrocompatibilité avec les scripts créés sous FormReader 6.5.


IRuleError

Effet produit

Représente une erreur de règle, une erreur de format ou une erreur de fusion du document.

Méthodes

Définitions | Description
GetFields() : IFields | Retourne les champs associés à l'erreur de champ spécifiée.

Propriétés

Nom | Type | Accès | Description
Message | chaîne | Lecture seule | Le texte du message d'erreur.
IsWarning | booléen | Lecture seule | Définit si le message est un avertissement.
Type | TRuleErrorType | Lecture seule | Le type d'erreur.
RuleName | chaîne | Lecture seule | Le nom de la règle à l'origine de l'erreur. Une chaîne vide est retournée pour les erreurs de format et de fusion.


IRuleErrors

Effet produit

Un ensemble d'objets IRuleError.


IScriptBinaryAttributes

Description

Un ensemble d'indicateurs booléens.

Méthodes

Définitions | Description
Has( TStateType : int ) : bool | Vérifie si l'indicateur demandé est défini


IStageInfo

Effet produit

Stocke des informations relatives à l'étape de traitement du document.

Propriétés

Nom | Type | Accès | Description
StageID | entier | Lecture seule | L'identificateur de l'étape de traitement en cours
StageName | chaîne | Lecture seule | Le nom de l'étape de traitement en cours
TaskId | entier | Lecture seule | L'identificateur de la tâche. S'il n'existe aucune tâche, sa valeur est « 0 ».
PrincipalId | entier | Lecture seule | L'identificateur d'un utilisateur ou d'un groupe pouvant recevoir une tâche comportant le document spécifié. « 0 » indique que la tâche n'est attribuée à aucun utilisateur principal (utilisateur ou groupe). Consultez la section IPrincipal pour obtenir des détails.


IUserAttachment

Effet produit

L'interface est utilisée pour travailler sur le contenu de la pièce jointe de l'utilisateur. L'objet représente un tableau d'octets. Les octets sont accessibles en tant qu'objets dans l'ensemble. La valeur d'octet se trouvant à n'importe quelle position peut être modifiée.

Méthodes

Définition | Description
SetSize( newSize : int ) : bool | Change la taille du fichier. La taille des fichiers dont la taille est inférieure à la valeur spécifiée est augmentée et les fichiers dont la taille est supérieure à cette valeur sont coupés.
ToFile( fileName : string) | Enregistre le fichier vers le chemin d'accès de disque dur spécifié.
FromFile( fileName : string) | Remplace le contenu de la pièce jointe par un fichier provenant du chemin d'accès spécifié.
UploadAttachment( ) | Enregistre les modifications apportées à la pièce jointe.

Propriétés

Nom | Type | Accès | Description
Name | chaîne | Lecture seule | Le nom du fichier.
AsString | chaîne | Lecture/écriture | Représente le fichier sous la forme d'une chaîne Unicode. Les fichiers peuvent être à la fois écrits et lus en tant que chaîne Unicode.


IUserAttachments

Effet produit

Représente l'ensemble de pièces jointes de l'utilisateur de l'objet.

Méthodes

Définition | Description
Has (name: string): bool | Vérifie si un fichier joint existe pour le nom spécifié.
Get (name : string): IUserAttachment | Accède au fichier joint portant le nom spécifié.
AddNew (name: string): IUserAttachment | Crée un nouveau fichier joint et commence à le modifier. Important ! Pour enregistrer le fichier joint créé et le rendre accessible pour la modification, la méthode UploadAttachment doit être appelée pour ce fichier.
Delete (name: string) | Supprime le fichier joint portant le nom spécifié.

Propriétés

Name | Type | Accès | Description
Names | IVariantArray | Lecture seule | Le tableau contenant les noms des fichiers joints.
IsEmpty | booléen | Lecture seule | Vérifie si le tableau contient des fichiers joints.


IValue

Effet produit

Représente une valeur de champ.

Propriétés

Nom | Type | Accès | Description
Text | chaîne | Lecture/écriture | Représentation texte de la valeur
ErrorMessage | chaîne | Lecture/écriture | Message concernant une erreur de formatage de valeur
Symbols | ICharactersParams | Lecture seule | Informations détaillées concernant les propriétés de symboles
[Obsolete] SuspiciousSymbols | chaîne | Lecture/écriture | Décrit les symboles qui semblent suspects pour le logiciel de reconnaissance. Ce paramètre comporte des « 0 » et des « 1 ». Conservé pour la rétrocompatibilité.


TAssemlingErrorType

Description

Le type d'erreur d'assemblage.

Valeurs autorisées :

  • AET_ObligatoryItemOmitted = 0 - Une section manquante
  • AET_RubbishItem = 1 - Une page supplémentaire
  • AET_AssemblingRuleError = 2 - Une erreur d'assemblage personnalisé
  • AET_KeyValuesMismatch = 3 - Valeurs des champs clés incohérentes (il ne peut pas y avoir plus d'une erreur de ce type dans le document)


TExportFieldType

Effet produit

Énumération de type entier. Définit le type de champs du document.

Valeurs autorisées :

  • EFT_TextField = 0 - Un champ texte
  • EFT_DateTimeField = 1 - Un champ de date
  • EFT_NumberField = 2 - Un champ de nombre
  • EFT_PictureField = 3 - Un champ d'image
  • EFT_CurrencyField = 4 - Un champ de devise
  • EFT_Checkmark = 5 - Une coche
  • EFT_CheckmarkGroup = 6 - Un groupe de coches
  • EFT_Group = 7 - Un groupe ordinaire
  • EFT_Table = 8 - Un tableau. Vous pouvez accéder aux lignes du tableau via les méthodes Items ou Rows de l'objet IField.
  • EFT_Section = 9 - Une section de document
  • EFT_Document = 10 - Un document. Les champs de ce type ne peuvent apparaître que dans les règles écrites pour le niveau document. La plupart des paramètres de tels champs sont indisponibles.
  • EFT_TableRow = 11 - Une ligne de tableau. Les cellules du tableau sont des champs enfants de la ligne. Ils sont disponibles via la méthode Children.


TExportType

Description

Le type de cibles d'exportation.

Valeurs autorisées :

  • ET_File = 1 - Exportation vers un fichier
  • ET_Database = 2 - Exportation vers une base de données
  • ET_Script = 3 - Exportation du script
  • ET_SharePoint = 4 - Exportation vers SharePoint
  • ET_Unknown = 5 - Le type n'est pas spécifié dans le cas d'une erreur ne concernant pas un script d'exportation en particulier


TPageClassificationType

Description

Le type de la page défini par le classifieur. S'applique à l'interface IPageClassificationResult.

Types :

  • PCT_Unknown = 0 - Un type de page inconnu.
  • PCT_Empty = 1 - Une page vierge.
  • PCT_FixedForm = 2 - Une page à présentation fixe.
  • PCT_FlexibleMultiPageFormHeader = 3 - Un en-tête d'une section multipage flexible.
  • PCT_FlexibleMultiPageFormNonHeader = 4 - Une page d'une section multipage qui n'est pas un en-tête.
  • PCT_FlexibleSinglePageForm = 5 - Une section flexible d'une seule page.


TPrincipalType

Description

Types d'utilisateurs principaux.

Valeurs autorisées :

  • PT_User = 0 - Un utilisateur régulier
  • ST_Group = 1 - Un groupe d'utilisateurs


TProcessingPriority

Description

La priorité de traitement d'un document ou d'un lot.

Remarque : La valeur est transmise à l'événement « Changer la priorité du document » (ou à l'évènement « Changer la priorité du lot ») sous forme d'une chaîne. Une nouvelle valeur doit également être spécifiée sous la forme d'une chaîne.

Valeurs autorisées :

  • PP_Lowest = -2 - La priorité la plus faible. Transmise sous la forme d'une chaîne « lowest ».
  • PP_Low = -1 - Une faible priorité. Transmise sous la forme d'une chaîne « low ».
  • PP_Normal = 0 - Une priorité normale. Transmise sous la forme d'une chaîne « normal ».
  • PP_High = 1 - Une priorité élevée. Transmise sous la forme d'une chaîne « high ».
  • PP_Highest = 2 - La priorité la plus élevée. Transmise sous la forme d'une chaîne « highest ».


TPropertyType

Description

Le type de propriétés du document (ou du lot). S'applique à l'interface IPropertyModificationInfo.

Types :

  • PT_Name = 0 - Le nom. S'applique uniquement aux lots.
  • PT_Comment = 1 - Le commentaire.
  • PT_BatchType = 2 - Le type de lot. S'applique uniquement aux lots.
  • PT_NamedPropertyValue = 3 - Une propriété nommée (ancien paramètre d'enregistrement)
  • PT_Id = 4 - L'identificateur (l'ExternalId du document). Sa valeur change occasionnellement et uniquement pour les documents. La valeur change le plus souvent pendant l'exportation.


TRuleErrorType

Description

Le type de l'erreur. S'applique à l'interface IRuleError.

Types :

  • ET_RuleError = 0 - Une erreur de règle.
  • ET_FormatError = 1 - Une erreur de format.
  • ET_MergeVersionError = 2 - Une erreur de fusion des différentes versions du document.


TStateType

Description

Types d'états du document. Utilisé dans l'événement « Modification de l'état du document ». Le paramètre ChangedState de cet évènement peut être utilisé pour obtenir des informations concernant les modifications possibles de chaque type d'état.

Valeurs autorisées :

  • ST_Preprocessed = 0 - Si le document est prétraité. La valeur peut uniquement passer de « false » à « true ».
  • ST_Analyzed = 1 - Si le document est analysé.
  • ST_Recognized = 2 - Si le document est reconnu (un document est considéré comme reconnu si au moins une de ces sections a été reconnue)
  • ST_HasErrors = 3 - Si le document contient des erreurs (y compris des erreurs de format)
  • ST_Assembled = 4 - Si le document est assemblé.
  • ST_Verifyed = 5 - Si le document est entièrement vérifié
  • ST_Exported = 6 - Si le document est exporté
  • ST_HasLayout = 7 - Si le document a une présentation. (Il est aussi possible qu'une présentation soit manquante dans le document analysé, par ex., si le type de la page est inconnu.)


Exemples de scripts

Cette section contient des exemples de scripts en langages de scripts JScript® et VBScript.

puce | Exemples de scripts permettant de créer des règles personnalisées
puce | Exemples de scripts décrivant une exportation
puce | Autres exemples de scripts


Exemples de scripts permettant de créer des règles personnalisées

Règle d'automatisation

Cet exemple montre comment vérifier les données d'un tableau. Cette règle vérifie si les données du tableau correspondent à la valeur du champ obtenu. Le tableau contient des colonnes comportant des prix et des quantités pour certains produits. La règle a été écrite au niveau d'une section contenant le tableau et le champ qui en résulte.

[VBScript]

dim autoRule

set autoRule = CreateObject( "AutomationRule.CheckDoc" )

autoRule.CheckResult me.FIELD("cost"), me.FIELD("number"), _

me.FIELD("Result"), me

[JScript]

var autoRule = new ActiveXObject( "AutomationRule.CheckDoc" );

autoRule.CheckResult( Field("cost"), Field("number"),

Field("Result"), this );

Code d'un composant ActiveX

Le code fourni ici est un code de classe CheckDoc issu du projet AutomationRule, qui est utilisé dans les scripts mentionnés ci-dessus.

Option Explicit

' Vérifie si les données du tableau correspondent au résultat

' column1 - colonne de prix

' column2 - colonne de quantités

' resultField - champs obtenus (<Total> ou équivalent )

' docObj - nœud de document en cours de vérification

Public Sub CheckResult(ByRef column1 As Object, ByRef column2 As Object, _

ByRef resultField As Object, ByRef docObj As Object)

On Error GoTo err_h

Dim costItems As Object, numItems As Object

    Dim curCost As Double, curNum As Long, sum As Double

Dim result As Double

Dim i As Long

Set costItems = column1.Items

Set numItems = column2.Items

' récapitulatif des données du tableau

sum = 0

For i = 0 To costItems.Count - 1

curCost = costItems.Item(i).Value

curNum = numItems.Item(i).Value

sum = sum + curNum * curCost

Next

' Précision de la comparaison – résultat arrondi au 2ème chiffre après la virgule

result = resultField.Value

If (Round(result, 2) = Round(sum, 2)) Then

docObj.CheckSucceeded = True

Else

docObj.CheckSucceeded = False

docObj.ErrorMessage = "Les données du tableau ne correspondent pas à la valeur du résultat"

resultField.Suggest sum

End If

Exit Sub

err_h:

docObj.ErrorMessage = Err.Description

docObj.CheckSucceeded = False

End Sub

Recherche dans la liste de variantes

Le code de la règle ci-dessous vérifie si la valeur du champ correspond à l'une des valeurs de la liste. S'il aucune correspondance n'est détectée, un indicateur d'erreur apparaît et le champ reçoit une liste de valeurs suggérées. Le champ est marqué comme reconnu avec ou sans certitude en fonction du résultat de la vérification.

[VBScript]

'mémoriser la valeur du champ

Dim fieldValue

fieldValue = me.Field("Field6").Value

'Crée la liste des valeurs à vérifier

Dim list(5)

dim i

for i = 0 to 4

list(i) = "2" & i

next

dim success

success = false

'Vérifier si la valeur d'un champ correspond aux valeurs de la liste

for i = 0 to 4

if list(i) = fieldValue Then

success = true

exit for

end if

next

'Définir le niveau de certitude correspondant pour le champ en fonction du résultat de la vérification

me.Field("Field6").IsCertain = success

'remplir la liste de suggestions pour le champ – la suggestion peut être l'une des

'valeurs appropriées

if success = false then

for i = 0 to 4

me.Field("Field6").Suggest( list(i) )

next

end if

'placer un indicateur d'erreur

me.CheckSucceeded = success

[JScript]

// mémoriser la valeur du champ

var fieldValue = Field("Field6").Value;

// créer la liste des valeurs à vérifier

var list = new Array(5);

for( i = 0; i < 5; i++ ) {

list[i] = "2" + i

}

var success = false;

// faire correspondre la valeur du champ aux valeurs de la liste

for( i = 0; i < 5; i++ ) {

if( list[i] == fieldValue ) {

success = true;

break;

}

}

// Définir le niveau de certitude correspondant pour le champ en fonction du résultat de la vérification

Field("Field6").IsCertain = success;

// remplir la liste de suggestions pour le champ – la suggestion peut être l'une des

// valeurs appropriées

if( !success ) {

for( i = 0; i < 5; i++ ) {

Field("Field6").Suggest( list[i] );

}

}

// placer un indicateur d'erreur

CheckSucceeded = success;

Vérification de l'association de champs

Le code de la règle ci-dessous contrôle si le champ vérifié est associé.

[VBScript]

if me.Field("InvoiceNumber").IsMatched then

me.CheckSucceeded = true

else

me.CheckSucceeded = false

me.ErrorMessage = "Le champ InvoiceNumber ne correspond pas"

end if

[JScript]

if( Field("InvoiceNumber ").IsMatched ) {

CheckSucceeded = true;

} else {

CheckSucceeded = false;

ErrorMessage = "Le champ InvoiceNumber ne correspond pas";

}

Vérification d'une coche

Le code de la règle ci-dessous vérifie si la coche a été sélectionnée ou non

[VBScript]

if me.Field("Page status").Value then

me.CheckSucceeded = true

else

me.CheckSucceeded = false

me.ErrorMessage = "Le status de la page n'est pas vérifié"

end if

[JScript]

if( Field("Page status").Value ) {

CheckSucceeded = true;

} else {

CheckSucceeded = false;

ErrorMessage = "Le statut de la page n'est pas vérifié";

}

Vérification d'un groupe de coches

Le code de la règle ci-dessous utilise une itération sur l'ensemble des coches du groupe et, si aucune des coches n'est sélectionnée, la première coche est sélectionnée. La règle est écrite pour intervenir au niveau du groupe de coches. Toutes les coches du groupe ont été ajoutées à la liste des champs inclus dans la règle. Pour la coche par défaut (la première), l'indicateur Readonly a été désactivé. S'il n'y a aucune coche dans le groupe, un indicateur d'erreur est activé.

Cet exemple de code utilise une itération sur tous les champs inclus dans la règle. Étant donné que les noms de champs ne sont pas spécifiés dans le code, ce code ne peut pas être utilisé pour un groupe de coches.

[VBScript]

if me.Fields.Count = 0 then

me.CheckSucceeded = false

me.ErrorMessage = "Pas de coches dans le groupe"

else

dim isChosen, i

isChosen = false

for i = 0 to me.Fields.Count - 1

if me.Fields.Item( i ).Value then

isChosen = true

exit for

end if

next

if Not isChosen then

me.Fields.Item(0).Value = true

end if

me.CheckSucceeded = true

end if

[JScript]

if( Fields.Count == 0 ) {

CheckSucceeded = false;

ErrorMessage = "Aucune coche dans le groupe";

} else {

var isChosen = false;

var i;

for( i = 0; i < Fields.Count; i++ ) {

if( Fields.Item( i ).Value ) {

isChosen = true;

break;

}

}

if( !isChosen ) {

Fields.Item(0).Value = true;

}

CheckSucceeded = true;

}

Contrôle de la fiabilité du champ
Le code de règle fourni ci-dessous contrôle le nombre de caractères incertains d'un champ et efface le champ si le nombre de caractères incertains est supérieur ou égal à trois. Ceci est un script de correction automatique.

[VBScript]

Dim totQty, suspQty

Dim i

totQty = me.Symbols.Count

suspQty = 0

for i = 0 to totQty - 1

if me.Symbols.Item(i).IsSuspicious = true then

suspQty = suspQty + 1

end if

next

if suspQty >= 3 then

me.Text = ""

end if

[JScript]

var susp, qty, strpos, i, SC, strposPrev

strposPrev = 1

qty = 0

SC = "1"

susp = SuspiciousSymbols

for ( i = 0; i < susp.length; i++) {

strpos = susp.indexOf (SC,i)

if ((strpos != strposPrev) && (strpos != -1)) {

qty = qty + 1

strposPrev = strpos

}

}

if (qty >= 3) {

text = ""

}

Vérification de l’intégrité du lot
Vérifie si le nombre de documents spécifié sur la page de contrôle coïncide avec l'inventaire du lot et avec le nombre de documents réellement traités. Si les nombres ne correspondent pas, une erreur est retournée.

[VBScript]

dim DQty

dim i

for i = 0 to me.Batch.Documents.Count - 1

if me.Batch.Documents.Item(i).TemplateName = "Inv" then

DQty = me.Batch.Documents.Item(i).IndexedItemValue("DocQty")

exit for

end if

next

dim AcQty

AcQty = me.Batch.Documents.Count

if acqty <> DQty then

me.CheckSucceeded = false

me.ErrorMessage = "Nombre de documents présent dans le lot incorrect :" & " " & AcQty& ". " & "Nombre attendu :" & " " & DQty & "!"

end if

[JScript]

for ( i = 0; i < [Batch.Documents.Count - 1]; i++ ) {

var TemplName = Batch.Documents.Item(0).TemplateName;

if (TemplName = "Inv") {

var DQty = Batch.Documents.Item(i).IndexedItemValue("DocQty");

break ;

}

}

var AcQty = Batch.Documents.Count -1

if (AcQty != DQty) {

CheckSucceeded = false;

ErrorMessage = "Nombre incorrect de documents présents dans le lot :" + " " + AcQty + "." + "Nombre attendu :" + " " + DQty +"!" ;

}


Exemples de scripts décrivant une exportation

Récupération des valeurs de champ pendant une exportation
Cet exemple de code montre comment récupérer la valeur d'un champ pendant une exportation. Vous pouvez utiliser cette valeur pour nommer les fichiers dans lesquels les images ou les données sont exportées. S'il n'y a pas de champ de ce type dans le document, une erreur se produira.

Structure du document à exporter :

Section 1

Field1

…

Group1

Field2

…

…

FieldN

Section 2

Field1

…

FieldK

[VBScript]

Dim field1Value, field2Value

' Récupère la valeur de Field1 dans la Section 1

if Not IsNull( me.Field( "Section 1\Field1" ).Value ) then

field1Value = me.Field( "Section 1\Field1" ).Value

end if

' Récupère la valeur de Field2 dans Group1 dans la Section 1

if Not IsNull( me.FIELD( "Section 1\Group1\Field2" ).Value ) then

field2Value = me.Field( "Section 1\Group1\Field2" ).Value

end if

' Récupère la valeur de Field1 dans Section 1 si la section comporte plusieurs instances

if Not me.Field( "Section 1" ).Items Is Nothing then

dim curPage

for each curPage in me.Field( "Section 1" ).Items

if Not curPage.Children Is Nothing then

dim curField

for each curField in curPage.Children

if curField.Name = "Field1" And Not IsNull( curField.Value ) then

field1Value = curField.Value

exit for

end if

next

end if

next

end if

[JScript]

// Récupère la valeur de Field1 dans Section 1

if( Field("Section 1\\Field1").Value != null ) {

var field1Value = Field("Section 1\\Field1").Value;

}

// Récupère la valeur de Field2 dans Group1, Section 1

if( Field("Section 1\\Group1\\Field2").Value != null ) {

var field2Value = Field("Section 1\\Group1\\Field2").Value;

}

// Récupère la valeur de Field1 dans Section 1 si la section comporte plusieurs instances

if( Field( "Section 1" ).Items != null ) {

var i, j;

for( i = 0; i < Field( "Section 1" ).Items.Count; i++ ) {

var curPage = Field( "Section 1" ).Items.Item( i );

if( curPage.Children != null ) {

for( j = 0; j < curPage.Children.Count; j++ ) {

var curField = curPage.Children.Item( j );

if( curField.Name == "Field1" && curField.Value != null ) {

var field1Value = curField.Value;

break;

}

}

}

}

}

Exportation d'images de pages

Le code de cet exemple montre comment exporter des images de toutes les pages d'un document en utilisant le format de fichier requis, le système de couleurs requis et la résolution requise. Les images sont enregistrées page par page. Chaque page est donc stockée dans un fichier distinct.

Les fichiers de cet exemple sont nommés « page1.tif », « page2.tif », etc. Vous pouvez modifier le mécanisme de dénomination des fichiers si nécessaire. Par exemple, vous pouvez créer des noms de fichiers à partir de la valeur d'un champ.

[VBScript]

dim fso, folderName

set fso = CreateObject("Scripting.FileSystemObject" )

folderName = "d:\ExportImages"

if Not fso.FolderExists( folderName ) then

fso.CreateFolder folderName

end if

dim imageOptions

set imageOptions = ExportTools.NewImageSavingOptions

imageOptions.Format = "tif"

imageOptions.ColorType = "BlackAndWhite"

imageOptions.Resolution = 600

dim i

for i = 0 to me.Pages.Count - 1

dim fileName

    ' Définit l'extension et le nom souhaités pour le fichier, en fonction du format sélectionné

fileName = fso.BuildPath( folderName, "page" & (i+1) & ".tif" )

me.Pages.Item(i).SaveAs fileName, imageOptions

next

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

var folderName = "d:\\ExportImages";

if( !fso.FolderExists( folderName ) ) {

fso.CreateFolder( folderName );

}

var imageOptions = ExportTools.NewImageSavingOptions();

imageOptions.Format = "tif";

imageOptions.ColorType = "BlackAndWhite";

imageOptions.Resolution = 600;

var i;

for( i = 0; i < Pages.Count; i++ ) {

    // Définit l'extension et le nom souhaités pour le fichier en fonction du format sélectionné

var fileName = fso.BuildPath( folderName, "page" + (i+1) + ".tif" );

Pages.Item(i).SaveAs( fileName, imageOptions );

}

Exportation d'un tableau

Cet exemple montre comment exporter un tableau vers un fichier *.txt.

[VBScript]

dim fso, txtFile, fileName

set fso = CreateObject("Scripting.FileSystemObject" )

fileName = "d:\TestExportTable.txt"

set txtFile = fso.CreateTextFile( fileName, true )

txtFile.WriteLine "Table"

dim table, row, cell, rowNumber

set table = me.Field("Page 1\Table")

rowNumber = 1

for each row in table.Items

txtFile.WriteLine "RowNumber = " & rowNumber

for each cell in row.Children

txtFile.Write cell.Value & " "

next

txtFile.WriteBlankLines 1

rowNumber = rowNumber + 1

next

txtFile.Close

set txtFile = nothing

set fso = nothing

[JScript]

var fso, txtFile, fileName;

fso = new ActiveXObject("Scripting.FileSystemObject");

fileName = "d:\\TestExportTable1.txt";

txtFile = fso.CreateTextFile( fileName, true );

txtFile.WriteLine( "Table" );

var table, i, j;

table = Field("Page 1\\Table");

var rows = table.Items;

for( i = 0; i < rows.Count; i++ ) {

txtFile.WriteLine( "RowNumber = " + ( i+1 ) );

var cells = rows.Item(i).Children;

for( j = 0; j < cells.Count; j++ ) {

txtFile.Write( cells.Item(j).Value + " " );

}

txtFile.WriteBlankLines(1);

}

txtFile.Close();

Exportation d'un document quel que soit son niveau d'imbrication

Cet exemple montre comment exporter des champs d'un document, quel que soit son niveau d'imbrication, en utilisant des fonctions personnalisées, que vous créez vous-même, à partir du module d'exportation global. S'il vous faut exporter des champs d'un document présentant une imbrication variable, il est recommandé d'utiliser un composant COM externe (voir l'exemple suivant)

Code d'exportation de base

[VBScript]

Export.ExportDocument me, ExportTools

[JScript]

Export.ExportDocument( this, ExportTools );

Code des fonctions du module d'exportation global

[VBScript]

' La procédure effectue l'exportation : elle crée un dossier d'exportation et

' enregistre dans ce dernier des fichiers image de pages, le fichier texte contenant les champs du document

' et des informations relatives au document

Sub ExportDocument(ByRef docObj, ByRef exportTools)

    Dim folderName

    Dim txtFile, fileName

    Dim fso

    On Error Resume Next

    set fso = CreateObject("Scripting.FileSystemObject")

    ' création du dossier d'exportation

    folderName = CreateExportFolder(docObj.TemplateName, fso)

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Erreur lors de la création du dossier d'exportation : " + Err.Description

        Err.Clear

        Exit Sub

    End if

    ' exportation d'images

    ExportImages docObj, exportTools, folderName, fso

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Erreur lors de l'exportation d'images : " + Err.Description

        Err.Clear

        Exit Sub

    End if

    ' création du fichier texte

    fileName = fso.BuildPath(folderName, "doc.txt")

    Set txtFile = fso.CreateTextFile(fileName, True)

    ' exportation des informations concernant le document

    ExportDocInfo docObj, txtFile

    ' exportation des champs

    txtFile.WriteLine "Fields:"

    ExportFields docObj.Children, txtFile, ""

    txtFile.Close

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Erreur lors de l'exportation de données : " + Err.Description

        Err.Clear

        Exit Sub

    End if

    Set txtFile = Nothing

    Set fso = Nothing

End Sub

' Fonction d'exportation d'images.

Function ExportImages( ByRef docObj, ByRef exportTools, ByVal exportFolder, ByRef fso )

    Dim pages, page, imageOptions

    Dim fileName, pageNum

    ' spécificationdes paramètres d'exportation

    Set imageOptions = exportTools.NewImageSavingOptions

    imageOptions.Format = "bmp"

    imageOptions.ColorType = "FullColor"

    imageOptions.Resolution = 100

    ' ' exportation page par page

    Set pages = docObj.Pages

    pageNum = 1

    For Each page In pages

        fileName = fso.BuildPath(exportFolder, "page" & pageNum & ".bmp")

        page.SaveAs fileName, imageOptions

        pageNum = pageNum + 1

    Next

End Function

' Procédure d'exportation des informations concernant le document

Sub ExportDocInfo(ByRef docObj, ByRef txtFile)

    txtFile.WriteLine "Doc info:"

    txtFile.WriteLine ("DocumentId " & docObj.Id)

    txtFile.WriteLine ("IsAssembled " & docObj.IsAssembled)

    txtFile.WriteLine ("IsVerified " & docObj.IsVerified)

    txtFile.WriteLine ("IsExported " & docObj.IsExported)

    txtFile.WriteLine ("ProcessingErrors " & docObj.ProcessingErrors)

    txtFile.WriteLine ("ProcessingWarnings " & docObj.ProcessingWarnings)

    txtFile.WriteLine ("TotalSymbolsCount " & docObj.TotalSymbolsCount)

    txtFile.WriteLine ("RecognizedSymbolsCount " & docObj.RecognizedSymbolsCount)

    txtFile.WriteLine ("UncertainSymbolsCount " & docObj.UncertainSymbolsCount)

    txtFile.WriteLine

End Sub

' Procédure d'exportation des champs à partir de l'ensemble de champs

Sub ExportFields(ByRef fields, ByRef txtFile, ByVal indent)

    Dim curField

    For Each curField In fields

        ExportField curField, txtFile, indent

    Next

End Sub

' Vérifie si la valeur du champ est nulle

' Si la valeur du champ n'est pas valide, toute tentative d'accès à ce champ (y compris

' pour en vérifier la nullité) peut générer une exception

Function IsNullFieldValue( ByRef field )

    on error resume next

    IsNullFieldValue = IsNull( field.Value )

    if Err.Number <> 0 then

        IsNullFieldValue = True

        Err.Clear

    End if

End Function

' Procédure d'exportation des champs

Sub ExportField(ByRef field, ByRef txtFile, ByVal indent)

    ' enregistrement du nom des champs

    txtFile.Write (indent & field.Name)

    ' enregistrement de la valeur des champs accessibles

    If IsNullFieldValue(field) Then

        txtFile.WriteLine

    Else

        txtFile.WriteLine ("    " & field.Text)

    End If

    If Not field.Children Is Nothing Then

        ' exportation des champs enfants

        ExportFields field.Children, txtFile, indent & "    "

    ElseIf Not field.Items Is Nothing Then

        ' exportation des instances de champs

        ExportFields field.Items, txtFile, indent & "    "

    End If

End Sub

' La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

Function CreateExportFolder(ByVal templateName, ByRef fso)

    Dim docFolder, folderName

    ' dossier principal

    exportFolder = "d:\ScriptExport"

    If fso.FolderExists(exportFolder) = False Then

        fso.CreateFolder (exportFolder)

    End If

    ' le dossier de la définition de document spécifiée

    docFolder = fso.BuildPath(exportFolder, templateName)

    If fso.FolderExists(docFolder) = False Then

        fso.CreateFolder (docFolder)

    End If

    ' le dossier du document exporté

    Dim i

    i = 1

    folderName = fso.BuildPath(docFolder, i)

    While fso.FolderExists(folderName)

        i = i + 1

        folderName = fso.BuildPath(docFolder, i)

    Wend

    fso.CreateFolder (folderName)

    CreateExportFolder = folderName

End Function

[JScript]

// La fonction effectue l'exportation : elle crée un dossier d'exportation et

// enregistre dans ce dernier des fichiers image de pages, le fichier texte contenant les champs du document

// et des informations relatives au document

function ExportDocument(docObj, exportImageTools)

{

    var folderName

    var txtFile, fileName

    var fso

    fso = new ActiveXObject("Scripting.FileSystemObject");

    // création des dossiers d'exportation

    try {

        folderName = CreateExportFolder(docObj.TemplateName, fso);

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Erreur lors de la création du dossier d'exportation : " + e.description;

        return;

    }

    // exportation d'images

    try {

        ExportImages(docObj, exportImageTools, folderName, fso);

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Erreur lors de l'exportation d'images : " + e.description;

        return;

    }

    // création du fichier texte

    fileName = fso.BuildPath(folderName, "doc.txt");

    txtFile = fso.CreateTextFile(fileName, true);

    // exportation des informations concernant le document

    ExportDocInfo( docObj, txtFile);

    // exportation des champs

    txtFile.WriteLine( "Fields:" );

    try {

        ExportFields( docObj.Children, txtFile, "" );

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Erreur lors de l'exportation de données : " + e.description;

        txtFile.Close();

        return;

    }

    txtFile.Close();

    txtFile= 0;

    fso= 0;

}

// Fonction d'exportation d'images.

function ExportImages( docObj, exportImageTools, exportFolder, fso )

{

    // spécification des paramètres d'exportation

    var imageOptions = exportImageTools.NewImageSavingOptions();

    imageOptions.Format = "bmp";

    imageOptions.ColorType = "FullColor";

    imageOptions.Resolution = 100;

    // exportation page par page

    var pages = docObj.Pages;

    var i i

    for( i = 0; i < pages.Count; i++ ) {

        var fileName = fso.BuildPath( exportFolder, "page" + (i+1) + ".bmp" );

        pages.Item(i).SaveAs( fileName, imageOptions );

    }

}

// Procédure d'exportation des informations concernant le document

function ExportDocInfo(docObj, txtFile)

{

    txtFile.WriteLine( "Doc info:" );

    txtFile.WriteLine("IsAssembled " + docObj.IsAssembled);

    txtFile.WriteLine("IsVerified " + docObj.IsVerified);

    txtFile.WriteLine("IsExported " + docObj.IsExported);

    txtFile.WriteLine("ProcessingErrors " + docObj.ProcessingErrors);

    txtFile.WriteLine("ProcessingWarnings " + docObj.ProcessingWarnings);

    txtFile.WriteLine("TotalSymbolsCount " + docObj.TotalSymbolsCount);

    txtFile.WriteLine("RecognizedSymbolsCount " + docObj.RecognizedSymbolsCount);

    txtFile.WriteLine("UncertainSymbolsCount " + docObj.UncertainSymbolsCount);

    txtFile.WriteLine();

}

// Procédure d'exportation des champs à partir de l'ensemble de champs

function ExportFields(fields, txtFile, indent)

{

    var i

    for( i = 0; i < fields.Count; i++ ) {

        ExportField( fields.Item(i), txtFile, indent );

    }

}

// Vérifie si la valeur du champ est nulle

// Si la valeur du champ n'est pas valide, toute tentative d'accès à ce champ (y compris

// pour en vérifier la nullité) peut générer une exception

function IsNullFieldValue( field )

{

    try {

        return ( field.Value == null );

    } catch( e ) {

        return true;

    }

}

// Procédure d'exportation des champs

function ExportField(field, txtFile, indent)

{

    // enregistrement du nom des champs

    txtFile.Write(indent + field.Name);

    // enregistrement de la valeur des champs accessibles

    if( IsNullFieldValue( field ) ) {

        txtFile.WriteLine();

    } else {

        txtFile.WriteLine("    " + field.Text);

    }

    if( field.Children != null ) {

        // exportation des champs enfants

        ExportFields( field.Children, txtFile, indent + "    " );

    } else if( field.Items != null ) {

        // exportation des instances de champs

        ExportFields( field.Items, txtFile, indent + "    " );

    }

}

// La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

function CreateExportFolder(templateName, fso)

{

    var docFolder, folderName

    // dossier principal

    var exportFolder = "d:\\ScriptExport";

    if( !fso.FolderExists(exportFolder) ) {

        fso.CreateFolder (exportFolder);

    }

    // le dossier de la définition de document spécifiée

    docFolder = fso.BuildPath(exportFolder, templateName);

    if( !fso.FolderExists(docFolder) ) {

        fso.CreateFolder(docFolder);

    }

    // le dossier du document exporté

    var i = 1;

    folderName = fso.BuildPath(docFolder, i);

    while( fso.FolderExists(folderName) ) {

        i++;

        folderName = fso.BuildPath(docFolder, i);

    }

    fso.CreateFolder(folderName);

    return folderName;

}

Utilisation d'un composant COM externe

[VBScript]

dim autoExport

set autoExport = CreateObject( "AutomationExport.Exporter" )

autoExport.Export me, ExportTools

[JScript]

var autoExport = new ActiveXObject("AutomationExport.Exporter");

autoExport.Export( this, ExportTools );

Code d'un composant ActiveX en VisualBasic

Vous trouverez ci-dessous un code de classe Exporter issu du projet AutomationExport, qui est utilisé dans les scripts ci-dessus.

OptionExplicit

DimmFso As New Scripting.FileSystemObject

' La procédure exécute l'exportation du document : elle crée un dossier d'exportation et

' enregistre dans ce dernier des fichiers image de pages, le fichier texte contenant les champs du document

' et des informations relatives au document

PublicSub Export(ByRef docObj As Object, ByRef exportTools As Object)

OnError GoTo err_h

    Dim folderName As String

    Dim txtFile As TextStream, fileName As String

    Dim imageExportResult As String, errMessage As String

    ' création du dossier d'exportation

    folderName = createExportFolder(docObj.templateName)

    If folderName = "" Then

        docObj.Action.Succeeded = False

        docObj.Action.ErrorMessage = "Impossible de créer le dossier d'exportation"

        ExitSub

    End If

    ' exportation d'images

    imageExportResult = exportImages(docObj, exportTools, folderName)

    ' création du fichier texte

    fileName = mFso.BuildPath(folderName, "doc.txt")

    Set txtFile = mFso.CreateTextFile(fileName, True)

    ' enregistrement des informations sur les problèmes d'exportation d'images

    IfimageExportResult <> "" Then

        txtFile.WriteLine imageExportResult

        errMessage = errMessage & imageExportResult

    End If

    ' exportation des informations concernant le document

    exportDocInfo docObj, txtFile

    ' exportation des champs

    txtFile.WriteLine "Fields:"

    If Not exportFields(docObj.Children, txtFile, "") Then

       errMessage = errMessage & " Erreur lors de l'exportation des données"

    EndIf

    txtFile.Close

    ' si des erreurs surviennent pendant l'exportation, réinitialisez l'indicateur

    ' d'exportation réussie sur False

    If errMessage <> "" Then

        docObj.Action.Succeeded = False

        docObj.Action.ErrorMessage = errMessage

    End If

    Set txtFile = Nothing

    Set mFso = Nothing

ExitSub

err_h:

    docObj.Action.Succeeded = False

    docObj.Action.ErrorMessage = Err.Description

    txtFile.Close

    Set mFso = Nothing

EndSub

' Fonction d'exportation d'images. Si une erreur survient pendant l'exportation des images,

' un message relatif à l'erreur est retourné, sinon une chaîne vide est retournée

PrivateFunction exportImages(ByRef docObj As Object, ByRef exportTools As Object, _

    ByVal exportFolder As String) As String

OnError GoTo err_h

    Dim pages As Object, page As Object, imageOptions As Object

    Dim fileName As String, pageNum As Long

    exportImages = ""

    ' spécification des paramètres d'exportation

    Set imageOptions = exportTools.NewImageSavingOptions

    imageOptions.Format = "png"

    imageOptions.ColorType = "GrayScale"

    imageOptions.Resolution = 300

    ' exportation page par page

    Set pages = docObj.pages

    pageNum = 1

    For Each page In pages

        fileName = mFso.BuildPath(exportFolder, page.templateName + "_page" & pageNum & "." & imageOptions.Format)

        page.SaveAs fileName, imageOptions

        pageNum = pageNum + 1

    Next page

ExitFunction

err_h:

    exportImages = Err.Description

EndFunction

' Procédure d'exportation des informations concernant le document

PrivateSub exportDocInfo(ByRef docObj As Object, ByRef txtFile As TextStream)

OnError GoTo err_h

    txtFile.WriteLine "Doc info:"

    txtFile.WriteLine ("DocumentId " & docObj.Id)

    txtFile.WriteLine ("IsAssembled " & docObj.IsAssembled)

    txtFile.WriteLine ("IsVerified " & docObj.IsVerified)

    txtFile.WriteLine ("IsExported " & docObj.IsExported)

    txtFile.WriteLine ("ProcessingErrors " & docObj.ProcessingErrors)

    txtFile.WriteLine ("ProcessingWarnings " & docObj.ProcessingWarnings)

    txtFile.WriteLine ("TotalSymbolsCount " & docObj.TotalSymbolsCount)

    txtFile.WriteLine ("RecognizedSymbolsCount " & docObj.RecognizedSymbolsCount)

    txtFile.WriteLine ("UncertainSymbolsCount " & docObj.UncertainSymbolsCount)

    txtFile.WriteLine

ExitSub

err_h:

    txtFile.WriteLine Err.Description

EndSub

' Procédure d'exportation des champs à partir de l'ensemble de champs

PrivateFunction exportFields(ByRef fields As Object, ByRef txtFile As TextStream, ByVal indent As String) As Boolean

OnError GoTo err_h

    Dim curField As Object

    exportFields = True

    For Each curField In fields

        If Not exportField(curField, txtFile, indent) Then

            exportFields = False

        End If

    Next curField

ExitFunction

err_h:

    txtFile.WriteLine Err.Description

    exportFields = False

EndFunction

' Vérifie si la valeur du champ est nulle

' Si la valeur du champ n'est pas valide, toute tentative d'accès à ce champ (y compris

' pour en vérifier la nullité) peut générer une exception

FunctionIsNullFieldValue(ByRef field As Object) As Boolean

OnError GoTo err_h

    IsNullFieldValue = IsNull(field.Value)

ExitFunction

err_h:

    IsNullFieldValue = True

EndFunction

' Fonction d'exportation de champs

PrivateFunction exportField(ByRef field As Object, ByRef txtFile As TextStream, _

    ByVal indent As String) As Boolean

OnError GoTo err_h

    Dim result As Boolean

    result = True

    ' enregistrement du nom des champs

    txtFile.Write (indent & field.Name)

    ' enregistrement de la valeur des champs accessibles

    IfNot IsNullFieldValue(field) Then

        txtFile.WriteLine ("    " & field.Value)

    Else

        txtFile.WriteLine

    End If

    If Not field.Children Is Nothing Then

        ' exportation des champs enfants

        result = result And exportFields(field.Children, txtFile, indent & "    ")

    ElseIf Not field.Items Is Nothing Then

        ' exportation des instances de champs

        result = result And exportFields(field.Items, txtFile, indent & "    ")

    End If

    exportField = result

ExitFunction

err_h:

    txtFile.WriteLine Err.Description

    exportField = False

EndFunction

' La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

PrivateFunction createExportFolder(ByVal templateName As String) As String

OnError GoTo err_h

    Dim docFolder As String, folderName As String

    ' dossier principal

    Const exportFolder = "d:\AutomationExport"

    If mFso.FolderExists(exportFolder) = False Then

        mFso.CreateFolder (exportFolder)

    End If

    ' le dossier de la définition de document spécifiée

    docFolder = mFso.BuildPath(exportFolder, templateName)

    If mFso.FolderExists(docFolder) = False Then

        mFso.CreateFolder (docFolder)

    End If

    ' dossier du document exporté

    Dimi As Long

    i = 1

    folderName = mFso.BuildPath(docFolder, i)

    While mFso.FolderExists(folderName)

        i = i + 1

        folderName = mFso.BuildPath(docFolder, i)

    Wend

    mFso.CreateFolder (folderName)

    createExportFolder = folderName

ExitFunction

err_h:

    createExportFolder = ""

EndFunction

Utilisation d'un composant externe écrit en .Net( C# )

Pour utiliser un composant externe écrit en .Net, procédez comme suit :

  1. Créez un projet de type ClassLibrary
  2. Ajoutez ControllerInterop.dll aux références du projet. ABBYY.FlexiCapture apparaît dans la liste Références et toutes les interfaces des objets de scripts sont désormais disponibles dans le projet.
  3. Définissez l'interface disp et la classe implémentant cette interface, ainsi que ProgId (afin de pouvoir utiliser le composant .Net tout comme ActiveX, à partir du code du script).
  4. Une fois que le projet est créé, enregistrez la bibliothèque de types générée (activez l'option correspondante dans les propriétés du projet pour effectuer cette opération automatiquement).
  5. À partir du code d'exportation, appelez la méthode du composant comme vous le faites habvituellement :

[VBScript]

dim autoExport

set autoExport = CreateObject( "ExportLibrary1.Export" )

autoExport.ExportDocument me, ExportTools

[JScript]

var autoExport = new ActiveXObject("ExportLibrary1.Export");

autoExport.ExportDocument( this, ExportTools );

Le code d'un tel composant est illustré ci-dessous :

using System;

using System.Runtime.InteropServices;

using System.IO;

using FlexiCaptureScriptingObjects;

namespace ExportLibrary1

{

// Interface du composant d'exportation accessible à partir du script

// Lorsque vous créez un nouveau composant, générez un nouveau GUID

[Guid("32B10C3B-EEA3-4194-B0A0-E358C310225A")]

[InterfaceType(ComInterfaceType.InterfaceIsIDispatch)]

public interface _cExport

{

[DispId(1)]

void ExportDocument(ref IExportDocument DocRef, ref IExportTools Tools);

}

// Classe implémentant la fonctionnalité du composant d'exportation

// Lorsque vous créez un nouveau composant, générez un nouveau GUID

// et définissez votre ProgId

[Guid("3BA19BD7-C6DC-4f63-BC08-0D95254DADC3")]

[ClassInterface(ClassInterfaceType.None)]

[ProgId("ExportLibrary1.Export")]

[ComVisible(true)]

public class Export : _cExport

{

public Export()

{

}

// La fonction exécute l'exportation du document : elle crée un dossier d'exportation et

// enregistre dans ce dernier des fichiers image de pages,

// le fichier texte contenant les champs du document et des informations relatives au document

public void ExportDocument( ref IExportDocument docRef, ref IExportTools exportTools )

{

try

{

string exportFolder = createExportFolder( docRef.TemplateName );

exportImages( docRef, exportTools, exportFolder );

// création du fichier texte

string fileName = exportFolder + "//" + "doc.txt";

StreamWriter sw = File.CreateText( fileName );

// exportation des informations concernant le document

exportDocInfo( docRef, sw );

// exportation des champs

sw.WriteLine( "Fields:" );

exportFields( docRef.Children, sw, "" );

sw.Close();

}

catch( Exception e )

{

docRef.Action.Succeeded = false;

docRef.Action.ErrorMessage = e.ToString();

}

}

// La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

privatestring createExportFolder( string templateName )

{

string docFolder, folderName;

// dossier principal

string exportFolder = "d:\\DotNetExport";

if( !Directory.Exists(exportFolder) )

{

Directory.CreateDirectory(exportFolder);

}

// le dossier de la définition de document spécifiée

docFolder = exportFolder + "\\" + templateName;

if( !Directory.Exists(docFolder) )

{

Directory.CreateDirectory( docFolder );

}

// dossier du document exporté

int i = 1;

folderName = docFolder + "\\" + i;

while( Directory.Exists(folderName) )

{

i++;

folderName = docFolder + "\\" + i;

}

Directory.CreateDirectory(folderName);

returnfolderName;

}

// Fonction d'exportation d'images.

privatevoid exportImages( IExportDocument docRef, IExportTools exportTools, string exportFolder )

{

string baseFileName = exportFolder + "\\page_";

IExportImageSavingOptions imageOptions = exportTools.NewImageSavingOptions(); ;

imageOptions.Format = "bmp";

imageOptions.ColorType = "FullColor";

imageOptions.Resolution = 100;

int i = 1;

foreach( IExportPage curPage in docRef.Pages )

{

string fileName = baseFileName + i + ".bmp";

curPage.SaveAs( fileName, imageOptions );

i++;

}

}

// Exportation des informations concernant le document

private void exportDocInfo( IExportDocument docRef, StreamWriter sw )

{

sw.WriteLine( "Doc info:" );

sw.WriteLine("DocumentId " + docRef.Id );

sw.WriteLine("IsAssembled " + docRef.IsAssembled);

sw.WriteLine("IsVerified " + docRef.IsVerified);

sw.WriteLine("IsExported " + docRef.IsExported);

sw.WriteLine("ProcessingErrors " + docRef.ProcessingErrors);

sw.WriteLine("ProcessingWarnings " + docRef.ProcessingWarnings);

sw.WriteLine("TotalSymbolsCount " + docRef.TotalSymbolsCount);

sw.WriteLine("RecognizedSymbolsCount " + docRef.RecognizedSymbolsCount);

sw.WriteLine("UncertainSymbolsCount " + docRef.UncertainSymbolsCount);

sw.WriteLine();

}

// Exportation d'un ensemble de champs

private void exportFields( IExportFields fields, StreamWriter sw, string indent )

{

foreach( IExportField curField in fields )

{

exportField( curField, sw, indent );

}

}

// Vérifie si la valeur du champ est nulle

// Si la valeur du champ n'est pas valide, toute tentative d'accès à ce champ (y compris

// pour en vérifier la nullité) peut générer une exception

privatebool IsNullFieldValue( IExportField field )

{

try

{

return ( field.Value == null );

}

catch( Exception e )

{

return true;

}

}

// Exportation du champ spécifié

private void exportField( IExportField field, StreamWriter sw, string indent )

{

// enregistrement du nom des champs

sw.Write( indent + field.Name );

//enregistrement de la valeur des champs accessibles

if( IsNullFieldValue( field ) )

{

sw.WriteLine();

}

else

{

sw.WriteLine( " " + field.Text );

}

if( field.Children != null )

{

// exportation des champs enfants

exportFields( field.Children, sw, indent + " " );

}

else if( field.Items != null )

{

// exportation des instances de champs

exportFields( field.Items, sw, indent + " " );

}

}

}

}
Gestionnaire d'exportation
Cet exemple de code illustre un gestionnaire d'exportation élémentaire qui enregistre des informations concernant les documents exportés et exporte les résultats vers des fichiers texte. Deux fichiers texte sont utilisés dans cet exemple : l'un d'eux contient la liste des documents exportés avec succès et l'autre contient la liste des documents pour lesquels des erreurs ont été retournées pendant l'exportation.

[VBScript]

dim curDoc

dim fso, fileErrorName, txtErrorFile, fileSucceedName, txtSucceedFile

setfso = CreateObject("Scripting.FileSystemObject")

' création du fichier pour les documents dont l'exportation a échoué

fileErrorName = "d:\ExportResults\ErrorsDocuments.txt"

set txtErrorFile = fso.CreateTextFile( fileErrorName, true )

' création du fichier pour les documents dont l'exportation a réussi

fileSucceedName = "d:\ExportResults\SucceedDocuments.txt"

set txtSucceedFile = fso.CreateTextFile( fileSucceedName, true )

dim i, exprotResult, docInfo

' itération de l'ensemble de documents exportés

for i = 0 To me.Count - 1

    set exportResult = me.Item(i)

    docInfo = "DocumentId:" & exportResult.Document.Id

    if exportResult.Succeeded then

        docInfo = docInfo & " - Exported successfully."

        txtSucceedFile.WriteLine docInfo

    else

        docInfo = docInfo & " - Export error: " & exportResult.ErrorMessage

        txtErrorFile.WriteLine docInfo

    end if

next

txtErrorFile.Close

txtSucceedFile.Close

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

// création des fichiers pour les documents dont l'exportation a échoué

var fileErrorName = "d:\\ExportResults\\ErrorsDocuments.txt";

var txtErrorFile = fso.CreateTextFile( fileErrorName, true );

// création du fichier pour les documents dont l'exportation a réussi

var fileSucceedName = "d:\\ExportResults\\SucceedDocuments.txt"

var txtSucceedFile = fso.CreateTextFile( fileSucceedName, true );

var i

// itération de l'ensemble de documents exportés

for( i = 0; i < Documents.Count; i++ ) {

    var curDoc = Documents.Item( i );

    var docInfo = "DocumentId: " + curDoc.Id;

   if( curDoc.Action.Succeeded ) {

        docInfo = docInfo + ". Exported successfully.  Result:" + curDoc.Action.Result;

        txtSucceedFile.WriteLine( docInfo );

    } else {

        docInfo = docInfo + ". Export error: " + curDoc.Action.ErrorMessage + "  Result:" + curDoc.Action.Result;

        txtErrorFile.WriteLine( docInfo );

    }

}

txtErrorFile.Close();

txtSucceedFile.Close();


Autres exemples de scripts

Assemblage de valeurs de champs

Type : script d'assemblage de document

Cet exemple de code montre comment assembler un document comportant une section récurrente d'une page, sans pages d'annexe. Les pages sont fusionnées en un seul document dans l'ordre croissant de la valeur de champ « PageIndex ».

[VBScript]

dim lastValue, pageIndex, sections, field, validPages(), validPagesSize, pageIsValid

lastValue = ""

pageIndex = 0

for i = 0 to me.Count - 1

set sections = me.Item( i ).Sections

redim validPages( 0 )

validPagesSize = 0

' Vérifie les champs dans les sections

for j = 0 to sections.Count - 1

if sections.Item( j ).HasField( " PageIndex " ) then

set field = sections.Item( j ).Field( " PageIndex " )

if not( field.Text = "" ) then

if lastValue = "" or field.Text > lastValue then

' Ordre de pages valide

' Marque toutes les pages de la section comme étant valides

for k = 0 to sections.Item( j ).Regions.Count - 1

validPagesSize = validPagesSize + 1

redim preserve validPages( validPagesSize )

validPages(validPagesSize - 1) = sections.Item( j ).Regions.Item( k ).PageIndex

next

end if

lastValue = field.Text

end if

end if

next

' Marque à présent toutes les pages non valides

for j = 0 to me.Item( i ).Pages.Count - 1

pageIsValid = false

' Vérifie si cette page est valide

for k = 0 to validPagesSize - 1

if validPages(k) = j then

pageIsValid = true

exit for

end if

next

if not pageIsValid then

AssemblingErrors.AddRedundantPageError( pageIndex )

end if

pageIndex = pageIndex + 1

next

next

[JScript]

var lastValue = "";

var pageIndex = 0;

for( i = 0; i < this.Count; i++ ) {

var sections = this.Item( i ).Sections;

var validPages = new Array();

// Vérifie les champs dans les sections

for( j = 0; j < sections.Count; j++ ) {

if( sections.Item( j ).HasField( "PageIndex" ) ) {

var field = sections.Item( j ).Field( " PageIndex " )

if( field.Text != "" ) {

if( lastValue == "" || field.Text > lastValue ) {

// Ordre de pages valide

// Marque toutes les pages de la section comme étant valides

for( k = 0; k < sections.Item( j ).Regions.Count; k++ ) {

validPages.push( sections.Item( j ).Regions.Item( k ).PageIndex );

}

}

lastValue = field.Text;

}

}

}

// Marque à présent toutes les pages non valides

for( j = 0; j < this.Item( i ).Pages.Count; j ++ ) {

var pageIsValid = false;

// Vérifie si cette page est valide

for( k = 0; k < validPages.length; k++ ) {

if( validPages[k] == j ) {

pageIsValid = true;

break;

}

}

if( !pageIsValid ) {

AssemblingErrors.AddRedundantPageError( pageIndex );

}

pageIndex ++;

}

}

Événement Fusionner des documents

Type : un gestionnaire de lévénement Pages déplacées

Cet exemple de code montre comment l'évènement « Pages déplacées » peut être transformé en un évènement « Fusion de documents ». La logique de ce script se présente comme suit : si toutes les pages du document sont déplacées, ce document est alors entièrement intégré au document cible.

Le script se lance en cas d'événement Pages déplacées. La procédure Events.OnDocumentsMerge est une procédure qui traite l'événement « Fusionner des documents ».

[VBScript]

dim currentDocument, currentDocumentPagesMoved

set currentDocument = Pages( 0 ).Document

currentDocumentPagesMoved = 0

for i = 0 to Pages.Count - 1

if Pages( i ).Document.Id <> currentDocument.Id then

' Le document suivant

if currentDocument.Pages.Count = currentDocumentPagesMoved then

' Toutes les pages sont déplacées à partir du précédent document. L'événement se déclenche.

Events.OnDocumentsMerge TargetDocument, currentDocument

end if

Set currentDocument = Pages( i ).Document

else

next

if currentDocument.Pages.Count = currentDocumentPagesMoved Then

' Toutes les pages sont déplacées à partir du dernier document. L'événement est généré.

Events.OnDocumentsMerge TargetDocument, currentDocument

end if

[JScript]

var currentDocument = Pages( 0 ).Document;

var currentDocumentPagesMoved = 0;

for( i = 0; i < Pages.Count - 1; i++ ) {

if( Pages( i ).Document.Id != currentDocument.Id ) {

// Le document suivant

if( currentDocument.Pages.Count == currentDocumentPagesMoved ) {

// Toutes les pages sont déplacées à partir du document précédent. L'événement est généré.

Events.OnDocumentsMerge( TargetDocument, currentDocument );

}

currentDocument = Pages( i ).Document;

} else {

currentDocumentPagesMoved = currentDocumentPagesMoved + 1;

}

}

if( currentDocument.Pages.Count == currentDocumentPagesMoved ) {

// Toutes les pages sont déplacées à partir du dernier document. L'événement est généré.

Events.OnDocumentsMerge( TargetDocument, currentDocument )

}

Fusionner des paramètres d'enregistrement de documents en cas d'évènement Fusionner des documents

Type : un gestionnaire de l'événement Fusionner des documents

Cet exemple de code montre la méthode la plus simple pour fusionner des paramètres d'enregistrement de documents en cas d'évènement Fusionner des documents. Lorsque des documents sont fusionnés dans un document cible, seuls les paramètres des nouveaux documents sont ajoutés car ils n'étaient pas manquants.

Le code doit être stocké dans un module partagé. La procédure OnDocumentsMerge doit être appelée au moment de la fusion des documents. Pour obtenir des détails, consultez la description de l'événement Fusionner des documents.

[VBScript]

Sub MergeProperty(ByVal TargetDocument, ByVal propertyName, ByVal propertyValue)

If TargetDocument.Properties.Get(propertyName) = "" Then

' Aucun des paramètres de ce type n'existe dans le document.

TargetDocument.Properties.Set(propertyName, propertyValue)

End If

End Sub

Sub OnDocumentsMerge(ByVal Target, ByVal Document)

' Fusion des paramètres d'enregistrement.

For i = 0 To Document.Properties.Count - 1

MergeProperty(Target, Document.Properties(i).Name,

Document.Properties(i).Value)

Next

End Sub

[JScript]

function MergeProperty( TargetDocument, propertyName, propertyValue )

{

if( TargetDocument.Properties.Get( propertyName ) == "" ) {

// Aucun des paramètres de ce type n'existe dans le document.

TargetDocument.Properties.Set( propertyName, propertyValue );

}

}

function OnDocumentsMerge( Target, Document )

{

// Fusion des paramètres d'enregistrement.

for( i = 0; i < Document.Properties.Count - 1; i++ ) {

MergeProperty( Target, Document.Properties(i).Name, Document.Properties(i).Value );

}

}


Migration des règles FormReader 6.5 et exportation vers des scripts FlexiCapture 10

Migration des règles FormReader 6.5 et exportation vers des scripts FlexiCapture 10.0

Migration des règles FormReader aux règles de scripts FlexiCapture

Règles If-Then

Modifications des fonctions et méthodes :

  1. Error(field, message). Au lieu d'utiliser cette fonction, utilisez une combinaison des propriétés suivantes de l'unité à vérifier : CheckSucceeded, ErrorMessage et FocusedField.

    Par exemple, ce code FormReader 6.5 :

    if [City].IsEmpty() then Error( [City] , "le nom de la ville doit être indiqué")

    doit être changé en

    [VBScript]

    if me.Field("City").Text = "" then

    me.CheckSucceeded = false

    me.ErrorMessage = "le nom de la ville doit être indiqué"

    me.FocusedField = me.Field("City")

    else

    me.CheckSucceeded = true

    end if

    [JScript]

    if( Field("City").Text == "" ) {

    CheckSucceeded = false;

    ErrorMessage = "le nom de la ville doit être indiqué";

    FocusedField = Field("City");

    } else {

    CheckSucceeded = true;

    }

  2. Opérations sur des chaînes La section ci-dessous répertorie les instructions permettant d'implémenter sous FlexiCapture 10.0 les opérations de chaînes qui étaient disponibles via les règles If-Then.

    [VBScript]

    .Length() – Utilisez la fonction analogue Len(string)

    .CmpNoCase(str) – Pour les comparaisons de chaînes non sensibles à la casse, utilisez la fonction LCase(string) ou UCase(string)

    .Mid(position, count) – Utilisez la fonction analogue Mid(string, pos, count)

    [JScript]

    .Length() – Utilisez la propriété length analogue de la variable de type chaîne

    .CmpNoCase(str) – Pour les comparaisons de chaînes non sensibles à la casse, utilisez la fonction LCase(string) ou UCase(string)

    .Mid(position, count) – Utilisez les méthodes analogues substr(start, [length]) de la variable de type chaîne

  3. Opérations sur des nombres réels.

    [VBScript]

    Floor(d), Ceil(d) – Il n'existe pas d'équivalents prêts à l'emploi en VBScript, mais vous pouvez créer votre propre implémentation si nécessaire

    Round(d),Round(d, i) – Utilisez la fonction analogue Round(d, [i])

    [JScript]

    Floor(d), Ceil(d) – Utilisez les méthodes floor(d) et ceil(d) de l'objet Math

    Round(d) – Utilisez les méthodes round(d) de l'objet Math

    Round(d, i) – Il n'existe pas d'équivalent prêt à l'emploi en JScript, mais vous pouvez créer votre propre implémentation si nécessaire.

  4. Opérations sur des champs texte

    IsEmpty() – Compare la valeur texte du champ Field("fieldName").Text avec une chaîne vide

    Text() – Utilisez Field("fieldName").Text

    Length() – Récupère la valeur texte du champ puis détermine la longueur de la chaîne qui en résulte comme décrit à l'étape 2 ci-dessus.

    SetText(text) – Utilisez Field("fieldName").Text = text

  5. Opérations sur des coches

    IsValid() – Vous pouvez utiliser la propriété IsVerified

    Value() –Field("fieldName").Value retourne maintenant une valeur booléenne et non 0 ou 1 comme sous FormReader 6.5

    SetValue(newValue) – Utilisez Field("fieldName").Value = newValue

  6. Opérations sur des groupes de coches

    IsValid() – Vous pouvez utiliser la propriété IsVerified pour déterminer le niveau de certitude d'un champ dans un groupe. Pour déterminer le nombre de cases à cocher sélectionnées, utilisez une itération sur les coches du groupe, comme dans l'exemple « Contrôle d'un groupe de coches » (consultez la section Exemples de scripts permettant de créer des règles personnalisées).

    Value() – Pour récupérer le numéro de la coche sélectionnée, vous pouvez utiliser l'une des deux méthodes ci-dessous :

    1. Attribuez des numéros aux coches du groupe : 0, 1, etc. Field("groupName").Value contiendra ensuite le numéro de la coche sélectionnée, ou la liste des numéros (plusieurs coches sélectionnées), ou encore une chaîne vide (aucune coche sélectionnée).
    2. Pour ajouter les coches à la règle pour un groupe donné, suivez leur ordre d'apparition au sein du groupe. Ensuite, utilisez une itération sur les coches du groupe, comme dans l'exemple « Contrôle d'un groupe de coches ».

    Text() - Utilisez Field("groupName").Value

    SetValue(newValue) – Pour changer la valeur d'un groupe de coches, vous devez définir/redéfinir les coches requises dans ce groupe. Les coches doivent être incluses dans la règle, et l'indicateur ReadOnly doit être activé pour elles.

Règles d'automatisation

Pour pouvoir utiliser des composants d'automatisation créés sous FormReader 6.5 dans FlexiCapture 10.0, vous devez apporter les modifications suivantes à ces composants.

  1. La méthode d'un composant externe implémentant la logique de la règle doit être invoquée à partir d'une règle de script, comme indiqué dans les exemples. La signature de cette méthode n'est soumise à aucune exigence spécifique. Notez toutefois que les paramètres de la règle de script transmis à la méthode du composant externe doivent correspondre à la signature sélectionnée dans la méthode. Elle peut se présenter comme suit :

    Public Sub Check(ByRef docObj As Object)

    2. docObj – Il s'agit d'une référence à l'unité de document à vérifier.

  2. Les méthodes de l'objet fieldsObj qui était utilisé sous FormReader 6.5 doivent être remplacées par les méthodes prises en charge par FlexiCapture 10.0. Le tableau ci-dessous répertorie les correspondances entre les anciennes et les nouvelles méthodes de l'objet fieldsObj.
Méthode fieldsObj | Exemples de code VisualBasic pouvant remplacer l'ancienne méthode
GetFieldsCount As Integer Dim count as Long

count = docObj.Fields.Count()
GetFieldsNames(Names As Variant) Dim i As Long, count As Long

Dim Names() As String

count = docObj.Fields.count

ReDim Names(count - 1)

For i = 0 To count - 1

Names(i) = docObj.Fields.Item(i).Name

Next
GetFieldsTypes(FieldTypes As Variant) | Non pris en charge
GetFieldByIndex(Index As Integer, FieldValue As Variant) Dim fieldValue

fieldValue = docObj.Fields.Item(index).Value
GetFieldByName(Name As String, FieldValue As Variant) Dim fieldValue

fieldValue = docObj.Field(Name).Value
GetTableColumnsList(FieldIndex As Integer, TableColumns As Variant) Pour pouvoir travailler avec des colonnes de tableaux, ajoutez les champs de colonnes à la règle. La procédure à suivre pour vérifier si la colonne a correctement été associée est la même que pour n'importe quel autre champ :

Dim isMatched isMatched = docObj.Field("ColumnName").IsMatched

SetFieldByIndex(Index As Integer, FieldValue As Variant) | docObj.Fields.Item(index).Value = newValue
SetFieldByName(Name As String, FieldValue As Variant) | docObj.Field(Name).Value = newValue
SetTableCellValue(Index As Integer, Row As Integer, Column As Integer, FieldValue As String) Pour pouvoir travailler avec des cellules de tableaux, ajoutez les champs de colonnes à la règle.

Les opérations effectuées sur ces champs dépendent du niveau de la règle. Si la règle a été créée pour intervenir au niveau d'une colonne ou d'un tableau, elle s'applique à chaque ligne et utilise les valeurs des colonnes de la ligne en cours de vérification (elle intervient donc sur les cellules) :

Dim cell As Object
Set cell = docObj.Field("ColumnName")
Dim cellValue as String
cellValue = cell.Value

Ainsi, vous pouvez créer une règle qui utilise les données des deux premières colonnes d'un tableau pour en compléter une troisième :

Dim cellResult As Object
Set cellResult = docObj.Field("ColumnResult")
cellResult.Value = docObj.Field("Column1").Value + docObj.Field("Column2").Value

Si la règle a été créée pour intervenir au niveau d'une unité contenant un tableau (groupe, section, document), il faut utiliser une itération sur une colonne, comme décrit dans l'exemple de règle d'automatisation, pour accéder à ses cellules.

SetSuggestByIndex(Index As Integer, Suggests As String)

Dim suggests() As Variant

' suggestions pour le champ

' ...

Dim field As Object

Set field = docObj.Fields.Item(index)

For i = LBound(suggests) To UBound(suggests)

field.Suggest suggests(i)

Next
SetSuggestByName(FieldName As String, Suggests As String)

Dim suggests() As Variant

' suggestions pour le champ

' ...

Dim field As Object

Set field = docObj.Field(Name)

For i = LBound(suggests) To UBound(suggests)

field.Suggest suggests(i)

Next
SetTableCellSuggest(Index As Integer, Row As Integer, Column As Integer, Suggests As String) Pour accéder aux champs de cellules, la procédure est la même que pour la méthode SetTableCellValue.

Vous pouvez ensuite travailler avec la cellule à laquelle vous avez accédé de la même manière qu'avec n'importe quel champ. Pour définir une suggestion, procédez comme suit :

cell.Suggest cellSuggest

  3. Les méthodes de l'objet errorsObj qui était utilisé sous FormReader 6.5 doivent être remplacées par les méthodes prises en charge par FlexiCapture 10.0. Le tableau ci-dessous répertorie les correspondances entre les anciennes et les nouvelles méthodes de l'objet errorsObj.
Méthode errorsObj Exemples de code VisualBasic pouvant remplacer l'ancienne méthode
SendFieldError( ErrMsg As String, Index As Integer) docObj.ErrorMessage = ErrMsg

docObj.CheckSucceeded = false

docObj.FocusedField = docObj.Fields.Item(index)
SendTableError( ErrMsg As String, FieldIndex As Integer, ErrorCells As Variant )

docObj.ErrorMessage = ErrMsg
docObj.CheckSucceeded = false

Si la règle a été créée pour intervenir au niveau d'un tableau ou d'une colonne, le programme signale toutes les cellules de la ligne vérifiée dont les champs (colonnes) ont été ajoutés à la règle comme étant des erreurs. Pour déplacer le focus sur une cellule donnée, utilisez le code suivant :

docObj.FocusedField = docObj.Field("ColumnName")

Si la règle a été créée pour un niveau supérieur, le programme ne marque pas de cellules, et il ne déplace pas non plus le focus au sein de ces cellules.

Migration de l'exportation d'automatisation FormRead à l'exportation de scripts FlexiCapture

La méthode d'un composant externe implémentant la logique de la règle doit être invoquée à partir d'une règle de script, comme indiqué dans les exemples. La signature de cette méthode n'est soumise à aucune exigence spécifique. Notez toutefois que les paramètres de la règle de script transmis à la méthode du composant externe doivent correspondre à la signature sélectionnée dans la méthode. Elle peut se présenter comme suit :

Public Sub Check(ByRef docObj As Object, ByRef exportTools As Object)

docObj – Il s'agit d'une référence au document à exporter

exportTools – Il s'agit d'une référence à l'objet ExportTools

Les méthodes de l'objet fieldsObj qui était utilisé sous FormReader 6.5 doivent être remplacées par les méthodes prises en charge par la version actuelle de l'application. Le tableau ci-dessous répertorie les correspondances entre les méthodes de l'objet fieldsObj et les nouvelles méthodes permettant de travailler avec des documents à exporter :

Méthodes de l'objet fieldsObj | Implémentations possibles dans le nouveau modèle d'objets
GetFieldsCount As
Integer 		Pour récupérer le nombre de champs du document en cours d'exportation, utilisez une itération sur l'arborescence de champs, comme dans l'exemple « Utilisation d'un composant COM externe », puis effectuez le calcul.
GetFieldsNames(Names As Variant) | Pour récupérer les noms des champs du document en cours d'exportation, utilisez une itération sur l'arborescence de champs, comme dans l'exemple « Utilisation d'un composant COM externe », puis remplissez le tableau avec les noms des champs.
GetFieldsTypes(FieldTypes As Variant) | Non pris en charge.
GetFieldByIndex(Index As Integer, FieldValue As Variant) L'indice ne peut plus être utilisé comme méthode d'accès, car le nouveau modèle d'objets a une structure hiérarchique.
Il est en revanche facile d'utiliser une itération sur l'arborescence de champs, comme dans l'exemple « Utilisation d'un composant COM externe » et de remplir le tableau avec les noms des champs.
GetFieldByName(Name As String, FieldValue As Variant) Dim fieldValue
fieldValue = docObj.Field(Name).Value


Scripts pour le traitement des évènements de l'interface

Sous ABBYY FlexiCapture 10.0, vous pouvez utiliser des scripts pour traiter les évènements d'interface. Le programme vous permet de configurer le fonctionnement d'un poste, de personnaliser son interface, de modifier le comportement du poste dans certaines conditions, d'implémenter des commandes utilisateur, etc.

Ces scripts peuvent uniquement être ajoutés pour les étapes de workflows interactifs. Pour plus de détails, consultez Configuration des workflows.

Tous les objets de scripts sont disponibles en lecture et en écriture. Ils ne sont pas mis en cache.

Les droits d'accès aux objets de ControllerInterop utilisés dans les scripts dépendent de l'état de l'objet. L'état du document en cours est retourné par la méthode DocumentState() de l'interface ITaskWindow. Si l'état du document est DS_Opened, alors les objets ControllerInterop du document sont disponibles en lecture et en écriture. Pour les autres états, les objets de ControllerInterop sont en lecture seule.

Les évènements gérables par le biais de scripts et de leurs paramètres sont décrits ci-dessous.

puce Évènements
puce Objets

Remarque : lors de la fermeture du poste, les modifications d'interface apportées à partir des scripts ne sont pas enregistrées. Les valeurs par défaut de tous les paramètres spécifiés dans les scripts sont réinitialisées.


Gestionnaires d'événements

Les évènements du shell du programme, qui peuvent être gérés par le biais de scripts, sont les suivants :

puce | À l'activation du document
puce | À la fermeture du document
puce | À la fermeture du projet
puce | À la fermeture du document
puce | À l'activation du contrôle de champ
puce | À la désactivation du contrôle de champ
puce | À l'ouverture du document
puce | À la modification de région
puce | À la conception du contrôle de région
puce | Au retour de la tâche
puce | À la fermeture du projet
puce | À la fermeture de la tâche
puce | Au rejet de la tâche
puce | À l'étape Envoyer vers
puce | À la création de la fenêtre Tâche
puce | À la validation du champ de texte
puce | En cas de commande utilisateur


À l'activation du document

Moment où le script se lance

Le script se lance avant l'activation du document dans la fenêtre Tâche (via un double-clic, en utilisant les commandes du menu, etc.)

Si le paramètre CanOpen est réglé sur true, le document s'ouvrira dans l'éditeur de documents une fois le script exécuté. Si le paramètre CanOpen est réglé sur false, le document ne s'ouvrira pas.

Par défaut, la valeur du paramètre CanOpen est true.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche
DocumentItem | IDocumentItem | Lecture/écriture | Le document en cours de traitement
CanOpen | IBoolean | Lecture/écriture | Définit si le document doit être ouvert

Remarque : si le document est réduit, la valeur des propriétés DocumentItem.PageItems.Count et TaskWindow.MainWindow.Selection redevien « 0 ».


À la fermeture du document

Moment où le script se lance

Le script se lance lorsque le document est en cours de fermeture dans l'éditeur de documents (en raison de l'ouverture d'un nouveau document ou en raison de la fermeture de l'éditeur de documents), avant la confirmation des modifications.

Si le paramètre CanClose est réglé sur false, le document restera ouvert. Si le paramètre CanClose est réglé sur true, le document se fermera une fois le script exécuté.

Par défaut, la valeur du paramètre CanClose est true.

Paramètres

Nom | Type | Accès | Description
Context | IDocumentEditor | Lecture/écriture | L'éditeur de documents
CanClose | IBoolean | Lecture/écriture | Définit si le document doit être fermé


À la fermeture du projet

Moment où le script se lance

Le script se lance lorsque le projet est en cours de fermeture, avant d'afficher une boîte de dialogue de confirmation. La boîte de dialogue de confirmation apparaît si l'utilisateur doit confirmer l'action avant de poursuivre.

Si le paramètre CanClose est réglé sur false, la fenêtre principale restera ouverte. Si le paramètre CanClose est rélgé sur true, la fenêtre principale restera fermée.

Par défaut, la valeur du paramètre CanClose est true.

Paramètres

Nom | Type | Accès | Description
Context | IMainWindow | Lecture/écriture | La fenêtre principale
CanClose | IBoolean | Lecture/écriture | Définit s'il faut fermer la fenêtre principale


À la fermeture du document

Moment où le script se lance

Le script se lance après avoir confirmé les modifications lors de la fermeture d'un document dans l'éditeur de documents.

Paramètres

Nom | Type | Accès | Description
Context | IDocumentEditor | Lecture/écriture | L'éditeur de documents


À l'activation du contrôle de champ

Moment où le script se lance

Le script se lance à l'activation d'un champ.

Paramètres

Nom | Type | Accès | Description
Context | IFieldControl | Lecture/écriture | Le champ activé

Remarque : vous ne pouvez pas activer un champ différent par le biais de ce script.


À la désactivation du contrôle de champ

Moment où le script se lance

Le script se lance avant qu'un champ ne cesse d'être actif.

Le champ qui sera activé par la suite est transmis au script sous la forme d'un paramètre d'entrée. Ce paramètre peut être modifié.

Paramètres

Nom | Type | Accès | Description
Context | IFieldControl | Lecture/écriture | Le champ en cours de désactivation
WasModified | booléen | Lecture/écriture | Indique si le champ a été modifié
NewActiveControl | IBoxedFieldControl | Lecture/écriture | Le champ en cours d'activation. Remarque : la propriété a la valeur null si le champ qui va être activé appartient à un autre document.


À l'ouverture du document

Moment où le script se lance

Le script se lance à l'ouverture d'un document dans l'éditeur de documents (lors de l'ouverture d'une fenêtre Nouveau document ou en ouvrant un nouveau document).

Lorsque le script se lance, toutes les fenêtres se trouvant dans l'éditeur de documents sont déjà créées.

Paramètres

Nom | Type | Accès | Description
Context | IDocumentEditor | Lecture/écriture | L'éditeur de documents

Remarque : fermer le document à partir de ce script n'est pas autorisé. La commande DocumentEditor.TaskWindow.CloseEditorWindow(); générera le message d'erreur suivant : « System.Runtime.InteropServices.COMException (0x80004005) : impossible de fermer l'éditeur de documents. »


À la fermeture du projet

Moment où le script se lance

Le script se lance lorsque la fermeture du projet est terminée, une fois l'action confirmée par l'utilisateur dans la boîte de dialogue de confirmation (le cas échéant).

Paramètres

Nom | Type | Accès | Description
Context | IMainWindow | Lecture/écriture | La fenêtre principale


À la modification de région

Moment où le script se lance

Le script se lance avant la modification d'une région dans la fenêtre Image.

Si le paramètre AllowChangeRegion est réglé sur true, la région sera modifiée une fois le script exécuté. Si le paramètre AllowChangeRegion est réglé sur false, la région ne sera pas modifiée.

Par défaut, la valeur du paramètre AllowChangeRegion est true.

Paramètres

Nom | Type | Accès | Description
Context | IFieldRegionControl | Lecture/écriture | La région
NewRegionParam | IShellRects | Lecture/écriture | Rectangles de la région. Pour les tableaux, l'intégralité de la région comportant les tableaux est ignorée. Remarque : lors de la modification d'un conteneur de la région, une nouvelle région de ce conteneur est retournée ; les nouvelles régions de ses éléments enfants ne sont pas retournées. Lors de la modification d'un élément enfant, seule une nouvelle région de cet élément enfant est retournée. Pour les tableaux, la région d'un tableau est toujours retournée tout comme lorsqu'une région de colonne ou de ligne est modifiée.
AllowChangeRegion | IBoolean | Lecture/écriture | Définit s'il faut modifier la région.


À la conception du contrôle de région

Moment où le script se lance

Le script se lance avant de redessiner la région.

Si le paramètre DrawDefault est réglé sur true, le traçage de la région sera annulé. Si le paramètre DrawDefault est réglé sur false, la région sera redessinée.

Par défaut, la valeur du paramètre DrawDefault est false.

Paramètres

Nom | Type | Accès | Description
Context | IFieldRegionControl | Lecture/écriture | La région
DrawContext | IDrawContext | Lecture/écriture | Le contexte du traçage
DrawDefault | IBoolean | Lecture/écriture | Définit s'il faut continuer à dessiner la région


Au retour de la tâche

Moment où le script se lance

Le script se lance lorsque le traitement de la tâche en cours est terminé, après la confirmation des modifications.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche


À la fermeture de la tâche

Moment où le script se lance

Le script se lance avant la fermeture de la tâche en cours.

Si le paramètre CanClose est réglé sur true, la tâche se fermera une fois le script exécuté. Si le paramètre CanClose est réglé sur false, la tâche restera ouverte.

Par défaut, la valeur du paramètre CanClose est true.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche
CanClose | IBoolean | Lecture/écriture | Définit si la tâche doit être fermée


Au rejet de la tâche

Moment où le script se lance

Le script se lance avant de rejeter la tâche.

Si le paramètre CanReject est réglé sur true, la tâche sera rejetée une fois le script exécuté. Si le paramètre CanReject est réglé sur false, la tâche ne sera pas rejetée.

Par défaut, la valeur du paramètre CanReject est true.

Remarque : l'évènement se produit uniquement lorsque vous utilisez la commande Rejeter la tâche. Lors de la fermeture du poste, l'évènement ne se produit pas.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche
CanReject | IBoolean | Lecture/écriture | Définit si la tâche doit être rejetée


À l'étape Envoyer vers

Moment où le script se lance

Le script se lance avant d'envoyer la tâche vers les Exceptions.

Si la valeur du paramètre CanSend est réglée sur true, la tâche sera envoyée vers les Exceptions une fois le script exécuté. Si la valeur du paramètre CanSend est réglée sur false, la tâche ne sera pas envoyée vers les Exceptions.

Par défaut, la valeur du paramètre CanSend est true.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche
CanSend | IBoolean | Lecture/écriture | Définit s'il faut envoyer la tâche vers les Exceptions


À la création de la fenêtre Tâche

Moment où le script se lance

Le script se lance à la création d'une fenêtre Tâche.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche


À la modification du mode de la fenêtre Tâche

Moment où le script se lance

Le script se lance lors de la modification de l'affichage de la fenêtre Tâche (lorsque l'utilisateur bascule vers un mode d'affichage différent).

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche


À la validation du champ de texte

Moment où le script se lance

Le script se lance lorsque le contrôle valide la modification d'un champ de texte par l'utilisateur (par ex. : lorsque vous essayez de choisir la valeur à partir des suggestions ou lorsque le contrôle perd son focus).

Si le paramètre CanApply est réglé sur true, l'entrée de l'utilisateur sera validée une fois le script exécuté. Si le paramètre CanApply est réglé sur false, la modification de l'utilisateur sera annulée.

Par défaut, la valeur du paramètre CanApply est true.

Paramètres

Nom | Type | Accès | Description
Context | ITextEditor | Lecture/écriture | L'éditeur de champs de documents
CanApply | IBoolean | Lecture/écriture | Définit s'il faut enregistrer les modifications


En cas de commande utilisateur

Moment où le script se lance

L'évènement se produit lorsqu'une commande utilisateur est appelée (à condition qu'un élément correspondant soit ajouté au menu principal ou à la barre d'outils).

Les identificateurs de commandes utilisateur peuvent être représentés sous la forme CI_UserCommand + <nonnegative integer>.

Paramètres

Nom | Type | Accès | Description
Context | IMainWindow | Lecture/écriture | La fenêtre principale de l'application
CommandId | TCommandID | Lecture/écriture | L'identificateur de la commande utilisateur

Remarque : pour ajouter une commande utilisateur au menu principal ou à la barre d'outils, vous devez utiliser les méthodes AppendItem/InsertItem et AppendButton/InsertButton respectivement de l'interface IMenu et de l'interface IToolbar. Les identificateurs de commandes CI_UserCommand ou CI_UserCommand + <nonnegative integer> doivent être utilisés.

L'exemple de code ci-dessous montre comment ajouter un élément de menu pour une commande utilisateur correspondant à un identificateur de commande CI_UserCommand + 1

ABBYY.FlexiCapture.ClientUI.TCommandID userCommand = ABBYY.FlexiCapture.ClientUI.TCommandID.CI_UserCommand;

ABBYY.FlexiCapture.ClientUI.TCommandID userCommand1 = (ABBYY.FlexiCapture.ClientUI.TCommandID) ((int)userCommand + 1);

IMenu menu = MainWindow.MainMenu[0].Submenu;

menu.AppendItem( userCommand1, “User command” );

Le bouton de barre d'outils ou l'élément de menu ajouté pour une commande utilisateur sera désactivé à moins qu'un gestionnaire de l'évènement En cas de commande utilisateur soit ajouté.

L'exemple de code ci-dessous montre le traitement de l'évènement Sur commande utilisateur.

ABBYY.FlexiCapture.ClientUI.TCommandID commandID = ( ABBYY.FlexiCapture.ClientUI.TCommandID )( CommandId );

ABBYY.FlexiCapture.ClientUI.TCommandID userCommand = ABBYY.FlexiCapture.ClientUI.TCommandID.CI_UserCommand;

ABBYY.FlexiCapture.ClientUI.TCommandID userCommand1 = (ABBYY.FlexiCapture.ClientUI.TCommandID) ((int)userCommand + 1);

if( commandID == userCommand1 ) {

<… call necessary methods here …>


Objets

Cette section contient la description des objets utilisés dans les scripts, leurs propriétés et leurs méthodes.

puce | IBoolean
puce | IBoxedFieldControl
puce | IDocumentEditor
puce | IDocumentItem
puce | IDocumentItems
puce | IDocumentsCollection
puce | IDocumentsWindow
puce | IDrawContext
puce | IErrorControl
puce | IErrorControls
puce | IErrorsWindow
puce | IFieldControl
puce | IFieldRegionControl
puce | IFieldRegionControls
puce | IFormWindow
puce | IImageWindow
puce | IMainMenu
puce | IMainWindow
puce | IMenu
puce | IMenuItem
puce | IPageControl
puce | IPageItem
puce | IPageItems
puce | IPagesCollection
puce | IPoint
puce | ISelection
puce | IShellRational
puce | IShellRect
puce | IShellRects
puce | ITaskWindow
puce | ITextEditor
puce | IToolbar
puce | IToolbarButton
puce | IToolbars
puce | TCommandBarType
puce | TCommandID
puce | TDockingType
puce | TErrorType
puce | TSelectionType
puce | TTaskWindowMode
puce | TTextSize
puce | TUserRole
puce | TWorkWindowType


IBoolean

Effet produit

Importe/exporte les valeurs booléennes à partir des/vers les scripts.

Propriétés

Nom | Type | Accès | Description
Value | booléen | Lecture/écriture | La valeur

Remarque : pour attribuer une valeur à un objet de type IBoolean, vous devez utiliser la propriété Value. Par exemple, pour attribuer une valeur true à l'objet A de type IBoolean, vous devez saisir A.Value = true au lieu de A = true.


IBoxedFieldControl

Effet produit

Stocke le contrôle de champ du document.

Propriétés

Nom | Type | Accès | Description
Value | IFieldControl | Lecture/écriture | Le champ


IDocumentEditor

Effet produit

Représente l'éditeur de documents.

Méthodes

Définitions | Description
Save() : bool | Enregistre le document

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
Document | IDocument | Lecture seule | Le document en cours d'édition
Modified | booléen | Lecture seule | Indique si le document est modifié
TaskWindow | ITaskWindow | Lecture seule | La fenêtre Tâche
ImageWindow | IImageWindow | Lecture seule | La fenêtre Image
FormWindow | IFormWindow | Lecture seule | La fenêtre Formulaire
ErrorsWindow | IErrorsWindow | Lecture seule | La fenêtre Erreurs
FormMode | booléen | Lecture/écriture | Indique si le mode d'affichage de données est activé


IDocumentItem

Effet produit

Représente un document de la fenêtre Documents.

Propriétés

Nom | Type | Accès | Description
TaskWindow | ITaskWindow | Lecture seule | La fenêtre Tâche
TaskDocument | booléen | Lecture seule | Indique si le document appartient à la tâche en cours
Rect | IShellRect | Lecture seule | Le rectangle du document d'IDocumentsWindow
Selected | booléen | Lecture/écriture | Indique si le document est sélectionné
Expanded | booléen | Lecture/écriture | Indique si le document est agrandi
Collection | IDocumentItems | Lecture seule | L'ensemble qui contient le document
Document | IDocument | Lecture seule | Le document
PageItems | IPageItems | Lecture seule | L'ensemble des pages incluses dans le document

Remarque : en mode d'affichage Vignettes, la valeur de la propriété Expanded est toujours true. Régler la propriété sur false ne provoque pas d'erreurs, mais la valeur restera true.


IDocumentItems

Effet produit

Un ensemble d'objets IDocumentItem. Représente les documents de la fenêtre Documents.


IDocumentsCollection

Effet produit

Un ensemble d'objets IDocument.


IDocumentsWindow

Effet produit

La fenêtre permettant d'afficher les documents en Vue Vignettes ou en Vue détaillée.

Méthodes

Définitions | Description
EnsureRectVisible( imageRect : IShellRect ) | Déplace la case de défilement pour rendre le rectangle spécifié visible
FindDocumentItem( document : IDocument ) : IDocumentItem | Récupère IDocumentItem via l'objet IDocument de ControllerInterop
FindPageItem( page : IPage ): IPageItem | Récupère IPageItem via l'objet IPage de ControllerInterop

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
ClientRect | IShellRect | Lecture seule | Le rectangle de la zone client (coordonnées de la fenêtre). Les coordonnées de l'angle supérieur gauche de la fenêtre principale sont (0,0).
TotalRect | IShellRect | Lecture seule | Le rectangle de la fenêtre complète
ScrollPos | IPoint | Lecture/écriture | La position de la case de défilement
Docking | TDockingType | Lecture/écriture | La position d'IDocumentsWindow dans l'éditeur de documents
Ratio | IShellRational | Lecture/écriture | Le rapport entre la taille de la fenêtre et celle de la fenêtre parente
TaskWindow | ITaskWindow | Lecture seule | La fenêtre Tâche
Items | IDocumentItems | Lecture seule | L'ensemble de documents
SelectedItems | IDocumentItems | Lecture seule | Documents sélectionnés
FocusedItem | IDocumentItem | Lecture seule | Documents ayant un focus


IDrawContext

Effet produit

Correspond au contexte de la représentation. Vous permet de dessiner des objets géométriques élémentaires en utilisant des scripts. La couleur est définie via une séquence de quatre octets : 0x00BBGGRR, où « BB » correspond à la couleur bleue, « GG » à la couleur verte et « RR » à la couleur rouge.

Méthodes

Définitions | Description
GetPixel( x : int, y : int ) : int | Récupère la couleur du pixel (en RGB) via ses coordonnées.
SetPixel( x : int, y : int, rgbColor : int ) : int | Définit la couleur (en RGB) du pixel ayant les coordonnées définies. Restaure la couleur précédente du pixel (en RGB).
Line( start : IPoint, end : IPoint, rgbColor : int ) | Dessine une ligne de la couleur définie. Cette ligne relie les points de « start » et de « end ».
Rect( rect : IShellRect, rgbColor : int ) | Dessine un rectangle comportant un cadre de la couleur définie.
FillRect( rect : IShellRect, rgbColor : int ) | Dessine un rectangle plein de la couleur définie.
FillAlphaRect( rect : IShellRect, rgbColor : int, alpha : int ) | Dessine un rectangle plein aya nt un niveau de transparence défini.

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur du contexte (HDC)


IErrorControl

Effet produit

Représente un élément de la liste IErrorsWindow.

Méthodes

Définitions | Description
Field( index : int ) : IField | Récupère le champ en rapport avec l'erreur via l'indice de l'erreur

Propriétés

Nom | Type | Accès | Description
Type | TErrorType | Lecture seule | Le type de l'erreur
Error | chaîne | Lecture seule | Le texte de l'erreur
IsWarning | booléen | Lecture seule | Définit si l'erreur est un avertissement
FieldsCount | entier | Lecture seule | Le nombre de champs concernés par l'erreur
Index | entier | Lecture seule | L'indice de l'erreur dans la Fenêtre Erreurs


IErrorControls

Effet produit

Un ensemble d'objets IErrorControl.


IErrorsWindow

Effet produit

Représente la fenêtre Erreurs.

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
DocumentWindow | IDocumentEditor | Lecture seule | L'éditeur de documents
Controls | IErrorControls | Lecture seule | L'ensemble des contrôles
FocusedControl | IErrorControl | Lecture/écriture | L'erreur faisant l'objet d'un focus à ce moment
Docking | TDockingType | Lecture/écriture | La position d'IErrorsWindow par rapport à IFormWindow dans l'éditeur de documents.
Ratio | IShellRational | Lecture/écriture | Le rapport entre la taille d'IErrorsWindow (qui est le numérateur) et la taille totale des fenêtres IFromWindow additionnée à la taille totale d'IErrorsWindow (qui est le dénominateur).
ShowAssemblingErrors | booléen | Lecture/écriture | Définit s'il faut afficher les erreurs d'assemblage
ShowRuleErrors | booléen | Lecture/écriture | Définit s'il faut afficher les erreurs de règles
ShowFormatErrors | booléen | Lecture/écriture | Définit s'il faut afficher les erreurs de format


IFieldControl

Effet produit

Représente un contrôle de champ de document.

Propriétés

Nom | Type | Accès | Description
Field | IField | Lecture seule | Le champ de document
FormWindow | IFormWindow | Lecture seule | La fenêtre Formulaire
TextEditor | ITextEditor | Lecture seule | L'éditeur de champs. Pour les champs inactifs, « null » est retourné.
IsExpandable | booléen | Lecture seule | Indique si le champ peut être agrandi. Si la propriété est réglée sur true, le champ peut être agrandi et réduit sur le formulaire.
IsExpanded | booléen | Lecture/écriture | Indique si le champ est agrandi.
IsUserReadOnly | booléen | Lecture/écriture | Indique si le champ est modifiable. Si la propriété est réglée sur true, le champ n'est pas modifiable. Si la propriété est réglée sur false, les possibilités de modification du champ dépendent des paramètres de la définition de document.
DeviceRect | IShellRect | Lecture seule | Le rectangle du contrôle
FieldFullName | chaîne | Lecture seule | Le nom complet du champ
FieldRegionControls | IFieldRegionControls | Lecture seule | L'ensemble des régions de champs du document. null est retourné si les champs ne comportant pas de région.
Parent | IFieldControl | Lecture seule | Le contrôle parent
First | IFieldControl | Lecture seule | Le premier contrôle enfant
Last | IFieldControl | Lecture seule | Le dernier contrôle enfant
Prev | IFieldControl | Lecture seule | Le contrôle précédent
Next | IFieldControl | Lecture seule | Le contrôle suivant


IFieldRegionControl

Effet produit

Représente une région du champ de document.

Propriétés

Nom | Type | Accès | Description
FieldRegion | IFieldRegion | Lecture seule | La région d'un champ de document
Page | IPageControl | Lecture seule | La page contenant la région
Window | IImageWindow | Lecture seule | La fenêtre Image
DeviceRect | IShellRect | Lecture seule | Le rectangle de la fenêtre
Visible | booléen | Lecture/écriture | Indique si la région est visible
FieldControl | IFieldControl | Lecture seule | Le contrôle du champ de document associé à la région
Parent | IFieldRegionControl | Lecture seule | La région parente
First | IFieldRegionControl | Lecture seule | La première région enfant
Last | IFieldRegionControl | Lecture seule | La dernière région enfant
Prev | IFieldRegionControl | Lecture seule | La région précédente
Next | IFieldRegionControl | Lecture seule | La région suivante


IFieldRegionControls

Effet produit

Un ensemble d'objets IFieldRegionControl.


IFormWindow

Effet produit

Représente la fenêtre Formulaire.

Méthodes

Définitions | Description
EnsureRectVisible( imageRect : IShellRect ) | Déplace la case de défilement pour rendre le rectangle spécifié visible
FindControl( field : IField ) : IFieldControl | Recherche un contrôle de champ en utilisant la valeur de la région de champs de ControllerInterop

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
DocumentWindow | IDocumentEditor | Lecture seule | L'éditeur de documents
Control | IFieldControl | Lecture seule | Le contrôle principal du formulaire
ClientRect | IShellRect | Lecture seule | Le rectangle de la zone client (coordonnées de la fenêtre). Les coordonnées de l'angle supérieur gauche de la fenêtre principale sont (0,0).
TotalRect | IShellRect | Lecture seule | Le rectangle du formulaire complet. Si la taille de la zone cliente est inférieure à la taille du formulaire, la fenêtre du formulaire comprendra des barres de défilement.
ScrollPos | entier | Lecture/écriture | La position de la case de défilement
ActiveControl | IFieldControl | Lecture/écriture | Le contrôle actif du formulaire. La valeur de cette propriété ne peut pas être modifiée à partir des évènements À l'activation du contrôle de champ et À la désactivation du contrôle de champ.
TextSize | TTextSize | Lecture/écriture | La taille du texte
Docking | TDockingType | Lecture/écriture | La position d'IFormWindow par rapport à IImageWindow dans l'éditeur de documents.
Ratio | IShellRational | Lecture/écriture | Le rapport entre la taille totale de la fenêtre IFormWindow ajoutée à la taille totale de la fenêtre IErrorsWindow (qui est le numérateur) et la taille d'IDocumentEditor (le dénominateur). Si la propriété Docking est DT_Top ou DT_Bottom, le rapport entre les extensions Y est calculé. Sinon, le rapport entre les extensions X est calculé.


IImageWindow

Effet produit

Représente la fenêtre Image.

Méthodes

Définitions | Description
EnsureRectVisible( imageRect : IShellRect ) | Déplace la case de défilement pour rendre le rectangle spécifié visible

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
DocumentEditor | IDocuementEditor | Lecture seule | L'éditeur de documents
First | IPageControl | Lecture seule | La première page
Last | IPageControl | Lecture seule | La dernière page
ClientRect | IShellRect | Lecture seule | Le rectangle de la zone cliente (coordonnées de la fenêtre). Les coordonnées de l'angle supérieur gauche de la fenêtre principale sont (0,0). Si la taille de la zone cliente est inférieure à la taille de TotalRect, la fenêtre de l'image comprendra des barres de défilement.
TotalRect | IShellRect | Lecture seule | Le rectangle de la zone occupée par toutes les images de pages
ScrollPos | IPoint | Lecture/écriture | La position de la case de défilement
Docking | TDockingType | Lecture/écriture | La position d'IImageWindow par rapport à IFormWindow dans l'éditeur de documents.
Ratio | IShellRational | Lecture/écriture | Le rapport entre la taille d'IImageWindow (qui est le numérateur) et la taille d'IDocumentEditor (le dénominateur). Si la valeur de la propriété Docking est DT_Top ou DT_Bottom, le rapport entre les extensions Y est calculé. Sinon, le rapport entre les extensions X est calculé.
ShowBWImages | booléen | Lecture/écriture | Définit s'il faut afficher une image en noir et blanc
ImageScale | IShellRational | Lecture/écriture | L'échelle de l'image. La plage de valeurs admissibles va de 1/8 à 8.
ShowToolbar | IShellRational | Lecture/écriture | Définit s'il faut afficher la barre d'outils


IMainMenu

Effet produit

Un ensemble d'objets IMenuItem. Représente le menu de la fenêtre principale.

La propriété TCommandID retourne CI_SubMenu pour tous les éléments de ce menu.

Méthodes

Définitions | Description
Reset() | Réinitialise le menu (restaure l'affichage original).

Important ! Après avoir appliqué la méthode Reset, l'objet en cours de type IMainMenu est détruit, et un nouvel objet est généré. Suite à cela, toutes les références à l'objet en cours sont invalidées ; si vous essayez de les utiliser, une exception sera générée. Vous devez soit définir un nouvel objet, soit réinitialiser l'objet existant.

L'exemple de code suivant montre l'application de la méthode Reset à un objet. Suite à cela, les objets menu sont invalidés et ne peuvent plus être ciblés.

// Définir un nouvel objet IMainMenu et l'initialiser

IMainMenu menu = TaskWindow.MainWindow.MainMenu;

// Appeler la méthode Reset

menu.Reset();


IMainWindow

Effet produit

Représente la fenêtre principale.

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
MainMenu | IMainMenu | Lecture seule | Le menu principal
Toolbars | IToolbars | Lecture seule | L'ensemble des barres d'outils
WorkWindowType | TWorkWindowType | Lecture seule | Le type de la fenêtre utilisée
TaskWindow | ITaskWindow | Lecture seule | La fenêtre Tâche
UserRole | TUserRole | Lecture seule | Le rôle de l'utilisateur
Selection | ISelection | Lecture seule | La sélection


IMenu

Effet produit

Un ensemble d'objets IMenuItem. Représente un menu ou un sous-menu.

Méthodes

Définitions | Description
Find( commandId : TCommandID ) : int | Recherche l'indice du premier élément correspondant à l'identificateur de commande spécifié dans l'ensemble.
Delete( index : int ) | Supprime un élément via son indice dans l'ensemble.
InsertItem( index : int, commandId : TCommandID, text : string ) | Insère un élément correspondant à l'identificateur de commande spécifié commandId et le texte de l'élément de menu Text à la position Index. Tous les identificateurs (y compris CI_SubMenu et CI_Separator) peuvent être utilisés, sauf CI_Undefined. Pour l'identificateur CI_Separator, le paramètre Text est ignoré.
AppendItem( commandId : TCommandID, text : string ) | Ajoute un élément correspondant à l'identificateur de commande spécifié commandId et le texte de l'élément de menu Text à la fin du menu. Tous les identificateurs (y compris CI_SubMenu et CI_Separator) peuvent être utilisés, sauf CI_Undefined. Pour l'identificateur CI_Separator, le paramètre Text est ignoré.


IMenuItem

Effet produit

Représente un élément de menu.

Propriétés

Nom | Type | Accès | Description
Command | TCommandID | Lecture seule | L'identificateur de la commande. Pour un titre de sous-menu, CI_SubMenu est retourné. Pour un séparateur, CI_Separator est retourné. S'il n'existe aucun identificateur pour une commande dans les valeurs de TCommandID, CI_Undefined est retourné.
Enable | booléen | Lecture/écriture | Définit s'il faut activer les éléments de menu. Si la propriété est réglée sur false, tous les éléments de menu correspondant à l'identificateur spécifié (la propriété Command) seront désactivés. Si la propriété est réglée sur true, l'activation des éléments de menu dépend de la logique interne du programme. Pour les titres de sous-menu et les séparateurs, la propriété est toujours réglée sur true.
Text | chaîne | Lecture/écriture | Le texte de l'élément de menu. Remarque : la propriété ne permet pas de modifier le texte pour les éléments de la barre de menu : Fichier, Édition, Affichage, etc.
Submenu | IMenu | Lecture seule | Le sous-menu. Si un sous-menu est manquant, « null » est retourné.


IPageControl

Effet produit

Représente une page de la fenêtre Image.

Méthodes

Définitions | Description
ImageToDevice( imageRect : IShellRect ) : IShellRect | Convertit les coordonnées de l'image en coordonnées de fenêtre

Propriétés

Nom | Type | Accès | Description
Page | IPage | Lecture seule | La page
ImageWindow | IImageWindow | Lecture seule | La fenêtre Image
DeviceRect | IShellRect | Lecture seule | Le rectangle de la page
First | IFieldRegionControl | Lecture seule | La première région enfant
Last | IFieldRegionControl | Lecture seule | La dernière région enfant
Prev | IPageControl | Lecture seule | La page précédente
Next | IPageControl | Lecture seule | La page suivante


IPageItem

Effet produit

Représente une page de la fenêtre Documents.

Propriétés

Nom | Type | Accès | Description
TaskWindow | ITaskWindow | Lecture seule | La fenêtre Tâche
DeviceRect | IShellRect | Lecture seule | Le rectangle occupé par la page d'IDocumentsWindow
Selected | booléen | Lecture/écriture | Indique si la page est sélectionnée
DocumentItem | IDocumentItem | Lecture seule | Le document contenant la page
Page | IPage | Lecture seule | La page


IPageItems

Effet produit

Un ensemble d'objets IPageItem.


IPagesCollection

Effet produit

Un ensemble d'objets IPage.


IPoint

Effet produit

Représente un point.

Propriétés

Nom | Type | Accès | Description
X | entier | Lecture/écriture | Abscisse
Y | entier | Lecture/écriture | Ordonné


ISelection

Effet produit

Représente la sélection de documents ou de pages.

Propriétés

Nom | Type | Accès | Description
Type | TSelectionType | Lecture seule | Le type de sélection
DocumentItems | IDocumentItems | Lecture seule | Les documents sélectionnés
Documents | IDocumentsCollection | Lecture seule | Objets de type IDocument correspondant aux documents sélectionnés
PageItems | IPageItems | Lecture seule | Les pages sélectionnées
Pages | IPagesCollection | Lecture seule | Objets de type IPage correspondant aux pages sélectionnées

Remarque : Si le document est réduit, la valeur des propriétés DocumentItem.PageItems.Count et TaskWindow.MainWindow.Selection redevient « 0 ».


IShellRational

Effet produit

Représente une fraction.

Propriétés

Nom | Type | Accès | Description
Numerator | entier | Lecture/écriture | Un numérateur
Denominator | entier | Lecture/écriture | Un dénominateur


IShellRect

Effet produit

Représente un rectangle.

Méthodes

Définitions | Description
ToString() : string | Représente un rectangle via une chaîne de type « [left,top,right,bottom] ».

Propriétés

Nom | Type | Accès | Description
Left | entier | Lecture/écriture | Coordonnée de gauche
Right | entier | Lecture/écriture | Coordonnée de droite
Top | entier | Lecture/écriture | Coordonnée du haut
Bottom | entier | Lecture/écriture | Coordonnée du bas


IShellRects

Effet produit

Un ensemble d'objets IShellRect.


ITaskWindow

Effet produit

Représente la fenêtre Tâche.

Méthodes

Définitions | Description
DocumentState( document : IDocument ) : TDocumentState | Récupère l'état du document dans la fenêtre Tâche. Remarque : La méthode ne peut pas être invoquée à partir d'un thread secondaire.
OpenDocument( document : IDocument ) | Change l'état de document DS_Closed en DS_Opened.
CloseDocument( document : IDocument ) | Change l'état de document DS_Opened en DS_Closed.
EditDocument( document : IDocument, page : IPage ): IDocumentEditor | Ouvre le document dans l'éditeur de documents pour le modifier. L'état de document DS_Closed devient DS_Edited. Remarque : Si le document s'ouvre avec succès, l'objet de type IDocumentEditor est retourné. Sinon, « null » est retourné.
CloseEditorWindow() | Ferme l'éditeur de documents ouvert et change l'état de document en DS_Closed. Important ! Lors de la fermeture de l'éditeur de documents, toutes les modifications non enregistrées sont perdues.

Propriétés

Nom | Type | Accès | Description
Handle | entier | Lecture seule | L'identificateur de la fenêtre
MainWindow | IMainWindow | Lecture seule | La fenêtre principale
Batch | IBatch | Lecture seule | Le lot
Mode | TTaskWindowMode | Lecture/écriture | Le mode d'affichage
DocumentsWindow | IDocumentsWindow | Lecture seule | La fenêtre Documents
EditorWindow | IDocumentEditor | Lecture seule | L'éditeur de documents


ITextEditor

Effet produit

Représente un éditeur de champs de documents.

Méthodes

Définitions | Description
GetSelection( startPos : int, endPos : int ) | Obtient le début et la fin de la sélection. Si aucun champ n'est sélectionné, « 0 » est attribué aux paramètres startPos et endPos.
SetSelection( startPos : int, endPos : int ) | Définit une nouvelle sélection.
ApplyChanges() : bool | Applique les modifications apportées.
ResetChanges() | Réinitialise les modifications apportées.
ShowSuggestList() | Affiche la liste de suggestions, le cas échéant. Sinon, rien ne se passe.

Propriétés

Nom | Type | Accès | Description
Control | IFieldControl | Lecture seule | Le contrôle de champ
Modified | booléen | Lecture seule | Indique si le champ est modifié
Text | chaîne | Lecture seule | Le texte du champ
FormWindow | IFormWindow | Lecture seule | La fenêtre Formulaire


IToolbar

Effet produit

Un ensemble d'objets IToolbarButton. Représente une barre d'outils.

Méthodes

Définitions | Description
Reset() | Réinitialise toutes les modifications et restaure l'affichage d'origine de la barre d'outils.
Find( commandId : TCommandID ) : int | Recherche l'indice du bouton correspondant à l'identificateur spécifié dans l'ensemble.
Delete( Index : int ) | Supprime un élément via son indice dans l'ensemble.
InsertButton( index : int, commandId : TCommandID, text : string ) | Insère un élément de barre d'outils correspondant à l'identificateur de commande commandId et le texte Text à la position Index de la barre d'outils. Tous les identificateurs de commandes peuvent être utilisés (y compris CI_Separator), sauf CI_SubMenu et CI_Undefined. Pour CI_Separator, le paramètre Text est ignoré.
AppendButton( commandId : TCommandID, text : string ) | Ajoute un élément de barre d'outils correspondant à l'identificateur de commande commandId et le texte Text à la fin du menu. Tous les identificateurs de commandes peuvent être utilisés (y compris CI_Separator), sauf CI_SubMenu et CI_Undefined. Pour CI_Separator, le paramètre Text est ignoré.

Propriétés

Nom | Type | Accès | Description
Type | TCommandBarType | Lecture seule | Le type de barre d'outils
Name | chaîne | Lecture seule | Le nom de la barre d'outils
Visible | booléen | Lecture/écriture | Indique si la barre d'outils est visible


IToolbarButton

Effet produit

Représente un bouton de barre d'outils.

Propriétés

Nom | Type | Accès | Description
Command | TCommandID | Lecture seule | L'identificateur de la commande. La valeur retournée ne peut pas être CI_SubMenu. S'il n'existe aucun identificateur pour une commande dans les valeurs de TCommandID, CI_Undefined est retourné.
Enable | booléen | Lecture/écriture | Définit s'il faut activer les boutons de la barre d'outils. Si la valeur est réglée sur false, tous les éléments de barre d'outils correspondant à l'identificateur spécifié (la propriété Command) seront désactivés. Si la valeur est réglée sur true, l'activation des éléments de barre d'outils dépend de la logique interne du programme.
Visible | booléen | Lecture/écriture | Définit si un bouton de barre d'outils ou un séparateur est visible
Text | chaîne | Lecture/écriture | Le texte du bouton de la barre d'outils


IToolbars

Effet produit

Un ensemble d'objets IToolbar.


TCommandBarType

Description

Le type de barre d'outils. S'applique à l'interface IToolbar.

Types :

  • CBT_Undefined = 0 - Une barre d'outils non définie.
  • CBT_GroupVerification = 1 - Une barre d'outils comportant des commandes de vérification groupée.
  • CBT_FieldVerification = 2 - Une barre d'outils comportant des commandes de vérification de champs.
  • CBT_Standard = 3 - Une barre d'outils standard.
  • CBT_Navigation = 4 - Une barre d'outils de navigation. Contient les boutons tels que Document précédent, Document suivant, Élément précédent à vérifier, etc.
  • CBT_Views = 5 - Une barre d'outils permettant d'alterner entre la Vue détaillée et la Vue Vignettes.
  • CBT_Tasks = 6 - Une barre d'outils permettant d'effectuer des opérations sur les tâches.
  • CBT_Setup = 7 - Une barre d'outils de base pour la gestion de projets. Contient des boutons tels que Définitions de document…, Types de lot…, Propriétés du projet…, etc.
  • CBT_ScanAndRead = 8 - Une barre d'outils permettant d'effectuer des opérations sur les images (importation, reconnaissance et autres opérations sur les images).
  • CBT_UserToolbar = 9 - Une barre d'outils ajoutée par l'utilisateur lors de la configuration des paramètres de skin pour une étape.


TCommandID

Description

L'identificateur de la commande.

Valeurs autorisées :

Général
  • CI_SubMenu - un titre de sous-menu
  • CI_Separator - un séparateur
  • CI_Undefined - un identificateur de commande non définie
Commandes du menu Fichier
  • CI_NewProject - Nouveau projet…
  • CI_BrowseProject - Ouvrir un projet…
  • CI_BrowseWebProject - Ouvrir un projet à partir du serveur…
  • CI_CloseProject - Fermer le projet
  • CI_UploadProject - Télécharger le projet sur le serveur…
  • CI_Save - Enregistrer
  • CI_NewBatch - Nouveau lot…
  • CI_LoadImage - Charger des images…
  • CI_ScanImages - Numériser des images…
  • CI_ImportImage - Importer des images…
  • CI_Export - Exporter
  • CI_ExportToFile - Exporter les données vers des fichiers
  • CI_ExportImages - Exporter des images vers des fichiers
  • CI_ExportToDB - Exporter vers une base de données
  • CI_RecentFiles - Ouvrir un projet récent
  • CI_Exit - Quitter ABBYY FlexiCapture 10
Commandes du menu Édition
  • CI_EditUndo - Annuler
  • CI_EditRedo - Rétablir
  • CI_EditCut - Couper
  • CI_EditCopy - Copier
  • CI_EditPaste - Coller
  • CI_EditClear - Supprimer
  • CI_MergeDocuments - Fusionner les documents
  • CI_SplitDocuments - Scinder le document
  • CI_EditSelectAll - Tout sélectionner
  • CI_EditFind - Rechercher…
  • CI_EditFindNext - Rechercher suivant
  • CI_MoveToNextItem - Document suivant
  • CI_MoveToPreviousItem - Document précédent
  • CI_ImageClean - Nettoyer l’image
  • CI_ImageInvert - Inverser l’image
  • CI_ImageMirrorHorizontal - Basculement horizontal
  • CI_ImageMirrorVertical - Basculement vertical
  • CI_ImageRotate90 - Rotation à 90° vers la droite
  • CI_ImageRotate270 - Rotation à 90° vers la gauche
  • CI_ImageRotate180 - Rotation à 180°
  • CI_ImageChangeResolution - Changer la résolution
  • CI_ExportImage - Enregistrer l'image

Commandes supplémentaires pour un poste de vérification distant (vérification de champs) :

  • CI_EditDeleteAll - Supprimer tous les caractères
  • CI_EditInsertLineBreak - Insérer un saut de ligne
  • CI_VerificationMergeSymbols - Fusionner les caractères
Commandes du menu Affichage
  • CI_ShowTestBatches - Afficher les lots de test
  • CI_ShowWorkBatches - Afficher les lots
  • CI_ShowQueues - Afficher les files d'attente
  • CI_ShowDetails - Afficher les détails
  • CI_ShowThumbnails - Afficher les vignettes
  • CI_SetupDetailsView - Choisir les détails à afficher
  • CI_DocModeImage - Éditeur de documents en mode Image
  • CI_DocModeForm - Éditeur de documents en mode Données
  • CI_DockImageOnTop - Image en haut de l'éditeur de documents
  • CI_DockImageOnBottom - Image en bas de l'éditeur de documents
  • CI_DockImageOnLeft - Image à gauche de l'éditeur de documents
  • CI_DocImageOnRight - Image à droite de l'éditeur de documents
  • CI_DocImageUndocked - Désancré
  • CI_DocErrorsOnTop - Erreurs en haut de l'éditeur de documents
  • CI_DocErrorsOnBottom - Erreurs en bas de l'éditeur de documents
  • CI_DocErrorsOnLeft - Erreurs à gauche de l'éditeur de documents
  • CI_DocErrorsOnRight - Erreurs à droite de l'éditeur de documents
  • CI_ImageScalePageWidth - Adapter l'image à la largeur
  • CI_ImageScalePageHeight - Adapter l'image à la hauteur
  • CI_ImageScaleWholePage - Meilleur format d'affichage
  • CI_ImageScale400 - Échelle de l'image à 400%
  • CI_ImageScale200 - Échelle de l'image à 200%
  • CI_ImageScale100 - Échelle de l'image à 100%
  • CI_ImageScale75 - Échelle de l'image à 75%
  • CI_ImageScale50 - Échelle de l'image à 50%
  • CI_ImageScale25 - Échelle de l'image à 25%
  • CI_ImageScaleCustom - Échelle d'image personnalisée
  • CI_ImageScaleZoomIn - Zoom avant sur l'image
  • CI_ImageScaleZoomOut - Zoom arrière sur l'image
  • CI_TextSizeLargest - La plus grande taille de texte de données
  • CI_TextSizeLarger - Plus grande taille de texte de données
  • CI_TextSizeMedium - Taille moyenne de texte de données
  • CI_TextSizeSmaller - Plus petite taille de texte de données
  • CI_TextSizeSmallest - La plus petite taille de texte de données
  • CI_ViewToolbarsLayout - Afficher la barre d'outils dans l'éditeur de documents
  • CI_ShowFormatErrorInBallon - Afficher les erreurs de format dans des bulles
  • CI_ShowFormatErrorInErrorView - Afficher les erreurs de format en haut
  • CI_ShowFormatErrorInFormView - Afficher les erreurs de format en bas
  • CI_BWImageMode - Afficher les images en noir et blanc
  • CI_ThumbnailSizeSmallest - La plus petite taille de vignettes
  • CI_ThumbnailSizeDefault - Taille de vignettes par défaut
  • CI_ThumbnailSizeLargest - La plus grande taille de vignette
  • CI_ThumbnailSizeIncrease - Augmenter la taille des vignettes
  • CI_ThumbnailSizeDecrease - Réduire la taille des vignettes
  • CI_ViewToolbarsStandard - Afficher/masquer la barre d'outils standard
  • CI_ViewToolbarsDocuments - Afficher/masquer la barre d'outils Affichage
  • CI_ViewToolbarsNavigation - Afficher/masquer la barre d'outils de navigation
  • CI_ViewToolbarsScanAndRead - Afficher/masquer la barre d'outils de numérisation
  • CI_ViewToolbarsProjectSetup - Afficher/masquer la barre d'outils de configuration de projets
  • CI_ViewToolbarsTasks - Afficher/masquer la barre d'outils des tâches de la file d'attente
  • CI_ShowToolbar1 - Afficher les barres d'outils
  • CI_ViewStatusbar - Afficher/masquer la barre d'état
  • CI_ViewFullScreen - Basculer entre les modes Plein écran/fenêtre
  • CI_Refresh - Actualiser
  • CI_ViewProperties - Afficher les propriétés

Commandes supplémentaires pour un poste de vérification distant (vérification groupée) :

  • CI_ShowFieldImage - Afficher/masquer l'image du champ
  • CI_ShowFieldImageOnTop - Afficher l'image du champ en haut
  • CI_ShowFieldImageOnBottom - Afficher l'image du champ en bas
  • CI_ShrinkToFit - Réduire l'image du champ jusqu'à l'échelle la plus appropriée
  • CI_ContextImageScale400 - Échelle d'image de champ 400%
  • CI_ContextImageScale200 - Échelle d'image de champ 200%
  • CI_ContextImageScale150 - Échelle d'image de champ 150%
  • CI_ContextImageScale100 - Échelle d'image de champ 100%
  • CI_ContextImageScale75 - Échelle d'image de champ 75%
  • CI_ContextImageScale50 - Échelle d'image de champ 50%
  • CI_ShowCharacterImage - Afficher l’image du caractère
  • CI_ShowActionsToolBar - Afficher/masquer la barre d'outils Actions
  • CI_ShowVerInfoBar - Afficher/masquer la barre d'information Vérification
  • CI_VerificationOptions - Afficher les préférences de vérification

Commandes supplémentaires pour un poste de vérification distant (vérification de champs) :

  • CI_ShowRecognizedText - Afficher le texte reconnu
  • CI_ShowSymbolImagesCutting - Afficher/masquer le découpage des images de caractères
  • CI_ShowSpecialSymbols - Afficher/masquer les caractères spéciaux
  • CI_ShowAnalogousFields - Afficher/masquer les champs analogues
Commandes du menu Tâche
  • CI_GetTask - Obtenir la tâche
  • CI_ReturnTask - Fermer la tâche
  • CI_ShowTaskComment - Afficher le commentaire de la tâche
  • CI_CancelTask - Rejeter la tâche
  • CI_DeferTask - Différer la tâche
  • CI_SendTaskToException - Envoyer la tâche vers Exceptions
  • CI_SendTaskToRescan - Envoyer la tâche vers Renumérisation
  • CI_SendTaskToStage - Envoyer la tâche vers l'étape
  • CI_AutoTaskReceive - Réception automatique des tâches activée/désactivée
  • CI_AddDocsToMarked - Ajouter les documents à Marqués
  • CI_UnmarksDocs - Rétablir le marquage des documents
  • CI_MarkDocsToException - Marquer les documents pour Exceptions
  • CI_MarkDocsToRescan -Marquer les documents à envoyer vers Rénumérisation
  • CI_MarkDocsToStage - Marquer les documents pour l'étape
  • CI_ViewMarkedGroupList - Afficher la liste des groupes marqués
Commandes du menu Reconnaissance
  • CI_ApplyTemplate - Analyser
  • CI_SetDocTemplate - Associer une définition de document
  • CI_ReadActive - Reconnaître
Commandes du menu Vérification
  • CI_VerifyAll - Exécuter la vérification
  • CI_GotoNextError - Élément suivant à vérifier
  • CI_GotoPrevError - Élément précédent à vérifier
  • CI_GotoNextAssembleError - Document suivant comportant une ou plusieurs erreurs d'assemblage
  • CI_GotoNextAssembleError - Document précédent comportant une ou plusieurs erreurs d'assemblage
  • CI_GotoNextUnkCharacher - Caractère incertain suivant
  • CI_GotoPrevUnkCharacher - Caractère incertain précédent
  • CI_GotoNextRuleError - Erreur de règle suivante
  • CI_GotoPrevRuleError - Erreur de règle précédente

Commandes supplémentaires pour un poste de vérification distant (vérification groupée) :

  • CI_VerificationConfirmAll - Confirmer tout
  • CI_VerificationPostponeAll - Différer tout
  • CI_VerificationToggleSelected - Changer l'état de l'élément sélectionné
  • CI_VerificationNextPage - Page de vérification suivante
  • CI_VerificationPrevPage - Page de vérification précédente
  • CI_VerificationClose - Fermer la vérification

Commandes supplémentaires pour un poste de vérification distant (vérification de champs) :

  • CI_VerificationConfirmField - Confirmer le champ
  • CI_VerificationNextUncertain - Caractère incertain suivant
  • CI_VerificationPrevUncertain - Caractère incertain précédent
  • CI_VerificationNextField - Champ suivant
  • CI_VerificationPrevField - Champ précédent
Commandes du menu Projet
  • CI_ShowTemplatesList - Afficher la liste de définitions de documents
  • CI_ShowBatchTypes - Afficher la liste de types de lots
  • CI_ShowImportProfiles - Afficher la liste des profils d'exportation
  • CI_SwitchToAdminMode - Passer en mode Admin
  • CI_ProtectProject - Protéger le projet par un mot de passe
  • CI_UnprotectProject - Désactiver la protection du projet
  • CI_ExportProject - Exporter le projet
  • CI_ImportProject - Mettre à jour le projet
  • CI_ViewProjectProperties - Afficher les propriétés du projet
  • CI_CreateTestCopy - Créer une copie de test
  • CI_CommitTestCopy - Soumettre une copie de test
  • CI_DeleteTestCopy - Supprimer la copie de test
Commandes du menu Outils
  • CI_DocPriorityLowest - Régler la priorité de document sur La plus faible
  • CI_DocPriorityLow - Régler la priorité de document sur Faible
  • CI_DocPriorityNormal - Régler la priorité de document sur Normale
  • CI_DocPriorityHigh - Régler la priorité de document sur Élevée
  • CI_DocPriorityHighest - Régler la priorité de document sur La plus élevée
  • CI_UpdateDocToLatestVersion - Mettre à jour les documents vers la version la plus récente du projet
  • CI_Reanalize - Réanalyser
  • CI_Reanalize - Relancer la reconnaissance
  • CI_AssembleDocuments - Actualiser l'assemblage des documents
  • CI_RecheckRules - Revérifier les règles
  • CI_CheckBatchIntegrity - Vérifier l’intégrité du lot
  • CI_BatchPriorityLowest - Régler la priorité de lot sur La plus faible
  • CI_BatchPriorityLow - Régler la priorité de lot sur Faible
  • CI_BatchPriorityNormal - Régler la priorité de lot sur Normale
  • CI_BatchPriorityHigh - Régler la priorité de lot sur Élevée
  • CI_BatchPriorityHighest - Régler la priorité de lot sur La plus élevée
  • CI_ChangeBatchType - Modifier le type de lot
  • CI_ViewOptions - Afficher les options
Commandes du menu local Champ
  • CI_ExecuteCustomAction - Exécuter une action personnalisée
Commandes utilisateur
  • CI_UserCommand - Commandes utilisateur
Commandes du menu Aide
  • CI_HelpAbbyyWebSite - Site Web d'ABBYY
  • CI_HelpAbout - À propos d'ABBYY FlexiCapture
  • CI_HelpContent - Rubriques d'aide
  • CI_HelpPurchaseInfo - Comment acheter des produits ABBYY
  • CI_HelpSendFeedback - Envoyer des commentaires…
  • CI_HelpTechSupport - Assistance technique


TDockingType

Description

Le côté de la fenêtre principale adjacent à une fenêtre donnée.

Valeurs autorisées :

  • DT_Undefined = 0 - Le côté n'est pas défini ou les fenêtres ne sont pas adjacentes.
  • DT_Left = 1 - Le côté gauche.
  • DT_Right = 2 - Le côté droit.
  • DT_Top = 3 - Le côté supérieur.
  • DT_Bottom = 4 - Le côté inférieur.


TDocumentState

Description

L'état du document dans la fenêtre Tâche. S'applique à l'interface ITaskWindow.

Valeurs autorisées :

  • DS_Locked = 0 - Le document est verrouillé. Aucune action sur le document n'est autorisée.
  • DS_Edited =1 - Le document est en cours d'édition dans l'éditeur de documents.
  • DS_Closed = 2 - Le document est fermé. Il peut être ouvert et modifié.
  • DS_Opened = 3 - Le document est ouvert. Il peut être modifié en utilisant un script.


TErrorType

Description

Le type d'une erreur. S'applique à l'interface IErrorControl.

Valeurs autorisées :

  • ET_Assembling = 0 - L'erreur d'assemblage
  • ET_Rule =1 - L'erreur de règle
  • ET_Format = 2 - L'erreur de format


TSelectionType

Description

Types de sélection. S'applique à l'interface ISelection.

Valeurs autorisées :

  • ST_Undefined = 0 - La sélection n'est pas définie
  • ST_Documents = 1 - Documents sélectionnés
  • ST_Pages = 2 - Pages sélectionnées


TTaskWindowMode

Description

Modes d'affichage. S'applique à l'interface ITaskWindow.

Valeurs autorisées :

  • TWM_Undefinied = 0 - L'affichage n'est pas défini.
  • TWM_ListView = 1 - Vue détaillée.
  • TWM_ThumbnailView = 2 - Vue Vignettes.


TTextSize

Description

La taille du texte. S'applique à l'interface IFormWindow.

Valeurs autorisées :

  • TS_Undefined = 0 - La taille du texte n'est pas définie.
  • TS_Smallest = 1 - La plus petite taille de texte.
  • TS_Smaller = 2 - Petite taille de texte.
  • TS_Medium = 3 - Taille de texte moyenne.
  • TS_Larger = 4 - Grande taille de texte.
  • TS_Largest = 5 - La plus grande taille de texte.


TUserRole

Description

Le rôle de l'utilisateur. S'applique à l'interface IMainWindow.

Valeurs autorisées :

  • UR_Undefined = 0 - Le rôle n'est pas défini
  • UR_VerificationOperator =1 - L'opérateur de vérification
  • UR_SeniorVerificationOperator = 2 - Le chef-opérateur de vérification


TWorkWindowType

Description

Types de fenêtres de travail.

Types :

  • WWT_Undefined = 0 - Le type de fenêtre n'est pas défini.
  • WWT_Task = 1 - La fenêtre Tâche.


Création d'un formulaire lisible par machine

Les questionnaires, les formulaires de la sécurité sociale, les bulletins de vote et les contrats de garantie représentent tous des types de formulaire utilisés pour collecter différents types d'informations.

En quoi les formulaires sont-ils différents des autres types de documents ?

  1. Un formulaire contient toujours un certain nombre de champs.
  2. Chaque champ ne contient qu'un certain type d'informations, par exemple, un champ « Nom » ne contient que les noms (si le formulaire est correctement rempli) et un champ « Date » ne contient que des dates.

Les formulaires sont utilisés lorsque les informations à recueillir proviennent d'un grand nombre de personnes. La collecte manuelle des données représente un processus long et fastidieux, les coquilles et les erreurs sont difficilement évitables. Les formulaires lisibles par machine sont utilisés pour automatiser le processus.

Le traitement des formulaires automatisés passe par les étapes suivantes :

  1. configuration de l'application de traitement des formulaires (création d'une définition de document et définition des champs à reconnaître) ;
  2. acquisition des images des formulaires (numérisation) ;
  3. traitement des images des formulaires (reconnaissance des images et validation des données extraites) ;
  4. exportation des données extraites vers un système d'information externe.

Le traitement automatisé des formulaires est plus efficace pour les formulaires qui remplissent les conditions discutées dans le présent chapitre.

Formulaires lisibles par machine
Éléments de formulaires lisibles par machine
Méthodes de remplissage de formulaire
Types de formulaires lisibles par machine
Choix du type de formulaire adéquat
Exigences générales pour les formulaires lisibles par machine


Formulaires lisibles par machine

Pour lire les informations présentes sur un formulaire, une application de traitement de formulaire doit :

  1. déterminer l'emplacement des éléments du formulaire ;
  2. séparer les contenus de champs des bords de champs, marquages de textes, arrière-plans, textes explicatifs, etc.

Les formulaires lisibles par machine permettent au programme d'effectuer ces tâches.

Pour que la première tâche soit effectuée correctement, les formulaires doivent correspondre au gabarit du formulaire ou à la définition du document, c'est-à-dire que la position de tous les éléments du formulaire doit être identique sur tous les formulaires du même type.

Pour que la seconde tâche soit effectuée correctement, les formulaires doivent être conçus en gardant à l'esprit l'entrée automatique, afin que le programme puisse facilement faire la distinction entre les données à acquérir et les éléments non reconnaissables du formulaire tels que les bords de champs, marquages de texte, arrière-plans ou textes explicatifs.


Éléments de formulaires lisibles par machine

Les éléments suivants peuvent être présents sur un formulaire :

puce | Texte
puce | Champ d'entrée
puce | Champ de coche
puce | Groupe de coches
puce | Ancre
puce | Séparateur de ligne
puce | Identificateur de formulaire
puce | Image
puce | Tableau
puce | Groupe d'éléments


Création d'un formulaire lisible par machine/texte

Texte

Untexte est un élément de formulaire lisible par machine contenant du texte descriptif : titre du formulaire, noms des champs, explications, etc.


Création d'un formulaire/champ d'entrée lisible par machine

Champ d'entrée

Un champ d'entrée est un élément d'un formulaire lisible par machine dans lequel la personne qui remplit le formulaire entre du texte. Pour faciliter l'entrée de texte, les champs d'entrée peuvent contenir des marquages de textes spéciaux. Les champs d'entrée dont généralement accompagnés d'un texte décrivant ou expliquant la nature des données à entrer.

Pour voir un champ d'entrée

Les types de marquages de texte possibles sont listés dans le tableau ci-dessous.

Texte sur une ligne | Le texte est entré sur une ligne.
Lettres encadrées | Les lettres sont entrées dans des cadres conjoints.
Lettres encadrées séparément | Les lettres sont entrées dans des cadres isolés.
Lettres sur un peigne | Les lettres sont entrés dans un peigne.
Texte encadré | Le texte est entré dans un cadre.
Texte dans un cadre muni d'un peigne | Le texte est entré dans un cadre muni d'un peigne.


Création d'un formulaire/champ de coche lisible par machine

Champ de coche

Un champ de coche est un élément d'un formulaire lisible par machine (en général, il s'agit d'un carré que l'on appelle « case à cocher ») que la personne qui remplit le questionnaire doit cocher.

Un champ de coche est généralement pourvu d'un texte d'accompagnement qui explique l'utilisation de la coche.

Pour voir un champ de coche

Les formes possibles des champs de coche sont affichées dans le tableau ci-dessous

Carré
Cercle
Souligné

D'autres formes sont également possibles, comme des polygones, ovales, etc.


Création d'un formulaire lisible par machine/groupe de coches

Groupe de coches

Un groupe de coches est un élément de formulaire lisible par machine réunissant plusieurs champs de coche parmi lesquels un seul doit être coché. Les groupes de coches sont généralement accompagnés d'un texte explicatif décrivant le type de choix à faire.

Afficher un groupe de coches


Ancre

Une ancre est un élément d'un formulaire lisible par machine utilisé pour faciliter l'association d'images de formulaires avec des définitions de document. Elle est également utilisée pour déterminer l'orientation des formulaires pendant le traitement automatique.

Avant que le programme puisse démarrer la reconnaissance du contenu du formulaire, il doit faire correspondre le formulaire à sa définition de document. Tous les formulaires lisibles par machine du même type doivent se conformer à une définition de document, c'est-à-dire que la position de tous les éléments du formulaire doit être exactement la même sur tous les formulaires. Le programme tentera d'associer le formulaire à sa définition de document selon le nombre et la position des ancres sur le formulaire. Si le programme réussit à associer les ancres présentes sur le formulaire avec les ancres de la définition de document, il saura exactement où chercher les champs contenant les données devant être reconnues.

Les ancres standard sont listées dans le tableau ci-dessous.

Carré noir
Coin
Croix
Marque de temporisation
Pour obtenir les meilleurs résultats de reconnaissance possibles, il est conseillé de pourvoir le formulaire d'ancres standard même si, dans certains cas, les séparateurs de ligne, textes explicatifs ou codes barres peuvent servir d'ancres. Cependant, les ancres standard sont plus fiables et doivent toujours primer sur les autres choix possibles.


Création d'un formulaire lisible par machine/séparateur de lignes

Séparateur de lignes

Un séparateur de lignes est un élément de formulaire lisible par machine qui a la forme d'une ligne noire verticale ou horizontale.

Les séparateurs de lignes sont utilisés pour diviser les formulaires en plusieurs segments logiques.


Création d'un formulaire lisible par machine/identificateur

Identificateur de formulaire

Un identificateur de formulaire est un élément de formulaire lisible par machine utilisé pour sélectionner la bonne définition de document si plusieurs définitions de document ont la même organisation d'ancres.

Nous vous recommandons d'utiliser des codes barres comme identificateurs de formulaire.

Un code barre est un ensemble de lignes verticales noires et blanches de différentes largeurs utilisé pour encoder des informations.

Afficher un code barre

D'autres éléments du formulaire peuvent également être utilisés comme identificateurs de formulaire.


Création d'un formulaire lisible par machine/image

Image

Une image est un élément de formulaire lisible par machine qui ne doit pas être reconnu et qui doit être exporté en tant que fichier image.

Par exemple, la partie du formulaire où un tampon ou une signature doit être apposé est une image.


Tableau

Un tableau contient des colonnes avec des éléments de même type.

Les colonnes d'un tableau peuvent contenir des éléments des types suivants :

  • texte ;
  • champ de saisie ;
  • date ;
  • nombre ;
  • coche.

Un tableau peut contenir une ligne avec des en-têtes de colonnes.


Groupe d'éléments

Groupe d'éléments : élément d'un formulaire lisible par machine qui permet de combiner plusieurs éléments liés de manière logique en un groupe.


Méthodes de remplissage de formulaire

Un formulaire peut être rempli d'une des manière suivantes :

  • À la main

  • À l'aide d'une imprimante matricielle

  • À l'aide d'une machine à écrire

  • Dans un atelier d'impression (comprend les formulaires remplis à l'aide d'imprimantes laser ou à jet d'encre avec une résolution de 300 dpi au minimum)

  • À l'aide d'une combinaison des méthodes susmentionnées


Types de formulaires lisibles par machine

Les formulaires lisibles par machine sont conçus pour la saisie automatisée des données, c'est-à-dire que le programme doit être en mesure de distinguer facilement les données à acquérir des éléments de formulaire non reconnaissables tels que les bordures de champs, les marquages de texte, les arrière-plans ou les textes explicatifs.

Ce formulaire peut être obtenu de deux manières :

  1. le formulaire doit être conçu de manière à ce que les bordures de champs, arrière-plans et marquages de texte disparaissent après la numérisation ; ou

  2. le formulaire doit être conçu de manière à ce que les bordures de champs, arrière-plans et marquages de texte ressortent clairement après la numérisation.

Avec la première approche, seuls les ancres, les textes explicatifs et les données saisies resteront sur le formulaire après la numérisation. Par conséquent, le programme n'aura pas à séparer les données des éléments du formulaire ce qui facilitera la reconnaissance et la rendra plus fiable.

Dans ce cas, les types de formulaires suivants sont utilisés : formulaires simili détourés couleur, formulaires noir et blanc avec arrière-plans tramés, formulaires noir et blanc avec bordures tramées et formulaires linéaires noir et blanc.

Avec la deuxième approche, seuls les ancres, les textes explicatifs et les données saisies ainsi que les marquages de texte et les bordures de champs resteront sur le formulaire après la numérisation. Le programme recherchera les informations entourées par des bordures de champs et des marquages de texte. Si ces éléments de formulaire sont absents, cela nuira à la qualité de la reconnaissance.
Dans ce cas, des formulaires linéaires noir et blanc sont utilisés.


Formulaires simili détouré

Les formulaires simili détourés ont un arrière-plan de couleur claire avec des rectangles blancs qui servent de cellules de caractères, de champs de coche, etc.

Les formulaires simili détourés en niveaux de gris, dont l'arrière-plan est en niveaux de gris sont un exemple.

Les formulaires simili détourés couleur incluent les formulaires pour lesquels seuls les bords d'éléments sont colorés.

Une cellule de caractères est un petit rectangle dans lequel un seul caractère peut être entré (une lettre ou un chiffre par exemple). La couleur de l'arrière-plan est très importante car elle doit disparaître pendant la numérisation. L'arrière-plan est habituellement orange-rouge clair ou vert. Consultez la liste des couleurs recommandées dans Couleurs recommandées pour les formulaires simili détourés.

Pour voir un formulaire simili détouré

Idéalement, tous les éléments des formulaires, sauf les ancres, doivent disparaître au cours de la numérisation en ne laissant que les contenus des champs à reconnaître sur l'image du formulaire.

Le texte d'explication peut être soit conservé (si l'impression est en noir), soit filtré avec l'arrière-plan. Pour que le texte d'explication disparaisse au cours de la numérisation, il doit être imprimé de la même couleur que l'arrière-plan du formulaire mais avec une saturation supérieure.

Lorsque vous décidez d'imprimer ou pas le texte d'explication en noir ou dans la couleur de l'arrière-plan, il est important de prendre en considération les points suivants :

  • La taille du fichier image sera supérieure si le texte d'explication est conservé.

  • Il doit y avoir un espace d'au moins 1,5-2 mm entre le texte d'explication imprimé en noir et les autres éléments du formulaire. L'espacement entre le texte d'explication et le champ de coche correspondant ne doit pas être inférieur à 2/3 de la taille du champ de coche. Si le texte d'explication est imprimé dans la couleur de l'arrière-plan, les espaces entre le texte et les autres éléments du formulaire ne sont pas très importants.

Les formulaires avec un texte d'explication imprimé en noir sont plus lisibles. Nous vous recommandons d'imprimer le texte d'explication en noir, en particulier s'il n'y a pas d'ancre sur le formulaire.

Conseil
Lors de la création d'une définition de document pour un formulaire avec un texte d'explication imprimé dans la couleur de l'arrière-plan, assurez-vous de numériser en couleur ou en niveaux de gris pour que le texte d'explication et les éléments du formulaire soient clairement lisibles.

Les formulaires simili détourés doivent être numérisés au moyen d'une lampe de couleur ou d'un filtre. La couleur de la lampe est sélectionnés en fonction de la couleur de l'arrière-plan.

Les formulaires avec des arrière-plans rouges ou verts doivent être numérisés selon les modes suivants :

  • avec un scanner couleur, au moyen d'un logiciel de filtrage de couleur ;
  • avec un scanner noir et blanc, au moyen d'une lampe rouge ou verte (filtrage matériel de la couleur) ;
  • avec un scanner noir et blanc, au moyen d'une lampe blanche et d'un filtre rouge ou vert (la qualité de filtrage dans ce cas est nettement inférieure, puisque l'arrière-plan peut ne pas disparaître complètement, ou les contenus des champs peuvent être effacés par inadvertance) ; ou
  • avec un scanner noir et blanc, au moyen d'une lampe blanche sans filtre
    Lors de la numérisation avec une lampe blanche, certains arrière-plans plus clairs peuvent être effacés sans filtrage : la faible saturation de l'arrière-plan garantit sa disparition au cours de la numérisation. Dans ce cas, la couleur et la saturation de l'arrière-plan doivent être sélectionnées par approximations successives pour chaque scanner en particulier.

Remarque : De nombreux scanners couleur disposent également d'un filtrage des couleurs bleues. Toutefois, il n'est pas conseillé d'utiliser les niveaux de bleus pour vos formulaires, car les formulaires ne sont pas remplis qu'avec de l'encre noire, mais parfois aussi avec de l'encre bleue. Les contenus de champs écrits avec de l'encre bleue disparaîtraient alors.

Choix de la bonne couleur

Les couleurs orange-rouges sont préférables au vert car elles représentent la plus importante possibilité de contraste avec le bleu, ce qui améliore la qualité de numérisation et de reconnaissance si les formulaires sont remplis avec de l'encre bleue.

Dans la section Couleurs recommandées pour les formulaires simili détourés, vous trouverez les couleurs recommandées pour le traitement des formulaires, par exemple, les couleurs qui présentent le plus grand risque de disparition pendant la numérisation, quel que soit le scanner. Vous pouvez obtenir une liste des couleurs « simili détourées » pour un scanner en particulier (sous Pantome ou sous un autre format) auprès du fabricant/revendeur de votre scanner.


Formulaires en noir et blanc avec arrière-plan tramé

Formulaires en noir et blanc avec arrière-plans tramés

Les champs de ce type de formulaire sont représentés par de simples espaces blancs (en général, des rectangles) sur un arrière-plan tramé. L'arrière-plan est constitué de points distincts. La taille recommandée des points est inférieure à 0,1 mm, avec une distance entre chaque point d'environ 1 mm. La taille des points et la distance entre les points sont des données essentielles du fait qu'un arrière-plan tramé se voit effacé pendant le nettoyage et non pas pendant la numérisation : le programme traitera les points comme s'ils étaient des éléments parasites et les effacera alors. C'est pourquoi les points ne doivent pas être collés ensemble sur les images numérisées.


Formulaires en noir et blanc avec bords tramés

Ces formulaires n'ont aucun arrière-plan. Tous les bords des champs (bords des cellules de caractères, champs de coche et autres éléments de formulaire) sont constitués de lignes tramées, soit des suites de petits points noirs. La taille d'un point de trame est généralement comprise entre 0,39 et 0,5 pt. La taille recommandée est 0,39 pt, avec une distance entre les points de trame au moins cinq fois plus grande que la taille du point. La taille des points et la distance qui les séparent sont des données essentielles du fait qu'un arrière-plan tramé se voit effacé pendant le nettoyage et non pas pendant la numérisation : le programme traitera les points comme s'ils étaient des éléments parasites et les effacera alors. C'est pourquoi les points ne doivent pas être collés ensemble sur les images numérisées.


Formulaires linéaires à lignes noires et blanches

Ces formulaires n'ont généralement aucun arrière-plan. Toutes les bordures de champs (cellules de caractères, champs de coche et autres éléments de formulaires) sont faites de lignes noires épaisses. Les bordures de champs ne disparaissent pas après la numérisation ou le nettoyage.

Remarque : Les formulaires de ce type doivent être remplis avec beaucoup de soin. Si les formulaires ne sont pas remplis avec soin, les lettres peuvent chevaucher les bordures des champs et réduire de ce fait la qualité de la reconnaissance. En effet, lorsque le contenu des champs chevauche les bords des champs, il est extrêmement difficile pour l'application de séparer les bordures du texte. Idéalement, le texte entré ne doit pas toucher les bordures des champs.


Choix du type de formulaire adéquat

Outre les exigences de conception et de traitement de chaque type de formulaire, d'autres critères sont à prendre en considération lors du choix d'un type de formulaire. Ces critères comprennent les coûts et les méthodes d'impression, le nombre de copies nécessaire, la taille de l'image obtenue, les modes de numérisation, le degré de précision de reconnaissance requis, la vitesse de traitement des formulaires, l'apparence générale des formulaires, leur mode de remplissage, etc. Le tableau ci-après présente de façon sommaire les avantages et les inconvénients de chaque type de formulaire.

Critères | Formulaire simili détouré |  | Formulaire tramé à lignes noires et blanches |  | Formulaire linéaire à lignes noires et blanches
 | Inconvénients | Avantages | Inconvénients | Avantages | Inconvénients | Avantages
Complexité de la conception |  | Conception facile au moyen de tout éditeur graphique | Les éditeurs de texte offrent des outils limités pour la conception de ce type de formulaire La taille des points de trame est une donnée essentielle |  |  | Conception facile au moyen de tout éditeur graphique
Impression | Il est difficile d'imprimer une grande quantité de formulaires avec une bonne qualité en interne. |  |  | Facile à imprimer en interne |  | Facile à imprimer en interne
Coûts de l'impression | Si vous utilisez des services d'impression professionnels, les coûts de l'impression sont supérieurs par rapport à l'impression des formulaires en noir et blanc. |  |  | Si vous utilisez des services d'impression professionnels, les coûts de l'impression sont inférieurs par rapport à l'impression des formulaires en simili détouré. |  | Si vous utilisez des services d'impression professionnels, les coûts de l'impression sont inférieurs par rapport à l'impression des formulaires en simili détouré.
Taille de l'image |  | Les tailles des fichiers images sont plus petites. | Les tailles des fichiers images sont plus grandes. |  | Les tailles des fichiers images sont plus grandes. |
Mode de numérisation | Seuls les modes de numérisation spéciaux (filtrage de la couleur) peuvent être utilisés. |  | La plage des paramètres de luminosité et de contraste est limitée. |  | La plage des paramètres de luminosité et de contraste est limitée. |
Vitesse de traitement |  | La moyenne de la vitesse de traitement est plus élevée. | La moyenne de temps d'impression est supérieure car les images doivent être nettoyées. |  | Les erreurs sont plus fréquentes si les caractères sont collés entre eux ou chevauchent les bords des champs. |
Qualité de reconnaissance |  | Une qualité de reconnaissance très élevée. |  | Une qualité de reconnaissance élevée. | Une qualité de reconnaissance très dépendante de la manière avec laquelle le formulaire a été rempli. | Une qualité de reconnaissance élevée si le formulaire a été correctement rempli.
Emplacement du texte d'explication |  | Le texte d'explication peut être placé n'importe où, y compris à l'intérieur des champs (tant qu'il est imprimé au moyen de la même couleur que l'arrière-plan du formulaire). | Le texte d'explication et les autres éléments du formulaire doivent être organisés avec soin dans le formulaire. |  | Le texte d'explication et les autres éléments du formulaire doivent être organisés avec soin dans le formulaire. |
Apparence et lisibilité des formulaires | Les paramètres de contraste peu élevé entre l'arrière-plan et le texte d'explication sont susceptibles d'affecter négativement la lisibilité des formulaires. | Esthétique agréable | Une conception moins accrocheuse. Lisibilité moindre. |  | Une conception moins accrocheuse. | Bonne lisibilité.
Soin du remplissage |  | Moins sensible au texte chevauchant les bords des champs. | Les petits caractères doivent être écrits avec soin et doivent être suffisamment grands pour ne pas être effacés comme des éléments parasites. | Moins sensible au texte chevauchant les bords des champs. | Très sensible au texte chevauchant les bords des champs. |


Exigences générales pour les formulaires lisibles par machine

Considérons à présent les conditions requises pour qu'un formulaire soit lisible par machine.

puce | Exigences pour l'arrière-plan de formulaire
puce | Exigences relatives aux ancres
puce | Exigences pour le champ de coche
puce | Exigences relatives au marquage de texte
puce | Exigences pour le positionnement des éléments
puce | Exigences pour la qualité d'impression
puce | Exigences de remplissage des formulaires


Exigences pour l'arrière-plan de formulaire

  1. Si possible, utilisez des formulaires simili détourés ou des formulaires dont les bordures de champs sont tramées.
  2. Lorsque vous créez un formulaire simili détouré, utilisez une couleur qui disparaît pendant la numérisation. Consultez la liste des couleurs recommandées dans Couleurs recommandées pour les formulaires simili détourés.
  3. Veillez toujours à ce qu'il y ait un espace entre le texte explicatif et le contenu du champ. Pour les formulaires simili détourés, nous vous recommandons d'imprimer toutes les informations dans la même couleur que l'arrière-plan du formulaire (sauf à l'endroit où le texte explicatif est utilisé comme ancre au lieu des carrés noirs ou conjointement avec les carrés noirs). En imprimant des informations dans la même couleur que l'arrière-plan, vous êtes libre de les placer n'importe où sur le formulaire, y compris à l'intérieur des champs du formulaire.
  4. N'utilisez pas de couleurs bleues pour les formulaires à remplir à la main. L'arrière-plan bleu pourrait se mélanger à l'encre bleue qui sera certainement utilisée pour remplir les formulaires, ce qui nuirait à la qualité de la reconnaissance.


Exigences relatives aux ancres

  1. Les ancres standard sont recommandées pour utilisation sur des formulaires lisibles par machine (soit les carrés noirs, coins ou croix). Le nombre d'ancres recommandé est de cinq : quatre ancres disposées à chaque coin du formulaire (elles formeraient un rectangle si l'on devait tracer des lignes entre chaque paire d'ancres) et un carré sur l'un des côtés dudit rectangle.
  2. Si, pour une raison ou une autre, les ancres standard ne peuvent être utilisées, il est recommandé d'utiliser la combinaison d'éléments suivante en guise d'ancres :
    a) au moins deux séparateurs de ligne verticale et deux séparateurs de ligne horizontale
    b) au moins quatre éléments de texte et un identificateur de formulaire
    c) d'autres combinaisons sont également possibles
  3. La distance séparant le bord d'une ancre et l'élément de formulaire le plus proche ne doit pas être inférieure à 3 mm.
  4. La distance séparant une ancre et le bord de la page ne doit pas être inférieure à 8 mm.
  5. Les ancres doivent être imprimées dans une couleur sombre (le noir est recommandé) de manière à ce qu'elles ne disparaissent pas pendant la numérisation.

En plus des exigences générales listées ci-dessus, chaque type d'ancre possède ses exigences propres :

Exigences relatives aux carrés noirs

Les carrés noirs d'un même type de formulaire doivent tous avoir les même dimensions, soit de 4x4 mm à 8x8 mm. Les dimensions recommandées sont 5x5 mm. Les rectangles ne sont pas permis.

Exigences relatives aux croix et aux coins

  1. Les dimensions d'un carré imaginaire qui pourrait être tracé autour d'une ancre de ce type doivent être comprises entre 4x4 mm et 8x8 mm. Les dimensions recommandées sont 5x5 mm.
  2. Les dimensions d'une ancre d'un type donné doivent être les mêmes dans un formulaire.
  3. Tous les côtés d'une ancre doivent être de taille égale.
  4. L'épaisseur de ligne utilisée pour les ancres d'un même formulaire doit être la même et comprise dans une plage de 0,3 à 1 mm. L'épaisseur recommandée est 0,5 mm.

Exigences relatives au texte(s'il est utilisé comme ancre)

La taille de la police ne doit pas être inférieure à 7 pt (et pour les en-têtes, pas moins de 14 pt).

Exigences relatives aux séparateurs de ligne (si utilisés comme ancres)

L'épaisseur de ligne ne doit pas être inférieure à 1 pt. L'épaisseur recommandée est comprise entre 1 et 1,5 pt.

Exigences relatives aux codes barres (si utilisés comme ancres)

  1. La largeur du code barres (la distance entre la barre la plus à gauche et la barre la plus à droite) ne doit pas être inférieure à une plage de 47 à 50 mm.
  2. La hauteur du code barres ne doit pas être inférieure à une plage de 12 à 15 mm (chiffres exclus).
  3. L'orientation du code barres (direction des barres) doit être la même que l'orientation de la page (il est recommandé de numériser les pages dans la même direction que les barres).
  4. Le format de code barres EAN 13 est recommandé.
  5. La distance recommandée entre un code barres et tout autre élément du formulaire est de 10 mm au minimum.


Exigences pour le champ de coche

  1. Les tailles de champ recommandées sont 3,5x3,5 mm, 4x4 mm, 4,5x4,5 mm ou 5x5 mm ; dans le cas de champs de coche circulaires, ils doivent tenir dans les carrés des tailles recommandées.
  2. La largeur de ligne recommandée pour les bordures de champs de coche est de 0,4 mm (quelle que soit la taille du champ).


Exigences relatives au marquage de texte

Taille du point de trame :

  1. Si les bords du champ sont des points de trame, l'épaisseur de la ligne tramée (soit la taille de la trame) doit être 0,39 pt.

  2. La distance optimale séparant les points de trame est de cinq fois leur taille.

    Important ! Les points qui ont le plus de chance d'être collés entre eux sont ceux situés dans les coins des cellules de caractères.

Conseil
Si votre logiciel ne vous permet pas de définir la distance qui sépare chaque point de trame, vous devez sélectionner un style de ligne dont les points sont suffisamment espacés les uns des autres pour éviter qu'ils ne soient collés entre eux sur l'image numérisée et qu'ils ne restent sur l'image après le nettoyage de celle-ci. Cela est dû au fait que les gros points ne sont pas interprétés par le système OCR comme étant des éléments parasites et ne sont donc pas effacés de l'image pendant le nettoyage.

Dimensions d'une cellule de caractères :

  1. Les dimensions recommandées pour une cellule de caractères sont 4x5 mm ; l'utilisation de dimensions plus réduites implique un plus haut degré de précision de la part des personnes censées remplir le formulaire, ce qui complique considérablement la chose. Les cellules de caractères de grande taille ne sont également pas recommandées étant donné qu'elles encouragent l'emploi de lettres anormalement grandes. L'idéal serait que les dimensions de la cellule de caractères correspondent à la taille moyenne d'une lettre.
  2. La distance entre les lignes de champ ne doit pas être inférieure à une plage de 2,5 à 3 mm et la distance entre deux cellules de caractères adjacentes situées sur la même ligne ne doit pas être inférieure à une plage de 1 à 1,2 mm.
Pour voir des cellules de caractères

Épaisseur de ligne :

  1. Si les bords sont des lignes noires (« texte encadré », « lettres encadrées séparément » et « lettres encadrées »), l'épaisseur de ligne doit être de 1 pt.
Pour voir des bords en lignes noires

Peignes :

  1. La distance recommandée entre les crans d'un peigne est 5 mm.
  2. La distance séparant les lignes horizontales de deux peignes, lorsqu'on les positionne l'un en-dessous de l'autre, ne doit pas être inférieure à une plage de 7,5 à 8 mm.
  3. La hauteur de cran doit être comprise entre 0,9 et 1,2 mm.
  4. L'épaisseur des lignes horizontales ainsi que des crans doit être de 1 pt.
  5. Si des cadres munis d'un peigne sont utilisés, la distance minimum entre les cadres doit être comprise entre 2,5 et 3 mm.
Pour voir un peigne


Exigences pour le positionnement des éléments

  1. Assurez-vous d'attribuer suffisamment de marges à votre formulaire, sinon les éléments du formulaire trop proches des bords du formulaire pourraient disparaître pendant la numérisation ce qui conduira à une perte de données.
  2. L'espacement entre les éléments voisins d'un formulaire ne doit pas être inférieur à 2 mm.
  3. L'espacement entre un champ de coche et le texte explicatif ne doit pas être inférieur à 2/3 de la taille du champ de coche.
  4. Assurez-vous que le texte explicatif ne chevauche pas les bordures du champ de saisie.
  5. Si le texte explicatif est imprimé en encre noire, assurez-vous qu'il y a un écart d'au moins 1,5-2 mm entre le texte explicatif et les autres éléments. Cette distance n'est pas aussi importante pour le texte explicatif imprimé avec la même encre que l'arrière-plan.


Exigences pour la qualité d'impression

Lorsque vous imprimez des formulaires vierges, gardez à l'esprit les exigences suivantes :

  1. Les formulaires doivent être imprimés en qualité professionnelle ou avec une imprimante. Nous vous recommandons d'imprimer les formulaires en couleurs en qualité professionnelle. Si ceci est impossible, testez la couleur du formulaire sur un scanner avant de commencer votre série d'impressions.
  2. Toutes les copies du formulaire doivent être imprimées en utilisant le même document source parce que l'emplacement des champs de chaque formulaire doit être identique.
  3. La taille minimale des marges (c'est-à-dire la distance entre le bord de la page et l'élément du formulaire le plus proche) doit être d'au moins 8 mm, et la taille recommandée est de 12 mm.
  4. La déviation linéaire autorisée des éléments du formulaire est au maximum de 0,15 %, c'est-à-dire 0,5 mm pour une page A4.
  5. Si vous imprimez vos formulaires avec une imprimante, ne les imprimez pas dans une résolution inférieure à 600 ppp.
  6. Nous vous recommandons d'imprimer les formulaires à l'aide du même scanner ou de différents scanners du même modèle.

Conseil : Nous déconseillons de copier des formulaires lisibles par machine en utilisant un équipement de copie. L'utilisation d'un tel équipement peut légèrement modifier les dimensions des éléments du formulaire ou leur organisation, par exemple, les bordures de tableau ou de champs de saisie peuvent devenir plus épaisses ou la profondeur des couleurs peut changer ce qui peut nuire à la qualité de la reconnaissance.


Exigences de remplissage des formulaires

Stylos et encre

Il est préférable de remplir les formulaires en capitales, à l'aide d'un stylo à bille, d'un stylo gel ou d'un stylo à système capillaire noir (l'encre bleue foncé ou violette est également acceptable). Les stylos feutre ou marqueurs ne sont pas recommandés car les caractères écrits sont trop épais, ce qui provoque des problèmes de reconnaissance. La reconnaissance est moins bonne lorsque le formulaire est rempli à l'aide d'un crayon à papier ou d'une encre de couleur claire.

Taille et style des lettres

Pour obtenir de meilleurs résultats de reconnaissance, les formulaires doivent être remplis en caractères d'imprimerie. Les lettres doivent remplir toutes les cellules de caractères, mais sans chevaucher les bords des cellules.

Si les cellules de caractères sont marquées visuellement dans les formulaires (par exemple, les types de marquage de texte suivants sont utilisés : lettres encadrées, lettres encadrées séparément), il est moins probable que la personne qui remplit le formulaire écrive en lettres attachées.

Les types de marquage de texte suivants posent des problèmes de reconnaissance plus importants : texte dans un cadre muni d'un peigne, lettres sur un peigne. Dans ce cas, seule la largeur de la cellule de caractères est prédéfinie, et l'absence de bordures rend l'écriture en lettres attachées possible. Dans le cas de peigne sans cadre, les lettres écrites peuvent être soient trop petites soient trop grandes.

Si un texte encadré ou un texte sur une ligne est utilisé, il n'y a pas de limitation de la largeur des cellules de caractères. Les lettres peuvent être attachées, ce qui peut affecter de façon négative la qualité de la reconnaissance. Dans le cas de texte sur une ligne, il n'y a pas de limitation de la hauteur des caractères. Par conséquent, le type de marquage n'est pas recommandé pour les formulaires qui nécessitent une précision de reconnaissance de haute qualité.

Il est également nécessaire que les lettres ne chevauchent pas les bordures des champs. Cette recommandation n'est pas si cruciale pour les formulaires simili détourés ou les formulaires tramés à lignes noires et blanches, car les bordures des champs disparaissent au cours de la numérisation et du nettoyage. Mais, si les lettres chevauchent les bordures des champs dans les formulaires linéaires à lignes noires et blanches, la qualité de la reconnaissance peut être sérieusement diminuée.

Exemple

Afin d'encourager un bon remplissage des formulaires, nous vous recommandons de joindre une note au formulaire, similaire à celle ci-dessous.


Couleurs recommandées pour les formulaires simili détourés

Le tableau ci-dessous contient des exemples de couleurs simili détourées et leurs numéros Pantone correspondants. Ces couleurs d'arrière-plan disparaissent si les formulaires sont numérisés à l'aide de :

  • n'importe quel scanner
    Afficher le tableau de la lumière blanche
  • un scanner couleur avec filtrage de la couleur rouge par logiciel ou un scanner noir et blanc à lampe rouge/filtre rouge
    • Afficher le tableau de la lumière rouge


Raccourcis clavier

Cette section liste les raccourcis clavier utilisés dans les différentes fenêtres du programme. L'utilisation des raccourcis permettra d'économiser du temps et d'optimiser votre manière de travailler.

Raccourcis clavier de la station de configuration de projets
Raccourcis clavier de la station de vérification
Raccourcis clavier de la station de vérification des données
Raccourcis clavier de l'éditeur de définition de document
Raccourcis clavier de la vérification groupée
Raccourcis clavier de la vérification de champ


Raccourcis clavier dans la fenêtre principale de la station de configuration de projets

Raccourcis clavier de la station de configuration de projets

Menu | Commande | Raccourci
Fichier | Nouveau projet… | CTRL+MAJ+N
 | Ouvrir un projet… | CTRL+MAJ+O
 | Enregistrer | CTRL+S
 | Nouveau lot… | CTRL+N
 | Charger des images… | CTRL+O
 | Numériser des images… | CTRL+K
 | Importer des images… | CTRL+I
 | Exporter vers un Données vers fichiers… | ALT+MAJ+S
 | Exporter vers une Base de données… | ALT+MAJ+D
 | Quitter | ALT+F4
Éditer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Tout sélectionner | CTRL+A
 | Rechercher… | CTRL+F
 | Rechercher suivant | F3
 | Accéder à > Document suivant | CTRL+D
 | Accéder à > Document précédent | CTRL+MAJ+D
 | Image > Nettoyer | CTRL+ALT+K
 | Image > Inverser | CTRL+ALT+V
 | Image > Tourner de 90° vers la droite | CTRL+W
 | Image > Rotation de 90° vers la gauche | CTRL+MAJ+W
Afficher | Lots de test | CTRL+MAJ+B
 | Lots | CTRL+B
 | Détails | ALT+1
 | Vignettes | ALT+2
 | Mode Image | CTRL+1
 | Mode Données | CTRL+2
 | Zoom avant | CTRL+NUM+
 | Zoom arrière | CTRL+NUM-
 | Taille des vignettes : Augmenter | CTRL+MAJ+NUM+
 | Taille des vignettes : Diminuer | CTRL+MAJ+NUM-
 | Plein écran | F11
 | Actualiser | F5
 | Propriétés des objets | ALT+ENTRÉE
Reconnaissance | Analyser | CTRL+E
 | Associer une définition de document… | ALT+MAJ+E
 | Reconnaître | CTRL+R
Vérification | Exécuter la vérification… | F7
 | Élément suivant à vérifier | F4
 | Élément précédent à vérifier | MAJ+F4
 | Document suivant comportant une ou plusieurs erreurs d'assemblage | F9
 | Document précédent comportant une ou plusieurs erreurs d'assemblage | MAJ+F9
 | Caractère incertain suivant | F8
 | Caractère incertain précédent | MAJ+F8
 | Erreur de règle suivante | F6
 | Erreur de règle précédente | MAJ+F6
Projet | Définitions de document… | CTRL+T
 | Types de lot… | CTRL+MAJ+T
 | Profils d'importation d'images… | CTRL+MAJ+I
Outils | Mettre à jour vers la version la plus récente | ALT+MAJ+U
 | Réanalyser | CTRL+ALT+E
 | Reconnaître à nouveau | CTRL+ALT+R
 | Revérifier les règles | CTRL+F6
 | Vérifier l'intégrité du lot | CTRL+MAJ+E
Aide | Rubriques d'aide | F1
Commandes générales | Ouvrir la fenêtre de document (si un document ou une page est sélectionnée) | ENTRÉE


Raccourcis clavier dans la fenêtre principale de la station de vérification

Raccourcis clavier de la station de vérification

Menu | Commande | Raccourci
File | Enregistrer | CTRL+S
 | Nouveau lot… | CTRL+N
 | Charger des images… | CTRL+O
 | Numériser des images… | CTRL+K
 | Exporter vers un Données vers fichiers… | ALT+MAJ+S
 | Exporter vers une Base de données… | ALT+MAJ+D
 | Quitter | ALT+F4
Éditer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Tout sélectionner | CTRL+A
 | Rechercher… | CTRL+F
 | Rechercher suivant | F3
 | Accéder à > Document suivant | CTRL+D
 | Accéder à > Document précédent | CTRL+MAJ+D
 | Image > Nettoyer | CTRL+ALT+K
 | Image > Inverser | CTRL+ALT+V
 | Image > Tourner de 90° vers la droite | CTRL+W
 | Image > Rotation de 90° vers la gauche | CTRL+MAJ+W
Afficher | Lots | CTRL+B
 | Files | CTRL+Q
 | Détails | ALT+1
 | Vignettes | ALT+2
 | Mode Image | CTRL+1
 | Mode Données | CTRL+2
 | Zoom avant | CTRL+NUM+
 | Zoom arrière | CTRL+NUM-
 | Taille des vignettes : Augmenter | CTRL+MAJ+NUM+
 | Taille des vignettes : Diminuer | CTRL+MAJ+NUM-
 | Plein écran | F11
 | Actualiser | F5
 | Propriétés des objets | ALT+ENTRÉE
Tâche | Obtenir la tâche | CTRL+G
Reconnaissance | Analyser | CTRL+E
 | Associer une définition de document… | ALT+MAJ+E
 | Reconnaître | CTRL+R
Vérification | Exécuter la vérification… | F7
 | Élément suivant à vérifier | F4
 | Élément précédent à vérifier | MAJ+F4
 | Document suivant comportant une ou plusieurs erreurs d'assemblage | F9
 | Document précédent comportant une ou plusieurs erreurs d'assemblage | MAJ+F9
 | Caractère incertain suivant | F8
 | Caractère incertain précédent | MAJ+F8
 | Erreur de règle suivante | F6
 | Erreur de règle précédente | MAJ+F6
Outils | Mettre à jour vers la version la plus récente | ALT+MAJ+U
 | Réanalyser | CTRL+ALT+E
 | Reconnaître à nouveau | CTRL+ALT+R
 | Revérifier les règles | CTRL+F6
 | Vérifier l'intégrité du lot | CTRL+MAJ+E
Aide | Rubriques d'aide | F1
Commandes générales | Ouvrir la fenêtre de document (si un document ou une page est sélectionnée) | ENTRÉE
 | Paramètres d'enregistrement | CTRL+P


Raccourcis clavier dans la fenêtre principale de la station de vérification de données

Raccourcis clavier de la station de vérification des données

Menu | Commande | Raccourci
File | Quitter | ALT+F4
Afficher | Plein écran | F11
 | Actualiser | F5
Tâches | Obtenir la tâche | CTRL+G
Aide | Rubriques d'aide | F1


Raccourcis clavier de l'éditeur de définition de document

Menu | Commande | Raccourci
Définition de document | Ajouter une page… | CTRL+P
 | Ajouter une section de document… | CTRL+ALT+S
 | Propriétés de la définition de document… | CTRL+T
 | Enregistrer | CTRL+S
 | Fermer | ALT+F4
Éditer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Supprimer la région | MAJ+SUPPR
 | Tout sélectionner | CTRL+A
 | Sélectionner par type… | CTRL+MAJ+A
 | Créer un champ : Texte | ALT+MAJ+T
 | Créer un champ : Coche | ALT+MAJ+C
 | Créer un champ : Groupe de coches | ALT+MAJ+M
 | Créer un champ : Code barres | ALT+MAJ+B
 | Créer un champ :Image | ALT+MAJ+P
 | Créer un champ : Tableau | ALT+MAJ+L
 | Créer un champ : Groupe | ALT+MAJ+G
 | Groupe | CTRL+G
 | Dégrouper | CTRL+MAJ+G
 | Copier le texte de l'image… | CTRL+ALT+C
 | Image > Nettoyer | CTRL+ALT+K
 | Image > Inverser | CTRL+ALT+V
 | Image > Tourner de 90° vers la droite | CTRL+W
 | Image > Rotation de 90° vers la gauche | CTRL+MAJ+W
Afficher | Éléments statiques | CTRL+1
 | Régions de champ | CTRL+2
 | Afficher la structure du document | ALT+F1
 | Structure de document : champs | ALT+1
 | Structure de document : pages | ALT+2
 | Formulaire de données | ALT+F2
 | Échelle de l'image : zoom avant | CTRL+NUM+
 | Échelle de l'image : zoom arrière | CTRL+NUM-
 | Propriétés | ALT+ENTRÉE
Document | Exécuter le test. | CTRL+R
Outils | Détecter automatiquement les objets… | CTRL+D
 | Vérifier la définition de document | F9
 | Associer la section | CTRL+E
Aide | Rubriques d'aide | F1

Fenêtre Image

Commande | Raccourci
Sélectionner des régions | ÉCHAP
Détection automatique d'objets | CTRL+MAJ+D
Créer une ancre | A
Créer un séparateur | S
Créer du texte ancré | X
Créer un code barres d'ancrage | D
Créer un texte | T
Créer une coche | C
Créer un groupe de coches | M
Créer un code barres | B
Créer une image | P
Créer un tableau | L
Créer un groupe | G
Créer une région pour un champ sans région | R
Créer une région non reconnue | O
Créer une colonne de champ | U
Ajouter un séparateur à un tableau | F
Supprimer le séparateur du tableau | E
Ajuster la région | CTRL+ALT+A
Suggérer un nom | CTRL+ALT+N
Obtenir le nom de l'image… | CTRL+ALT+I
Détecter le type de marquage | CTRL+ALT+D

Fenêtre Structure du document

Commande | Raccourci
Afficher l'image du champ | ENTRÉE
Renommer le champ | F2
Lorsqu'un champ est sélectionné : |
Ajouter une colonne avec du texte | ALT+MAJ+T
Ajouter une colonne avec des coches | ALT+MAJ+C
Ajouter une colonne avec des codes barres | ALT+MAJ+B
Ajouter une colonne avec des images | ALT+MAJ+P
Lorsqu'un groupe de coches est sélectionné : |
Ajouter une coche | ALT+MAJ+C


Raccourcis clavier dans la fenêtre de vérification groupée

Raccourcis clavier de la fenêtre de vérification groupée

Menu | Commande | Raccourcis clavier
Vérification | Tout confirmer | ENTRÉE
 | Différer tout | CTRL+ENTRÉE
 | Basculer | ESPACE
 | Page suivante | PAGE SUIVANTE
 | Page précédente | PAGE PRÉCÉDENTE
 | Fermer | ALT+F4
Éditer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Tout sélectionner | CTRL+A
Afficher | Image de champ > Afficher l'image du champ | CTRL+I
 | Image de champ > Au-dessus | ALT+1
 | Image de champ > En dessous | ALT+2
 | Image du champ > Échelle de l'image > Zoom avant | CTRL+NUM+
 | Image du champ > Échelle de l'image > Zoom arrière | CTRL+NUM-
 | Afficher l'image du caractère | F2
 | Plein écran | F11
Aide | Rubriques d'aide | F1
Menu d'icônes locales | Afficher l'image des caractères | F2
 | Confirmer | CTRL+E
 | Pause | CTRL+R
 | Réinitialiser | ÉCHAP


Raccourcis clavier dans la fenêtre de vérification de champ

Menu | Commande | Raccourcis clavier
Vérification | Confirmer le champ | ENTRÉE
 | Différer | CTRL+ENTRÉE
 | Caractère incertain suivant | F4
 | Caractère incertain précédent | MAJ+F4
 | Champ suivant | PAGE SUIVANTE
 | Champ précédent | PAGE PRÉCÉDENTE
 | Fermer | ALT+F4
Éditer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Tout sélectionner | CTRL+A
 | Insérer un saut de ligne | MAJ+ENTRÉE
 | Fusionner les caractères | CTRL+M
Afficher | Données de champ > Texte reconnu | ALT+F1
 | Données de champ > Coupe des images de caractère | ALT+F2
 | Image du champ > Afficher l'image du champ | CTRL+I
 | Image du champ > Au-dessus | ALT+1
 | Image du champ > En dessous | ALT+2
 | Image du champ > Échelle de l'image > Zoom avant | CTRL+NUM+
 | Image du champ > Échelle de l'image > Zoom arrière | CTRL+NUM-
 | Afficher l'image des caractères | F2
 | Plein écran | F11
Aide | Afficher l'Aide | F1


Raccourcis

Vous pouvez personnaliser des raccourcis pour accéder aux commandes fréquemment utilisées. Dans le menu principal, sélectionnez Outils>Options… , puis ouvrez l'onglet Raccourcis clavier.

Pour configurer les raccourcis clavier, procédez comme suit :

  1. Sélectionnez une catégorie dans la liste déroulante Catégories . Sélectionnez Toutes les commandes si vous n'êtes pas certain de la catégorie dont vous avez besoin.
  2. Sélectionnez une commande dans la liste Commandes . La liste Raccourci actuel contient les raccourcis associés à la commande sélectionnée.
  3. Pour attribuer un nouveau raccourci, cliquez sur le champ Créer un nouveau raccourci, puis appuyez sur une combinaison de touches. Le raccourci s'affichera dans le champ. Cliquez sur le bouton Attribuer pour enregistrer le nouveau raccourci. Si le raccourci est utilisé pour accéder à une autre commande, un message d'information s'affichera. Cliquez sur le bouton Oui pour modifier la commande ou sur le bouton Non pour rejeter vos modifications.
  4. Pour supprimer un raccourci existant pour une commande, sélectionnez-le dans la liste Raccourci actuel , puis cliquez sur le bouton Supprimer le raccourci.
  5. Pour restaurer les paramètres par défaut des raccourcis associés à une commande sélectionnée, cliquez sur le bouton Réinitialiser. Si vous souhaitez restaurer les raccourcis associés à toutes les commandes, appuyez sur le bouton Réinitialiser tout.


Comparaison entre les règles de FormReader 6.5 et de FlexiCapture 10

FormReader 6.5

Équivalent dans FlexiCapture 10 Conversion automatique

Contrôle par rapport à une base de données

Règle de contrôle de base de données

Non

Sommes de contrôle

Règle de somme de contrôle

Non

Blocs de fusion

Règle de champs de fusion

Oui

Règles VBScript

Règle de script

Non

Recherche dans la liste de suggestions

Propriétés du champ, onglet Type de données. Liste des variants dans le champ Contraintes. Fonctionne avec tous les types excepté Date et Numéro. Consultez la section Types de données du champ d'entrée de texte.

Oui

Mise en correspondance de blocs

Peut être mise en œuvre par l'intermédiaire d'une règle de script.

Non

Règles If-Then

Règle de script

Non

Remplacement de valeurs à partir d'une liste

Propriétés du champ, onglet Type de données. Type Texte, champ Traitement. Consultez la section Types de données du champ d'entrée de texte.

Oui

Remplacement de caractères de la liste

Propriétés du champ, onglet Type de données. Type Texte, champ Traitement. Consultez la section Types de données du champ d'entrée de texte.

Oui

Normalisation et contrôle des dates

Propriétés du champ, onglet Type de données. Dans la liste Catégorie, sélectionnez Date ; dans la liste Formats, sélectionnez les formats requis ; dans le champ Contraintes, saisissez les contraintes requises. Consultez la section Types de données du champ d'entrée de texte.

Non

Expressions régulières

Propriétés du champ, onglet Type de données. Saisissez l'expression regulière requise dans le champ Contraintes. Fonctionne avec tous les types excepté Date et Numéro. Consultez la section Types de données du champ d'entrée de texte.

Oui

Contrôle d'automatisation

Dans la version précédente de l'application, pour utiliser des objets d'automatisation, il fallait enregistrer les composants sur l'ordinateur cible. Il était donc difficile de transférer des lots d'un ordinateur à un autre. Dans la nouvelle version, la logique de la plupart des règles de ce type est plus facile à implémenter par l'intermédiaire de scripts.

Si la logique d'une règle est trop complexe et nécessite l'utilisation un composant externe, ce composant doit être invoqué à partir du code d'une règle de script. Ensuite, une référence à l'objet du document vérifié doit être transmise au composant.

Non

Normalisation des prix

Peut être mis en œuvre par l'intermédiaire d'un composant COM externe appelé règle de script.

Non

Validation de série et de numéro de passeport

Peut être mis en œuvre par l'intermédiaire d'un composant COM externe appelé règle de script.

Non

Somme en chiffres - somme en lettres

Règle somme en chiffres - somme en lettres Non

Prix en chiffres - prix en lettres

Peut être mis en œuvre par l'intermédiaire d'un composant COM externe appelé règle de script.

Non


Autres options

Vous pouvez configurer le traitement de documents et l'interface du programme pour les adapter à vos besoins. Dans la fenêtre principale du poste de configuration de projets, sélectionnez Outils>Options… La boîte de dialogue qui s'affiche comporte cinq onglets :

  • Progression de la tâche

    Lorsque des tâches sont exécutées en mode arrière-plan, vous pouvez surveiller leur progression dans la fenêtre de progression des tâches, en consultant le fichier journal et en lisant les astuces contextuelles. Cet onglet vous permet de sélectionner les informations à consigner dans le fichier journal et les circonstances dans lesquelles afficher des info-bulles.

  • Couleurs

    Vous pouvez modifier la couleur des éléments d'interface (par exemple, celle du cadre entourant les champs sélectionnés dans l'éditeur de définitions de documents ou celle du cadre ainsi que la couleur de remplissage des champs comportant des erreurs et des avertissements). Sélectionnez l'élément souhaité, puis cliquez sur le bouton Couleur.

  • Traitement de document

    Les images peuvent être reconnues automatiquement, immédiatement après avoir été ajoutées au lot, si vous sélectionnez l'option Reconnaître les images ajoutées automatiquement.

    La reconnaissance peut être exécutée en arrière-plan (sélectionnez Exécuter le processus de reconnaissance en mode arrière-plan).

    Si Omettre les documents erronés pendant l'exportation est sélectionné, les documents traités avec succès et les documents comportant des erreurs seront exportés.

    Si une erreur de script est détectée, le débogueur Visual Studio se lance. Pour les scripts Active Scripting, vous pouvez sélectionner Désactiver le débogage de script externe si vous ne souhaitez pas que le débogueur se lance. Seul un message d'erreur sera affiché.

  • Boîtes de dialogue

    Lorsque vous lancez le programme, la boîte de dialogue Ouvrir un projet apparaît par défaut. Vous pouvez y sélectionner un ou plusieurs projets existants. Vous pouvez désactiver cette boîte de dialogue en désélectionnant l'option Afficher la boîte de dialogue Ouvrir un projet… au démarrage de l'onglet Boîtes de dialogue (vous pouvez également désactiver cette boîte de dialogue en désélectionnant la même option dans la boîte de dialogue en elle-même).

    Lorsque vous fermez une liste de définitions de documents, le programme affiche un avertissement indiquant les définitions de documents non publiées. Si vous ne souhaitez pas que ce message d'avertissement s'affiche, désactivez l'option Afficher un avertissement si une définition de document non publiée existe (vous pouvez également désactiver cette boîte de dialogue en désélectionnant la même option dans la boîte de dialogue en elle-même).

    Si vous souhaitez que des avertissements soient affichés lors de l'exportation de documents erronés, sélectionnez Afficher un avertissement lors de l'exportation de documents erronés.

    Sélectionnez Demander s'il faut enregistrer les modifications en basculant entre les documents pour ne perdre aucune modification lors des basculements entre différents documents.

  • Raccourcis clavier

    Vous pouvez personnaliser les raccourcis clavier via cet onglet.


Exemples de projets ABBYY FlexiCapture

Pour découvrir le fonctionnement d'ABBYY FlexiCapture 10.0 et mieux comprendre ses fonctionnalités, vous pouvez utiliser les exemples de projets intégrés au programme. Ces projets prêts à l'emploi contiennent des définitions de documents prédéfinies et des images de documents à traiter.

Vous pouvez trouver les exemples de projets dans %allusersprofile%\Application Data\ABBYY\FlexiCapture\10.0\Samples.

Remarque : sous Microsoft Windows Vista, Windows 7, Windows Server 2008 et Windows Server 2008 R2, les exemples de projets se trouvent dans %public%\ABBYY\FlexiCapture\10.0\Samples.

Le dossier Samples contient les dossiers suivants :

  1. FlexiCapture : ce dossier contient les exemples de projets FlexiCapture.
  2. FlexiLayoutStudio : ce dossier contient les exemples de projets FlexiLayout Studio. Ces exemples de projets illustrent le traitement de documents semi-structurés et doivent être ouverts avec ABBYY FlexiLayout Studio 10.0. Des descriptions détaillées de certains de ces projets sont disponibles dans le fichier d'aide de FlexiLayout Studio (consultez les sections Didacticiel et Conseils et astuces).
  3. FormDesigner - Ce dossier contient les formulaires fixes développés sous ABBYY FormDesigner. Les fichiers portant l'extension *.fdd s'ouvrent dans ABBYY FormDesigner 10.0. Ces formulaires sont utilisés dans les exemples de projets FlexiCapture suivants : demande de carte bancaire, questionnaire.
  4. Images : ce dossier contient les images de documents numérisés des exemples de projets FlexiCapture.

Les exemples de projets FlexiCapture sont énumérés et brièvement décrits ci-après.

Exemple de projet avec des documents de différents types

Les dossiers de projets contiennent les exemples de projets FlexiCapture.

  1. Point d'entrée unique

    Ce projet présente le processus de traitement de documents de différents types. Aucun tri préliminaire des documents n'est requis. Vous pouvez traiter les formulaires fixes et les documents flexibles simultanément. Les définitions de documents utilisées dans ce projet sont également utilisées dans les projets décrits ci-dessous.

    Le projet contient tous les types de documents : demandes de carte bancaire, factures, contrats, lettres et tarifs.

Exemples de projets avec formulaires fixes

Les dossiers de projets contiennent les formulaires créés dans les projets ABBYY FormDesigner et FlexiCapture.

  2. Demande de carte bancaire

    Cet exemple de projet illustre les fonctionnalités suivantes :

    • Détection automatique des champs des formulaires fixes (pour découvrir comment fonctionne la détection automatique, supprimez tous les champs de la définition de document et sélectionnez Outils >Détecter automatiquement les objets…)
    • Prise en charge des documents dont la structure est complexe :
      1. Documents multipages (des demandes de trois pages sont utilisées dans l'exemple de projet)
      2. Utilisation de sections de documents (dans l'exemple de projet, chaque page correspond à une section distincte)
      3. Règle d'assemblage du document
      4. Traitement des annexes
    • Prise en charge des champs complexes :
      1. Utilisation de tableaux dans les formulaires fixes (tableau de comptes ouverts)
      2. Groupes de champs qui se répètent (groupes Adresse et Comptes demandés)
    • Vérification du format des données (le format de tous les champs numériques et de tous les champs Date est spécifié)
    • Personnalisation du formulaire de données.
    • Exportation vers plusieurs destinations.
    • Édition d'informations confidentielles (masquage).

  3. Questionnaire

    Une description détaillée de cet exemple de projet est disponible dans le manuel d'utilisation. Le projet décrit la procédure de configuration d'une définition de document étape par étape. Plusieurs formulaires plus simples sont utilisés pour illustrer les fonctionnalités de base d'ABBYY FlexiCapture. Vous pouvez compléter le questionnaire de cet exemple de projet, le traiter dans ABBYY FlexiCapture et transmettre les données exportées à ABBYY.

Exemples de projets avec formulaires flexibles

Les dossiers de projets contiennent les exemples de projets FlexiLayout Studio et FlexiCapture.

  4. Facture

    Cet exemple de projet illustre le traitement de documents semi-structurés, ainsi que les caractéristiques suivantes :

    • Documents dont le nombre de pages est variable (de 1 à 3)
    • Tableaux sur plusieurs pages
    • Utilisation d'un dictionnaire de mots clés externe (fichier texte)
    • Une règle JScript permet de comparer la somme du champ Total avec la somme obtenue par l'ajout des totaux de toutes les lignes du tableau.

  5. Tarifs

    Cet exemple de projet illustre le traitement de documents semi-structurés, ainsi que les caractéristiques suivantes :

    • Prise en charge de groupes qui se répètent. Cet exemple de projet illustre l'utilisation de groupes qui se répètent pour décrire les tableaux imbriqués (tableaux avec sous-titres)

  6. Lettres et contrats

    Cet exemple de projet illustre le processus d'acquisition de documents non structurés à partir de 2 ou 3 champs. Ce projet illustre les caractéristiques suivantes :

    • Documents dont le nombre de pages est variable (de 1 à 4)
    • Configuration de l'exportation en PDF interrogeable.


Sauvegarde de FlexiCapture 10

Sauvegarde de FlexiCapture 10.0

Vous pouvez effectuer une sauvegarde d'ABBYY FlexiCapture et restaurer votre système en cas de défaillance.

Sauvegarde

Pour effectuer une sauvegarde de votre système :

  1. Arrêtez d'utiliser le système.
  2. Fermez toutes les sessions.
  3. Sauvegardez la base de données à l'aide de MS SQL.
  4. Sauvegardez le stockage de fichiers à l'aide d'un utilitaire de sauvegarde (par exemple : nnBackup).

Restaurer

Pour restaurer votre système après une défaillance :

  1. Préparez le ou les ordinateurs pour l'installation, puis installez le système. Installez d'abord les composants externes, puis installez les serveurs et les postes.
  2. Connectez votre clé de licence ou activez votre licence logicielle.
  3. Restaurez la base de données sur le serveur SQL à partir de la sauvegarde.
  4. Restaurez le Stockage de fichiers.
  5. Ouvrez la console d'administration et de suivi et connectez-vous à la base de données existante. Entrez le nouveau chemin d'accès de la base de données et le nouveau chemin d'accès du Stockage de fichiers.

Remarque : pour le transfert du système, des droits d'administration sont requis. Afin de simplifier le processus, il est conseillé que la personne qui a créé la base de données effectue le transfert. Si le transfert est effectué par une autre personne, assurez-vous que cette personne dispose du droit lui permettant de se connecter au nouveau serveur, et des droits d'accès à la base de données sur le serveur SQL.


Langues de reconnaissance prises en charge

ABBYY FlexiCapture 10.0 prend en charge les langues de reconnaissance suivantes (avec dictionnaire) :

Langue | OCR* | ICR**
Allemand (nouvelle et ancienne orthographe) | ü | ü
Anglais | ü | ü
Arménien (oriental, occidental, Grabar) | ü |
Bashkir | ü |
Bulgare | ü | ü
Catalan | ü |
Croate | ü | ü
Danois | ü |
Espagnol | ü | ü
Estonien | ü | ü
Finnois | ü | ü
Français | ü | ü
Grec | ü | ü
Hébreu | ü |
Hongrois | ü | ü
Indonésien | ü | ü
Italien | ü | ü
Letton | ü | ü
Lituanien | ü | ü
Néerlandais (Pays-Bas et Belgique) | ü | ü
Norvégien (nynorsk et bokmal) | ü |
Polonais | ü | ü
Portugais (Portugal et Brésil) | ü |
Roumain | ü | ü
Russe | ü | ü
Slovaque | ü | ü
Slovène | ü | ü
Suédois | ü |
Tatar | ü |
Tchèque | ü | ü
Thaï | ü |
Turc | ü | ü
Ukrainien | ü | ü
Vieil allemand | ü | ü
Vieil anglais | ü |
Vieil espagnol | ü | ü
Vieil italien | ü | ü
Vieux français | ü | ü

Pour plus d'informations sur les polices des langues prises en charge, consultez la section « Polices requises pour un rendu approprié des caractères des types de données pris en charge dans l'éditeur ABBYY FlexiCapture ».

Une liste complète et mise à jour des types de données pris en charge et de leurs détails est disponible à l'adresse http://www.abbyy.com.

* - OCR : reconnaissance optique de caractères. Reconnaissance optique des textes imprimés.

** - ICR : reconnaissance intelligente de caractères. Reconnaissance des textes manuscrits.


Polices requises pour un rendu correct des caractères pour les types de données pris en charge dans l'éditeur FormReader

Polices requises pour un rendu correct des caractères des langues prises en charge dans l'éditeur ABBYY FlexiCapture

Langue | Police
Avec prise en charge lexicographique |
Arménien (oriental, occidental, Grabar) | Arial Unicode MS(2)
Tatar | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Sans prise en charge lexicographique |
Abkhaze | Arial Unicode MS(2)
Adygéen | Arial Unicode MS(2), Lucida Sans Unicode(3)
Aghul | Arial Unicode MS(2), Lucida Sans Unicode(3)
Altaïque | Arial Unicode MS(2), Lucida Sans Unicode(3)
Avar | Arial Unicode MS(2), Lucida Sans Unicode(3)
Azerbaïdjanais (cyrillique), azerbaïdjanais (latin) | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Bashkir | Arial Unicode MS(2), Palatino Linotype(2)
Bouriate | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Tchétchène | Arial Unicode MS(2), Lucida Sans Unicode(3)
Tchoukche | Arial Unicode MS(2), Lucida Sans Unicode(3)
Tchouvache | Arial Unicode MS(2)
Dargin | Arial Unicode MS(2), Lucida Sans Unicode(3)
Dungan | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Gagauz | Arial Unicode MS(2)
Haoussa | Arial Unicode MS(2), Lucida Sans Unicode(3)
Ingouche | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kabarde | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kalmouk | MS Core Fonts 2.82(1) (Arial, Courier New etTimes New Roman)
Karakalpak | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Kazakh | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Khakas | Arial Unicode MS(2)
Khanty | Arial Unicode MS(2)
Koriak | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kirghize | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Lak | Arial Unicode MS(2), Lucida Sans Unicode(3)
Lezgin | Arial Unicode MS(2), Lucida Sans Unicode(3)
Mansi | Arial Unicode MS(2), Lucida Sans Unicode(3)
Mari | Arial Unicode MS(2)
Mongol | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Nenets | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Ossetic | Arial Unicode MS(2)
Russe (ancienne orthographe) | Arial Unicode MS(2), Palatino Linotype(2)
Tabassaran | Arial Unicode MS(2), Lucida Sans Unicode(3)
Tadjik | Arial Unicode MS(2), Palatino Linotype(2)
Turkmène | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Touvain | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Oudmourte | Arial Unicode MS(2)
Ouzbèque (cyrillique) | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Yakoute | Arial Unicode MS(2)
Zoulou | Arial Unicode MS,(2), Lucida Sans Unicode(3)

(1) http://www.microsoft.com/

(2) MS Office 2000

(3) Windows NT 4.0


Supported text types

Types de textes pris en charge

ABBYY FlexiCapture 10 prend en charge les types de texte suivants :

Type de texte | Description
Imprimantes typographiques, laser et jet d'encre | Textes imprimés dans une imprimerie, sur une imprimante laser ou jet d'encre.
Machine à écrire | Textes tapés à la machine.
Imprimante matricielle | Textes imprimés sur une imprimante matricielle.
Index | Un jeu de caractères spécial qui n'inclut que des chiffres écrits en style code postal. Ces caractères se présentent de la manière suivante :
OCR-A | Police à espacement fixe conçue pour la reconnaissance optique de caractères. Largement utilisé par les banques, les compagnies de cartes de crédit et les sociétés apparentées. Ce texte peut se présenter de la manière suivante :
OCR-B | Police conçue pour la reconnaissance optique de caractères. Ce texte peut se présenter de la manière suivante :
MICR E-138 | Jeu spécial de caractères numériques imprimés à l'aide d'une encre magnétique spéciale. On trouve des caractères MICR (Magnetic Ink Character Recognition) dans divers endroits, notamment sur les chèques personnels. Ce texte peut se présenter de la manière suivante :
MICR CMC-7 | Police spéciale de code barres MICR (CMC-7). Ce texte peut se présenter de la manière suivante :


Types de codes barres pris en charge

ABBYY FlexiCapture 10 prend en charge les formats de codes barres suivants :

  • EAN 13
  • EAN 8
  • Code 39
  • Check Code 39
  • Interleaved 25
  • Check Interleaved 25
  • Code 128
  • Codabar
  • UPC-A
  • UPC-E
  • Code 93
  • UCC-128
  • PDF-417
  • IATA 25
  • Matrix 25
  • Industrial 25
  • PostNet
  • Patch code
  • Check CodaBar
  • Aztec
  • Datamatrix
  • QR code

Remarque : ABBYY FlexiCapture 10 peut lire les codes barres Aztec, Datamatrix et QR code mais ne peut pas les détecter sur des images. Par conséquent, vous pouvez utiliser ces types de codes barres dans les définitions de document mais ne pouvez pas les utiliser dans les FlexiLayouts ou en tant que séparateurs de document.


Formats graphiques pris en charge

Type | Couleur
BMP | Noir et blanc, gris, couleur
PCX, DCX | Noir et blanc, gris
PNG | Noir et blanc, gris, couleur
JPEG | Gris, couleur
JPEG -2000 | Gris, couleur
TIFF Noir et blanc – non compressé, CCITT3, CCITT4, Packbits, ZIP ;
gris – non compressé, Packbits, JPEG, ZIP ;
couleur – non compressé, JPEG, ZIP.
JBIG2 | noir et blanc
GIF | couleur
PDF, PDF/A
PDF, PDF/A interrogeable
DjVu | Noir et blanc, gris, couleur


Formats de fichiers d'exportation

Formats de fichiers vers lesquels ABBYY FlexiCapture 10.0 peut exporter les données des documents

  • Classeur Microsoft Office Excel (*.XLS)
  • Fichier DBase (*.DBF)
  • Fichier de valeurs séparées par une virgule (*.CSV). ABBYY FlexiCapture prend en charges différentes pages de code (Windows, DOS)
  • Fichier de valeurs séparées par une virgule (*.CSV) au format Unicode (UTF-8, UTF-16)
  • Texte brut (*.TXT). ABBYY FlexiCapture prend en charges différentes pages de code (Windows, DOS)
  • Texte brut (*.TXT) au format Unicode (UTF-8, UTF-16)
  • Document XML (*.XML)


Caractères alphabétiques utilisés dans les expressions régulières

Nom | Désignation conventionnelle | Exemple d'utilisation
Tout caractère | * | "b"*"l" – permet de rechercher des mots tels que bal, bol, etc.
Lettre | C | C"ol" – permet de rechercher des mots tels que bol, Col, dol, Vol, etc.
Lettre majuscule | A | A"ol" – permet de rechercher des mots tels que Bol, Col, Dol, Vol, etc.
Lettre majuscule | a | a"ol" – permet de rechercher des mots tels que bol, col, dol, vol, etc.
Lettre ou chiffre | X | X – permet de rechercher tout chiffre indépendant ou toute lettre indépendante.
Nombre | N | N"e" permet de rechercher des mots tels que 5e, 4e, 6e, etc.
Chaîne | " " | "cot"
Ou | | | "pl"("o"|"a")"t" – permet de rechercher des mots tels que « plot » et « plat ».
Caractère du groupe | [] | [tm]"ot" – permet de rechercher des mots tels que « tot » et« mot ».
Caractère hors groupe | [^] | [^t]"ot" – permet de rechercher des mots tels que « mot », « lot », etc., mais pas « tot ».
Espace (au sein du groupe) | \s | [A\s] permet de rechercher uniquement la lettre A ou un espace.
Tout nombre de répétitions (s'applique à l'expression ou à la sous-expression de gauche) | {-} | [AB74]{-} – permet de rechercher toute combinaison des caractères A, B, 7, 4, de n'importe quelle longueur.
Nombre de répétitions n | {n} | N{2}"e" permet de rechercher des mots tels que 25e, 84e, 11e, etc.
De n à m répétitions | {n-m} | N{1-3}"e" permet de rechercher des mots tels que 5e, 84e, 84e, 111e, etc.
De 0 à n répétitions | {-n} | N{-2}"e" permet de rechercher des mots tels que 84e, 111e, etc.
À partir de n répétitions et plus | {n-} | N{2-}"e" permet de rechercher des mots tels que 25e, 834e, 311e, 34576e, etc.
Sous-expression | () |
Tiret | [\-] |
Barre oblique | [\\] |

Exemples d'expressions régulières :

  1. Code postal : [0-9]{6}
    Exemple de valeur : "142172"

  2. Code posta (États-Unis) : [0-9]{5}("-"[0-9]{4}){-1}
    Exemples de valeurs : "55416", "33701-4313"

  3. Revenu : N{4-8}[,]N{2}
    Exemples de valeurs : "15000,00", "4499,00"

  4. Mois au format numérique : ((|"0")[1-9])|("10")|("11")|("12")
    Exemples de valeurs : "4", "05", "12"

  5. Fraction : ("-"|)([0-9]{1-})(|(("."|",")([0-9]{1-})))
    Exemples de valeurs : "1234,567", "0.99", "100,0", "-345.6788903"

  6. Adresse électronique : [A-Za-z0-9_]{1-}(("."|"-")[A-Za-z0-9_]{1-}){-3}"@"[A-Za-z0-9_]{1-}(("."|"-")[A-Za-z0-9_]{1-}){-4}"."([A-Za-z]{2-4}|"asia"|"museum"|"travel"|"example"|"localhost")
    Exemples de valeurs : "support@abbyy.com", "moi@company.org.ru", "info@gallery.museum"


Brevets

Numéros de brevets aux États-Unis 5 490 216, 5 625 465, 5 768 416 et 6 094 505


Technologies tierces

JasPer License Version 2.0

Copyright (c) 2001-2006 Michael David Adams
Copyright (c) 1999-2000 Image Power, Inc.
Copyright (c) 1999-2000 Université de British Columbia

Tous droits réservés.

En savoir plus

La présente autorise gratuitement toute personne (l'« Utilisateur ») à se procurer une copie du présent logiciel et des fichiers de documentation connexes (le « Logiciel »), à utiliser le Logiciel sans restriction, y compris et sans s'y limiter à utiliser, copier, modifier, fusionner, publier, distribuer et/ou commercialiser des copies du Logiciel et autorise les personnes à qui le Logiciel est fourni à faire de même, conformément aux conditions suivantes :

  1. Les avis de copyright susmentionnés et cette autorisation (qui comprend le déni de responsabilité ci-dessous) doivent figurer sur toutes les copies partielles ou complètes du Logiciel.

  2. Le nom du détenteur du copyright ne doit pas être utilisé pour recommander ou promouvoir les produits dérivés du Logiciel sans autorisation écrite préalable.

CE DÉNI DE GARANTIE CONSTITUE UN ÉLÉMENT ESSENTIEL DE CETTE LICENCE.

L'UTILISATION DU LOGICIEL SELON LE PRÉSENT CONTRAT EST SOUMISE AU RESPECT DU PRÉSENT DÉNI DE RESPONSABILITÉ. LE LOGICIEL EST FOURNI « EN L'ÉTAT », SANS GARANTIE D'AUCUNE SORTE, IMPLICITE OU EXPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER, LES GARANTIES DE COMMERCIALISATION, D'ADÉQUATION À UN USAGE PARTICULIER ET DE NON-TRANSGRESSION DES DROITS DES TIERS. EN AUCUN CAS, LES DÉTENTEURS DU COPYRIGHT NE POURRONT ÊTRE TENUS RESPONSABLES DES RÉCLAMATIONS, DES DOMMAGES SPÉCIAUX, INDIRECTS OU CONSÉCUTIFS, DES DOMMAGES RÉSULTANT D'UNE PERTE D'UTILISATION, DE DONNÉES OU DE PROFITS RÉSULTANT D'UNE ACTION CONFORME AU CONTRAT, D'UNE NÉGLIGENCE OU DE TOUTE AUTRE ACTION TORTUEUSE, RÉSULTANT DE OU EN RAPPORT AVEC L'UTILISATION OU LES PERFORMANCES DE CE LOGICIEL. LES DÉTENTEURS DU COPYRIGHT N'APPORTENT AUCUNE GARANTIE QUANT À LA NON-TRANSGRESSION DES BREVETS OU DES DROITS DE PROPRIÉTÉS INTELLECTUELLES D'UNE AUTRE ENTITÉ. TOUT DÉTENTEUR DE COPYRIGHT SE DÉGAGE DE TOUTE RESPONSABILITÉ ENVERS L'UTILISATEUR POUR TOUTE REVENDICATION D'UNE AUTRE ENTITÉ REPOSANT SUR LE NON-RESPECT DES DROITS DE PROPRIÉTÉ INTELLECTUELLE OU AUTRE. CONFORMÉMENT AUX DROITS ACCORDÉS PAR LA PRÉSENTE, CHAQUE UTILISATEUR ASSUME SEUL LA RESPONSABILITÉ D'ASSURER LA SÉCURITÉ DES DROITS DE PROPRIÉTÉ INTELLECTUELLE, AU BESOIN. LE LOGICIEL N'EST PAS TOLÉRANT AUX PANNES ET N'EST PAS PRÉVU POUR PRENDRE EN CHARGE DES SYSTÈMES STRATÉGIQUES DU TYPE DE CEUX UTILISÉS DANS LE FONCTIONNEMENT DES INSTALLATIONS NUCLÉAIRES, DES SYSTÈMES DE NAVIGATION DES AVIONS OU DE COMMUNICATION, DES SYSTÈMES DE CONTRÔLE DU TRAFIC AÉRIEN, DES ÉQUIPEMENTS DE SOUTIEN À LA VIE OU DES SYSTÈMES D'ARMES, DANS LESQUELS UNE DÉFAILLANCE DU LOGICIEL OU DU SYSTÈME POURRAIT CONDUIRE DIRECTEMENT À LA MORT OU ENTRAÎNER DES BLESSURES CORPORELLES OU PHYSIQUES GRAVES OU DES DOMMAGES ENVIRONNEMENTAUX (« ACTIVITÉS À HAUT RISQUE »). LES DÉTENTEURS DU COPYRIGHT RÉFUTENT SPÉCIFIQUEMENT TOUTE GARANTIE IMPLICITE OU EXPLICITE D'ADÉQUATION À UN USAGE PARTICULIER DANS LES ACTIVITÉS À HAUT RISQUE.

MARQUES COMMERCIALES

QuickScan est une marque commerciale et Captiva une marque déposée de Captiva Software Corporation.

KODAK est une marque commerciale d'Eastman Kodak Company.

Kit de développement TWAIN

Le kit de développement TWAIN est distribué en l'état. Le développeur et les distributeurs du kit de développement TWAIN déclinent expressément toute garantie implicite, expresse ou statutaire, ce qui inclut mais ne se limite pas aux garanties implicites de commercialisation, de non-transgression des droits de tiers et d'adéquation à un usage particulier. Ni les développeurs, ni les distributeurs ne seront responsables des dommages, qu'ils soient directs, indirects, spéciaux, accidentels ou consécutifs, résultant de la reproduction, de la modification, de la distribution ou d'une autre utilisation du kit de développement TWAIN.


Support technique

En cas de questions sur l'utilisation d'ABBYY FlexiCapture 10, veuillez consulter la description détaillée de la fonctionnalité concernée dans les rubriques d'aide et dans le guide d'utilisation fournis avec ABBYY FlexiCapture 10. Vous pouvez également consulter la section de notre site Web www.abbyy.com consacrée au support technique, ou vous trouverez peut-être la réponse à votre question.

Pour vous offrir un conseil pertinent, notre service de support technique a besoin des informations suivantes :

  • Nom, prénom, patronyme
  • Nom de l'entreprise
  • Numéro de téléphone (fax, adresse de courrier électronique)
  • Numéro de série de votre pack d'installation
  • Version (consultez Aide/À propos d'ABBYY FlexiCapture)
  • Description générale du problème, avec le texte complet du message d'erreur (si disponible)
  • Type de PC et de processeur
  • Version de SE Windows
  • Toute autre information jugée importante
Adresse et coordonnées des bureaux ABBYY


Comment acheter ABBYY FormDesigner 10

Comment acheter ABBYY FlexiCapture 10

Pour commander ABBYY FlexiCapture ou pour toute question liée à l'achat du produit, contactez les bureaux régionaux d'ABBYY.


Bureaux d'ABBYY

Europe de l'Ouest | ABBYY Europe GmbH Téléphone : +49 (0)89 511 159 0 Télécopie : +49 89 (0)511 159 59 Adresse : Elsenheimerstraße 49, 80687 Munich, Allemagne Adresse électronique : sales_eu@abbyy.com Adresse électronique du support technique : support_eu@abbyy.com Web : http://www.abbyy.com http://www.abbyy.de http://www.france.abbyy.com
États-Unis, Mexique et Amérique Centrale | ABBYY États-Unis Tél. : +1 408-457-9777 Télécopie : +1 408-457-9778 Adresse : 880 North McCarthy Blvd., Suite #220 Milpitas, CA 95035, États-Unis Adresse électronique : sales@abbyyusa.com Support technique : support@abbyyusa.com Web : http://www.abbyy.com
Canada | ABBYY Canada Téléphone : +1 408 457 9777 Fax : +1 408 457 9778 Adresse : 555 Legget Dr., Suite 304 Kanata, Ontario K2k 2X3, Canada Adresse électronique : info_canada@abbyyusa.com Adresse électronique du support technique : support_canada@abbyyusa.com Web : http://www.abbyy.com
Europe de l'Est et Europe méditerranéenne | ABBYY Ukraine Téléphone : +380 44 490 9999 Télécopie : +380 44 490 9461 Adresse : P.O. Box 23, 02002 Kiev, Ukraine Adresse électronique : forms@abbyy.ua Téléphone du support technique : +380 44 490 9463 Adresse électronique du support technique : formsupport@abbyy.ua Web : http://www.abbyy.ua
Royaume-Uni | ABBYY UK Ltd. Téléphone : +0870 600 0231 Télécopie : +01344 392 611 Adresse : Abbey House, Grenville Place, Bracknell RG12 1BP, Royaume-Uni Adresse électronique : sales_UK@abbyy.com Adresse électronique du support technique : support_eu@abbyy.com Web : http://www.abbyy.co.uk
Afrique, Asie, Amérique du Sud, Grèce et états baltes | ABBYY 3A Téléphone : +7 495 783 3700 Fax : +7 495 783 2663 Adresse : P.O. Box 32, Moscow 127273, Russie Adresse électronique : sales_3A@abbyy.com Adresse électronique du support technique : support@abbyy.com Web : http://www.abbyy.cn http://www.abbyy.com.br http://latam.abbyy.com
Japon | ABBYY Japon Téléphone : +81-42-795-1901 Télécopie : +81-42-795-1901 Adresse : 658-1 Tsuruma, Machida-shi, Tokyo 194-8510 Adresse électronique : sales@abbyyusa.com Adresse électronique du support technique : support@abbyyusa.com Web : http://www.abbyy.com
Taïwan | ABBYY Taïwan Téléphone : +886-2-2655-0556 Télécopie : +886-2-2655-2339 Adresse : Room #524, 5Fl, Building E, No.19-11, Sanchong road, Nangang District, Taipei 115, Taïwan, République de Chine. Adresse électronique : sales@abbyyusa.com Adresse électronique du support technique : support@abbyyusa.com Web : http://www.abbyy.com
Australie et Nouvelle-Zélande | ABBYY Australia Addresse : Citigroup Building, level 39, 2 Park Street, Sydney, NSW, 2000, Australie Adresse électronique : sales_au@abbyy.com Adresse électronique du support technique : support@abbyy.com Web : http://www.abbyy.com
Toutes les autres régions | ABBYY Russie Téléphone : +7 495 783 3700 Télécopie : +7 495 783 2663 Adresse postale : Russie, 127273, Moscou, P.O. box 32, ABBYY Adresse de l'entreprise : Moscou, ul. Otradnaya 2B, str. 6, Otradny Business Centre Adresse électronique : sales@abbyy.ru Support technique : support@abbyy.ru Web : http://www.abbyy.ru CARTE


Contrat de licence utilisateur final

ABBYY FlexiCapture 10

Important ! Lisez attentivement les termes suivants avant d'installer, de copier et/ou d'utiliser FlexiCapture 10 (ci-après désigné par le le terme « LOGICIEL »). En installant, copiant ou utilisant le LOGICIEL, vous vous engagez à accepter les termes suivants.

Ce Contrat de licence utilisateur final (ci-après désigné par le terme « CLUF ») constitue un accord juridique entre ABBYY et vous, l’utilisateur final du produit logiciel susmentionné d’ABBYY qui accompagne ce CLUF. Cet accord concerne notamment tous les supports, toutes les informations imprimées et toute la documentation électronique ou « en ligne » associés (collectivement appelés « LOGICIEL »).

En installant, copiant ou utilisant de quelque autre façon que ce soit ce LOGICIEL, vous reconnaissez avoir lu le présent CLUF et l’avoir compris, et acceptez de vous soumettre à ses conditions d’utilisation.

Le LOGICIEL est protégé par les lois et traités internationaux en vigueur sur le copyright. Vous acceptez que le présent CLUF s’applique au même titre que tout autre accord écrit que vous auriez signé.

Ce CLUF entre en vigueur à compter de la date de votre acceptation de toutes les conditions prévues dans le cadre des présentes. Pour confirmer votre acceptation, cochez la case « J’accepte les termes de ce contrat de licence », puis cliquez sur le bouton « Suivant » dans le programme d’installation du LOGICIEL ou lorsque vous commencez à utiliser le LOGICIEL de toute autre manière. La date de cet événement est la Date d’entrée en vigueur.

Si le logiciel est accompagné d'une copie papier d'un contrat de licence dûment signé par les deux parties, en cas de différence de contenu entre le texte du présent CLUF et celui de la copie papier, celui de la copie papier prévaut.

Si vous n’acceptez pas les termes du présent CLUF, n’installez pas et n’utilisez pas le LOGICIEL et cochez la case « Je n’accepte pas les termes de ce contrat de licence », puis cliquez sur « Annuler » dans le programme d’installation du LOGICIEL.

Définitions :

"Le terme « LOGICIEL » désigne le logiciel ABBYY FlexiCapture 10, qui est un ensemble de programmes informatiques, de bases de données et de documentations (qui peuvent être au format papier ou électronique) protégé par les lois sur le copyright.

"Le terme « composant LOGICIEL » désigne toute partie constitutive du LOGICIEL, notamment, mais sans s’y limiter, les programmes informatiques inclus dans le LOGICIEL.

"Le terme « ordinateur » désigne un appareil électronique équipé d’un ou de plusieurs noyaux de processeurs, qui accepte des informations sous une forme numérique ou similaire, et les manipule afin d’atteindre un résultat donné, à partir d’une séquence d’instructions.

"Le terme « Machine virtuelle » désigne un appareil comportant un système matériel virtuel (ou émulé).

"Le terme « licence » désigne le droit non exclusif que vous accorde ABBYY pour installer et utiliser le LOGICIEL, conformément aux termes du présent CLUF.

Le terme « Numéro de série » désigne l'identifiant unique de la licence, ou du groupe de licences ayant des paramètres similaires, octroyé à l'utilisateur final.

"Le terme « activation du LOGICIEL » désigne la procédure permettant de rendre le LOGICIEL pleinement opérationnel conformément à la documentation du LOGICIEL et à la portée de votre licence.

"Le terme « ABBYY » désigne :

ABBYY USA Software House Inc., enregistrée à l'adresse 880 North McCarthy Boulevard, Suite 220, Milpitas, Californie 95035, États-Unis, lorsque l’article 17.1 de ce CLUF s’applique ;

ABBYY Europe GmbH, enregistrée à l'adresse Elsenheimerstr. 49 80687 Munich, lorsque l’article 17.2 de ce CLUF s’applique ;

ABBYY UK Ltd. enregistrée à l'adresse Heathrow Business Centre, 65 High Street, Egham, Surrey TW20 9EY, Royaume-Uni, lorsque l’article 17.3 de ce CLUF s’applique ;

ABBYY LLC enregistrée à l'adresse à ul. Perovskaya dom 22, korpus 1, 111398, Moscou, Russie, lorsque l’article 17.4 de ce CLUF s’applique ;

ABBYY Software House Ukraine, enregistrée à l'adresse 31, Degtyarevskaya st., Kiev, Ukraine 03680, lorsque l’article 17.5 de ce CLUF s’applique ;

et ABBYY Solutions Ltd., enregisrée à l'adresse Michail Karaoli 2, Egkomi CY 2404, Nicosie, Chypre, dans tous les autres cas.

"Les termes « vous », « votre » et « utilisateur final » désignent et incluent toute personne physique (y compris tout entrepreneur individuel) et/ou personne morale s’étant procurée le LOGICIEL et pour le compte de qui ce LOGICIEL est utilisé.

Le terme « Partenaire ABBYY » désigne une personne morale ou un entrepreneur individuel autorisé par un contrat conclu avec ABBYY à Vous fournir le LOGICIEL et le droit d'utiliser le LOGICIEL.

1. Octroi de licence

1.1 Sous réserve du respect des termes de ce CLUF, ABBYY vous accorde une licence limitée et non exclusive (la « licence ») couvrant l’installation et l’utilisation du LOGICIEL, y compris des images, des photos, des animations, des composants audio et vidéo, de la musique, du texte et des « applets » intégrés au LOGICIEL, ainsi que la documentation imprimée l’accompagnant et toutes les copies du LOGICIEL, uniquement dans le cadre énoncé ci-dessous. Toutes les conditions énoncées ci-dessous s’appliquent au LOGICIEL dans son ensemble ainsi qu’à tous ses composants.

1.2. Si le paragraphe 17.4 s'applique à vous et si vous êtes une personne physique, vous pouvez utiliser le LOGICIEL partout dans le monde. Si le paragraphe 17.4 s'applique à vous et si Vous êtes une personne morale ou une agence et/ou un bureau de représentation, Vous ne pouvez utiliser le LOGICIEL que dans le pays d'immatriculation de la personne morale (ou de son agence et/ou de ses bureaux de représentation), sauf mention contraire dans un contrat distinct conclu entre Vous et ABBYY.

2. Licence

2.1. ABBYY agit en tant que représentant, garant et détenteur de tous les droits, de la capacité juridique et de l’autorité d’attribution de licences et de distribution du LOGICIEL, y compris pour les images, les photos, les animations, les composants audio et vidéo, la musique, le texte et les « applets » incorporés au LOGICIEL, ainsi que pour les documents imprimés qui l’accompagnent et que pour toutes les copies du LOGICIEL.

2.2. Tous les droits relatifs au titre et à la propriété intellectuelle du LOGICIEL et du contenu externe au LOGICIEL, mais pouvant être consultés à partir de ce dernier, appartiennent aux propriétaires des contenus respectifs et peuvent être protégés par le copyright applicable ou par d’autres lois et traités en vigueur sur la propriété intellectuelle. Ce CLUF ne porte pas sur le transfert de propriété d’une telle propriété intellectuelle.

2.3. Le LOGICIEL contient des secrets industriels et des informations confidentielles qui sont la propriété d’ABBYY et de tiers. Il est protégé par les lois sur le copyright notamment, mais sans s’y limiter, par les lois sur les droits d’auteur aux États-Unis et les traités internationaux, ainsi que le droit applicable dans le pays où il est utilisé.

2.4. Toute infraction aux termes et conditions d’utilisation stipulés dans ce CLUF constitue une violation des droits de la propriété intellectuelle d’ABBYY et un motif de résiliation de tous les droits d’utilisation du LOGICIEL octroyés par ce CLUF.

2.5. Vous reconnaissez savoir que le LOGICIEL est protégé contre la copie non autorisée et contre l’utilisation illimitée et qu’il peut contenir des clés de protection logicielles ou matérielles (appelées « clés de licence » dans le reste de ce document) à cet effet. Vous acceptez aussi que le LOGICIEL soit soumis à toutes ces protections.

2.6. La portée de la Licence peut varier en fonction de différents facteurs définis lors de la commande du LOGICIEL : l’ensemble de fonctions disponibles, le nombre et le type de composants Logiciel autorisés en réseau, le nombre de processeurs utilisés par le LOGICIEL, le nombre maximal de pages pouvant être traitées, la date d’expiration et d’autres facteurs encore. Toutes ces informations, ainsi que d’autres, sont codées dans la clé de licence. La clé de licence restreint l’utilisation du LOGICIEL techniquement et reflète la portée de la licence que vous avez commandée.

2.7. Vous êtes autorisé à effectuer un transfert unique et définitif de ce LOGICIEL directement à un autre utilisateur final. Si vous êtes une personne morale, ledit transfert requiert le consentement écrit d'ABBYY. Ce transfert doit inclure l’intégralité du LOGICIEL (y compris tous les composants, supports, matériels imprimés et mises à niveau de ce LOGICIEL, et le présent CLUF). Ce transfert ne peut s’effectuer par voie de consignation ni par aucun autre mode de transfert indirect. Le bénéficiaire de ce transfert unique doit accepter de se conformer aux termes du présent CLUF, notamment à l’obligation de ne pas transférer à son tour ce LOGICIEL. Vous devez désinstaller le LOGICIEL de tous les ordinateurs sur lesquels il était installé en cas de transfert du LOGICIEL.

2.8. Sauf exception stipulée dans l’article 2.7, vous n’êtes pas autorisé à transférer, à distribuer et à concéder en sous-licence le LOGICIEL à une autre personne, ni les droits qui vous sont octroyés par le présent contrat, ni aucun autre droit lié au LOGICIEL. ABBYY est autorisé à mettre fin à ce CLUF en cas d’un tel transfert ou d’une telle distribution.

2.9. Ce CLUF ne vous octroie aucun droit relatif aux marques commerciales d’ABBYY.

2.10. Tous les droits non expressément octroyés sont réservés par ABBYY.

3. Utilisation du LOGICIEL

3.1. Vous pouvez utiliser le LOGICIEL conformément à la portée de votre licence.

3.2. Vous pouvez installer le LOGICIEL sur un nombre illimité d’ordinateurs ou de machines virtuelles.

3.3. Le fonctionnement du LOGICIEL et le nombre d'ordinateurs ou de machines virtuelles (si l'utilisation de machines virtuelles est autorisée par votre licence) sur lequel vous pouvez exécuter le LOGICIEL simultanément dépend du numéro de série qui Vous a été fourni avec le LOGICIEL.

3.4. Si le LOGICIEL ou tout composant LOGICIEL est déployé dans un environnement logiciel virtuel (par ex. : VMware, Citrix ou ghosting), plusieurs machines ne pourront à aucun moment utiliser la même licence. Vous acceptez de ne jamais dépasser le nombre total de pages utilisées par le LOGICIEL autorisé par la licence.

3.5. Si vous accédez au LOGICIEL par l’intermédiaire de services de terminaux qui permettent l’accès au LOGICIEL sur un ordinateur distant du réseau, vous pouvez exécuter simultanément autant de copies du LOGICIEL que ce qu’autorise votre Licence et que ce que stipule ce CLUF.

3.6. Si vous accédez au LOGICIEL par l’intermédiaire de services de terminaux, qui permettent l’accès au LOGICIEL sur un ordinateur distant par Internet, vous pouvez exécuter simultanément autant de copies du LOGICIEL que ce qu’autorise votre Licence et que ce que stipule ce CLUF.

3.7. Vous ne pouvez utiliser le LOGICIEL pour assurer des services de reconnaissance et de conversion et/ou pour fournir le résultat de l’utilisation de ce LOGICIEL à des tiers que si le paramètre « Services BPO » de votre clé de licence est activé.

3.8. Vous n'êtes pas autorisé à utiliser le LOGICIEL pour fournir des services de reconnaissance ou de conversion payants ou gratuits et/ou pour fournir les résultats ou l'accès aux résultats acquis par le biais de l'utilisation du LOGICIEL en tant que composant d'un autre service ayant la reconnaissance ou la conversion comme composant clé à un autre tiers, sauf si vous avez signé un contrat écrit distinct avec ABBYY.

3.9. Si la mention « Évaluation » ou « Revente interdite » figure sur le LOGICIEL, nonobstant les autres dispositions du présent CLUF, vous ne pourrez utiliser le LOGICIEL qu’à des fins de démonstration ou de test. Vous reconnaissez que les fonctionnalités et/ou l’exécution du LOGICIEL sont limitées pendant une période donnée. Si la version de votre LOGICIEL a expiré, ses fonctionnalités seront désactivées après une période déterminée, conformément à la portée de votre licence.

3.10. Vous n'êtes pas autorisé à exécuter ou à permettre à d'autres personnes d'exécuter les opérations répertoriées ci-dessous :

3.10.1. Effectuer des opérations de rétroingénierie, désassembler ou décompiler (extraire le code source du code objet) les programmes, bases de données et autres composants du LOGICIEL, sauf dans la mesure expressément autorisée par le droit applicable indépendamment de cette limitation. Si la loi autorise de telles activités, aucune information découverte de cette façon ne doit être divulguée à des tiers, si une telle clause de non divulgation est autorisée par la loi, mais doit être communiquée immédiatement à ABBYY. De telles informations sont considérées comme des informations confidentielles et appartenant à ABBYY.

3.10.2. Modifier, adapter (procéder à des modifications sur le logiciel visant à le faire fonctionner sur le matériel de l’utilisateur final) ou traduire le LOGICIEL, y compris procéder à des modifications du code objet des applications et des bases de données du LOGICIEL et employer des procédures autres que celles fournies à cet effet par le LOGICIEL et décrites dans la présente documentation.

3.10.3. Corriger des erreurs sans le consentement écrit préalable d'ABBYY.

3.10.4 Louer, concéder en location-vente ou concéder sous sous-licence, attribuer ou transférer tout droit qui vous a été accordé par le présent CONTRAT et tout autre droit relatif au LOGICIEL à toute autre personne, ainsi qu'autoriser la copie intégrale ou partielle du LOGICIEL sur un autre ordinateur, sauf stipulation contraire dans un accord distinct signé avec ABBYY.

3.10.5. Permettre à toute personne non autorisée à utiliser le LOGICIEL et travaillant sur le même système multiutilisateur que vous d’utiliser le LOGICIEL.

3.10.6. Supprimer, modifier ou rendre illisibles tout copyright, toute marque commerciale ou toute note de brevet apparaissant dans le LOGICIEL tel qu’il vous a été livré.

4. LOGICIEL fourni sur deux supports

4.1. Il se peut que le LOGICIEL vous soit fourni sur plusieurs supports, notamment via des téléchargements sur Internet. Quel que soit le nombre de supports reçus, la licence ne vous autorise à utiliser que le LOGICIEL visé par ce CLUF.

5. Limitations

5.1 Si vous n’activez pas le LOGICIEL, vous risquez de ne pas pouvoir exercer vos droits d’utilisation du LOGICIEL, comme prévu par ce CLUF.

5.2. Toutes les conditions d’utilisation et toutes les limitations régissant l’utilisation, l'assistance et la maintenance du LOGICIEL sont énoncées dans ce CLUF, sauf en cas de mention contraire dans un accord distinct conclu avec ABBYY ou un partenaire ABBYY.

6. Bases de données de l’utilisateur final

6.1. Vous pouvez créer vos propres bases de données pour les programmes figurant dans le LOGICIEL, si cette fonctionnalité est incluse dans le LOGICIEL et décrite dans la présente documentation.

7. Redistribution du LOGICIEL

7.1. Toute redistribution du LOGICIEL, sauf exception stipulée dans l’article 2.6, est strictement interdite. La redistribution inclut, sans s’y limiter, l’octroi d’accès à des tierces parties, la location, la location-vente ou le prêt du LOGICIEL.

8. Maintenance et support technique

8.1. ABBYY ou son partenaire peut assurer la maintenance et les services de support technique prévus conformément aux termes et conditions de l’Annexe A de ce CLUF, sauf en cas d'accord contraire conclu entre vous et ABBYY ou entre vous et le partenaire d’ABBYY dans un contrat distinct.

9. Garantie limitée

9.1. Sous réserve d’une utilisation normale, ABBYY garantit que les supports sur lesquels le LOGICIEL est fourni, le cas échéant, sont exempts de défauts matériels ou malfaçons pendant la période minimale définie par la législation du pays où le LOGICIEL a été acheté et ce à compter de la date d’achat. Si le LOGICIEL est acheté conformément à l’article 17.4, cette période correspond à trente (30) jours à compter de la date d’achat.

9.2. Le LOGICIEL et toute mise à jour et mise à niveau vous sont fournis « en l’état », et ABBYY n’offre aucune garantie d’aucune sorte. ABBYY ne garantit pas et n’est pas en mesure de garantir les performances ni les résultats obtenus par l’utilisation du LOGICIEL. À l’exception de toute garantie, de toute condition, de toute représentation ou de tout terme, dans la mesure où celui-ci ne peut pas être exclu ni limité par le droit applicable dans votre juridiction, ABBYY et ses partenaires ne fournissent aucune garantie, aucune condition, aucune représentation et aucun terme (expresse ou implicite, que ce soit par droit statutaire, légal, coutumier, d’usage ou autre) d’aucune sorte, y compris et de manière non limitative, de non-transgression des droits des tiers, de commercialisation, d’intégration, de qualité satisfaisante ou d’adéquation à un objectif particulier. ABBYY et ses partenaires ne garantissent pas non plus que le LOGICIEL soit exempt d’erreurs, qu’il réponde à vos besoins ou qu'il fonctionne correctement en cas d’utilisation avec d’autres logiciels ou éléments matériels. Tous les risques afférents à la qualité et aux performances du LOGICIEL vous incombent entièrement.

9.3. ABBYY n’offre aucune garantie vis-à-vis des produits logiciels tiers fournis avec le LOGICIEL.

10. Limitation de responsabilité

10.1. ABBYY ne saurait en aucun cas être tenue pour responsable des dommages, des pertes d’exploitation, de la perte d’informations ou de données commerciales ou d'autres données, de toute réclamation ou de dépense, de dommages consécutifs, indirects, accidentels d’aucune sorte, de tout manque à gagner ou de tous coûts entraînés par ou liés à l’utilisation du LOGICIEL, de dommages causés par d’éventuelles erreurs ou fautes d’impression dans le LOGICIEL, même dans l’éventualité où un représentant d’ABBYY aurait été averti par un tiers de la possibilité de telles pertes, de tels dommages, de telles réclamations ou de telles dépenses ; ABBYY ne sera pas non plus tenue pour responsable des réclamations, quelles qu’elles soient,de quelqu’autre partie. Les limitations et exclusions précédentes s’appliquent dans la limite autorisée par la loi en vigueur dans votre juridiction. La seule et entière responsabilité d’ABBYY dans le cadre du présent CLUF ou associée au présent CLUF sera limitée au montant versé (le cas échéant) lors de l’achat du LOGICIEL.

10.2. Limitation de responsabilité applicable aux utilisateurs résidant en Allemagne ou en Autriche.
Si vous vous êtes procuré le LOGICIEL en Allemagne ou en Autriche et résidez habituellement dans l’un de ces pays :

10.2.1 Conformément aux dispositions de l’article 10.2.2, la responsabilité statutaire d’ABBYY vis-à-vis des dommages sera limitée de la manière suivante : (i) ABBYY ne sera tenu responsable que des dommages raisonnablement prévisibles lors de l’entrée d’entente d’achat contractuelle en matière de dommages causés par une légère violation par négligence d’une obligation contractuelle relative au matériel mais (ii) ABBYY ne sera pas tenu responsable des dommages causés par une légère violation par négligence d’une obligation contractuelle non liée au matériel.

10.2.2. La limitation de responsabilité stipulée à l’article 14.2.1 ne sera pas applicable aux responsabilités statutaires obligatoires, en particulier, à la responsabilité entrant dans le cadre du droit allemand relatif à la responsabilité du fait des produits (German Product Liability Act), à la responsabilité liée à la prise en charge d’une garantie spécifique ou à la responsabilité quant aux blessures corporelles infligées de manière volontaire.

10.2.3 Vous prendrez toutes les mesures raisonnables afin d’éviter ou de minimiser tout dommage. Vous effectuerez notamment des copies de sauvegarde du LOGICIEL et de vos données informatiques entrant dans le cadre des dispositions de ce CLUF.

11. Polices intégrées

11.1. Les programmes de polices sont soumis aux copyrights et le propriétaire est en droit de fixer les conditions d'utilisation de tels programmes. Une desdites conditions peut éventuellement exiger la possession d’une copie sous licence du programme de police pour incorporer la police dans un fichier PDF. En aucun cas, la société ABBYY ne sera tenue responsable des dommages résultant de l’utilisation des polices incorporées ou associés à cette utilisation d’une quelconque manière.

12. Adobe® PDF Library

12.1. Le terme « logiciel Adobe » désigne Adobe PDF Library® pour les systèmes Windows 2000 et XP ainsi que toute documentation, mise à niveau, version modifiée, mise à jour, copie et que tout ajout y afférent. Le LOGICIEL utilise le logiciel Adobe pour convertir des fichiers PDF en fichiers d’images.

12.2. Octroi de licence et restrictions. ABBYY octroie un droit non exclusif vous autorisant à utiliser le Logiciel Adobe incorporé au LOGICIEL, en conformité avec les termes du présent Accord de licence d’utilisateur final. Vous pouvez effectuer une copie de sauvegarde du logiciel Adobe incorporé au LOGICIEL, dans la mesure où la copie de sauvegarde n’est pas destinée à être installée ou utilisée sur un autre ordinateur.

12.3. Droits relatifs à la propriété intellectuelle. Le logiciel Adobe incorporé au LOGICIEL est la propriété d’Adobe ou de ses fournisseurs, et sa structure, son organisation et son code constituent des secrets industriels précieux d’Adobe et de ses fournisseurs. Le logiciel Adobe est également protégé par les lois sur les copyrights aux États-Unis et par les traités internationaux. Toute copie du logiciel Adobe incorporé au LOGICIEL, sauf tel qu’expressément prévu dans ce CLUF, est prohibée. Toute copie autorisée effectuée conformément aux termes de ce CLUF doit inclure le présent avertissement relatif à la propriété intellectuelle ainsi que tout autre avis de propriété apparaissant dans le LOGICIEL. Vous vous engagez à ne pas modifier, adapter, traduire, effectuer d’opération de rétro ingénierie, décompiler, désassembler ni essayer de découvrir le code source du logiciel Adobe incorporé à ce LOGICIEL. Sauf tel qu’expressément spécifié auparavant, ce CLUF ne vous octroie aucun droit de propriété intellectuelle sur le Logiciel Adobe.

12.4. Licence pour les polices. Si le LOGICIEL ou le logiciel Adobe incorporé inclut un logiciel de polices, vous êtes autorisé à incorporer ce logiciel ou le logiciel des caractères vectorisés dans vos documents au format électronique, dans la mesure expressément autorisée par le propriétaire du copyright des polices. Certaines polices contenues dans ce produit peuvent être la propriété d’Adobe. Vous pouvez incorporer toute police dont Adobe est le propriétaire.

12.5. Garantie. ABBYY NE GARANTIT PAS ET N’EST PAS EN MESURE DE GARANTIR LES RÉSULTATS DE PERFORMANCES CONSÉCUTIVES À L’UTILISATION DU LOGICIEL ADOBE INCORPORÉ AU PRÉSENT LOGICIEL.

12.6. Règles sur l'exportation. Vous vous engagez à ne pas expédier, transférer ni exporter le logiciel Adobe incorporé à votre LOGICIEL vers quelque pays que ce soit, ni à l’utiliser en infraction à la législation des États-Unis régissant les exportations ou à toute autre loi, restriction ou réglementation sur l’exportation (collectivement « Lois sur l’exportation »). En outre, si le logiciel Adobe incorporé au LOGICIEL est identifié en tant que produit d’exportation contrôlé par les Lois sur l’exportation, vous devez certifier et prouver que vous n’êtes ni citoyen ni résident d’un pays soumis à un embargo commercial et qu’aucune loi sur l’exportation ne vous interdit la réception du logiciel Adobe incorporé au LOGICIEL. Le droit d’utiliser le logiciel Adobe incorporé au LOGICIEL vous est accordé dans la mesure où vous vous conformez aux termes de ce CLUF. Vous serez déchu de ce droit si vous enfreignez cette condition.

12.7. Marques commerciales. Adobe et Adobe PDF Library sont des marques commerciales ou des marques déposées d’Adobe Systems Incorporated aux États-Unis et dans d’autres pays.

13. Bibliothèques d’exécution PixTools® Scan

13.1. Le terme « logiciel EMC » désigne les bibliothèques d’exécution PixTools Scan et les pilotes ISIS de niveaux 1, 2 et 3. Le LOGICIEL utilise le logiciel EMC pour établir la communication entre le scanner et le LOGICIEL par l’intermédiaire de l’interface ISIS.

13.2. Octroi de licence et restrictions. ABBYY octroie un droit non exclusif vous autorisant à utiliser le logiciel EMC incorporé au LOGICIEL, conformément aux termes du présent CLUF.

13.3. Droits relatifs à la propriété intellectuelle. Le logiciel EMC incorporé au LOGICIEL est la propriété d’EMC Corporation ou de ses fournisseurs, et sa structure, son organisation et son code constituent des secrets industriels précieux d’EMC Corporation et de ses fournisseurs. Le logiciel EMC est protégé par les lois sur les copyrights aux États-Unis et par les traités internationaux. Vous n’êtes pas autorisé à copier le logiciel EMC incorporé à ce LOGICIEL. Vous vous engagez à ne pas modifier, adapter, traduire, effectuer d’opération de rétro ingénierie, décompiler, désassembler ni essayer de découvrir le code source du logiciel EMC incorporé à ce LOGICIEL. Sauf tel qu’expressément spécifié auparavant, ce CLUF ne vous octroie aucun droit de propriété intellectuelle sur le Logiciel EMC.

13.4. Garantie.
ABBYY NE GARANTIT PAS ET N’EST PAS EN MESURE DE GARANTIR LES RÉSULTATS DE PERFORMANCES CONSÉCUTIFS À VOTRE UTILISATION DU LOGICIEL EMC INCORPORÉ AU PRÉSENT LOGICIEL.
L’ENTREPRISE EMC OU SES FOURNISSEURS NE POURRONT EN AUCUN CAS ÊTRE TENUS POUR RESPONSABLES DE TOUT DOMMAGE CONSÉCUTIF, ACCIDENTEL OU SPÉCIAL D’AUCUNE SORTE, DE TOUTE PERTE DE REVENU OU D’ÉPARGNE, OU DE TOUTE REVENDICATION ÉMANANT D’UN TIERS.
Certains états ou certaines juridictions n’autorisent pas l’exclusion ni la limitation des dommages accidentels, consécutifs ou spéciaux. Il est donc possible que les limitations ci-dessus ne s’appliquent pas à vous. Vous pouvez bénéficier d’autres droits, qui peuvent varier d’un état à l’autre ou d’une juridiction à l’autre.

13.5. Marques commerciales
ISIS et PixTools sont des marques commerciales ou des marques déposées d’EMC Software Corporation aux États-Unis et/ou dans d’autres pays.

14. LOGICIEL LIZARDTECH

14.1. Le « LOGICIEL LIZARDTECH » désigne le kit de développement logiciel DjVu Decoder créé par LIZARDTECH ainsi que tout support, que toute documentation imprimée et que toute documentation « en ligne » ou électronique qui y sont associés. Vous avez acquis le LOGICIEL comprenant le LOGICIEL LIZARDTECH proposé sous licence par ABBYY par le biais de LIZARDTECH, INC. Le LOGICIEL utilise le LOGICIEL LIZARDTECH pour convertir des fichiers DjVu en fichiers image.

14.2. Le LOGICIEL LIZARDTECH est protégé par les lois sur le copyright et par les traités internationaux sur le copyright ainsi que par d'autres lois et traités sur la propriété intellectuelle. Le LOGICIEL LIZARDTECH est proposé sous licence. Il n’est pas vendu.

14.3. Octroi de licence. Une licence personnelle, non transférable, non exclusive et non concédable sous licence vous a été octroyée pour utiliser le LOGICIEL LIZARDTECH intégré au LOGICIEL (ainsi que la documentation connexe). Vous n’êtes pas autorisé à louer, vendre, concéder en location-vente ou distribuer de quelque manière que ce soit, en intégralité ou partiellement, le LOGICIEL LIZARDTECH.

14.4. LE LOGICIEL LIZARDTECH N’EST PAS GARANTI. Il est fourni « EN L’ÉTAT » sans correction des erreurs qu’il contient. TOUS RISQUES AFFÉRENTS À LA QUALITÉ, AUX PERFORMANCES, À L’EXACTITUDE ET AU MANIEMENT (Y COMPRIS LES DÉFAUTS DE NÉGLIGENCE) VOUS INCOMBENT. AUCUNE GARANTIE NE VOUS EST OFFERTE POUR CE QUI EST D’ÉVENTUELS PROBLÈMES PENDANT L’UTILISATION DU LOGICIEL LIZARDTECH OU CONTRE LES RISQUES DE VIOLATION. SI DES GARANTIES VOUS ONT ÉTÉ OFFERTES POUR LE LOGICIEL OU LE LOGICIEL LIZARDTECH, CES GARANTIES NE PROVIENNENT PAS DE LIZARDTECH ET N’ENGAGENT PAS SA RESPONSABILITÉ.

14.5. CERTAINS DOMMAGES RELÈVENT DE VOTRE SEULE RESPONSABILITÉ. CONFORMÉMENT À LA RÉGLEMENTATION EN VIGUEUR, LIZARDTECH NE POURRA ÊTRE TENUE POUR RESPONSABLE DES DOMMAGES INDIRECTS, SPÉCIAUX, CONSÉCUTIFS OU ACCIDENTELS DÉCOULANT DE OU EN RAPPORT AVEC L’UTILISATION OU LES PERFORMANCES DU LOGICIEL LIZARDTECH. CETTE LIMITATION S’APPLIQUERA MÊME SI TOUT RECOURS FAIT DÉFAUT À SA VOCATION ESSENTIELLE.

14.6. Limitations relatives à la rétroingénierie, à la décompilation et au désassemblage. Vous n’êtes pas autorisé à effectuer des opération de rétroingénierie, à décompiler ou à désassembler le LOGICIEL LIZARDTECH hormis et uniquement si cette activité est expressément autorisée par la loi en vigueur, et dans les limites de cette dernière, nonobstant cette limitation.

14.7. Restrictions de l'exportation. Vous reconnaissez savoir que le LOGICIEL LIZARDTECH, ou que les éléments qu’il contient, ou que le processus ou service constituant le produit direct du LOGICIEL LIZARDTECH (les « composants restreints ») proviennent des États-Unis. Vous reconnaissez respecter les lois internationales et nationales en vigueur concernant ces produits, y compris la réglementation régissant les exportations aux États-Unis, et en tant qu’utilisateur final, les restrictions en matière d’utilisation finale et de destination émises par le gouvernement des États-Unis et par d’autres gouvernements.

15. Autre technologie sous licence

15.1. Ce LOGICIEL est utilisé sous licence des brevets américains suivants : 5 490 216, 5 625 465, 5 768 416 et 6 094 505.

16. Règles sur l’exportation

16.1. Le LOGICIEL ne doit pas être exporté ni ré-exporté si une telle exportation enfreint les dispositions juridiques en matière d'exportation du pays dans lequel ce LOGICIEL a été acheté ou autrement obtenu. En outre, vous déclarez et garantissez qu’il ne vous est pas interdit de recevoir ce LOGICIEL dans le cadre des lois en vigueur.

17. Droit applicable

17.1. Si vous avez acquis le LOGICIEL aux États-Unis, au Canada, au Mexique, en Amérique Centrale (Belize, au Costa Rica, au Salvador, au Guatemala, au Honduras, à Montserrat, au Nicaragua, au Panama, sur les Îles Turques-et-Caïques, sur les Îles Vierges (américaines), au Japon ou à Taïwan, ce CLUF est régi et interprété conformément à la loi en vigueur dans l’État de Californie (États-Unis). Quant aux litiges qui pourraient résulter de ce CLUF et/ou de ce LOGICIEL, vous acceptez de vous soumettre aux lois et aux juridictions fédérales et/ou aux cours d’état du comté de Santa Clara, dans l’État de Californie. Pour éviter tout doute si vous vous procurez le LOGICIEL aux États-Unis, achetez le LOGICIEL auprès d'ABBYY USA Software House Inc.

17.2. Si le LOGICIEL a été obtenu en Autriche, en Belgique, au Danemark, en Finlande, en France, en Allemagne, en Italie, au Luxembourg, aux Pays-Bas, au Portugal, en Espagne, en Suède ou dans tout autre État membre de l’Union européenne non mentionné à les articles 17.3 à 17.5 de ce CLUF, à l'exception de la Grèce, de Chypre, de Malte ou si ce LOGICIEL a été acquis sur les îles de la Manche, en Islande, au Liechtenstein, en Norvège ou en Suisse, ce CLUF est régi et interprété conformément à la législation de Munich, Allemagne.

17.3. Si le LOGICIEL a été obtenu au Royaume-Uni ou en république d’Irlande, le présent CLUF est alors régi et interprété conformément à la législation en vigueur en Angleterre et aux Pays de Galles et les parties acceptent de se soumettre aux juridictions d’Angleterre et du Pays de Galles

17.4. Si le LOGICIEL a été obtenu en Russie, en Biélorussie, au Kazakhstan ou dans tout autre pays de la CEI, à l’exception de l’Ukraine et de la Moldavie, ou si le LOGICIEL a été acheté en Géorgie, en Lettonie, en Lituanie ou en Estonie, les termes du présent CLUF seront régis et interprétés conformément à la législation en vigueur en Fédération de Russie.

17.5. Si le LOGICIEL a été obtenu en Albanie, en Bosnie-Herzégovine, en Bulgarie, en Croatie, en République tchèque, en Hongrie, en Israël, en Macédoine, en Pologne, en Roumanie, en Slovaquie, en Slovénie, en Turquie, en Serbie, au Monténégro, en Ukraine ou en Moldavie, les termes du présent CLUF seront régis et interprétés conformément à la législation ukrainienne.

17.6. Si l’article 17.4 est appliqué et si vous êtes une personne morale ou un entrepreneur privé, la cour d’arbitrage de Moscou, Fédération de Russie, aura la juridiction sur tous les litiges en rapport avec ce CLUF. Si l’article 17.4 est appliqué et si vous êtes un particulier, la cour du district de Perovsky, Moscou, Fédération de Russie, aura la juridiction sur tous les litiges en rapport avec ce CLUF.

17.7. Si le paragraphe 17.5 s’applique et si vous êtes une personne morale ou un entrepreneur privé, tous les litiges, toutes les controverses ou toutes les divergences d’opinion résultant ou relatives au contrat doivent être arbitrés conformément aux réglementations et procédures d’arbitrage commercial international de la Chambre de commerce et d’industrie d’Ukraine et conformément aux règles de cette chambre. L’arrêt prononcé par ce Tribunal est définitif et engage les deux parties. Si l’article 17.5 est appliqué et si vous êtes un particulier, la cour du district de Shevchenkovsky de Kiev, Ukraine aura la juridiction sur tous les litiges en rapport avec ce CLUF.

17.8. Ce CLUF ne sera pas régi par la législation portant sur les conflits de lois applicable dans une quelconque juridiction, ni par la convention des Nations unies sur les contrats relatifs au commerce international de biens. Leur application est expressément exclue.

17.9. Si vous avez acheté le LOGICIEL dans un pays non spécifié dans les articles 17.1, 17.2, 17.3, 17.4 et 17.5, ce CLUF est soumis à la législation des tribunaux du pays d’achat du LOGICIEL.

18. Terme et résiliation

18.1. Ce CLUF entre en vigueur à compter de la Date d'entrée en vigueur du CLUF. Sauf accord contraire passé entre vous et ABBYY, ou sauf dispositions contraires prévues dans le cadre du présent CLUF, ce dernier est applicable pour toute la durée du copyright du LOGICIEL.

18.2. Vous pouvez le résilier en détruisant le LOGICIEL et la documentation qui l’accompagne, ainsi que toute copie y afférent.

18.3. Sans préjudice de tous autres droits, ABBYY peut résilier le présent CLUF si vous n'en respectez pas les termes et conditions. Dans pareil cas, vous devez détruire toutes les copies du LOGICIEL et tous les composants du LOGICIEL. Une telle résiliation ne vous décharge pas de votre obligation de régler le montant du LOGICIEL et/ou de la maintenance.

18.4. Les dispositions 2.3, 2.8, 2.9, 3.9, 7, 9.2, 9.3, 10, 17, 20.2 et 20.3 subsistent après la résiliation du présent CLUF quelle qu’en soit la cause ; toutefois, ceci n’implique pas ni ne maintient le droit d’utiliser le LOGICIEL après la résiliation de ce CLUF.

19. Utilisation gouvernementale

19.1. Si le Gouvernement des États-Unis ou une quelconque agence gouvernementale américaine utilise ce LOGICIEL, les conditions supplémentaires suivantes s'appliquent : (1) le LOGICIEL est classé «Restricted Computer Software», tel que défini dans la clause 52.227-14 «Rights in Data-General» des Federal Acquisition Regulations; et (2) toute utilisation, reproduction ou divulgation par le Gouvernement américain est soumise aux restrictions figurant dans le sous-paragraphe (c)(1)(ii) de la clause DFARS 252.227-7013 «Rights in Technical Data and Computer Software».

20. Dispositions d’ordre général

20.1. Si une partie de ce CLUF est considérée non avenue et non exécutoire, cela n'aura aucune incidence sur la validité de l'ensemble du CLUF, qui conservera sa force exécutoire conformément aux conditions prescrites.

20.2. Vous vous engagez à fournir certaines informations personnelles à ABBYY au cours de l'activation, de l'installation et de l'enregistrement du LOGICIEL. Vous acceptez que vos informations personnelles puissent être collectées, traitées et utilisées par ABBYY, conformément à la loi applicable prévoyant que le maintien de la confidentialité des données. Toute information personnelle que vous fournissez à ABBYY sera stockée et utilisée strictement au sein du groupe ABBYY et ne sera divulguée à aucun tiers, sauf en cas d'indication contraire stipulée dans la loi applicable.

20.3. Il se peut qu'ABBYY vous envoie des courriers électroniques contenant des actualités concernant le produit et l'entreprise, des informations concernant les offres spéciales, des conseils sur l'utilisation du produit et d'autres informations relatives au produit et à l'entreprise si vous avez accepté de recevoir de telles informations d'ABBYY. Vous pouvez, si vous le souhaitez et à tout moment, retirer votre adresse électronique de la liste de diffusion d’ABBYY.

20.4. ABBYY peut vous fournir des documents imprimés, y compris le guide de l'utilisateur.

20.5. La contrepartie prévue par ce CLUF équivaut au prix du LOGICIEL (ou de la licence) établi par ABBYY ou par un partenaire d’ABBYY. Elle peut être versée conformément aux procédures de paiement établies par ABBYY ou par le partenaire d’ABBYY, être comprise dans le prix d’achat de votre matériel, ou faire partie de la contrepartie versée pour la version complète du LOGICIEL. Si vous êtes un particulier, il se peut que ce CLUF soit gratuit.

20.6. Si toute plainte ou toute poursuite est engagée contre vous en rapport avec une utilisation du LOGICIEL, vous devez en informer ABBYY sous trois (3) jours à compter du moment où vous en avez été averti. Vous devez mener toutes les actions nécessaires pour donner à ABBYY la possibilité de prendre part aux audiences desdites plaintes ou poursuites au tribunal et pour fournir les informations nécessaires au règlement des plaintes ou poursuites correspondantes pas plus tard que sept (7) jours à compter du moment où vous en avez reçu la demande d’ABBYY.

Annexe A

Contrat de maintenance

L'annexe A a valeur de partie intégrante de ce CLUF, sauf en cas de mention contraire dans un contrat écrit distinct conclu entre Vous et ABBYY, ou dans un contrat distinct conclu entre Vous et un partenaire d'ABBYY.

1. Définitions

1.1. Le terme « Mise à jour » désigne des améliorations apportées à la version actuelle du LOGICIEL, qui incluent généralement la résolution des bugs.

1.2. Le terme « Mise à niveau » désigne la version suivante du LOGICIEL destinée à remplacer la version majeure ou mineure (par exemple, la version 1.5 remplace la version 1.0, la version 2.0 remplace la version 1.x) qui vous est actuellement concédée sous licence dans le cadre du CLUF.

1.3. Le terme « Erreur » désigne l’incapacité du LOGICIEL à fonctionner conformément aux spécifications répertoriées dans la documentation. Trois types d’erreurs peuvent être distingués :

1.3.1. Une erreur de priorité 1 désigne des situations problématiques pour lesquelles aucune solution de contournement n’est disponible pour vous, et à cause desquelles la production de votre site est bloquée. Parmi les erreurs de ce type figurent les messages d’erreur affichant « Erreur de programme interne », « Mémoire insuffisante », « Violation d’accès », « Défaillance de protection générale », « Erreur de protection générale » et « Division par zéro » ;

1.3.2. Une erreur de priorité 2 désigne une défaillance pour laquelle il existe une solution de contournement.

1.3.3. Une erreur de priorité 3 désigne un problème mineur qui ne perturbe pas la production de votre site.

1.4. Le terme « Services d'assistance » désigne

(i) les services qui vous sont fournis par ABBYY en cas d'erreur, pour essayer de rétablir le fonctionnement du LOGICIEL conformément aux spécifications. Ces services peuvent consister à vous fournir une méthode permettant de contourner l'Erreur signalée, ou à vous fournir une mise à jour pour le LOGICIEL dans laquelle l'erreur n'existe plus ;

(ii) les informations qui vous sont fournies par ABBYY en réponse à Vos questions sur le fonctionnement du LOGICIEL, sur son installation, sur son activation et sur son utilisation.

1.5. L’« Assurance mise à niveau » désigne la partie de la maintenance qui vous octroie le droit de recevoir des mises à niveau.

2. Maintenance

2.1. La maintenance peut inclure la fourniture de mises à jour, d’une assurance de mise à niveau, et des services d’assistance, ou une combinaison des trois.

2.2. Le terme de la maintenance correspond à la période de départ de douze (12) mois, commençant à la date d’envoi du LOGICIEL.

2.3. Pour prolonger la période de maintenance, vous devez faire une demande d’extension auprès d’ABBYY ou de son partenaire. Si l’article 17.2 ou 17.3 s’applique, la maintenance sera renouvelée pour une période de 12 mois, sans autre avis, si vous n’annulez pas le contrat de maintenance dans un délai de 45 jours avant la résiliation de la période de maintenance. Une telle annulation doit être déclarée au préalable par écrit.

2.4. ABBYY ou son partenaire peut mettre à votre disposition des termes et conditions spécifiques de maintenance supplémentaires.

2.5. ABBYY se réserve le droit, à sa seule discrétion, de modifier de temps en temps la forme et le contenu de la maintenance.

2.6. Tout code de LOGICIEL supplémentaire fourni dans le cadre de la maintenance doit être considéré comme faisant partie intégrante du LOGICIEL et est soumis aux conditions générales du présent CLUF.

3. Mises à jour et assurance mise à niveau

3.1. Les mises à niveau et mises à jour sont être fournies sur CD-ROM et/ou par voie électronique (via le protocole FTP). Si des frais d’envoi s’appliquent, ils sont à votre charge.

3.2. Si vous avez souscrit à l’option de maintenance Livraison de mises à jour, vous pouvez prétendre à recevoir des mises à jour d’ABBYY ou de son partenaire. ABBYY ou son partenaire vous fourniront les mises à jour du LOGICIEL dès qu’elles seront disponibles.

3.3. Si vous avez souscrit à l’option de maintenance Assurance mise à niveau, vous pouvez prétendre à recevoir des mises à niveau d’ABBYY ou de son partenaire. ABBYY ou son partenaire vous fourniront les mises à niveau du LOGICIEL dès qu’elles seront disponibles.

3.4. Si vous développez une application qui contient le LOGICIEL ou une partie du LOGICIEL, ou qui est intégrée au LOGICIEL, toute nouvelle version majeure de cette application devra inclure la dernière mise à jour du LOGICIEL, qui vous sera fournie par ABBYY sous trois (3) mois maximum à compter de sa sortie (ou la dernière mise à jour si cette mise à jour est sortie plus de trois (3) mois avant cette sortie).

4. Services d’assistance

4.1. Si vous avez souscrit aux Services d'assistance dans le cadre de la Maintenance, alors ABBYY ou ses partenaires vous fourniront des services d'assistance conformément à la politique d'assistance actuelle d'ABBYY, publiée sur le site web d'ABBYY à l'adresse http://www.abbyy.com/support/policy. ABBYY se réserve le droit de modifier cette politique à tout moment, sans préavis.

4.2. ABBYY ou son partenaire s’engage à fournir des services de support technique gratuits visant à résoudre les erreurs de priorité 1.

4.3. Si vous avez souscrit à l’option de maintenance Services d’assistance, ABBYY ou son partenaire vous fournira des services d’assistance pour un maximum de huit (8) demandes relatives à des erreurs de priorité 2 ou 3 pour la période de douze (12) mois. De plus, vous pouvez acheter des services d’assistance pour des demandes supplémentaires relatives à des erreurs de priorité 2 et 3 pour la période.

4.4. ABBYY ou son partenaire assurera les services d’assistance liés au LOGICIEL pendant les heures de travail normales, par téléphone ou par courrier électronique.

4.5. ABBYY ou son partenaire s’engage à tout mettre en œuvre commercialement, dans la limite du raisonnable, pour publier des mises à jour d’urgence pour le LOGICIEL en plus des mises à jour normales programmées, pour remédier aux erreurs de priorité 1 qui pourraient lui être signalées. Selon le processus normal, les erreurs de priorité 2 ou 3 sont réparées dans les versions suivantes. Les mises à jour d’urgence ne seront proposées pour la version actuelle du LOGICIELLE que pour résoudre les erreurs de priorité 1.

4.6. En signalant les erreurs, vous vous engagez à fournir à ABBYY ou à son partenaire les données techniques requises pour localiser l’erreur et assurer sa résolution ou trouver une solution de la contournement. Ces données techniques incluent une description du problème, les références de la plate-forme et du système d’exploitation sur lesquels le problème a eu lieu, une copie des informations entrées qui ont provoqué l’erreur découverte, une copie du fichier, avec le format utilisé quand l’erreur a été découverte, et le vidage de la machine consécutif à l’erreur s’il y a lieu. Les informations mentionnées ci-dessus pourront être utilisées par ABBYY ou par son partenaire à des fins professionnelles, notamment, et de façon non exclusive, pour l’assistance produit et le développement. ABBYY ou son partenaire n’utilisera pas ces informations sous une forme qui permettrait de vous identifier personnellement.


Propriétés de base d'un champ

Les propriétés de base d'un champ peuvent être paramétrées dans l'onglet Généralités.

Dans cet onglet, le type de champ est affiché sous forme d'icône à droite du nom.

  • Nom : nom du champ. Le nom est automatiquement affecté lors de la création du champ, et il correspond au texte d'explication le plus proche du champ. Lorsque vous modifiez les propriétés du champ, vous pouvez aussi modifier le nom affecté par défaut. Consultez aussi la section Comment modifier le nom d'un champ.
  • Légende : le nom du champ qui sera affiché dans le formulaire de données.
  • Exporter la valeur du champ : vous devez activer cette option si vous souhaitez exporter la valeur du champ (cette option est activée par défaut). Vous pouvez avoir à désactiver cette option si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez la section Validation par règle), et si seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données : cette option doit être activée si le champ doit être visible dans le formulaire (elle est activée par défaut).
  • Ne peut pas être vide : activez cette option si vous souhaitez rendre le champ obligatoire.
  • Lecture seule : activez cette option si le champ doit être accessible uniquement en lecture, c'est-à-dire si l'opérateur ne doit pas pouvoir modifier sa valeur. Vous pouvez activer cette option pour les champs dont la valeur doit être calculée automatiquement à l'aide d'une règle, par exemple pour un champ dont vous prévoyez d'enregistrer la somme ou que vous prévoyez de combiner à d'autres champs (consultez la section Validation par règle).
  • Champ d'index : activez cette option si vous prévoyez d'utiliser ce champ pour effectuer une indexation de document. Quand vous traiterez les documents, vous aurez la possibilité d'afficher la valeur de ce champ pour chaque document, et de trier et d'interroger des documents à partir de la valeur du champ.
  • Commentaire : vous pouvez entrer le commentaire de votre choix.

puce Propriétés de champ


Vérification de champs

Vous pouvez personnaliser la position du curseur pendant la vérification de champs. Dans la fenêtre Vérificateur de champs, sélectionnez Outils>Options… , puis ouvrez l'onglet Vérification de champ.

Par défaut, le curseur est paramétré pour apparaître sur le premier caractère d'un champ. Sélectionnez l'option Placer le curseur sur le premier caractère incertain pour modifier ce paramètre.

Si vous préférez réécrire tout le champ, choisissez l'option Sélectionner l'intégralité du champ. L'option Placer le curseur sur le premier caractère incertain sera désactivée.


Glossary

A

ABBYY FlexiCapture

Solution logicielle permettant d'incorporer en une seule opération des données à partir de différents types de documents – structurés (formulaires fixes), semi-structurés (formulaires et documents flexibles) et non structurés (documents de format libre).

ABBYY FlexiLayout Studio

Programme permettant de créer une description flexible de la structure d'un document, ce qui permet ensuite de reconnaître automatiquement les documents.

ABBYY FormDesigner

ABBYY FormDesigner sert à concevoir des modèles de formulaires lisibles par machine. Une fois répliqués et remplis, ces formulaires peuvent être traités avec le système d'entrée de formulaires automatisé ABBYY FlexiCapture. La conception du modèle de formulaire est une étape importante car la qualité du modèle conçu (sa lisibilité par ordinateur) détermine l'efficacité de toutes les phases de traitement suivantes : la numérisation, la reconnaissance, la vérification et l'exportation.

ADF

Chargeur automatique de documents. Dispositif permettant de charger automatiquement les documents, ce qui permet de numériser un grand nombre de documents sans avoir à intervenir manuellement.

Administrateur

Utilisateur de ABBYY FlexiCapture qui est autorisé à configurer le programme pour l'entrée de documents : il peut créer et modifier des Définitions de Document, et importer des profils.

Alphabet

Ensemble de caractères utilisés dans la langue décrite.

Ancre

Élément statique sous forme de carré, de rectangle, de croix ou de coin noirs, servant pour l'association de la définition de document. Détails...

Les ancres sont des éléments spéciaux de conception de formulaire utilisés par le système pour effectuer des associations après avoir numérisé (élimination de l'inclinaison, compensation des défauts, linéaires ou non, de la numérisation, calcul de l'emplacement des blocs). Les ancres les plus fiables sont des carrés noirs, qui sont normalement situés dans les coins d'un formulaire. Si aucune ancre spéciale n'est présente sur l'image, d'autres éléments statiques peuvent être utilisés pour associer la Définition de Document : des séparateurs, c'est-à-dire des lignes horizontales, telles que des lignes de tableau, des cadres, etc., ou du texte statique transparent, à savoir : l'en-tête de formulaire, les signatures de champs, les informations d'explication, etc. L'option Utiliser pour l'association de la définition de document doit être activée pour les éléments statiques utilisés pour l'association de la définition des documents.

Angle

Ancre en forme d'angle.

Annexe

Ensemble de pages qui ne contiennent pas de champs mais sont incluses dans l'assemblage du document. Aucune donnée n'est extraite de ces pages, mais ces pages peuvent être enregistrées sous forme d'images ou de fichiers PDF indexés. Consultez la section Créer des définitions de document pour des documents avec des annexes.

Association de la définition de document

Opération consistant à sélectionner une définition de document et à associer ses champs à une image.

C

Caractère ignoré

Caractère apparaissant au sein d'un mot (par exemple, une puce), ou caractère à tiret conditionnel (tabulation, etc.) dont la présence n'empêche pas le programme d'attribuer le mot à un type de données reconnaissable. Détails...

Les caractères de ce type sont exclus des mots. En d'autres termes, les mots sont attribués à un type de données particulier sans ces caractères.

Caractère interdit

Caractère dont vous êtes certain qu'il n'interviendra pas dans les données à reconnaître. Détails...

En spécifiant des caractères de ce type, vous pouvez accroître considérablement la vitesse et la qualité de la reconnaissance. Par exemple, pour reconnaître des textes qui ne contiennent que des majuscules, faites de toutes les minuscules des caractères interdits.

Caractères reconnus incorrectement

Statut affecté automatiquement à un caractère qui, au cours du processus de reconnaissance, a été reconnu avec un degré d'incertitude considérable.

Carré noir

Ancre en forme de carré noir.

Champ

Élément de document destiné à l'extraction de données. Un champ peut être simple (sans structure interne) ou composite, comme un champ de tableau, où chaque cellule peut être affichée sous forme de champ subordonné du tableau. Consultez la section Création de champs dans une définition de document.

Champ clé

Champ qui permet de vérifier automatiquement l'assemblage des pages dans les documents. Les champs clés doivent avoir la même valeur sur toutes les pages d'un même document.

Champ contenant plusieurs instances

Champ utilisé pour décrire plusieurs objets du même type (objets récurrents). Par nature, ces objets multiples constituent un seul et même champ, et ils partagent les mêmes propriétés. Les champs contenant plusieurs instances servent à éviter de créer plusieurs champs identiques. Ils sont exportés dans des fichiers ou tables de base de données différents. Consultez la section Champs avec plusieurs instances.

Champ contenant plusieurs régions

Champ composé de plusieurs régions de l'image. Ces régions peuvent être éloignées les unes des autres, et même être placées sur des pages différentes. Les valeurs de l'ensemble des régions appartenant au même champ sont combinées et exportées ensemble sous la forme d'un même champ. Ce type de champ est en principe utilisé pour des objets placés sur plusieurs pages, comme des tableaux particulièrement longs. Consultez la section Champ contenant plusieurs régions.

Champ d'entrée manuelle

Champ de définition de document contenant du texte non reconnaissable (par exemple, du texte composé de lettres qui se chevauchent) qui n'a pas été entré à l'aide d'un clavier.

Champ d'image

Champ de définition de document contenant une image.

Champ d'index

Champ dont la valeur est utilisée pour indexer les documents, afin de faciliter les opérations de tri et de recherche. Consultez la section Champs d'index.

Champ de coche

Champ de définition de document contenant une coche.

Champ de code barre

Champ de définition de document contenant un code barres destiné à être reconnu.

Champ de groupe de coches

Champ de définition de document contenant un groupe de coches.

Champ de texte

Élément de formulaire lisible par machine conçu pour entrer du texte lors du remplissage d'un formulaire.

Champ sans région

Champ détecté dans une définition de document mais qui ne comporte pas de région dans l'image. Consultez la section Champs sans région.

Champ tableau

Champ de définition de document contenant un tableau. C'est un champ composite, dans lequel chaque colonne de tableau représente un jeu de champs du même type : texte, coches, codes barres ou images.

Checkmark

Élément de formulaire lisible par machine rempli d'une marque (biffure, croix, point, retouche, etc.) par la personne qui remplit le formulaire.

Classifieur

Projet créé sous FlexiLayout Studio et destiné à une identification préliminaire des pages avant l'application des définitions de document ainsi qu'à la sélection d'un projet FlexiLayout ou de l'alternative de mise en page associé.

Coche corrigée

Coche qui a été sélectionnée par erreur, puis retouchée. Si l'option Autoriser les corrections est active pour le champ de coche, le programme reconnaît la coche retouchée comme non sélectionnée.

Code barre

Formulaire lisible par machine, constitué d'une alternance de barres blanches et noires d'une certaine longueur, qui encodent des informations numériques. Dans un document, un code barres peut servir à extraire des informations (champ de code barres) ou à associer et identifier une définition de document (code barres d'ancre).

Code barre d'ancrage

Élément statique représentant un code barre, et qui n'est pas destiné à l'extraction de données. Un code barre d'ancrage peut être utilisé pour l'association ou l'identification de Définition de document.

Contraste

Rapport mathématique entre les zones les plus claires et les plus sombres d'une image.

Croix

Ancre en forme de croix.

D

Définition de documents

Une définition de document définit les principes d'identification et de traitement de ce type de document, et contient :

  • La structure du document, c'est-à-dire la description de l'ordre autorisé pour les pages formant le document de ce type. La structure du document définit la règle d'assemblage du document.
  • Les définitions de sections de documents.
  • La liste des règles qui doivent être satisfaites par les données des champs.
  • L'emplacement des champs et leurs signatures dans la fenêtre de données (dans une vue de formulaire de données).
  • Les paramètres d'exportation pour ce type de document.
  • Les paramètres de traitement pour ce type de document.

Définition de document fixe

Définition de document, ou sa section, destinée au traitement de formulaires fixes. Les champs d'une définition de document fixe ont des emplacements fixes.

Définition de document flexible

Définition de document, ou sa section, destinée au traitement de formulaires flexibles. Un tel modèle est créé à l'aide d'une description flexible. Les champs d'une telle définition de document n'ont pas d'emplacement fixe. Ils sont détectés à l'aide d'une description flexible. Consultez la section Création d'une définition de document pour traiter des documents flexibles.

Description flexible

Description formalisée de la structure du document. Elle est destinée à faciliter la détection des champs. Elle est créée à l'aide d'ABBYY FlexiLayout Studio. Format de fichier : *.afl. Consultez la section FlexiLayout.

Dictionnaire

Liste de mots utilisés pour déterminer un type de données spécifique. Détails...

Un dictionnaire est spécifié lors de la création d'un type de données. En conséquence, le type de données associé à un champ détermine le dictionnaire utilisé pendant la reconnaissance et la vérification. Outre les types de données prédéterminés existants, associés à des dictionnaires prêts à l'emploi, le programme permet d'associer des types de données créés à partir de dictionnaires personnalisés. Vous pouvez saisir les données de dictionnaire manuellement ou les charger à partir d'un fichier.

Document

Combinaison d'une ou de plusieurs images de pages et de données extraites à partir de ces images.

Document de plusieurs pages

Document composé de plusieurs pages.

Document non structuré

Document contenant des informations présentées sous une forme libre. Il peut s'agir d'un contrat, d'une lettre, d'une commande ou d'un graphique, par exemple. Consultez la section Traitement de documents non structurés.

Documents semi-structurés.

Document contenant un ensemble de champs d'information dont la conception, le nombre et la présentation peuvent varier significativement dans différentes instances du document. Consultez la section Types de documents traités avec ABBYY FlexiCapture 10.

Données de document

Données acquises après le traitement (reconnaissance, vérification et modification des résultats de reconnaissance) des images de pages de document.

Dossier d'images

Dossier du disque dur de l'ordinateur local ou d'un ordinateur distant qui sert à importer des images. Ce dossier est en principe utilisé pour télécharger périodiquement des images récurrentes sans que l'utilisateur intervienne. Consultez la section Profils d'importation d'images.

E

Éléments statiques

Éléments non reconnaissables destinés à l'association et à l'identification de la définition de document. Ces éléments sont : les ancres, le texte d'ancre, les séparateurs et les codes barres d'ancre.

Entrée de documents sous forme de flux unique

Conversion automatique de documents au format papier sous une forme électronique.

Entrée de données sous forme de flux unique

Extraction automatique de données à partir de documents analogiques (imprimés) et numériques (images numérisées).

Entrée de formulaire

Acquisition de données provenant des champs d'information de formulaires.

Erreur de document

Si, lors du traitement d'un document, il apparaît que les données de ce document ne correspondent pas parfaitement à la structure du document, à ses contraintes de valeur ou à ses règles de contrôle, toutes les incohérences sont enregistrées dans la liste d'erreurs et d'avertissements du document.

Étape de traitement

Étape du flux de travail au sein de laquelle certaines actions sont exécutées sur un document ou un lot (que ce soit automatiquement ou par un opérateur). Consultez la section ?Étapes et files de traitement

Exemple de texte

Fichier contenant des exemples de tous les caractères alphabétiques

Exportation

Opération consistant à transférer les données traitées vers un système d'informations externe ou un fichier.

Expression normale

Description de la structure d'un mot ou d'une valeur entrée à l'aide d'un langage spécial. Le programme permet de spécifier non seulement le jeu de caractères autorisés mais aussi la structure du contenu des champs. Vous pouvez décrire la structure à l'aide d'une expression régulière au moment de définir les contraintes d'un champ de texte ou au moment de créer un type de données personnalisé. Consultez la section Caractères alphabétiques dans des expressions régulières.

F

Fichier de description

Fichier auxiliaire définissant la manière dont un lot est formé quand des images sont ajoutées à partir d'un dossier actif. Pour plus d'informations, consultez la section Fichier de description.

File

Documents regroupés en tâches et/ou en lots qui attendent d'être traités à une certaine étape de traitement. Consultez la section Étapes et files de traitement.

FlexiLayout

Description de la structure d'un document flexible. Cette description est conçue avec ABBYY FlexiLayout Studio et exportée vers ABBYY FlexiCapture. Un FlexiLayout est une sorte d'instruction permettant de détecter et d'identifier les champs.

Formulaire

Document comportant une ou plusieurs pages, conçu pour être rempli par une personne à la main ou à l'aide d'une technique d'impression.

Formulaire à arrière-plan couleur

Formulaire dans lequel tous les champs d'informations sont des rectangles blancs sur arrière-plan en couleur, qui disparaît pendant la numérisation.

Formulaire à fond gris

Formulaire dans lequel tous les champs d'informations sont des rectangles blancs sur fond gris, qui disparaît pendant la numérisation.

Formulaire à lignes noires et blanches

Formulaire dans lequel les bordures des champs d'informations sont formées par des lignes ordinaires qui ne disparaissent pas pendant la numérisation.

Formulaire fixe

Document avec des champs d'information fixes dont la mise en forme, le nombre et la présentation sont définis de manière stricte et ne changent pas d'une instance de document à l'autre.

Formulaire lisible par machine

Formulaire conçu spécialement pour l'entrée automatique. Il contient des éléments de travail (ancres, codes barres, lignes, etc.) nécessaires pour le traiter correctement.

Formulaire tramé

Formulaire dans lequel les champs d'informations sont représentés sous forme de rectangles blancs sur fond gris constitué de lignes tramées ou de rectangles délimités par des lignes tramées.

G

Groupe de coches

Élément de formulaire lisible par machine qui rassemble plusieurs coches situées à proximité les unes des autres. Une ou plusieurs coches peuvent être sélectionnées dans un groupe de coches.

I

Identificateur

Élément statique utilisé pour sélectionner une définition de document parmi plusieurs définitions de document présentant des emplacements d'ancres identiques. L'option Utiliser pour l'identification de la définition de document doit être activée dans les propriétés de ces éléments statiques.

Identification de la définition de document

Opération consistant à sélectionner la définition de document requise à l'aide d'identificateurs.

Image

Image électronique d'une page numérisée à partir d'un document au format papier.

Élément de formulaire lisible par machine qui n'est pas destiné à la reconnaissance mais est prévu pour être exporté sous forme d'objet graphique (par exemple, un fichier).

Image inversée

Image contenant du texte légèrement coloré sur fond sombre.

Importation d'image

Processus consistant à ajouter des images à un lot pour les traiter. L'importation peut être exécutée en ajoutant des images à partir de fichiers, à partir d'un scanner ou à l'aide de profils d'importation. Consultez la section Ajout d'images de pages.

Imprimante matricielle

Type de texte reconnaissable qui représente un texte imprimé à l'aide d'une imprimante matricielle.

ICR

Reconnaissance intelligente de caractères. Désigne les technologies ou systèmes conçus pour traiter en masse les documents remplis à l'aide de lettres et de chiffres manuscrits.

J

Jeu de caractères autorisés

Ensemble de caractères survenant dans le type de données reconnu. Détails...

Cet ensemble, ou jeu, est déterminé par le type de données. En d'autres termes, le type de données associé à un champ détermine le jeu de caractères utilisé pendant la reconnaissance.

Vous pouvez non seulement sélectionner les caractères inclus dans ce jeu, mais aussi configurer des paramètres supplémentaires restreignant ce jeu. Par exemple, vous pouvez spécifier :

  • Les caractères dont vous savez qu'ils ne surviendront pas lorsqu'un champ spécifique sera reconnu – les caractères interdits (par exemple, vous pouvez faire de toutes les minuscules des caractères interdits pour un champ dans lequel seules des majuscules interviendront).
  • Les caractères qui peuvent apparaître au sein d'un mot sans affecter sa vérification – les caractères ignorés (par exemple, les tirets, les marques d'accentuation, etc.).

L

Langue (locale)

Propriété de champ qui détermine la langue d'écriture et le jeu de paramètres régionaux approprié (comme le style d'écriture de la date ou de l'adresse).

Lettres dans des cadres séparés

Type de marquage de texte selon lequel chaque caractère est délimité par un cadre. Les cadres sont séparés les uns des autres. Afficher...

Lettres encadrées

Type de marquage de texte selon lequel chaque caractère est délimité par un cadre. Les cadres ne sont pas séparés les uns des autres. Afficher...

Lettres sur un peigne

Type de marquage de texte selon lequel le texte est délimité par un « peigne ». Afficher...

Ligne tramée

Ligne composée de points espacés de manière égale.

Lot de documents

Combinaison de documents groupés par l'utilisateur. Un lot contient en principe la pile de documents numérisés au cours d'un même passage, ou importés à partir d'un dossier donné. Consultez la section Lots de documents.

Lots de test

Lots de documents conçus pour tester et configurer des définitions de document. Les copies locales des lots de documents sont utilisées pour traiter les lots de test. Consultez la section Lots de documents.

Lots de travail

Lots de documents destinés à l'entrée de données. Seules les définitions de document publiées sont utilisées pour traiter des lots de travail. Consultez la section Lots de documents.

Luminosité

Seuil de sensibilité lumineuse qui détermine à partir de quel moment le scanner détecte les demi-tons en niveau de gris comme du blanc.

M

Machine à écrire

Type de texte reconnaissable qui représente un texte dactylographié à l'aide d'une machine à écrire.

Marquage de champ de texte

Élément graphique délimitant un champ de texte : cadre, peigne ou ligne.

Marquage de texte

Structure d'une région de page destinée à recevoir du texte. Pour voir des informations sur la mise en forme de texte, consultez la rubrique Champ d'entrée.

N

Nettoyage d'image

Suppression du bruit d'une image. Du bruit peut apparaître pendant la numérisation, et il est recommandé de le supprimer pour une meilleure reconnaissance des données. Pendant le nettoyage, le programme supprime également les points d'arrière-plan ou les lignes de contour des formes tramées.

Numérisation

Opération consistant à obtenir une image électronique d'un formulaire papier à l'aide d'un scanner.

O

OCR

Reconnaissance optique de caractères. Reconnaissance optique des textes imprimés.

OMR

Reconnaissance optique de marques. Cette technologie permet à ABBYY FlexiCapture de reconnaître à la fois les marques ordinaires (coches, croix, etc.) sur les formulaires avec un certain degré de précision, et de corriger les marques qui ont été faites par erreur et qui doivent être retouchées.

Opérateur

Utilisateur d'ABBYY FlexiCapture en charge d'entrer des documents, qu'il s'agisse d'ajouter des images, d'effectuer une reconnaissance et une vérification, ou encore d'exporter les données reconnues.

Orientation de page

Emplacement d'une page par rapport à l'alignement standard : de haut en bas ou de gauche à droite. L'orientation d'une page peut être déterminée automatiquement pendant la reconnaissance de l'image de cette page. À cet effet, ABBYY FlexiCapture 9,0 permet de spécifier plusieurs orientations.

Orientation du texte

Sens du texte d'un champ par rapport à la page.

P

Page

Image d'une page de document au format papier, et résultat de son traitement.

ppp

Points par pouce. Nombre de points par pouce ; unité de résolution d'une image.

Présentation de page

Système montrant l'emplacement des champs d'une image.

Profil d'importation

Combinaison de paramètres utilisée pour ajouter des images à un lot : source d'importation, options de traitement d'image, options de nettoyage de dossier d'images, etc. Consultez la section Profils d'importation d'images.

Projet

Un projet est un environnement unique qui unifie les lots de documents et les paramètres requis pour les traiter, comme les définitions de document, les profils d'importation, etc. Consultez la section Création d'un projet.

Publication de la définition de document

Opération consistant à accéder à une nouvelle version de définition de document une fois qu'elle a été modifiée. Une version publiée contribue au traitement des documents à partir de lots de travail, tandis qu'une version locale non publiée ne peut contribuer qu'au traitement des définitions de document à partir de lots de test. Consultez la section Modification et publication d'une définition de document.

R

Reconnaissance

Processus consistant à associer des éléments d'image à des caractères spécifiques.

Reconnaissance de code barre

Conversion d'une image de code barre graphique en valeurs numériques ou en texte.

Reconnaissance de texte (OCR, ICR)

Conversion d'une image graphique en texte.

Reconnaissance optique de marques (OMR)

Processus consistant à déterminer la présence d'une marque dans le champ de marque d'un formulaire.

Région de champ

Région d'image mise en surbrillance dans la définition de document et destinée à l'extraction de données.

Région non reconnaissable

Région d'image exclue de la reconnaissance. Une région non reconnaissable est requise pour exclure une région contenant du texte d'explication ou une image qui complique la reconnaissance d'un champ. Consultez la section Exclusion d'une région de la reconnaissance.

Règles

Conditions imposées aux données des champs. Ces conditions sont vérifiées automatiquement par le programme. Consultez le chapitre Validation par règle

Remplacement d'image

Remplacement d'une image par une autre lors de la modification d'une définition de document.

Résolution

Paramètre d'image. La résolution se mesure en points par pouce (ppp).

Rôle d'opérateur

Propriété d'un compte utilisateur dans ABBYY FlexiCapture 10 qui détermine les données accessibles à l'utilisateur et les actions pouvant être exécutées sur ces données. Consultez la section Utilisation d'un projet configuré.

Rotation d'image

Rotation d'une image autour de son centre.

S

Section d'une définition de document

Ensemble de pages (ou page unique), avec tous les champs qu'elles contiennent, correspondant à une partie de document complète d'un point de vue logique. Des sections de document peuvent être décrites à l'aide d'une définition de document fixe ou flexible. Consultez la section Création de définitions de document pour des documents de plusieurs pages.

Section de la définition de document

Composant d'une définition de document. Correspond à une ou à plusieurs pages contenant un ensemble de champs complet d'un point de vue logique. Au sein d'une même section, les champs peuvent s'étendre d'une page à la suivante (dans le cas de tableaux de plusieurs pages, par exemple), tandis que les jeux de champs de différentes sections ne peuvent pas se couper.
Une définition de section peut être soit flexible soit fixe.

Séparateur

Élément de formulaire lisible par machine représentant une ligne verticale ou horizontale.

Style d'écriture

Manière d'écrire spécifique à un groupe donné. Par exemple, la manière des Américains d'écrire les nombres. Détails...

Cette option sert à configurer le style d'écriture des lettres manuscrites dans les formulaires. Le style d'écriture à choisir dépend de l'endroit où les formulaires sont traités (en Russie, en Allemagne, en République tchèque, aux États-Unis, etc.).

T

Table

Ensemble de données organisé en grille bidimensionnelle qui n'est pas forcément visible. Le programme traite les tableaux composés de colonnes avec des données de même type et des lignes qui se répètent.

Tâche

Jeu de documents issus du même lot et devant être traités en même temps. En fonction des paramètres du projet, et de l'étape de traitement, une tâche peut contenir des numéros de documents différents. Si une étape de traitement requiert le traitement d'un lot en entier, tout le lot est inclus dans la tâche. Lorsque les tâches de vérification sont formées automatiquement, chaque tâche contient 10 documents (si un lot contient moins de 10 documents non vérifiés, ils seront tous traités en une seule tâche).

Texte à châsse fixe

Type de marquage de texte selon lequel chaque lettre est placée dans un cadre de la même hauteur et de la même largeur, mais dont les bords disparaissent pendant la numérisation.

Texte d'ancre

Élément statique représentant un texte présent sur un formulaire vide, et qui n'est pas destiné à l'extraction de données. Il peut s'agir de texte explicatif ou d'un en-tête. Un texte d'ancre peut être utilisé pour l'association ou l'identification de la Définition de document.

Texte d'explication

Élément de formulaire lisible par machine qui représente un texte descriptif (nom de formulaire, noms de champs, explications de champs, etc.).

Texte dactylographié

Type de texte reconnaissable qui a été imprimé à l'aide d'un équipement typographique ou d'une imprimante laser ou à jet d'encre présentant une résolution minimale de 300 ppp.

Texte encadré

Type de marquage de texte selon lequel le texte est délimité par un cadre. Afficher...

Texte encadré par-dessus un peigne

Type de marquage de texte selon lequel le texte est délimité par un cadre dont la limite inférieure est en forme de peigne. Afficher...

Texte manuscrit

Type de texte reconnaissable représentant du texte manuscrit sous une forme distincte.

Texte simple

Type de marquage de texte selon lequel le texte est inséré dans un bloc sans délimiteurs.

Texte souligné

Type de marquage de texte selon lequel le texte est souligné. Afficher...

Type de données

Attribut de champ décrivant les contraintes connues des valeurs de champs possibles. Il est utilisé pendant la reconnaissance des champs pour réduire le nombre de variantes de reconnaissance possibles. Détails...

Parmi les caractéristiques d'un champ figure le type de données : nombre, date, texte, nom, nom de famille, adresse, etc. Le type de données détermine l'ensemble de mots pouvant survenir dans le champ concerné.

Le type de données est un paramètre de reconnaissance important qui affecte la qualité de la reconnaissance. Un type de données spécifié correctement peut réduire considérablement le nombre de caractères mal reconnus.

Type de données personnalisé

Type de données défini par l'utilisateur. Consultez la section Création de types de données personnalisés.

Type de lot

Propriété d'un lot qui définit de quelle manière doivent être traités les documents dans les lots correspondant. Consultez la section Types de lot

V

Validation par règle

Contrôle automatique des données reconnues par rapport à un ensemble de règles prédéfinies. Consultez la section Validation par règle.

Vérification

Opération consistant, pour l'opérateur, à vérifier les données reconnues. Cette opération est effectuée en comparant les résultats de la reconnaissance à l'image originale d'une partie de document. Dans les produits ABBYY, la technologie de vérification a été mise en œuvre en prenant en compte les particularités psychosomatiques des humains : les habitudes qui se sont mises en place, l'utilisation des compétences et l'objectif de la perception. Consultez la section Vérification des données reconnues.

Vérification de champ

Mode de vérification au cours duquel les caractères reconnus sont soumis à une vérification dans le contexte d'un champ. Détails...

En mode vérification de champ, les caractères incertains sont vérifiés dans le contexte du champ entier.

Les champs dont l'option Envoyer vers la vérification de champ est activée sont soumis à la vérification de champ. Nous recommandons de soumettre à la vérification de champ les champs dont la plage de valeurs est connue ou peut être déterminée aisément. C'est par exemple le cas des champs de pays ou de villes : nous savons quelles valeurs ces champs peuvent contenir.

Vérification groupée

Mode de vérification suivant lequel les caractères reconnus de manière identique sont soumis à la vérification en groupes. Détails...

Les champs dont l'option Envoyer les caractères vers la vérification de groupe est activée sont soumis à la vérification groupée.

Nous recommandons de soumettre les caractères des champs numériques ainsi que les coches à la vérification groupée.

X

XFD

XML Form Definition (définition de formulaire XML ; *.xfd) – format de fichier spécial conçu avec ABBYY FormDesigner. Un fichier au format XML Form Definition sert à créer des définitions de document dans ABBYY FlexiCapture.


Glossaire

A C D E F G I J L M N O P R S T V X


Noms internes des langues de reconnaissance

Effet produit

Les noms internes des langues de reconnaissance sont utilisés dans la propriété RecognitionLanguages de l'objet IExportImageSavingOptions.

Conformité des langues de reconnaissance avec leurs noms internes :

Abkhaze->Abkhaz
Adyguéen->Adyghe
Afrikaans->Afrikaans
Agul->Agul
Albanais->Albanian
Allemand (Luxembourg)->GermanLuxembourg
Allemand (nouvelle orthographe)->GermanNewSpelling
Allemand->German
Altaï->Altaic
Anglais->English
Arabe (Arabie Saoudite)->Arabic
Arménien (Grabar)->ArmenianGrabar
Arménien (Occidental)->ArmenianWestern
Arménien (Oriental)->ArmenianEastern
Avar->Awar
Aymara->Aymara
Azéri (Cyrillique)->AzeriCyrillic
Azéri (Latin)->AzeriLatin
Bachkir->Bashkir
Basque->Basque
Bemba->Bemba
Biélorusse->Belarusian
Bouriate->Buryat
Breton->Bretonn
Bugotu->Bugotu
Bulgare->Bulgarian
Catalan->Catalan
Chamorro->Chamorro
Chichewa->Nyanja
Chinois simplifié et anglais->ChinesePRC+English
Chinois simplifié->ChinesePRC
Chinois traditionnel et anglais->ChineseTaiwan+English
Chinois traditionnel->ChineseTaiwan
Chukchi->Chukcha
Chuvash->Chuvash
Coréen (Hangul)->KoreanHangul
Coréen->Korean
Corse->Corsican
Croate->Croatian
Crow->Crow
Dakota->Sioux
Danois->Danish
Dargwa->Dargwa
Doungane->Dungan
Eskimo (Cyrillique)->EskimoCyrillic
Eskimo (Latin)->EskimoLatin
Espagnol->Spanish
Espéranto->Esperanto
Estonien->Estonian
Évène->Even
Evenki->Evenki
Féroïen->Faeroese
Fidjien->Fijian
Finlandais->Finnish
Français->French
Frioulan->Friulian
Frison->Frisian
Gaélique écossais->GaelicScottish
Gagaouze->Gagauz
Galicien->Galician
Gallois->Welsh
Ganda->Ganda
Grec->Greek
Guarani->Guarani
Hani->Hani
Haoussa->Hausa
Hawaïen->Hawaiian
Hébreu->Hebrew
Hongrois->Hungarian
Ido->Ido
Indonésien->Indonesian
Ingouche->Ingush
Interlingua->Interlingua
Irlandais->Irish
Islandais->Icelandic
Italien->Italian
Japonais et anglais->Japanese+English
Japonais->Japanese
Jingpo->Tinpo
Kabarde->Kabardian
Kalmouk->Kalmyk
Karakalpak->Karakalpak
Karatchaï-balkar->KarachayBalkar
Kasub->Kasub
Kawa->Kawa
Kazakh->Kazakh
Khakass->Khakas
Khanty->Khanty
Kikongo->Kongo
Kikuyu->Kikuyu
Kirghiz ->Kirgiz
Koriak->Koryak
Koumyk->Kumyk
Kpèllé->Kpelle
Kurde->Kurdish
Lak->Lak
Latin->Latin
Letton Gothique->LatvianGothic
Letton->Latvian
Lezguien->Lezgin
Lituanien->Lithuanian
Luba->Luba
Macédonien->Macedonian
Malais->Malay
Malgache->Malagasy
Malinké->Malinke
Maltais->Maltese
Mansi->Mansi
Maori->Maori
Mari->Mari
Maya->Maya
Miao->Miao
Minangkabau->Minankabaw
Mohawk->Mohawk
Moldave->RomanianMoldavia
Mongol->Mongol
Mordve->Mordvin
Nahuatl->Nahuatl
Néerlandais (Belge)->DutchBelgian
Néerlandais->Dutch
Nénètse->Nenets
Nivkhe->Nivkh
Nogaï->Nogay
Norvégien (Bokmal)->NorwegianBokmal
Norvégien (Nynorsk)->NorwegianNynorsk
Norvégien->Norwegian
Occidental->Occidental
Ojibway->Ojibway
Ossète->Ossetic
Oudmourte->Udmurt
Ouïghour (Cyrillique)->UighurCyrillic
Ouïghour (Latin)->UighurLatin
Ouzbek (Cyrillique)->UzbekCyrillic
Ouzbek (Latin)->UzbekLatin
Papiamento->Papiamento
Pied-noir->Blackfoott
Pijin->Pinyin
Polonais->Polish
Portugais (du Brésil)->PortugueseBrazilian
Portugais->PortugueseStandard
Provençal->Provencal
Quechua->Quechua
Rhéto-romanche->RhaetoRomanic
Romani->Romany
Roumain->Romanian
Rundi->Rundi
Russe (Ancienne orthographe)->RussianOldSpelling
Russe et anglais->Mixed
Russe->Russian
Rwanda->Ruanda
Sami (Lapon)->Lappish
Samoan->Samoan
Selkoupe->Selkup
Serbe (Cyrillique)->SerbianCyrillic
Serbe (Latin)->SerbianLatin
Shona->Shona
Slovaque->Slovak
Slovène->Slovenian
Somali->Somali
Sorabe->Sorbian
Sotho du sud->Sotho
Suédois->Swedish
Sunda->Sunda
Swahili->Swahili
Swati->Swazi
Tabassaran->Tabassaran
Tadjik->Tajik
Tagalog->Tagalog
Tahitien->Tahitian
Tatar de Crimée->CrimeanTatar
Tatar->Tatar
Tchèque->Czech
Tchétchène->Chechen
Thaï->Thai
Tok Pisin->PidginEnglish
Tonguien->Tongan
Tounia->Tun
Touvain->Tuvin
Tswana->Tswana
Turc->Turkish
Turkmène->Turkmen
Ukrainien->Ukrainian
Vieil allemand->OldGerman
Vieil anglais->OldEnglish
Vieil espagnol->OldSpanish
Vieil italien->OldItalian
Vietnamien->Vietnamese
Vieux français->OldFrench
Visayan->Visayan
Wolof->Wolof
Xhosa->Xhosa
Yakoute->Yakut
Yiddish->Yiddish
Zapotèque->Zapotec
Zoulu->Zulu


IVARIANTArray

Effet produit

Représente un ensemble d'éléments de type Variant.


À l'activation de la page de la fenêtre Tâche

Moment où le script se lance

Le script se lance avant l'activation de la page de la fenêtre Tâche (via un double-clic ou à partir du menu).

Si la valeur du paramètre DoDefaultAction est réglée sur true, le document qui contient la page s'ouvrira dans l'éditeur de documents une fois le script exécuté. Si le paramètre DoDefaultAction est réglé sur false, le document ne s'ouvrira pas.

Par défaut, la valeur du paramètre DoDefaultAction est true.

Paramètres

Nom | Type | Accès | Description
Context | ITaskWindow | Lecture/écriture | La fenêtre Tâche
PageItem | IPageItem | Lecture/écriture | La page en cours de traitement
DoDefaultAction | IBoolean | Lecture/écriture | Définit s'il faut ouvrir le document dans l'éditeur de documents


À l'ouverture du projet

Moment où le script se lance

Le script se lance à l'ouverture d'un nouveau projet.

Paramètres

Nom | Type | Accès | Description
Context | IMainWindow | Lecture/écriture | La fenêtre principale


Propriétés d'une section de définition de document

Vous pouvez afficher et modifier les propriétés d'une section de définition de document dans la boîte de dialogue Propriétés qui s'ouvre quand vous sélectionnez Propriétés… dans le menu contextuel.

Cette boîte de dialogue contient trois onglets.

L'onglet Généralités

Sur cet onglet, vous pouvez modifier le nom d'une section de document, entrer ou modifier une description, et entrer ou modifier le nombre minimal et le nombre maximal de répétitions de section dans le document. L'option Activé inclut/exclut la section définition de document du traitement documentaire. Pour plus d'informations sur les documents de plusieurs pages et sur l'utilisation des sections, consultez la section Création de définitions de document pour des documents de plusieurs pages.

L'onglet FlexiLayout

Si une description flexible a été jointe à la section, cet onglet montre son Nom , sa Version et son Commentaire . Vous pouvez joindre une description flexible en cliquant sur le bouton Charger… et la détacher en cliquant sur le bouton Décharger.

Pour plus d'informations, consultez la section Création d'une définition de document pour traiter des documents flexibles.

L'onglet Images
Cet onglet répertorie les paramètres d'affichage des images de page de la section. Vous avez le choix entre les paramètres suivants : taille, résolution, taille d'impression, et mode de couleur.

L'onglet Règles

Cet onglet est consacré aux actions relatives aux règles de définition de document. Vous pouvez supprimer, modifier ou créer des règles.

Pour plus d'informations, consultez la section Validation par règle.